/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2013, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 238 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    ABORT_P = 269,
    ABSOLUTE_P = 270,
    ACCESS = 271,
    ACTION = 272,
    ADD_P = 273,
    ADMIN = 274,
    AFTER = 275,
    AGGREGATE = 276,
    ALL = 277,
    ALSO = 278,
    ALTER = 279,
    ALWAYS = 280,
    ANALYSE = 281,
    ANALYZE = 282,
    AND = 283,
    ANY = 284,
    ARRAY = 285,
    AS = 286,
    ASC = 287,
    ASSERTION = 288,
    ASSIGNMENT = 289,
    ASYMMETRIC = 290,
    AT = 291,
    ATTRIBUTE = 292,
    AUTHORIZATION = 293,
    BACKWARD = 294,
    BEFORE = 295,
    BEGIN_P = 296,
    BETWEEN = 297,
    BIGINT = 298,
    BINARY = 299,
    BIT = 300,
    BOOLEAN_P = 301,
    BOTH = 302,
    BY = 303,
    CACHE = 304,
    CALLED = 305,
    CASCADE = 306,
    CASCADED = 307,
    CASE = 308,
    CAST = 309,
    CATALOG_P = 310,
    CHAIN = 311,
    CHAR_P = 312,
    CHARACTER = 313,
    CHARACTERISTICS = 314,
    CHECK = 315,
    CHECKPOINT = 316,
    CLASS = 317,
    CLOSE = 318,
    CLUSTER = 319,
    COALESCE = 320,
    COLLATE = 321,
    COLLATION = 322,
    COLUMN = 323,
    COMMENT = 324,
    COMMENTS = 325,
    COMMIT = 326,
    COMMITTED = 327,
    CONCURRENTLY = 328,
    CONFIGURATION = 329,
    CONNECTION = 330,
    CONSTRAINT = 331,
    CONSTRAINTS = 332,
    CONTENT_P = 333,
    CONTINUE_P = 334,
    CONVERSION_P = 335,
    COPY = 336,
    COST = 337,
    CREATE = 338,
    CROSS = 339,
    CSV = 340,
    CURRENT_P = 341,
    CURRENT_CATALOG = 342,
    CURRENT_DATE = 343,
    CURRENT_ROLE = 344,
    CURRENT_SCHEMA = 345,
    CURRENT_TIME = 346,
    CURRENT_TIMESTAMP = 347,
    CURRENT_USER = 348,
    CURSOR = 349,
    CYCLE = 350,
    DATA_P = 351,
    DATABASE = 352,
    DAY_P = 353,
    DEALLOCATE = 354,
    DEC = 355,
    DECIMAL_P = 356,
    DECLARE = 357,
    DEFAULT = 358,
    DEFAULTS = 359,
    DEFERRABLE = 360,
    DEFERRED = 361,
    DEFINER = 362,
    DELETE_P = 363,
    DELIMITER = 364,
    DELIMITERS = 365,
    DESC = 366,
    DICTIONARY = 367,
    DISABLE_P = 368,
    DISCARD = 369,
    DISTINCT = 370,
    DO = 371,
    DOCUMENT_P = 372,
    DOMAIN_P = 373,
    DOUBLE_P = 374,
    DROP = 375,
    EACH = 376,
    ELSE = 377,
    ENABLE_P = 378,
    ENCODING = 379,
    ENCRYPTED = 380,
    END_P = 381,
    ENUM_P = 382,
    ESCAPE = 383,
    EVENT = 384,
    EXCEPT = 385,
    EXCLUDE = 386,
    EXCLUDING = 387,
    EXCLUSIVE = 388,
    EXECUTE = 389,
    EXISTS = 390,
    EXPLAIN = 391,
    EXTENSION = 392,
    EXTERNAL = 393,
    EXTRACT = 394,
    FALSE_P = 395,
    FAMILY = 396,
    FETCH = 397,
    FIRST_P = 398,
    FLOAT_P = 399,
    FOLLOWING = 400,
    FOR = 401,
    FORCE = 402,
    FOREIGN = 403,
    FORWARD = 404,
    FREEZE = 405,
    FROM = 406,
    FULL = 407,
    FUNCTION = 408,
    FUNCTIONS = 409,
    GLOBAL = 410,
    GRANT = 411,
    GRANTED = 412,
    GREATEST = 413,
    GROUP_P = 414,
    HANDLER = 415,
    HAVING = 416,
    HEADER_P = 417,
    HOLD = 418,
    HOUR_P = 419,
    IDENTITY_P = 420,
    IF_P = 421,
    ILIKE = 422,
    IMMEDIATE = 423,
    IMMUTABLE = 424,
    IMPLICIT_P = 425,
    IN_P = 426,
    INCLUDING = 427,
    INCREMENT = 428,
    INDEX = 429,
    INDEXES = 430,
    INHERIT = 431,
    INHERITS = 432,
    INITIALLY = 433,
    INLINE_P = 434,
    INNER_P = 435,
    INOUT = 436,
    INPUT_P = 437,
    INSENSITIVE = 438,
    INSERT = 439,
    INSTEAD = 440,
    INT_P = 441,
    INTEGER = 442,
    INTERSECT = 443,
    INTERVAL = 444,
    INTO = 445,
    INVOKER = 446,
    IS = 447,
    ISNULL = 448,
    ISOLATION = 449,
    JOIN = 450,
    KEY = 451,
    LABEL = 452,
    LANGUAGE = 453,
    LARGE_P = 454,
    LAST_P = 455,
    LATERAL_P = 456,
    LC_COLLATE_P = 457,
    LC_CTYPE_P = 458,
    LEADING = 459,
    LEAKPROOF = 460,
    LEAST = 461,
    LEFT = 462,
    LEVEL = 463,
    LIKE = 464,
    LIMIT = 465,
    LISTEN = 466,
    LOAD = 467,
    LOCAL = 468,
    LOCALTIME = 469,
    LOCALTIMESTAMP = 470,
    LOCATION = 471,
    LOCK_P = 472,
    MAPPING = 473,
    MATCH = 474,
    MATERIALIZED = 475,
    MAXVALUE = 476,
    MINUTE_P = 477,
    MINVALUE = 478,
    MODE = 479,
    MONTH_P = 480,
    MOVE = 481,
    NAME_P = 482,
    NAMES = 483,
    NATIONAL = 484,
    NATURAL = 485,
    NCHAR = 486,
    NEXT = 487,
    NO = 488,
    NONE = 489,
    NOT = 490,
    NOTHING = 491,
    NOTIFY = 492,
    NOTNULL = 493,
    NOWAIT = 494,
    NULL_P = 495,
    NULLIF = 496,
    NULLS_P = 497,
    NUMERIC = 498,
    OBJECT_P = 499,
    OF = 500,
    OFF = 501,
    OFFSET = 502,
    OIDS = 503,
    ON = 504,
    ONLY = 505,
    OPERATOR = 506,
    OPTION = 507,
    OPTIONS = 508,
    OR = 509,
    ORDER = 510,
    OUT_P = 511,
    OUTER_P = 512,
    OVER = 513,
    OVERLAPS = 514,
    OVERLAY = 515,
    OWNED = 516,
    OWNER = 517,
    PARSER = 518,
    PARTIAL = 519,
    PARTITION = 520,
    PASSING = 521,
    PASSWORD = 522,
    PLACING = 523,
    PLANS = 524,
    POSITION = 525,
    PRECEDING = 526,
    PRECISION = 527,
    PRESERVE = 528,
    PREPARE = 529,
    PREPARED = 530,
    PRIMARY = 531,
    PRIOR = 532,
    PRIVILEGES = 533,
    PROCEDURAL = 534,
    PROCEDURE = 535,
    PROGRAM = 536,
    QUOTE = 537,
    RANGE = 538,
    READ = 539,
    REAL = 540,
    REASSIGN = 541,
    RECHECK = 542,
    RECURSIVE = 543,
    REF = 544,
    REFERENCES = 545,
    REFRESH = 546,
    REINDEX = 547,
    RELATIVE_P = 548,
    RELEASE = 549,
    RENAME = 550,
    REPEATABLE = 551,
    REPLACE = 552,
    REPLICA = 553,
    RESET = 554,
    RESTART = 555,
    RESTRICT = 556,
    RETURNING = 557,
    RETURNS = 558,
    REVOKE = 559,
    RIGHT = 560,
    ROLE = 561,
    ROLLBACK = 562,
    ROW = 563,
    ROWS = 564,
    RULE = 565,
    SAVEPOINT = 566,
    SCHEMA = 567,
    SCROLL = 568,
    SEARCH = 569,
    SECOND_P = 570,
    SECURITY = 571,
    SELECT = 572,
    SEQUENCE = 573,
    SEQUENCES = 574,
    SERIALIZABLE = 575,
    SERVER = 576,
    SESSION = 577,
    SESSION_USER = 578,
    SET = 579,
    SETOF = 580,
    SHARE = 581,
    SHOW = 582,
    SIMILAR = 583,
    SIMPLE = 584,
    SMALLINT = 585,
    SNAPSHOT = 586,
    SOME = 587,
    STABLE = 588,
    STANDALONE_P = 589,
    START = 590,
    STATEMENT = 591,
    STATISTICS = 592,
    STDIN = 593,
    STDOUT = 594,
    STORAGE = 595,
    STRICT_P = 596,
    STRIP_P = 597,
    SUBSTRING = 598,
    SYMMETRIC = 599,
    SYSID = 600,
    SYSTEM_P = 601,
    TABLE = 602,
    TABLES = 603,
    TABLESPACE = 604,
    TEMP = 605,
    TEMPLATE = 606,
    TEMPORARY = 607,
    TEXT_P = 608,
    THEN = 609,
    TIME = 610,
    TIMESTAMP = 611,
    TO = 612,
    TRAILING = 613,
    TRANSACTION = 614,
    TREAT = 615,
    TRIGGER = 616,
    TRIM = 617,
    TRUE_P = 618,
    TRUNCATE = 619,
    TRUSTED = 620,
    TYPE_P = 621,
    TYPES_P = 622,
    UNBOUNDED = 623,
    UNCOMMITTED = 624,
    UNENCRYPTED = 625,
    UNION = 626,
    UNIQUE = 627,
    UNKNOWN = 628,
    UNLISTEN = 629,
    UNLOGGED = 630,
    UNTIL = 631,
    UPDATE = 632,
    USER = 633,
    USING = 634,
    VACUUM = 635,
    VALID = 636,
    VALIDATE = 637,
    VALIDATOR = 638,
    VALUE_P = 639,
    VALUES = 640,
    VARCHAR = 641,
    VARIADIC = 642,
    VARYING = 643,
    VERBOSE = 644,
    VERSION_P = 645,
    VIEW = 646,
    VOLATILE = 647,
    WHEN = 648,
    WHERE = 649,
    WHITESPACE_P = 650,
    WINDOW = 651,
    WITH = 652,
    WITHOUT = 653,
    WORK = 654,
    WRAPPER = 655,
    WRITE = 656,
    XML_P = 657,
    XMLATTRIBUTES = 658,
    XMLCONCAT = 659,
    XMLELEMENT = 660,
    XMLEXISTS = 661,
    XMLFOREST = 662,
    XMLPARSE = 663,
    XMLPI = 664,
    XMLROOT = 665,
    XMLSERIALIZE = 666,
    YEAR_P = 667,
    YES_P = 668,
    ZONE = 669,
    NULLS_FIRST = 670,
    NULLS_LAST = 671,
    WITH_TIME = 672,
    POSTFIXOP = 673,
    UMINUS = 674
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 176 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;

#line 735 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 765 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  715
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   77969

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  437
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  558
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2322
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  4471

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   674

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   426,     2,     2,
     431,   432,   424,   422,   435,   423,   433,   425,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   436,   434,
     419,   418,   420,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   429,     2,   430,   427,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   421,   428
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   678,   678,   685,   692,   702,   703,   704,   705,   706,
     707,   708,   709,   710,   711,   712,   713,   714,   715,   716,
     717,   718,   719,   720,   721,   722,   723,   724,   725,   726,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   746,
     747,   748,   749,   750,   751,   752,   753,   754,   755,   756,
     757,   758,   759,   760,   761,   762,   763,   764,   765,   766,
     767,   768,   769,   770,   771,   772,   773,   774,   775,   776,
     777,   778,   779,   780,   781,   782,   783,   784,   785,   786,
     787,   788,   789,   790,   791,   792,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   805,   806,
     807,   808,   809,   810,   811,   812,   813,   814,   815,   817,
     827,   838,   839,   848,   849,   853,   854,   858,   863,   867,
     872,   877,   881,   885,   890,   894,   948,   950,   954,   958,
     962,   966,   980,   998,  1009,  1010,  1014,  1022,  1040,  1052,
    1060,  1081,  1088,  1107,  1114,  1131,  1149,  1160,  1161,  1173,
    1180,  1197,  1210,  1220,  1238,  1256,  1257,  1261,  1268,  1276,
    1277,  1278,  1279,  1280,  1281,  1295,  1301,  1307,  1316,  1324,
    1332,  1336,  1344,  1352,  1359,  1366,  1374,  1385,  1393,  1401,
    1412,  1420,  1428,  1435,  1444,  1454,  1455,  1462,  1463,  1466,
    1468,  1472,  1473,  1474,  1475,  1479,  1480,  1481,  1487,  1499,
    1503,  1507,  1522,  1545,  1546,  1547,  1551,  1552,  1553,  1557,
    1558,  1562,  1569,  1576,  1583,  1590,  1600,  1601,  1606,  1607,
    1612,  1618,  1624,  1630,  1636,  1646,  1656,  1657,  1661,  1662,
    1670,  1685,  1691,  1697,  1703,  1721,  1730,  1739,  1748,  1757,
    1766,  1775,  1784,  1793,  1802,  1814,  1815,  1820,  1828,  1836,
    1845,  1853,  1861,  1870,  1879,  1888,  1897,  1907,  1920,  1934,
    1943,  1951,  1959,  1969,  1979,  1986,  1993,  2001,  2009,  2017,
    2025,  2033,  2040,  2047,  2055,  2062,  2069,  2077,  2085,  2093,
    2101,  2109,  2117,  2127,  2134,  2142,  2150,  2158,  2165,  2175,
    2176,  2180,  2181,  2182,  2186,  2194,  2198,  2199,  2203,  2206,
    2207,  2211,  2212,  2217,  2221,  2225,  2230,  2245,  2258,  2259,
    2264,  2273,  2283,  2293,  2318,  2324,  2354,  2383,  2405,  2406,
    2410,  2411,  2420,  2421,  2422,  2425,  2426,  2431,  2432,  2436,
    2440,  2444,  2448,  2452,  2456,  2460,  2464,  2468,  2472,  2476,
    2480,  2484,  2493,  2497,  2501,  2505,  2509,  2513,  2517,  2518,
    2523,  2527,  2534,  2541,  2542,  2543,  2544,  2545,  2549,  2553,
    2561,  2572,  2587,  2603,  2619,  2648,  2649,  2650,  2651,  2652,
    2659,  2666,  2667,  2671,  2672,  2676,  2677,  2681,  2685,  2692,
    2696,  2703,  2704,  2705,  2709,  2710,  2713,  2733,  2753,  2754,
    2758,  2766,  2767,  2768,  2799,  2806,  2813,  2824,  2835,  2845,
    2854,  2887,  2894,  2901,  2908,  2919,  2929,  2930,  2931,  2935,
    2936,  2937,  2938,  2939,  2940,  2949,  2957,  2961,  2974,  2989,
    3003,  3018,  3032,  3050,  3071,  3072,  3076,  3077,  3081,  3082,
    3085,  3091,  3095,  3103,  3108,  3114,  3115,  3119,  3124,  3131,
    3132,  3142,  3144,  3146,  3148,  3151,  3154,  3157,  3161,  3162,
    3163,  3164,  3165,  3168,  3169,  3174,  3175,  3176,  3177,  3180,
    3181,  3182,  3183,  3186,  3187,  3190,  3191,  3194,  3209,  3224,
    3238,  3239,  3240,  3252,  3267,  3280,  3281,  3293,  3312,  3324,
    3332,  3343,  3344,  3347,  3348,  3351,  3355,  3359,  3363,  3367,
    3371,  3375,  3379,  3383,  3387,  3391,  3395,  3401,  3402,  3406,
    3407,  3408,  3413,  3416,  3417,  3429,  3441,  3456,  3457,  3465,
    3466,  3470,  3471,  3475,  3476,  3480,  3481,  3485,  3496,  3509,
    3510,  3520,  3530,  3531,  3544,  3551,  3568,  3576,  3587,  3590,
    3594,  3598,  3602,  3614,  3624,  3627,  3631,  3644,  3654,  3664,
    3673,  3682,  3691,  3701,  3710,  3720,  3730,  3740,  3749,  3758,
    3767,  3776,  3785,  3794,  3803,  3812,  3821,  3830,  3839,  3848,
    3857,  3875,  3886,  3887,  3888,  3889,  3893,  3894,  3898,  3899,
    3909,  3920,  3940,  3948,  3960,  3961,  3965,  3969,  3977,  3981,
    3985,  3992,  3996,  4001,  4006,  4013,  4020,  4025,  4035,  4049,
    4050,  4055,  4056,  4060,  4061,  4071,  4082,  4102,  4111,  4119,
    4136,  4151,  4176,  4185,  4203,  4215,  4216,  4217,  4227,  4235,
    4252,  4271,  4291,  4316,  4317,  4318,  4322,  4324,  4346,  4348,
    4350,  4352,  4354,  4359,  4364,  4374,  4375,  4379,  4380,  4384,
    4385,  4389,  4390,  4391,  4395,  4401,  4402,  4403,  4407,  4408,
    4413,  4414,  4441,  4442,  4443,  4444,  4445,  4446,  4451,  4462,
    4485,  4495,  4509,  4511,  4516,  4521,  4523,  4528,  4538,  4539,
    4540,  4541,  4553,  4573,  4596,  4606,  4617,  4627,  4637,  4648,
    4657,  4664,  4671,  4680,  4689,  4698,  4707,  4716,  4727,  4730,
    4731,  4734,  4738,  4745,  4746,  4747,  4748,  4749,  4752,  4753,
    4756,  4759,  4760,  4768,  4775,  4776,  4779,  4781,  4792,  4802,
    4812,  4824,  4825,  4841,  4856,  4857,  4861,  4871,  4882,  4891,
    4901,  4910,  4911,  4914,  4915,  4918,  4919,  4920,  4923,  4937,
    4942,  4952,  4961,  4973,  4974,  4978,  4986,  4998,  5009,  5023,
    5034,  5057,  5067,  5085,  5096,  5107,  5118,  5132,  5133,  5134,
    5135,  5136,  5137,  5138,  5139,  5140,  5141,  5142,  5143,  5144,
    5145,  5146,  5147,  5148,  5152,  5153,  5156,  5157,  5160,  5162,
    5175,  5186,  5187,  5188,  5220,  5229,  5238,  5247,  5256,  5265,
    5274,  5284,  5293,  5302,  5311,  5320,  5329,  5341,  5342,  5343,
    5344,  5345,  5346,  5347,  5348,  5349,  5350,  5351,  5352,  5353,
    5354,  5355,  5356,  5357,  5358,  5359,  5360,  5361,  5362,  5363,
    5367,  5368,  5382,  5393,  5404,  5415,  5426,  5439,  5440,  5444,
    5445,  5446,  5447,  5448,  5449,  5450,  5451,  5452,  5453,  5454,
    5455,  5456,  5459,  5460,  5470,  5476,  5484,  5492,  5500,  5508,
    5516,  5524,  5532,  5540,  5548,  5556,  5564,  5572,  5580,  5588,
    5596,  5604,  5614,  5615,  5618,  5619,  5629,  5645,  5659,  5685,
    5687,  5689,  5691,  5698,  5707,  5708,  5711,  5718,  5725,  5732,
    5746,  5754,  5762,  5770,  5778,  5786,  5794,  5802,  5810,  5818,
    5826,  5834,  5842,  5850,  5858,  5866,  5878,  5879,  5882,  5892,
    5906,  5907,  5911,  5912,  5917,  5933,  5946,  5956,  5968,  5969,
    5972,  5973,  5983,  5993,  5994,  5998,  6002,  6006,  6017,  6030,
    6044,  6061,  6062,  6063,  6064,  6076,  6103,  6104,  6108,  6109,
    6113,  6114,  6118,  6119,  6122,  6123,  6131,  6142,  6153,  6166,
    6167,  6170,  6171,  6172,  6175,  6176,  6177,  6180,  6181,  6182,
    6198,  6210,  6223,  6238,  6239,  6242,  6243,  6247,  6248,  6256,
    6257,  6261,  6262,  6277,  6286,  6295,  6304,  6313,  6325,  6326,
    6327,  6328,  6329,  6335,  6339,  6354,  6355,  6361,  6371,  6375,
    6380,  6390,  6391,  6398,  6402,  6406,  6410,  6414,  6418,  6422,
    6426,  6430,  6434,  6438,  6442,  6446,  6450,  6454,  6462,  6466,
    6470,  6474,  6480,  6481,  6488,  6489,  6492,  6504,  6508,  6523,
    6534,  6535,  6540,  6541,  6556,  6567,  6581,  6592,  6606,  6617,
    6631,  6639,  6641,  6643,  6648,  6650,  6663,  6672,  6673,  6677,
    6681,  6693,  6704,  6715,  6728,  6729,  6730,  6734,  6747,  6748,
    6762,  6770,  6780,  6793,  6794,  6797,  6798,  6808,  6818,  6827,
    6836,  6845,  6854,  6864,  6873,  6883,  6892,  6901,  6911,  6921,
    6930,  6939,  6949,  6959,  6969,  6979,  6989,  6999,  7009,  7019,
    7029,  7039,  7049,  7059,  7070,  7081,  7092,  7103,  7113,  7124,
    7135,  7145,  7155,  7163,  7172,  7181,  7190,  7199,  7208,  7217,
    7226,  7235,  7244,  7253,  7267,  7268,  7271,  7272,  7282,  7292,
    7301,  7310,  7319,  7328,  7338,  7348,  7358,  7368,  7377,  7386,
    7395,  7404,  7413,  7422,  7431,  7440,  7449,  7458,  7467,  7476,
    7485,  7494,  7511,  7520,  7528,  7536,  7544,  7552,  7561,  7569,
    7577,  7586,  7595,  7604,  7612,  7620,  7628,  7636,  7644,  7652,
    7660,  7677,  7694,  7695,  7696,  7701,  7707,  7716,  7717,  7718,
    7719,  7720,  7724,  7725,  7728,  7729,  7730,  7731,  7735,  7736,
    7737,  7742,  7753,  7775,  7785,  7786,  7789,  7798,  7804,  7823,
    7830,  7837,  7844,  7851,  7858,  7865,  7873,  7881,  7889,  7897,
    7905,  7912,  7919,  7928,  7929,  7930,  7934,  7937,  7940,  7943,
    7946,  7953,  7955,  7957,  7962,  7964,  7976,  7988,  8000,  8012,
    8027,  8033,  8039,  8045,  8055,  8071,  8081,  8082,  8086,  8090,
    8094,  8098,  8102,  8106,  8110,  8114,  8118,  8122,  8126,  8130,
    8134,  8138,  8142,  8146,  8156,  8157,  8168,  8175,  8186,  8197,
    8198,  8202,  8216,  8223,  8240,  8253,  8262,  8270,  8278,  8287,
    8298,  8309,  8319,  8320,  8331,  8341,  8351,  8361,  8371,  8381,
    8389,  8410,  8433,  8441,  8450,  8461,  8462,  8474,  8490,  8506,
    8520,  8540,  8565,  8566,  8570,  8571,  8572,  8573,  8577,  8591,
    8608,  8609,  8613,  8614,  8617,  8618,  8621,  8622,  8626,  8627,
    8640,  8647,  8657,  8664,  8674,  8675,  8676,  8677,  8678,  8679,
    8680,  8681,  8682,  8686,  8690,  8697,  8704,  8705,  8709,  8710,
    8711,  8721,  8731,  8732,  8736,  8737,  8738,  8739,  8749,  8756,
    8774,  8775,  8785,  8791,  8797,  8803,  8819,  8829,  8835,  8841,
    8850,  8852,  8857,  8868,  8869,  8880,  8894,  8895,  8906,  8917,
    8918,  8921,  8922,  8923,  8924,  8925,  8926,  8927,  8928,  8931,
    8932,  8943,  8961,  8962,  8966,  8967,  8971,  8979,  9007,  9018,
    9019,  9029,  9040,  9043,  9044,  9045,  9046,  9047,  9050,  9051,
    9052,  9100,  9101,  9105,  9106,  9121,  9122,  9129,  9137,  9145,
    9153,  9161,  9169,  9180,  9181,  9208,  9223,  9224,  9243,  9247,
    9251,  9266,  9273,  9283,  9284,  9287,  9299,  9300,  9304,  9316,
    9324,  9329,  9334,  9339,  9344,  9352,  9360,  9365,  9370,  9377,
    9378,  9381,  9382,  9383,  9390,  9391,  9392,  9393,  9397,  9398,
    9402,  9406,  9407,  9410,  9419,  9432,  9433,  9434,  9435,  9439,
    9440,  9444,  9446,  9462,  9464,  9469,  9472,  9477,  9478,  9486,
    9506,  9507,  9509,  9514,  9515,  9519,  9520,  9523,  9524,  9529,
    9530,  9534,  9535,  9539,  9540,  9544,  9545,  9549,  9550,  9554,
    9565,  9566,  9567,  9568,  9572,  9573,  9578,  9584,  9602,  9603,
    9607,  9608,  9614,  9619,  9628,  9637,  9672,  9697,  9701,  9727,
    9731,  9743,  9756,  9770,  9781,  9796,  9802,  9807,  9813,  9820,
    9821,  9829,  9833,  9837,  9843,  9850,  9855,  9856,  9857,  9858,
    9862,  9863,  9875,  9876,  9881,  9888,  9895,  9902,  9913,  9914,
    9927,  9931,  9938,  9948,  9953,  9954,  9959,  9960,  9968,  9973,
    9974,  9978,  9982,  9988, 10017, 10022, 10029, 10034, 10040, 10045,
   10054, 10056, 10059, 10063, 10064, 10065, 10066, 10067, 10068, 10073,
   10103, 10104, 10105, 10106, 10117, 10123, 10131, 10132, 10138, 10143,
   10148, 10153, 10158, 10163, 10168, 10173, 10179, 10185, 10191, 10198,
   10220, 10229, 10233, 10241, 10245, 10253, 10265, 10286, 10290, 10296,
   10300, 10313, 10332, 10355, 10357, 10359, 10361, 10363, 10365, 10370,
   10371, 10375, 10376, 10383, 10392, 10400, 10409, 10420, 10428, 10429,
   10430, 10434, 10436, 10438, 10440, 10442, 10444, 10446, 10451, 10456,
   10462, 10470, 10475, 10482, 10489, 10493, 10497, 10527, 10528, 10530,
   10538, 10560, 10562, 10564, 10566, 10568, 10570, 10572, 10574, 10576,
   10578, 10580, 10583, 10585, 10587, 10590, 10592, 10594, 10597, 10599,
   10612, 10614, 10627, 10629, 10642, 10644, 10658, 10671, 10684, 10697,
   10720, 10727, 10734, 10741, 10748, 10771, 10778, 10785, 10792, 10799,
   10806, 10813, 10817, 10825, 10829, 10839, 10846, 10853, 10866, 10879,
   10898, 10919, 10929, 10936, 10952, 10957, 10975, 10977, 10979, 10981,
   10983, 10985, 10987, 10989, 10991, 10993, 10995, 10997, 10999, 11001,
   11003, 11005, 11007, 11011, 11016, 11020, 11024, 11029, 11046, 11047,
   11048, 11063, 11075, 11077, 11079, 11089, 11112, 11122, 11132, 11140,
   11159, 11172, 11185, 11198, 11211, 11224, 11241, 11254, 11277, 11290,
   11316, 11326, 11339, 11356, 11369, 11379, 11392, 11402, 11415, 11428,
   11441, 11454, 11467, 11480, 11493, 11495, 11508, 11526, 11540, 11556,
   11578, 11594, 11607, 11620, 11633, 11637, 11644, 11652, 11660, 11664,
   11668, 11672, 11676, 11680, 11695, 11699, 11708, 11712, 11716, 11721,
   11735, 11737, 11741, 11743, 11745, 11748, 11751, 11754, 11755, 11758,
   11766, 11776, 11777, 11780, 11781, 11782, 11787, 11791, 11795, 11799,
   11810, 11811, 11815, 11816, 11821, 11829, 11831, 11845, 11848, 11875,
   11876, 11879, 11880, 11891, 11909, 11916, 11925, 11942, 11987, 11995,
   12003, 12011, 12019, 12040, 12041, 12042, 12045, 12046, 12047, 12050,
   12051, 12054, 12055, 12056, 12057, 12058, 12059, 12060, 12061, 12062,
   12065, 12067, 12072, 12074, 12079, 12081, 12083, 12085, 12087, 12089,
   12101, 12105, 12112, 12116, 12122, 12126, 12137, 12138, 12141, 12145,
   12149, 12155, 12156, 12161, 12165, 12172, 12173, 12174, 12175, 12176,
   12177, 12178, 12179, 12189, 12193, 12200, 12207, 12208, 12224, 12228,
   12233, 12237, 12252, 12257, 12261, 12264, 12267, 12268, 12269, 12272,
   12279, 12289, 12303, 12304, 12308, 12319, 12320, 12323, 12324, 12327,
   12331, 12338, 12342, 12346, 12353, 12363, 12364, 12368, 12369, 12372,
   12373, 12384, 12385, 12394, 12395, 12403, 12414, 12415, 12418, 12434,
   12442, 12450, 12472, 12473, 12484, 12488, 12515, 12517, 12522, 12525,
   12528, 12530, 12532, 12534, 12544, 12546, 12557, 12561, 12565, 12569,
   12573, 12582, 12589, 12614, 12618, 12624, 12641, 12645, 12649, 12655,
   12656, 12657, 12659, 12661, 12665, 12666, 12667, 12683, 12684, 12685,
   12690, 12691, 12692, 12697, 12698, 12699, 12700, 12706, 12707, 12708,
   12709, 12710, 12730, 12731, 12732, 12733, 12734, 12735, 12736, 12737,
   12738, 12739, 12740, 12741, 12742, 12743, 12744, 12745, 12746, 12747,
   12748, 12749, 12750, 12751, 12752, 12753, 12754, 12755, 12756, 12757,
   12758, 12759, 12760, 12761, 12762, 12763, 12764, 12765, 12766, 12767,
   12768, 12769, 12770, 12771, 12772, 12773, 12774, 12775, 12776, 12777,
   12778, 12779, 12780, 12781, 12782, 12783, 12784, 12785, 12786, 12787,
   12788, 12789, 12790, 12791, 12792, 12793, 12794, 12795, 12796, 12797,
   12798, 12799, 12800, 12801, 12802, 12803, 12804, 12805, 12806, 12807,
   12808, 12809, 12810, 12811, 12812, 12813, 12814, 12815, 12816, 12817,
   12818, 12819, 12820, 12821, 12822, 12823, 12824, 12825, 12826, 12827,
   12828, 12829, 12830, 12831, 12832, 12833, 12834, 12835, 12836, 12837,
   12838, 12839, 12840, 12841, 12842, 12843, 12844, 12845, 12846, 12847,
   12848, 12849, 12850, 12851, 12852, 12853, 12854, 12855, 12856, 12857,
   12858, 12859, 12860, 12861, 12862, 12863, 12864, 12865, 12866, 12867,
   12868, 12869, 12870, 12871, 12872, 12873, 12874, 12875, 12876, 12877,
   12878, 12879, 12880, 12881, 12882, 12883, 12884, 12885, 12886, 12887,
   12888, 12889, 12890, 12891, 12892, 12893, 12894, 12895, 12896, 12897,
   12898, 12899, 12900, 12901, 12902, 12903, 12904, 12905, 12906, 12907,
   12908, 12909, 12910, 12911, 12912, 12913, 12914, 12915, 12916, 12917,
   12918, 12919, 12920, 12921, 12922, 12923, 12924, 12925, 12926, 12927,
   12928, 12929, 12930, 12931, 12932, 12933, 12934, 12935, 12936, 12937,
   12938, 12939, 12940, 12941, 12942, 12943, 12944, 12945, 12946, 12947,
   12948, 12949, 12950, 12951, 12952, 12953, 12954, 12955, 12956, 12957,
   12958, 12959, 12960, 12961, 12962, 12963, 12964, 12965, 12966, 12967,
   12968, 12969, 12970, 12971, 12972, 12973, 12974, 12975, 12976, 12977,
   12978, 12979, 12980, 12981, 12982, 12983, 12997, 12998, 12999, 13000,
   13001, 13002, 13003, 13004, 13005, 13006, 13007, 13008, 13009, 13010,
   13011, 13012, 13013, 13014, 13015, 13016, 13017, 13018, 13019, 13020,
   13021, 13022, 13023, 13024, 13025, 13026, 13027, 13028, 13029, 13030,
   13031, 13032, 13033, 13034, 13035, 13036, 13037, 13038, 13039, 13040,
   13041, 13042, 13043, 13057, 13058, 13059, 13060, 13061, 13062, 13063,
   13064, 13065, 13066, 13067, 13068, 13069, 13070, 13071, 13072, 13073,
   13074, 13075, 13076, 13077, 13078, 13079, 13089, 13090, 13091, 13092,
   13093, 13094, 13095, 13096, 13097, 13098, 13099, 13100, 13101, 13102,
   13103, 13104, 13105, 13106, 13107, 13108, 13109, 13110, 13111, 13112,
   13113, 13114, 13115, 13116, 13117, 13118, 13119, 13120, 13121, 13122,
   13123, 13124, 13125, 13126, 13127, 13128, 13129, 13130, 13131, 13132,
   13133, 13134, 13135, 13136, 13137, 13138, 13139, 13140, 13141, 13142,
   13143, 13144, 13145, 13146, 13147, 13148, 13149, 13150, 13151, 13152,
   13153, 13154, 13155, 13156, 13157, 13158, 13159, 13160, 13161, 13162,
   13163, 13164, 13165
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P",
  "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING",
  "PLANS", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROGRAM", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETOF",
  "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE",
  "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "opt_program", "copy_file_name", "copy_options", "copy_opt_list",
  "copy_opt_item", "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "having_clause", "for_locking_clause", "opt_for_locking_clause",
  "for_locking_items", "for_locking_item", "for_locking_strength",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "opt_alias_clause",
  "func_alias_clause", "join_type", "join_outer", "join_qual",
  "relation_expr", "relation_expr_list", "relation_expr_opt_alias",
  "func_table", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_expr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "role_list", "SignedIconst", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,    61,    60,
      62,   673,    43,    45,    42,    47,    37,    94,   674,    91,
      93,    40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -3853

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-3853)))

#define YYTABLE_NINF -2229

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2229)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    5427,  1121, 10050, -3853, -3853,  1121, -3853, 53324,   463,   693,
     956,   170,  9945, 53736, 60740,   173,   278,  9925,  1121, 60740,
    1603, 40140, 50852, 60740,   943,   651, 40140, 60740, 61152,   778,
     869,   854, 61564, 54148, 49616,  1098, 60740,  1071,   288, 61976,
   54560,   944, 54972,   651, 37276,   164,   977, 62388,  1545,  1527,
    1185, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853,   463, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853,   260, -3853,   699,
     360,  1548,   697,  1106, -3853, -3853, -3853, 45496, 60740, 60740,
   60740,  1423, 60740,  1417, 60740,   691, 45496, 45908, 62800,  1524,
    1396, 33900, -3853, 43436, 60740, 60740, 63212, 60740, 55384, 60740,
    1496, 60740, 60740, 43848, 63624,  1623,  1290, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, 60740, 10601,   943, -3853,
   -3853, 60740,  1490, 45496, 60740,  1420, 60740,  1582, 60740, -3853,
   60740,  1592, 64036,   716,    21, 45908,  1397, 34325,  1680, 45908,
   64448, 60740, 60740, -3853, -3853,  1711, 60740, 60740, -3853,  1817,
   46320,  1498,  1823,  1984,  1898,   914, -3853, 55796, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, 44260,   278, -3853, -3853, 46732,
   60740,  1902, -3853, -3853, 64860, -3853,  1718, -3853,   717, 47144,
   47556,  2021,  1704, 34750,  2062, 47968, 65272, -3853, -3853, 65684,
   -3853, 66096,  1804, 66508, -3853, 48380, -3853,  1931, 66920, -3853,
    1710,  1579,  1457, 30549, -3853, -3853, -3853,   463, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853,   342,  1162,   281,   176,
     312, -3853, -3853,   188,   190,   198,   342,  2142,  2142, -3853,
   60740, -3853, -3853,  1162,    15,  1725,  1725,  1725,  1911,   -34,
   -3853,  1725, -3853, -3853, -3853, -3853, 54972, -3853,  1735,   943,
    1754,  2118,  1800, 60740, -3853, 60740, -3853, 60740, 60740, -3853,
   -3853,  2170,  1821,  2046,  1808, -3853,  2028,  2052,  2000,    83,
     943,  1951, -3853,  2163, -3853,  2073, 19924,   943, 56208, 67332,
     203, 44260,   943, 56620,  1912,  1039,  2075, -3853, -3853,   616,
   -3853,  2296,  1925,  2153,  1808,  1290, 31803, -3853,  1933,  1303,
   54972, -3853, -3853, -3853,   200,  2203, 20353, -3853, 60740,  1920,
   -3853,  1945,  1948,  1966,  1548, -3853,  5427, 60740,   291,   291,
    2354,   291,  1313,  1463, -3853,  2006, -3853,  2257,  2216, 54972,
     977,   227, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853,  1988,  1303, -3853,   228, -3853,
    1330,  1994,  1488,  1336, -3853, -3853,   195, 60740,  2117,   202,
     534,  2029, 57032,  5009,  2015, -3853,   765, -3853, -3853, -3853,
   -3853,  2310,  5729,   331, 67744, -3853, 60740, 60740, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853,  2060, -3853, -3853,
    2016,  2288,  1138,  2228,  1115,  2349,  9487,  1165,  2361,  5752,
    1466,   254,  2251,  1192,  2288,  2355,  1190,  2375,  6862, 60740,
   -3853,  2315,  2426,    32, -3853,   113, -3853,  2164,  2302,   859,
   45496,  2114, -3853, -3853, 60740, -3853, -3853, -3853,  2194, -3853,
     718, 45496, -3853,  2325,  2181, 35175, -3853, 60740, -3853, -3853,
   -3853, -3853, -3853,  2259, 60740, -3853, -3853,  2376, 60740, -3853,
    1725,  2294,  2146,  2518, 76352,   253, 60740,  2182,  2549, 60740,
    2346,  2182,  2188, 68156, -3853, -3853,  2182, -3853, -3853, 60740,
   60740,  2156,  1414,  2182,  2358,  2556,  2557,  2230,  2338,   753,
    1189,   155,  2464,  2182,  2224, 60740, 68568, 60740,  2225, 60740,
    2544, 45496, 60740, -3853,  2340, -3853, -3853,   974, -3853, -3853,
   -3853, -3853,  2485,  1988,   742,  2486,  2193,  2490, -3853, -3853,
    2226, -3853,  2492,  2015,  2493, -3853,  2196, 68980, -3853, 69392,
   69804,  2497,  2060, 45908,  2499,  2196,  2500,  2389,  2504,   742,
    2505, -3853,   777,  2506,  2396,  2511,  1434,  2196, 44672,  2512,
     171, -3853, 22069, -3853,  2301, -3853,   977, -3853,  1213, -3853,
   39728, -3853,  1457,  1162, -3853, 60740,  1162, 60740,  1162, 60740,
    1162, 60740,  1162, 60740, 60740, 60740,  1162, -3853, -3853, -3853,
   60740,  2218, 60740, 60740, -3853, -3853, -3853, 51264, 45908, 51676,
   -3853, -3853,   613,   943, -3853, -3853, 76352,  2619, 45908, 60740,
    2507,  2507,  2507, -3853, -3853, -3853,  2443, 60740,  2509,  2510,
   51264, 45908, -3853, 70216, 44260,  2403,  2222, -3853, -3853, -3853,
   -3853, -3853,  1447,  2652,   186,  2658, 22069,  2233,   161,   161,
    2234,  2520, -3853, -3853, -3853,   233,  2236,  2238, -3853,   234,
     234,  2398,  2241,  2245, -3853,   237,  2252,  2681,  2682,   243,
    2258,  2262,  2263,  1537,   161, 22069, -3853,  2264,   234,  2266,
    2267,  2268,  2683,  2270, -3853,  2687,  2273,   309,   324,  2276,
    2278, -3853,  2241, -3853,   187,  2281,  2283,  2286,  2287,  2289,
    2291,  2292,  2293, 22069, 22069, -3853, 19066,  1303,   943, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853,   138, -3853,   244,  4177,
   -3853, -3853,  2466, 22069, -3853, -3853,   606, -3853,   245, -3853,
   -3853, -3853,  1303, -3853, -3853,  1407,  2297, -3853,  1608, -3853,
   -3853, -3853, -3853, -3853, -3853, 42200,  2695, -3853,   838,   943,
     113,  1400,  2642, 38904, 39316, -3853, -3853,  2521, -3853, 60740,
   -3853, -3853, 22069, 36864, -3853,  1303,   115, -3853, -3853, -3853,
    1345, -3853, -3853, -3853,   463, -3853,  9228, -3853,  1371,  1920,
   60740, 60740,  2700, -3853, -3853, -3853,  1945, -3853, -3853,  1548,
    1548, 22069,  1548,   685,  1193, 20782, 22498,  2589,  2489,  1316,
    1022,  2593, -3853,  2495,  1313,  1463, 54972, 60740, 70628,  2417,
   -3853, 38100,  1561,  1303,  2387,  2388,  2434, 40964,  2314,  2392,
    2394,  2440,  2399,  2402, 71040, -3853, -3853, -3853, -3853,  1362,
     884,  1321,  2404,   136,   175,  2677, -3853,  1348,  2448, -3853,
   -3853, -3853,  3110, 60740,  2620,  7589,  2513,   331,  2447, -3853,
   -3853,  2562,  2408,  2412,  2532,   331,   754, 71452, -3853, -3853,
   -3853, -3853, -3853, -3853,  5788, 17835, -3853,  2416,  2397, 60740,
   48792,  2706,  2527,   608,  1705,   212, 60740,  2601,  2533, 60740,
    2348,  2423,  2424,  2352,  1309,  2709,  2351, -3853, -3853, -3853,
    1613,  1894,  2525, -3853,  2654,  8075,  2411,  2413, 75138,    70,
   35600,  2696,    54,  2437, -3853,    54, 60740,  2441,  2442, 60740,
     331, -3853,  2749,   331,   331,  1586,  2754,  2446,   327,  1508,
    2182,  2351,  1146, -3853,  2456,  2457,   259, -3853,  2551, 54972,
     194,  1644,  2351,  2460,  2461,  2352,  2352, 60740, 60740, 60740,
   60740, 60740,   168,  2768,  2782,  2465,   178,  2516,  2386, -3853,
      54, 42612,  2467, -3853,    54, 60740,  2468,  1702,  2351,  1241,
      80, -3853, -3853, -3853,  1290, -3853, 60740, -3853, 60740,  1988,
   76352,  2574, -3853,  2429, -3853,  2015,   331, -3853, 60740, 60740,
    2060,   721,  1008,  2581, 60740,  2639,  2435, -3853,   249, 38502,
    2156, -3853,  2405, -3853, -3853,  2445, -3853,  2445,  2445,  2407,
    2407,  2409, -3853, -3853, -3853,  1537,  2445,  2407, -3853, 77154,
   -3853,  1265,  1446, -3853,  2803,  2809, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853,   690,  1578, -3853, 60740, 40964,
   -3853,  2821, -3853, -3853, 76352,  2594,  2707, -3853, 60740,  2609,
    2414, -3853,  2747,  2472, -3853, -3853,   558, -3853,  2719, 45908,
     262,   943,  2473, 60740,  2649, 60740, 60740, 60740, 60740, -3853,
   -3853,  2610,   802,    89, -3853, 42612, -3853, 60740,  1146,  2631,
    2842,    20,  1725, 60740,  2734, -3853, 60740,  2451,  2852,  2692,
   -3853,  1209, -3853,  2572, -3853, 45496,   742, -3853, -3853, -3853,
   -3853, 76352, 60740, 71864, 45496,   742, 45908, 45908,  2756,   171,
    2757,  2514,  2759,  2517, 35600,   742,   174, 45908, 60740, 60740,
   60740, -3853, 60740, -3853, -3853, -3853, -3853, 60740, 60740, 45908,
   42612,  2762,  2763,   742, 60740, 60740, -3853,  9228,  1390, 60740,
    1457, 43024, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   60740, -3853, 60740, -3853, 60740, -3853, 60740, -3853, 60740, -3853,
   -3853, -3853, 60740, -3853, 60740,  1408, -3853, -3853,  1440,   112,
   60740, 60740,   844, 45496, 60740,  2655, 60740, 60740, 60740, 60740,
   60740,  2543,  2297,   -55, -3853,   308, 54972,  2665, -3853, -3853,
    1546,  1545,   500,  2508, -3853, -3853, -3853, -3853, -3853, -3853,
   51676, 50852,  2761,   298, 60740, -3853, -3853,  5580, 22069,  1303,
   19495, -3853, -3853, -3853,  2477,  9228,  2522, 22069, -3853, -3853,
   22069,  2482,  2142,  2142, 22069, -3853, -3853, -3853, -3853,   199,
    2142, -3853, 22069, 22069,  2142,  2142,  2445,  2445, -3853,  3073,
   22069, -3853, 35600, 22069, 25501, 16995, 22069,  2559,  2502,  2142,
   -3853,  2142, -3853, 22069, 18637, -3853, 22069,  2690, 26776, 22069,
    1400,  2693, 22069,  1400,  2910,  2910,  2023,  2853,  2487,  1303,
   -3853,  2599,  2142, -3853,  2142,   661, -3853,   250, 76352, 22069,
   40964,  2569,   209, 60740, 22069,  2496,  1261, -3853, 22069,   219,
   -3853,  2498, 22069,  2571, 22069, 22069, 22069, 22069, 22069, 22069,
   22069, 22069, 22069, -3853, 27612,   258,   528,  1043, 57444, 19924,
    2775, 16565, -3853,   279, -3853, -3853, -3853, 60740,  2695, -3853,
   -3853,  2575, -3853, -3853, -3853, -3853, -3853,   248, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853,  2501, -3853, -3853, -3853, -3853,
    2501, -3853,  2503,  2255, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
    2765,  2772,   742, 60740,   200, 52088, -3853, 20353, -3853,  1563,
   -3853,  2515, -3853,  2750, -3853,  2523, -3853,  4966,  2750, -3853,
   -3853, 25924,  2613,  2744,  2694, -3853, -3853, -3853,  2524,  9228,
   22927, 22927, -3853,  1366,  9228,  1486, -3853, -3853, -3853, -3853,
   -3853, -3853,  1025, -3853, 60740,  2665,  2589,  1022,  2563,   714,
   60740, -3853, 32221,  2528,  1583,  2586,  2588,  2635, 45908, 60740,
   60740, -3853, 40964, 45908, 60740, 60740, 45908, 60740, 60740, -3853,
    2874,   729, 50852,  2650, 50028, -3853, -3853,  2534, 60740,  2584,
    2770,  2773,   582, -3853, -3853, 72276, -3853,  2724, 45908, 60740,
   60740, 22069,  2728, 60740, 60740, -3853,   470,  2614,  2615, -3853,
   60740,  2616, 45496,  2539, 60740, 60740, 60740,  2617,   724, 45496,
    2583, 36025, 60740, 60740, 60740, 60740,  2661, 60740, 60740,  2778,
    1154, 54972,   149,  1791,  2351,  2739, -3853,   815, -3853, 45908,
   60740,  2731, -3853, -3853, -3853, 57856,  2944,  2660, -3853, -3853,
   72688, -3853, -3853,  2729, -3853, -3853, 77154, -3853, -3853,  1601,
   -3853, 76753, 73100, -3853, -3853,   875, 45908, 45908,  8165, 60740,
    1107, -3853, -3853, 76352, -3853, 60740, 60740, 60740, 52500, 73501,
   73913,   963,  1134, 60740, 52912, -3853, 60740, -3853, -3853, 41376,
   45908, 60740, 40964, -3853, 60740,  2751,   205, -3853, 60740,  2080,
   -3853, -3853,  2640, 60740,   379,  1861,  2351, 60740, 60740,  2565,
    1627,  2641,  2689, -3853, 60740, 67332, -3853, 45908,   987, -3853,
    2708, 45908, 60740, 10388, -3853, -3853,   331, -3853, -3853, -3853,
   -3853, -3853, 60740, 60740,   331, 60740,   331,  1116, -3853, 45908,
   60740, -3853, -3853, -3853,  8855, 60740, 60740, 60740, 60740, 45908,
   60740, -3853, -3853,  1210,  1152,  1207,  1248,  2711, 60740,  2838,
   60740, 74325, 45908, 60740, 60740, 60740,  1432, -3853, -3853, -3853,
    2697, -3853, 45908,   987, -3853,  9383, 60740, 60740,  2651,  2656,
     362,  2732, -3853, -3853, -3853, -3853, -3853, -3853,  2825,  2988,
   60740, -3853,  2830,  2833,  2648,  2653,  2836,   805, 60740, -3853,
   -3853, -3853, -3853, 60740,  2839,   805,  2786,   105, -3853, -3853,
    2182, -3853,  2612,  1628, -3853, -3853, 22069,  3005, 76352,  2608,
    2618,  2685,  2686,  2691, -3853,  2621,  2698,  2142, -3853, -3853,
    1786, -3853, -3853,  1634, -3853,  2626,   802,  1291, -3853, 40964,
   60740,   769,   746,  2915, 49204,  2735,  2905, 60740,  2662, 60740,
    2735, 60740, -3853,  2261, 50852, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853,  2906, -3853,   943,  2156,  2156,  2156,
    2156, -3853, -3853, -3853, -3853,  2811,  1665, -3853,  2627,  2156,
   60740,  2736,  2735,  2628, -3853,  1146,  2926,   561, 60740, 49204,
    1502,  2667,  3035,  1725,   943,  2819, -3853, 18236,  3458,  2820,
   44260,  2907,  2908,  2927, -3853,  1988, -3853,  3041, -3853,  2939,
     742,  2015, -3853,  2196, -3853, 60740, -3853, 60740, 60740, 60740,
   60740,  2060, -3853, -3853,  2196,  2826,   742,   742, -3853,  2827,
     742,  2196,  2758,  2931, 44260, -3853,   171, -3853, -3853, 22069,
    1725, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,  1638,
   -3853, 60740, -3853,  2911,  2912,  2914,  2643,  2657,  2699, 60740,
    2659, -3853,  2643,   331,  2643,  2297,  2297,  2643,  2657, 45084,
    3067,  2930,   122, -3853,   610,    18,  2865, -3853, -3853, -3853,
   -3853, 76352, -3853, -3853, -3853, -3853, -3853, 60740,   811, -3853,
     124,  2841,  2668, 45084,  3045,   742, -3853, 45496, -3853, -3853,
   -3853,  2741,  2748, 45496,  2862,  2705, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853,  2899, 60740,  1703, -3853, -3853,  1511, -3853,
    1559, 22069, 22069,   101, -3853,  8547,  1707, 22069,  2676,  2678,
    1729, -3853, -3853, -3853, -3853, -3853, -3853, -3853,  2679,  2961,
   -3853,  2688,  1736,  1740,  2701,  2702, -3853, -3853,  2179,  2703,
    8413,  2704, 25501, 25501,  1411, -3853, -3853, 25501,  2712, -3853,
    1749,  7969,  2684,  2713,  2710, -3853,  2714,  2715,  8747, 21211,
   22069, 21211, 21211,  8856,  2684,  2716,  1764, 40964,  2848,  8892,
    1769, -3853, 22069, 40964,  3887, 22069, -3853, 22069, 60740,  2717,
    2720, -3853, -3853,  3073, -3853,  2718, -3853, 25501, 25501, -3853,
    3400, 19066, -3853, -3853,  2966, -3853, -3853,  1574, -3853,  2722,
   -3853, -3853,  4981,   222, 22069,  2496, 22069,  2764, 35600,  3515,
   22069,  4154,  4492,  4492,   477,   477,   192,   192,   192,   347,
    1043, -3853, -3853, -3853,  2725,  2270, 22069, -3853,  1877,  1905,
   60740,  2554,  2560,  3423, -3853, -3853, -3853, 28877,  2733, 22069,
   22069, 22069,  2723,  2860,  3109,  9228,   678, -3853,  3112, -3853,
    1290,  2142,   661, 39728, -3853, -3853, 22069, -3853, -3853, -3853,
    1945, -3853, -3853, -3853, -3853, -3853, 60740,  1545, 22069, -3853,
   -3853,   472,  1475,     9,  2873,  1997,  1997,  1366,  2876, -3853,
   -3853,  2752, -3853, 22069,  1614, -3853,  1741, -3853, -3853, -3853,
   -3853,  2297, -3853, -3853, -3853, 28877,  2743,  2745, 31385,  2856,
   -3853, -3853, 60740,   340, -3853, -3853, -3853,  2742, -3853, -3853,
   -3853, 45908, 60740, 60740, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853,  2918, -3853, 45908, 45908,  2889, 60740,
    2891,  2913, 22069,   226, 60740,  2740,  2753,  1136,  2985, 60740,
   -3853,  3030,   742, -3853, -3853,  2810, -3853,  9228, -3853, -3853,
   -3853, -3853, -3853, 45908, 60740, -3853, 44260, -3853,  1988, 76352,
   -3853, -3853, -3853, 60740,  2766, 60740, -3853, 60740, 60740, 60740,
    2060, -3853, -3853, -3853, -3853,  1013, -3853, -3853, 60740, 60740,
     647,  2813,  2817, 60740, -3853,  1029,  2551,  9519, 60740, 60740,
   60740,  2993, -3853, -3853, -3853, -3853,  2938, -3853, -3853,  1578,
   -3853, 73100, 76753, -3853, 76753, -3853,  1578,  1471, -3853,  2196,
    2822,  2351, -3853,  2929,  1072, -3853, -3853, -3853, -3853, -3853,
    3048,   742,  3051,   742, 60740, 60740, 60740, 60740, -3853, -3853,
   -3853, -3853, -3853, 40964, 40964, 40964,  1770, -3853, -3853,   943,
   -3853, -3853, -3853,  1777, -3853,  1352, -3853, -3853, -3853, -3853,
   -3853, -3853, 45908,  9972, 60740, 60740, 60740,  1591, -3853,   913,
   76352, -3853, 75539, 45908, 60740, -3853, -3853, -3853,  2970,  2921,
   -3853,   819,  2922, 45908,  2815, -3853,  2835, -3853, -3853,  2837,
    1871,  2351,  1146, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853,   391,  1962,  2351,  2840, -3853,  2846, -3853, -3853, -3853,
    2975,  2977,  2978,  2849,  2850,  2893,  2851,  2854,  2898, -3853,
    2858,  2904,  2861,  2923,  2863,   742, 76352,  2990,   943,  2917,
    3102,   742, -3853,  2881, -3853, -3853,  3205, -3853, 60740, -3853,
    2888,  1965,  2351, -3853, -3853, 45908, 60740, -3853, -3853, -3853,
     805, 76352,  3055,   805,   805, 60740, 60740,   805, -3853, -3853,
   -3853,  3056,  3059,   805, -3853, -3853, -3853, -3853,  2294,  2823,
   33475, -3853,  3250,  4504,  2828,  2618,  2824,  2142,   184,    87,
     108,  2940,  2142,  3034,  2829, -3853, -3853, 40964, 33475,  1756,
    3050,  2844,  2844,  2844,  2844,  2844,  2844,  2844, -3853,   990,
     457,  2182, 44260, 60740, 44260, -3853,   746,  2929, 60740, 60740,
    2832,  2834, -3853, -3853, -3853, -3853, 45908,   770, 45908,  2142,
   -3853, -3853,  2901, -3853, 60740,  1725,  3230,  2557,   262,  2973,
    1685,  3178, -3853, -3853, -3853, -3853, -3853, 60740, 60740,   802,
     943, -3853,  2859,  2857, -3853, 60740, 60740, 60740, 60740,  2508,
    2855,  2866, 76352,    25,  3033,  3052,  2352,  3252,  1545,  2667,
    2937, 60740, -3853,  1796,   118, -3853,   943, 44260, 74737, -3853,
    3708, -3853, -3853,   873,  3137, -3853, -3853,  1545,   742, 76352,
   60740, -3853,   742,   171,  2920,   742,  2924,   742,   742, 60740,
   -3853, -3853, 60740, -3853, 60740, 42612,   742, -3853,  9228, -3853,
   -3853,  2992,  2995,  2997, 60740,  2643, 45496, -3853,  2867, 45908,
     849, -3853, -3853,  3053, -3853, -3853, -3853, -3853, -3853,  3167,
    3179, -3853, -3853, -3853, -3853,  3217, 45908, 51264,   267, 45908,
   -3853,  1988, -3853, -3853,  2015,   331, -3853, 60740,  3124, -3853,
   -3853, -3853,  2892,  1815,  9050, 22069, -3853,  3192, 76352, -3853,
    4699, -3853, -3853, -3853, -3853, 22069, -3853, -3853, -3853, -3853,
   -3853, 22069, -3853, 22069,  3172, -3853,  3315,  3315, 76352, 25501,
    1626,  2266, 25501, 25501, 25501, 25501, 25501, 25501, 25501, 25501,
   25501, 28041,   354, -3853, -3853, 22069, 22069,  3181,  3172, -3853,
   -3853,   -42,   -42, 76352,  2897,  2684,  2902,  2903, 22069, -3853,
   -3853,  1816, 27194,  2909, 40964, -3853, 22069,  7623,  1830,  2941,
    9491,  1303,  5038, -3853,  3275,   943, 22069,  1701,  2094, 22069,
    1832, 22069,  3185, -3853, -3853, -3853,  2916, -3853, -3853, 76352,
   22069, 25501, 25501,  5498, -3853,  6128, 22069,  2919,  6403, 19066,
   -3853,   651,   651,   651,   651, -3853, 60740, 60740, 60740, 29295,
   28459, 58268,  2936,  1268, -3853, 58268, 58680, -3853,  2925,  1303,
   22069,  3180,    30,    30,  2934,  2860, 32639, -3853, 22069,   224,
   21640,  2943,   113,  2945, -3853, -3853,  7534, -3853, -3853,  2947,
   -3853,  2928, -3853,  1475, -3853, -3853, -3853, -3853, -3853,  3087,
   -3853, -3853, -3853,  2936, 23356,  2856, -3853,  1853, -3853, -3853,
   19924, -3853, -3853,  1858, 32221,  2743, 20353,  1303, -3853, -3853,
   -3853,  2844,  2196,  2196,  1063,  2643,  3196,  1063,  5185, -3853,
   -3853, 29713, 60740, 60740, -3853, 60740,  1866,  1606, 60740, -3853,
   60740, -3853, -3853, -3853, -3853,  3307, -3853, 60740, -3853, -3853,
    2964,  2965, -3853, 60740, 60740, 60740, 60740, -3853, -3853,  1994,
   -3853, -3853, 45908, 60740, -3853, -3853, -3853,   416,  1970,  2351,
   -3853,  2989, -3853, -3853,  3163,  1518, -3853, -3853, -3853,  2983,
   60740,  2942, -3853,   712,  2352,   834, -3853, -3853,  2984, 60740,
   -3853, 60740, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, 41376, -3853, -3853, -3853, 40964, 33475, 40964, -3853,   417,
    2187,  2351, -3853,  2996, -3853,  2998,  3001,  3040,   670,   876,
    3023,  3026,  3042,  2952,  2953,  2958, -3853, -3853,   342,   943,
   -3853, -3853,   943,  2196,   943, 60740, 60740, 60740, 60740, 60740,
   60740, 60740, 60740,  3216,   153,  1593, 45908, 60740, 60740, 45908,
   60740, 60740, 60740, 60740, 60740, 60740, 60740, -3853,  3329,  3261,
    1731,  3301,  3036, 60740, -3853, 60740,  2551, 60740, 60740, -3853,
   -3853, -3853,  2967,   805, -3853, -3853,  3211,  3212, -3853,   805,
     805, -3853,   249, 40964, -3853,  2304,  2928,  1613,  1894, -3853,
   -3853, -3853, -3853, -3853, -3853,  2612, -3853, -3853,  2142,  1686,
    2979, -3853,  2980, -3853, -3853, -3853, -3853, -3853, -3853,  2981,
   -3853,   661, -3853, -3853, 60740,  2844, -3853,   296,   306,  1297,
    1326, 59092, 59504, 59916,  2974, 60740, 60740, 25501, -3853,  1443,
     189, -3853,  3218, 60740,  3010, -3853, -3853, -3853,  3132, 60740,
   -3853, -3853, -3853, -3853, -3853,  2987, -3853,  3094, 49204,  2196,
   45908, 45908,  2196, -3853, 76352,  2994,  2667, 45908,   262,   671,
   68568,  3019,  2991,  3274, -3853,  3000,  2999, -3853, -3853, 60740,
    2929,  1868,   593,  1710, -3853, 50440,  1502,  3247, -3853, -3853,
   -3853,  3356,  3080, -3853,  1545,  2508,  3080,   943,  2584, -3853,
   73100, 22069, 22069, -3853,  3003, -3853,  3002,  3963, -3853,  2156,
   -3853, -3853, -3853, -3853, -3853, -3853,  3078, 60740, -3853, -3853,
    3008,   742, -3853, -3853, 60740, -3853, 60740, -3853, -3853,   742,
     742, -3853,  3120, -3853, 60740, 60740, 60740,  2643, -3853,   331,
   -3853,  3287, 45084, -3853, -3853, -3853, -3853, -3853,   298,  3294,
   -3853, -3853,  3254,  3255,  3256,  3257,   843, -3853, -3853, 22069,
    9228, -3853,  3018, -3853,  9228,  5639,  9228,  3181, -3853,  1689,
    3300, -3853,  1087,  3025,  1689,  1604,  1604,   377,   377,   196,
     196,   196,  3315,   354,  9228,  9228, -3853, -3853, -3853, -3853,
    3027, -3853, -3853, -3853,  2684, -3853, 23785,  3169,  3412, -3853,
   -3853, -3853,  3066,  3069,  3037, -3853, 22069, 24214,  3032, 77154,
   -3853, -3853,   661,   326, 25501, 25501,  1560, -3853,   501, 22069,
   76352,  1900,  1560,  2139,  2452, 22069, 22069,  6450,   348, 22069,
    5845, 60740, 60740, 60740, 60740, -3853, -3853, -3853, 58268, 58680,
   17416,  1268,  3038, 60740, -3853, -3853,  3031, 28877,  3270,  3214,
   -3853, 28877,  3214,  1464,  3214,  3279, -3853, 33057, -3853, -3853,
    3044, 16565,  1435,  9228,  3429,  3317, 22069,  3047, -3853,  3049,
    2860, -3853, 75940, -3853, -3853,  9228, -3853, -3853, 22069, -3853,
    2860,   943, -3853, -3853, 35600, -3853, -3853,  3235,  9228, -3853,
    1545, 60740,  1303,  3068,  3064, 60740, -3853,  2856, -3853,   342,
   -3853, -3853, -3853, -3853,  3126, 50852,  3333, -3853, 22069,  1917,
   -3853,  3088,  3421,   272,  1919,  1929,  1606, -3853,  3010, -3853,
    1493,  3312,   119, -3853,   742, -3853, 76352, -3853, 60740, 60740,
   -3853, -3853, -3853, -3853,  2314, -3853, -3853, 60740, 60740, 60740,
   60740, -3853,  3128, -3853, -3853, 40964,   990,  3262, -3853, -3853,
    3264,   342, 60740, -3853, 76352,   742,   742, -3853, -3853, -3853,
    3072, 60740, 60740, 60740, 60740, 45908, 60740, 60740,  2142,  2142,
   76352,  3070, -3853,  2142,  2142,  3074, -3853, 45908, 60740, 60740,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853,  3153, -3853, -3853, -3853, 60740, 60740, 60740, 60740,  3376,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, 60740, -3853, -3853,   943,   943, 76352,   742,   742, -3853,
   -3853, -3853,  3320, -3853,   805,   805, -3853, -3853,   126,  1934,
   -3853, 30131, -3853, -3853,  2549,   943,  2549,   109, -3853, -3853,
    2549, -3853,  2549, -3853,  1606,  3083,  1061,  3361, -3853, -3853,
   -3853, -3853,  3364,   342, -3853, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, -3853, 22069,
   -3853,   840,  1689, -3853, -3853, -3853, -3853,  3010,  1725,  3139,
   45496,   292, -3853,  3345,   769, 49204,  1367, 60740, -3853,  2196,
    2196,  3141, 60740,  3491, -3853,   669, 60740,  3403,  3134, -3853,
     943, -3853, -3853,  2667, 60740, 49204,  2508,  1938, -3853, -3853,
   -3853,  3133,  3052,  3098,  1502,  1315, 60740, -3853,  3135, -3853,
   -3853,  3374,  3100, -3853,  9228,  9228,   943, 77555,  3708, -3853,
   60740,  3354,   742, -3853,   742,   742, -3853, -3853, 60740,  2643,
    2643,  2643, -3853,  3282, -3853,   742, 45084,   843,   843,   843,
     843, -3853, -3853, -3853,  9228, -3853, -3853, -3853, 25501,  3384,
   -3853,  3105, 76352, -3853,  3106,  1946,  1950, 26776,  3249, -3853,
   -3853, -3853,  6213,  3155,  9228,  3208,  3113,  3114, -3853,   761,
     761,   501,  1952, -3853, 25501, 25501,  1560,  1560, 22069,  1560,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853, 58268,  3116, 60740,
    1268, 28877, -3853, -3853,  1168, -3853, 28877,  3349, -3853, 28877,
   60740,  3117, 60740,   762, 22069, 22069,  3154,  2860,  2860, -3853,
    3289, -3853,  3123, -3853,   661,  3127, 60740, -3853, -3853,   977,
   -3853, -3853, -3853, 45084,  3303, 45084,  1606,  6334,  3010, 29713,
   36450, 60740, 60328, 60328,  3266,  3010,  3139, -3853, -3853, -3853,
   -3853, -3853, -3853,  3130, -3853, -3853, -3853,  3201, -3853, -3853,
   -3853,  1960, -3853, -3853, -3853, -3853, -3853,  3329, -3853, -3853,
   33475, -3853,  3206, -3853, -3853, -3853, -3853, -3853, 30967, 35600,
   -3853,   670,  3142,  3144,   876, -3853, -3853, -3853, 60740,  1086,
     655,  3171,  2643,  3418, -3853, -3853, -3853,  3329, -3853, -3853,
     805, -3853, -3853, -3853,  2182,  3456, -3853, 40964, -3853, 41788,
   -3853, -3853, -3853,   943, -3853,   943,  3330, 37688,   943,   943,
   -3853, 45496,  3541,  3541, 60740, -3853, -3853,  6896,  3336, -3853,
    3139,  3358,  3404, -3853,  3152, 60740,  3305,  3156,  3157,   221,
     221,  2929, 60740,  1968,  1545,   262, 49204,  2929, -3853,  1282,
    3159,  3452, -3853,  3557,  2855,  3162, -3853, -3853, 50440,  3338,
    3080, 60740,  3052,  3286, -3853,  3290, -3853,  1218, -3853, 60740,
   29713, -3853, 76753, -3853,  1983, -3853, -3853,  2733, 60740,    44,
   -3853, -3853, -3853, -3853, -3853, -3853,   267, -3853, -3853, -3853,
   -3853,   408, 25501, 76352,  2007, 22069, -3853, 22069, -3853,  3550,
   -3853, -3853, -3853,   623, -3853, -3853, -3853,   761,   761,  1560,
   -3853, 60740,  2018, -3853, 22069,  3170, -3853, -3853, 28877,  1168,
    2026, 60740,  2041, 76352,  2860,  2684,  9228, 60740, -3853, -3853,
   -3853,  3552,  3347,  2860, -3853, -3853, -3853, -3853,   849,  1063,
     267,  3421,  3139, -3853,  3173, -3853, -3853, 60740, -3853,   287,
     287, 60740,  3139, -3853, -3853, 60740, -3853, 40964,  3224, -3853,
   60740, 76352,  2015,    84, -3853, 76352, 76352, -3853, -3853, 60740,
   60740, 60740, 60740, 60740,   742, -3853,  2823,   943, -3853, -3853,
    2043, -3853, -3853, -3853, 60740, -3853,  2991, -3853, -3853,  3541,
     885, -3853, -3853, -3853,  1580,  3377, -3853,   645,  3363,  3265,
    3183, -3853, 45496,  3608,  3295, -3853, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853,  3476,  2667,  3135, -3853, -3853, -3853,
   -3853, 22069,  3339,  1545,  1502,  3247, -3853, -3853, -3853,  2053,
    3080, -3853, -3853,  3558,  3369,  3562, -3853,  2054, -3853, -3853,
    3963, 77555,  3507, -3853,  3242, 60740, -3853, -3853, -3853,   408,
    2070, -3853,  2076,  2090,  3337,  3244, -3853,  2097, -3853,  9228,
   60740, -3853, -3853, -3853,  2098, -3853,  3194, -3853,  3599, 22069,
    1314, -3853, -3853,  3480, -3853, 60328,  3240, 35600, -3853,  1475,
    1475,  1725, -3853,  1606, -3853, -3853, 22069, -3853, -3853,  2105,
   -3853,    91,  3348,  3490,  2106,  2107,  2657,  3243,  2657, -3853,
    2643, -3853, -3853, -3853, -3853, 41788,  2991, -3853, -3853, -3853,
    3516,  3463, -3853, -3853, -3853, -3853,   681, -3853,  3392,  3393,
   60740, -3853,  3213, -3853,  2115, 60740, 60740,  3612,  3614, -3853,
    7045, 45496, -3853,  3052,  1502,   990, -3853, -3853,  3394, -3853,
    3395,  2667, 29713,  3708, -3853,   251, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853,  2121, -3853, 60740,  3219,  2684, 24643,
   24643,  3220, 45084,   287,  3222, -3853,  3223, -3853, -3853,  3358,
    1606,  9228, 45496,  3600, -3853, -3853, -3853,  3348, -3853, -3853,
   60740, -3853,  3350, -3853,   793,   793,  3549, -3853,  3283, -3853,
   -3853,  3227, -3853,  3656,  2929, -3853,   670,  1545, -3853,  3231,
    3080,  3052, -3853, -3853,  3080, -3853, -3853, -3853, -3853,  1845,
   -3853, -3853, -3853, 26353,  3357,   748,  8081, -3853, -3853, -3853,
   -3853,   267,  1475, 22069,  1606, -3853,  3363,  2015, 60740, -3853,
   -3853,  3134, -3853,  3647, -3853,   185, -3853, -3853, -3853, -3853,
   -3853,  3070, -3853, 40552, -3853,  3080,  2733, -3853,  1989, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853,  3640, -3853, -3853, -3853,
   -3853, -3853, -3853, -3853,  7385, -3853, -3853, -3853,  3535, -3853,
   -3853, -3853, -3853,  2135, -3853, -3853, -3853, -3853, -3853, -3853,
    1763, -3853, -3853,  1862,  1966, 25072, -3853,  1606,  3396, -3853,
   40552, -3853,  1989, -3853, 45496, -3853, -3853,  3246, 40552,  2136,
   -3853
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1377,  1175,   530,  1261,  1260,  1175,   240,     0,  1263,     0,
    1175,   353,   944,     0,     0,     0,     0,   530,  1175,     0,
    1377,     0,     0,     0,     0,  1390,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1175,     0,     0,  1397,     0,
       0,     0,     0,  1390,     0,  1265,     0,     0,     0,     0,
       2,     4,    59,    60,    24,    23,    29,    28,    82,    83,
      47,    17,    73,    53,   116,   115,   117,    35,    31,    67,
      21,    22,    32,    36,    55,    37,    48,    94,    54,    20,
      52,    77,    56,    80,    42,    11,    12,    43,    71,    13,
      44,    72,    14,    45,    15,    61,    84,    27,    57,    81,
      58,     5,    38,    69,    65,    10,    49,    50,    51,    74,
      75,    76,    99,    79,   111,    34,   108,    88,    89,   105,
      90,   106,     8,    91,    46,    16,   102,   101,   103,    68,
      39,    70,   100,   104,    18,    19,   107,    78,    97,    93,
     112,   110,   118,    95,    62,     6,     7,    85,    41,     9,
      26,    25,    40,    33,   114,    30,  1263,    87,    98,    86,
      63,    92,    66,    96,   113,    64,   109,  1364,  1351,  1399,
    1363,  1376,     0,  1366,  1174,  1173,  1159,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   529,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,  1907,  1922,  1923,
    1924,  1925,  1926,  1927,  1928,  1929,   325,  1930,  1931,  1932,
    1933,  1934,  1935,  1936,  1937,  1938,  1939,  2176,  2177,  2178,
    2179,  1940,  1941,  1942,  1943,  1944,  1945,  1946,  2180,  2181,
    1947,  1948,  1949,  1950,  1951,  2182,  1952,  1953,  1954,  1955,
    1956,  1957,  1958,  1959,  1960,  1961,  1962,  1963,  1964,  1965,
    1966,  1967,  1968,  1969,  1970,  1971,  2183,  2184,  1972,  1973,
    1974,  1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,  1983,
    1984,  1985,  1986,  1987,  1988,  1989,  1990,  1991,  1992,  1993,
    1994,  1995,  1996,  2185,  1997,  1998,  1999,  2186,  2000,  2001,
    2187,  2002,  2003,  2004,  2005,  2006,  2007,  2008,  2188,  2009,
    2010,  2011,  2012,  2013,  2014,  2015,  2016,  2017,  2018,  2019,
    2020,  2021,  2022,  2023,  2024,  2189,  2025,  2026,  2027,  2028,
    2190,  2191,  2192,  2029,  2030,  2031,  2032,  2033,  2034,  2035,
    2036,  2037,  2038,  2193,  2039,  2040,  2041,  2042,  2043,  2044,
    2045,  2046,  2047,  2048,  2049,  2050,  2051,  2052,  2053,  2054,
    2055,  2194,  2195,  2056,  2057,  2196,  2058,  2059,  2060,  2197,
    2061,  2198,  2062,  2063,  2064,  2065,  2066,  2067,  2068,  2199,
    2200,  2069,  2070,  2071,  2072,  2073,  2074,  2075,  2076,  2201,
    2077,  2202,  2080,  2078,  2079,  2081,  2082,  2083,  2084,  2085,
    2086,  2087,  2088,  2203,  2089,  2090,  2091,  2092,  2093,  2094,
    2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,  2103,  2104,
    2105,  2106,  2107,  2204,  2108,  2109,  2110,  2111,  2112,  2113,
    2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,  2205,  2122,
    2123,  2124,  2206,  2125,  2126,  2127,  2128,  2129,  2130,  2131,
    2132,  2133,  2134,  2135,  2207,  2136,  2137,  2138,  2139,  2140,
    2141,  2142,  2143,  2208,  2209,  2144,  2210,  2145,  2211,  2146,
    2147,  2148,  2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,
    2157,  2158,  2159,  2160,  2161,  2162,  2212,  2213,  2163,  2164,
    2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,  2214,  2215,
    2216,  2217,  2218,  2219,  2220,  2221,  2222,  2173,  2174,  2175,
     324,  1342,  1878,  1908,  1909,  1262,  1243,   530,     0,  1162,
     352,     0,     0,     0,     0,     0,     0,     0,     0,   721,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     166,     0,     0,   376,   375,     0,     0,     0,   916,   381,
       0,     0,     0,     0,     0,   518,  1304,  2078,  1302,  1343,
     241,   244,   242,   243,  1900,     0,  1016,  1017,  1019,     0,
       0,  1029,   756,   757,     0,   755,     0,   759,     0,     0,
       0,   751,     0,     0,     0,     0,     0,   758,   748,     0,
     747,     0,     0,     0,   754,     0,   749,     0,     0,  1163,
    1301,   382,  1377,     0,  1279,  1280,  1281,  1263,  1270,  1282,
    1275,  1277,  1276,  1278,  1274,  1899,  1923,   855,   855,   855,
     855,   852,   853,   855,   855,   855,  2095,     0,     0,   834,
       0,   836,  1904,   855,   860,   437,   437,   437,     0,   859,
     864,   437,  1156,  1194,  1883,  1389,     0,   835,  1155,  2144,
    1293,     0,     0,     0,  1033,     0,  1034,     0,  2110,  1167,
     225,  2120,  2208,  2144,   221,   195,  1927,     0,     0,   859,
       0,  1164,  1165,   818,  1396,  1394,     0,  1945,  1958,  2042,
     218,  2106,  2111,  2120,  2208,  2144,  2172,   175,   180,     0,
     234,  2120,  2208,  2144,   230,  1185,     0,  1367,  1484,  1874,
       0,  1158,  1157,  1264,     0,  1267,     0,  1446,  2091,  1371,
    1373,  1269,  1364,     0,     0,     1,  1377,  1258,  1393,  1393,
       0,  1393,     0,  1356,  1364,  1359,  1363,     0,     0,     0,
       0,  1907,  2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,
    2231,  2232,  2233,  2234,  2235,  2236,  2237,  2238,  2239,  2240,
    2241,  2242,  2243,  2244,  2245,     0,     0,  1884,  1908,  1912,
       0,   766,     0,   122,  1879,   904,     0,     0,     0,     0,
    1878,     0,     0,     0,     0,  1913,     0,  1901,  1914,  1915,
    1916,  2014,     0,     0,     0,  1779,  1949,  2000,  1789,  1787,
    1788,  1781,  1782,  1783,  1784,  1785,  1786,     0,  1014,  1780,
       0,   144,   122,     0,     0,  2014,     0,     0,  2014,     0,
       0,     0,     0,     0,   144,  2045,   122,  2014,     0,     0,
    1179,     0,     0,     0,  1181,  1184,  1160,  1246,     0,  1874,
       0,     0,   797,   787,     0,   798,   788,   793,     0,   800,
       0,     0,   790,     0,     0,     0,   801,     0,   789,   791,
     803,   792,   799,     0,     0,   794,   795,     0,     0,  1171,
     437,   331,     0,     0,     0,     0,     0,   122,  1233,     0,
    2014,   122,     0,     0,   380,   379,   122,   378,   377,  1949,
    2000,     0,   943,   122,  2014,     0,   168,   600,   533,     0,
       0,   678,  2045,   122,     0,     0,     0,     0,     0,     0,
     919,     0,     0,   517,   530,  1305,  1303,     0,  1020,   220,
     219,  1018,  2014,     0,   303,     0,     0,  2014,  1222,   753,
       0,   752,  2014,     0,  2014,  1902,   159,     0,   750,  1949,
    2000,  2014,     0,     0,  2014,   151,  2014,     0,  2014,   303,
    2014,   534,     0,  2014,     0,  2014,  2045,   153,     0,  2014,
     303,   764,     0,  1298,     0,  1272,  2212,  1287,     0,  1283,
    1290,  1286,  1377,   855,   854,     0,   855,     0,   855,     0,
     855,     0,   855,     0,     0,     0,   855,  1905,  1906,   837,
       0,   861,     0,     0,   868,   867,   866,     0,     0,     0,
     869,  1488,  1320,     0,  1153,  1170,     0,     0,     0,     0,
    1036,  1036,  1036,  1166,   224,   222,     0,     0,     0,     0,
       0,     0,  1172,     0,     0,     0,     0,  1887,  1889,  1890,
    1790,  1857,     0,  2177,  2178,  2179,  1848,     0,  2180,  2181,
    2182,  2225,  1702,  1689,  1698,  1703,  1690,  1692,  1699,  2183,
    2184,  1984,  2185,  2186,  1897,  2187,  2188,  2190,  2191,  2192,
    2193,  1694,  1696,  2194,  2195,     0,  1898,  2197,  2198,  2066,
    2200,  2201,  2203,  2204,  1700,  2206,  2207,  2208,  2209,  2210,
    2211,  1896,     0,  1701,  2213,  2215,  2216,  2217,  2218,  2219,
    2220,  2221,  2222,     0,     0,  1871,     0,  1674,     0,  1520,
    1521,  1543,  1544,  1522,  1549,  1550,  1562,  1523,     0,  1870,
    1587,  1673,  1679,     0,  1672,  1668,  1379,  1866,     0,  1669,
    1886,  1888,  1849,   187,   236,     0,   237,  1872,  2120,   176,
     217,   189,   216,   190,   188,     0,  1947,   177,     0,     0,
     178,     0,     0,     0,     0,   233,   231,     0,  1161,     0,
    1486,  1485,     0,     0,  1855,  1875,   773,  1256,  1257,  1255,
       0,  1252,  1254,  1266,  1263,  1862,  1861,  1863,     0,  1372,
       0,     0,     0,  1354,  1353,     3,  1269,  1391,  1392,     0,
       0,     0,     0,     0,     0,     0,     0,  1436,  1407,  1408,
    1410,  1433,  1437,  1445,     0,  1360,     0,     0,  1490,     0,
    1447,     0,     0,  1885,     0,     0,     0,     0,   767,     0,
       0,     0,     0,     0,     0,   121,  1220,   227,  1218,     0,
       0,     0,     0,     0,     0,     0,  1225,     0,     0,   157,
     158,   545,   530,     0,  2014,     0,     0,     0,     0,   976,
     983,     0,     0,     0,     0,     0,     0,     0,   977,   975,
     978,   229,   987,  1000,  1003,     0,   894,     0,     0,     0,
       0,  1085,     0,     0,  1085,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   247,   255,   298,   509,
       0,     0,     0,   512,  2014,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   126,     0,     0,     0,     0,     0,
       0,   496,   508,     0,     0,     0,     0,     0,   505,     0,
     122,   249,   489,   493,     0,     0,     0,   609,   608,     0,
    1085,     0,   245,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   317,   318,
       0,     0,     0,   126,     0,     0,     0,     0,   251,     0,
       0,  1180,  1177,  1178,     0,  1183,     0,  1242,     0,     0,
       0,     0,   805,     0,   802,     0,     0,   796,  1949,  2000,
       0,     0,     0,     0,     0,     0,   355,   330,     0,     0,
       0,   675,     0,  1910,  1531,  1560,  1538,  1560,  1560,  1527,
    1527,  1540,  1528,  1529,  1567,     0,  1560,  1527,  1532,     0,
    1530,  1570,  1570,  1555,     0,  1512,  1513,  1514,  1515,  1541,
    1542,  1516,  1547,  1548,  1517,  1584,  1527,  1911,     0,     0,
     686,     0,  1197,  1232,     0,     0,     0,   539,     0,  2014,
       0,   124,   722,     0,   676,   381,     0,   124,     0,     0,
     162,     0,   604,     0,     0,     0,     0,     0,     0,   624,
     623,     0,     0,     0,   677,     0,   124,     0,   492,  2014,
       0,   437,   437,     0,     0,   918,   921,     0,     0,     0,
    1346,  1348,  1347,     0,  1345,     0,   303,   301,   302,   673,
    1028,     0,     0,     0,     0,   303,     0,     0,  2014,   303,
    2014,     0,  2014,     0,     0,   303,   303,     0,     0,     0,
       0,   605,     0,   763,   761,   760,   762,     0,     0,     0,
       0,     0,  2014,   303,     0,     0,   744,  1800,     0,     0,
    1377,     0,   206,   207,   205,  1288,   208,  1289,  1285,  1271,
       0,   845,     0,   849,     0,   840,     0,   846,     0,   841,
     838,   839,     0,   844,     0,     0,   438,   440,     0,     0,
    1969,  1983,     0,  2005,  2033,  2034,  2111,  2116,     0,  2139,
    2148,     0,   870,   899,   865,     0,     0,  1330,  1154,  1806,
       0,  1377,     0,   482,  1035,  1032,  1031,  1030,   223,   196,
       0,     0,     0,   901,  2110,  1169,   817,   530,     0,  1670,
       0,  1677,  1678,  1559,  1546,  1847,     0,     0,  1554,  1553,
       0,     0,     0,     0,     0,  1536,  1535,  1534,  1676,  1814,
       0,  1533,     0,     0,     0,     0,  1560,  1560,  1558,  1607,
       0,  1537,     0,     0,  1827,     0,  1833,     0,     0,     0,
    1566,     0,  1564,     0,     0,  1643,     0,     0,     0,     0,
       0,     0,     0,     0,  1591,  1592,  1674,  1800,     0,  1675,
    1893,     0,     0,  1552,     0,  1584,  1869,  1790,     0,     0,
       0,     0,  1860,     0,  1798,     0,     0,  1621,  1796,     0,
    1623,     0,     0,     0,  1789,  1787,  1788,  1781,  1782,  1783,
    1784,  1785,  1786,  1794,  1604,     0,     0,  1603,     0,     0,
    1449,     0,  1891,  1850,   238,   239,   235,     0,     0,   192,
     191,     0,   210,   214,   215,   186,   213,     0,   209,   194,
    1742,  1741,   193,   185,   183,   181,   197,   199,   200,   184,
     182,   232,     0,     0,  1917,  2246,  2247,  2248,  2249,  2250,
    2251,  2252,  2253,  2254,  2255,  2256,  2257,  2258,  2259,  2260,
    2261,  2262,  2263,  2264,  2265,  2266,  2267,  2268,  2269,  2270,
    2271,  2272,  2273,  2274,  2275,  2276,  2277,  2278,  2279,  2280,
    2281,  2282,  2283,  2284,  2285,  2286,  2287,  2288,  2289,  2290,
    2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,
    2301,  2302,  2303,  2304,  2305,  2306,  2307,  2308,  2309,  2310,
    2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,
    2321,  2322,  1852,  1851,  1881,  1918,  1919,  1920,  1921,  1856,
       0,     0,   303,  1250,     0,  1247,  1865,     0,  1374,     0,
    1876,     0,  1259,  1370,  1369,  1400,  1401,   936,  1368,  1427,
    1428,     0,     0,     0,     0,  1442,  1440,  1418,  1411,  1417,
       0,     0,  1415,     0,  1419,  1587,  1435,  1358,  1405,  1406,
    1409,  1357,     0,  1438,     0,  1330,  1436,  1410,  1317,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   768,     0,     0,     0,     0,     0,     0,  2139,   226,
    1216,     0,     0,     0,     0,   903,   902,     0,     0,   923,
       0,     0,     0,  1228,   426,     0,   300,     0,     0,     0,
       0,     0,     0,     0,     0,   671,   668,     0,     0,   667,
       0,   543,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     579,     0,  1085,     0,   612,     0,   985,     0,   984,     0,
       0,     0,   986,   981,   982,  2111,  2120,  2144,   228,  1002,
       0,  1001,   999,   958,   960,   959,     0,   962,   946,     0,
     947,     0,     0,   957,   965,   963,     0,     0,     0,     0,
    1993,   257,   270,     0,  1084,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   290,     0,   293,   292,     0,
       0,     0,     0,   297,     0,     0,     0,   296,     0,     0,
     510,   511,     0,     0,  1085,     0,   253,     0,     0,     0,
       0,     0,     0,  1015,     0,     0,   147,     0,   143,   146,
       0,     0,     0,     0,   495,   507,     0,   499,   500,   497,
     501,   502,     0,     0,     0,     0,     0,     0,   494,     0,
       0,   602,   601,   607,     0,     0,     0,     0,     0,     0,
       0,  1077,  1076,     0,     0,     0,     0,     0,     0,   712,
       0,     0,     0,     0,     0,     0,     0,   150,   615,   616,
       0,   617,     0,   148,   149,     0,     0,     0,     0,     0,
       0,     0,   204,  1176,  1182,  1245,  1882,  1244,     0,     0,
       0,   804,     0,     0,     0,     0,     0,     0,     0,   806,
     807,   808,   809,     0,     0,     0,     0,     0,   333,   334,
     122,   332,  1910,     0,   701,   674,     0,  1512,     0,  1508,
    1504,  1573,  1574,  1575,  1572,  1585,  1571,     0,  1518,  1576,
    1527,  1524,   687,     0,   689,   692,     0,  1195,   399,     0,
       0,   536,   579,     0,   384,   155,     0,     0,     0,     0,
     120,   166,   168,   382,     0,   167,   169,   171,   172,   173,
     170,   174,   599,   603,     0,   532,     0,     0,     0,     0,
       0,   625,   629,   628,   632,   630,     0,   626,     0,     0,
    1500,     0,   142,     0,   488,   491,     0,     0,     0,   384,
     468,   310,     0,   437,     0,     0,   920,     0,     0,     0,
       0,     0,     0,     0,  1344,     0,  1006,     0,  1223,  2014,
     303,     0,  1004,   160,  1903,     0,   745,     0,     0,     0,
       0,     0,  1008,   741,   152,     0,   303,   303,   535,     0,
     303,   154,     0,     0,     0,   527,   303,   765,  1300,     0,
     437,  1273,  1284,   842,   851,   850,   848,   847,   843,     0,
     862,     0,   436,     0,     0,     0,   876,   877,     0,     0,
     875,   892,   878,     0,   880,   872,   871,   881,   882,     0,
       0,   901,     0,  1327,     0,  1325,     0,  1489,  1329,  1318,
    1292,     0,  1291,  1295,  1297,  1296,  1294,     0,     0,   487,
       0,     0,   859,     0,     0,   303,  1168,     0,   819,   820,
     826,     0,     0,     0,     0,     0,   827,   823,   824,   825,
     828,   829,   830,     0,     0,     0,  1858,  1810,     0,  1811,
       0,     0,     0,  1846,  1842,     0,     0,     0,     0,     0,
       0,  1815,  1818,  1819,  1820,  1817,  1821,  1816,     0,     0,
    1822,     0,     0,     0,     0,     0,  1557,  1556,     0,     0,
       0,     0,     0,     0,     0,  1646,  1679,     0,     0,  1774,
       0,  1800,  1832,     0,     0,  1568,     0,     0,     0,     0,
       0,     0,     0,  1800,  1838,     0,     0,     0,     0,  1740,
       0,  1737,     0,     0,     0,     0,  1857,     0,     0,     0,
       0,  1894,  1588,  1605,  1868,     0,  1859,     0,     0,  1589,
    1612,     0,  1839,  1639,     0,  1644,  1627,     0,  1620,     0,
    1625,  1629,  1608,  1860,  1799,     0,  1797,     0,     0,  1606,
       0,  1601,  1599,  1600,  1593,  1594,  1595,  1596,  1597,  1598,
    1602,  1778,  1776,  1777,     0,     0,     0,  1624,  2007,  2042,
       0,  1390,  1390,  1390,  1378,  1388,  1867,     0,  1495,     0,
       0,     0,     0,  1757,     0,  1804,     0,  1802,  1884,  1873,
       0,     0,  1584,     0,  1487,  1853,     0,   771,   772,   770,
    1269,  1253,  1249,  1248,  1864,  1268,     0,  1377,     0,   934,
     935,     0,   939,  2204,  2108,     0,     0,     0,     0,  1420,
    1443,     0,  1434,     0,  1887,  1421,  1886,  1422,  1425,  1426,
    1416,  1444,  1439,  1362,  1361,     0,  1498,     0,     0,  1314,
    1307,  1492,     0,  1449,  1332,  1334,  1335,     0,  1857,   699,
     698,     0,     0,     0,  1113,  1038,  1089,   769,  1114,  1039,
    1090,  1115,  1040,  1217,     0,  1219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     650,  2014,   303,  1226,  1116,     0,  1041,   299,  1227,  1091,
    1231,   670,   669,     0,     0,  1092,     0,   544,     0,     0,
     549,   550,   551,     0,     0,     0,   552,     0,  1949,  2000,
       0,   557,   564,   569,   559,     0,   570,   565,     0,     0,
       0,     0,     0,     0,   576,   583,     0,     0,     0,     0,
       0,     0,   979,   980,  1117,  1044,     0,  1093,   961,  1527,
     945,     0,     0,   956,     0,   955,  1527,  1527,  1045,   156,
       0,   248,   258,   585,  1087,   276,   289,   284,   285,   283,
    2014,   303,  2014,   303,     0,     0,     0,     0,   286,   281,
     282,   278,   291,  1926,  1985,  2121,     0,   589,   591,     0,
     596,   294,  1059,     0,   311,   314,   295,   274,   277,   275,
     271,   256,     0,     0,     0,     0,     0,     0,  1880,     0,
       0,  1010,     0,     0,     0,   145,  1073,   135,     0,     0,
     131,     0,     0,     0,     0,   125,     0,  1123,  1049,     0,
       0,   250,   490,   498,   503,  1053,   506,  1103,   504,  1129,
    1050,  1085,     0,   246,     0,  1051,     0,  1097,  1125,  1075,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1234,
       0,     0,     0,     0,     0,   303,     0,     0,     0,  1087,
    2014,   303,  1124,     0,  1082,  1111,     0,   319,     0,  1074,
       0,     0,   252,  1055,  1105,     0,     0,   202,   201,   203,
       0,     0,     0,     0,     0,     0,     0,     0,   811,   780,
     810,     0,     0,     0,   774,   354,   328,   329,   331,   338,
       0,   700,     0,     0,  1509,  1505,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1525,   688,     0,     0,     0,
       0,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1196,  1224,
       0,   122,     0,     0,     0,   538,   578,   585,     0,     0,
       0,   383,   387,   391,   392,   393,     0,     0,     0,     0,
     136,   123,     0,   730,     0,   437,     0,   168,   161,     0,
       0,     0,   531,   685,   683,   682,   684,     0,     0,     0,
     705,   681,     0,  1499,  1501,     0,     0,     0,     0,   482,
     386,     0,   440,     0,     0,   472,     0,     0,     0,   310,
       0,     0,   950,     0,   968,   951,     0,     0,     0,   990,
     995,   991,   971,     0,   515,  1349,  1350,     0,   303,     0,
       0,   580,   303,   303,     0,   303,     0,   303,   303,     0,
    1151,   606,     0,   658,     0,     0,   303,   743,  1801,   863,
     439,     0,     0,     0,     0,   874,     0,   513,   879,     0,
     891,   886,   888,     0,   895,  1328,  1321,  1323,  1322,     0,
       0,  1319,  1807,   742,   480,     0,     0,     0,   303,     0,
     896,     0,   821,   822,     0,     0,   831,     0,     0,  1395,
    1808,  1809,     0,     0,     0,     0,  1843,     0,     0,  1715,
       0,  1691,  1693,  1526,  1705,     0,  1539,  1716,  1717,  1695,
    1697,     0,  1791,     0,     0,  1706,  1648,  1649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1661,  1660,  1707,  1773,     0,     0,  1830,  1831,  1708,
    1569,  1570,  1570,     0,     0,  1837,     0,     0,     0,  1713,
    1718,     0,     0,     0,     0,  1724,     0,  1745,     0,     0,
       0,  1671,  1801,  1561,  1562,     0,     0,     0,     0,     0,
       0,     0,     0,  1645,  1628,  1622,     0,  1626,  1630,     0,
       0,     0,     0,  1614,  1640,  1610,     0,     0,  1616,     0,
    1641,  1390,  1390,  1390,  1390,  1387,     0,     0,     0,     0,
       0,  1470,  1448,  1450,  1457,  1470,  1475,  1493,     0,  1874,
       0,  1430,  1399,  1399,     0,  1757,     0,  1680,     0,  1757,
       0,     0,   179,     0,   211,   198,     0,  1251,  1877,     0,
    1402,     0,  1792,   939,   937,   938,  1404,  1424,  1423,     0,
    1414,  1441,  1412,  1316,     0,  1314,  1309,     0,  1310,  1857,
       0,  1306,  1339,     0,     0,  1498,     0,  1338,  1112,  1037,
    1088,  1215,   906,   907,     0,   905,     0,     0,     0,   425,
     922,     0,     0,     0,   650,     0,     0,   429,     0,  1229,
       0,  1130,  1072,   546,   547,     0,   558,     0,   567,   566,
       0,     0,   554,     0,     0,     0,     0,   553,   572,   519,
     573,   575,     0,     0,   574,   577,   582,  1085,     0,   613,
    1061,     0,  1109,   973,     0,  1527,   948,   953,   954,     0,
       0,     0,   399,     0,     0,     0,   259,   269,     0,     0,
     273,     0,   267,   287,   279,   288,   280,   593,   594,   592,
     588,     0,   595,   597,   308,     0,     0,     0,  1119,  1085,
       0,   254,  1057,     0,  1107,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1120,  1094,     0,     0,
     128,   127,     0,   134,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   320,   305,     0,
     708,     0,     0,     0,   322,     0,     0,     0,     0,  1118,
    1046,   775,     0,     0,   776,   784,     0,     0,   777,     0,
       0,   786,     0,     0,   327,   335,  2066,  1781,  1782,   696,
     703,   693,   695,   697,   694,     0,   702,   650,     0,     0,
       0,  1510,     0,  1578,  1579,  1580,  1581,  1582,  1583,     0,
    1577,  1584,   690,   691,     0,  1215,  1214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   411,     0,
       0,   405,     0,     0,   995,   398,   401,   402,     0,     0,
     539,   542,   540,   541,   571,     0,   418,     0,     0,   138,
       0,     0,   139,   137,     0,     0,   310,     0,   164,   382,
       0,     0,   631,   634,   627,     0,   704,   706,   679,     0,
     585,     0,     0,  1301,   478,     0,   468,   464,   466,   465,
     467,     0,   474,   309,     0,   482,   474,     0,   923,   949,
       0,     0,     0,   988,   992,   989,     0,     0,   964,     0,
     972,   942,  1146,  1147,  1144,  1145,     0,     0,  1341,  1007,
       0,   303,  1005,   746,     0,   737,     0,   739,  1009,   303,
     303,   618,     0,   528,     0,     0,     0,   873,   893,     0,
     889,     0,     0,   856,   898,  1326,  1324,   481,   901,     0,
     857,   900,     0,     0,     0,     0,     0,  1812,  1545,     0,
    1845,  1841,     0,  1688,  1813,     0,  1825,  1824,  1647,  1826,
       0,  1666,     0,     0,  1658,  1656,  1657,  1650,  1651,  1652,
    1653,  1654,  1655,  1659,  1835,  1834,  1828,  1829,  1565,  1563,
       0,  1710,  1711,  1712,  1836,  1719,     0,  1940,  1746,  1723,
    1739,  1738,     0,     0,     0,  1726,     0,     0,  1735,     0,
    1775,  1551,  1584,  1590,     0,     0,  1613,  1840,  1631,     0,
       0,     0,  1609,     0,     0,     0,     0,  1618,  1791,     0,
       0,     0,     0,     0,     0,  1381,  1380,  1386,  1470,  1475,
    1364,     0,  1457,     0,  1469,  1455,  1468,     0,     0,  1481,
    1479,     0,  1481,     0,  1481,     0,  1452,     0,  1471,  1453,
    1468,     0,  1875,  1494,     0,  1432,     0,     0,  1398,     0,
    1757,  1687,  1760,  1755,  1756,  1805,  1681,  1892,     0,  1803,
    1757,     0,  1854,  1375,     0,  1403,  1413,  1965,  1496,  1315,
       0,     0,  1312,  1313,     0,     0,  1333,  1314,  1336,     0,
     912,   913,   911,   914,     0,     0,     0,   650,     0,     0,
     445,     0,   930,   930,     0,     0,   431,   477,   995,   653,
       0,     0,     0,   651,   303,  1042,     0,   568,     0,     0,
     563,   561,   560,   562,   520,  1128,  1043,     0,     0,     0,
       0,   974,     0,   966,  1060,     0,   396,     0,   264,  1086,
       0,     0,     0,   263,     0,   303,   303,   590,   312,   313,
     316,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   731,   714,     0,     0,   732,   733,     0,     0,     0,
    1012,  1013,  1011,   132,   129,   130,   133,  1070,  1054,  1104,
    1052,     0,  1098,  1067,  1063,     0,     0,     0,     0,     0,
    1127,  1081,  1102,  1126,  1079,  1100,  1078,  1099,  1080,  1101,
    1071,     0,  1503,   711,     0,     0,     0,   303,   303,   620,
    1056,  1106,     0,   778,     0,     0,   779,   781,   357,     0,
     360,   367,   339,   344,  1233,     0,  1233,     0,   341,   345,
    1233,   340,  1233,   337,   672,     0,     0,     0,  1506,  1511,
    1586,  1519,   649,     0,  1206,  1205,  1204,  1208,  1207,  1210,
    1209,  1201,  1200,  1213,  1212,  1199,  1198,  1203,  1202,     0,
     403,     0,   409,   413,   414,   412,   404,   995,   437,   476,
       0,     0,   662,     0,   537,   384,   415,     0,   388,   141,
     140,     0,     0,     0,   168,     0,     0,   636,   640,   680,
       0,  1502,   614,   310,     0,   384,   482,     0,   389,   394,
     395,     0,   472,     0,   468,     0,     0,   479,  1193,   483,
     484,     0,     0,   952,   969,   970,     0,     0,   995,   994,
       0,   522,   303,   581,   303,   303,  1152,   659,     0,   885,
     884,   883,   514,     0,   887,   303,     0,     0,     0,     0,
       0,   833,   812,   832,  1844,  1704,  1714,  1823,     0,     0,
    1667,     0,     0,  1709,  2214,     0,     0,     0,     0,  1743,
    1744,  1725,     0,  2057,  1730,     0,     0,     0,  1895,  1637,
    1635,  1632,     0,  1633,     0,     0,  1615,  1611,     0,  1617,
    1642,  1385,  1384,  1383,  1382,  1456,  1454,  1459,  1466,     0,
    1451,     0,  1480,  1476,     0,  1477,     0,     0,  1478,     0,
       0,  1466,     0,     0,     0,     0,  1751,  1757,  1757,  1682,
    1762,  1759,     0,  1684,  1584,     0,     0,  1308,  1311,     0,
    1340,  1331,  1221,     0,     0,     0,   427,     0,   995,     0,
       0,     0,   933,   933,     0,   995,   476,   655,   654,   657,
     652,   656,  1230,     0,   555,   556,  1062,     0,  1110,  1068,
     967,     0,   586,   260,   261,   262,   265,   305,   272,   266,
       0,  1058,     0,  1108,  1065,  1121,  1047,  1095,     0,     0,
     720,     0,     0,     0,     0,  1122,  1048,  1096,     0,     0,
       0,     0,  1239,     0,   304,   710,   709,   305,   321,  1083,
       0,   782,   783,   358,   122,     0,   336,     0,   365,     0,
     363,   362,   364,     0,   351,     0,     0,     0,     0,     0,
    1507,     0,  1026,  1026,     0,   650,  1211,     0,     0,   400,
     476,   444,     0,   406,     0,     0,     0,     0,     0,     0,
       0,   585,     0,     0,     0,   163,   384,   585,   635,     0,
       0,     0,   707,     0,   386,     0,  1299,   385,     0,     0,
     474,     0,   472,     0,   469,     0,   473,     0,  1186,     0,
       0,   993,     0,   997,     0,   963,   940,  1495,     0,   526,
    1027,   738,   740,   619,   890,   897,   303,   813,   814,   815,
     816,  1662,     0,     0,     0,     0,  1720,     0,  1721,  1748,
    1747,  1727,  1731,     0,  1728,  1729,  1634,  1638,  1636,  1619,
    1458,     0,     0,  1460,     0,     0,  1462,  1464,     0,     0,
       0,     0,     0,  1878,  1757,  1429,  1431,     0,  1365,  1685,
    1686,     0,  1399,  1757,   212,  1793,  1497,  1337,   891,     0,
     303,   930,   476,   446,  2066,   447,   929,     0,   931,   936,
     936,     0,   476,   650,   548,     0,   584,     0,   307,   315,
       0,     0,     0,   727,   715,     0,     0,   734,  1064,     0,
       0,     0,     0,     0,   303,   785,   338,     0,   361,   370,
       0,   368,   342,   347,     0,   349,   348,   343,   346,  1026,
       0,  1023,  1022,   648,     0,   435,   407,     0,   455,     0,
       0,   663,     0,     0,     0,   424,   423,   420,   419,   421,
     422,   417,   416,   610,   724,   310,  1193,   598,   637,   638,
     633,     0,     0,     0,   468,   464,   390,   399,   373,     0,
     474,   470,   471,     0,     0,     0,  1241,     0,   924,   996,
       0,     0,     0,   521,     0,     0,   525,   516,   858,  1663,
       0,  1664,     0,     0,     0,  1733,  1732,     0,  1467,  1483,
       0,  1463,  1461,  1472,     0,  1474,  1750,  1752,     0,     0,
    1765,  1683,   908,     0,   909,   933,   450,     0,   932,   939,
     939,   437,   650,   428,  1069,   587,     0,   268,  1066,     0,
     718,     0,   729,   727,     0,     0,  1235,     0,  1236,  1237,
    1240,   323,   326,   356,   366,     0,   350,  1021,  1025,  1024,
       0,     0,   408,   441,   442,   443,     0,   410,   451,   452,
       0,   660,     0,   665,     0,     0,     0,     0,     0,  1187,
       0,     0,  1188,   472,   468,   397,   463,   371,     0,  1190,
       0,   310,     0,   995,   998,  1150,   524,   523,  1665,  1736,
    1722,  1749,  1734,  1465,     0,  1473,     0,     0,  1761,     0,
       0,     0,     0,   936,     0,   650,     0,   927,   926,   444,
     430,   306,     0,     0,   725,   728,   716,   729,   736,   735,
       0,   369,     0,   434,     0,     0,     0,   453,     0,   454,
     475,     0,   664,     0,   585,   723,     0,     0,   639,     0,
     474,   472,  1191,  1192,   474,   925,   941,  1149,  1148,  1377,
    1482,  1753,  1754,  2176,  1965,  2150,     0,  1763,  1766,  1764,
    1758,   303,   939,     0,   432,   448,   455,     0,     0,   717,
    1238,   640,   460,     0,   459,     0,   457,   456,   661,   666,
     611,   713,  1189,   643,   374,   474,  1495,  1132,  1377,  1131,
    1133,  1141,  1138,  1140,  1139,  1137,     0,  1770,  1769,  1768,
    1772,  1771,   910,   928,     0,   650,   719,   726,     0,   458,
     462,   461,   645,     0,   641,   644,   646,   647,   372,   915,
       0,  1142,  1136,  1364,  1351,     0,   449,   433,     0,   621,
       0,  1134,  1377,  1767,     0,   642,  1135,     0,   643,     0,
     622
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3853, -3853, -3853,  2957, -3853,  -789,    65,  2347,  -654, -3853,
   -3853, -3853,   986, -3853, -3853, -3853, -3853, -3853, -3853, -3853,
    2933, -3853, -3853,  1538, -2070, -3853, -3853,   107, -1087,   899,
    2547,  1230, -3853,  -943, -3853, -3853,  -482,   106,   602, -3853,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853,  -718,  1698,  1075,
     442, -2678, -3853, -1190, -2753, -3853,   505, -3853, -3853,  1636,
   -3853, -3853, -3853,   936,   434,  -449, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853,  -279, -3853, -3853,  -576,   143,    39, -2060,
    -324, -3853, -3853,   373,  -326, -1077, -3853, -3039, -3853,   -38,
   -3853, -3853, -3853,  -306, -1169,  1172, -3853,  -597,  -954,  1469,
    -627, -3853,  -195, -3853,  -681,  -572,  -566,  -632,  -469, -3219,
   -3615, -3235, -3645,  1194,   144, -3853, -2699,   147, -3853, -3853,
     148,   151, -3853, -3853, -1286, -1203, -3853,  -749, -3853, -3853,
   -3853, -2516, -3853, -3853, -3853, -3853,   121, -3853, -3853, -3853,
   -3853,   412, -3853, -3853, -3853, -3853, -3853, -3853, -2338,  1610,
    1611, -3853, -3853, -2661, -3853,  -754, -3853,   552, -2523,  1102,
   -3853, -3853, -3853,  2306, -3853, -3853, -3853, -3853, -3853, -3853,
   -1355, -3853, -3853,   152, -3853,  1618,   911, -3853, -3853, -3853,
    -656,  -721,  -708, -3853, -3001, -3853, -3853, -3853, -3853,  -257,
   -3853, -3853, -3853, -3853, -3853, -3853,  -831, -3853,   978, -2657,
    -791, -3853, -3853,   992, -3853, -3853, -3853, -3853, -3853,  -610,
    -188,  2343, -3853,  -495,  -575, -3853, -3853, -3853,  -183, -3853,
   -3853, -3853, -3853, -3853, -3853,  -908,   319, -1342, -3853, -3853,
   -3853, -3853, -2015, -3853, -3853, -3853, -1772, -3853,  3750,  2014,
    1468,   154, -3853,   -26,    71,  2789,  -958, -2215,   368,  -327,
   -3853, -1497, -3853, -3853, -3853, -2146, -3853, -3853, -3853, -3853,
   -2983,   156, -3853, -3853, -3853,   415, -3853, -3788, -3420, -3707,
   -3852, -2964, -3853, -3853,  -911, -3853, -3853, -3853, -1150,  1833,
   -1221, -3853, -1844,   414, -3247,  -603, -2791, -3853, -3117,  -424,
   -3853, -3853, -3853, -3853, -3853, -3853, -3853,  -906,  -528, -3853,
   -3853,  3229, -3853, -3698, -3853, -3853, -3853, -3853,  1088, -3853,
   -1209,  1070, -3853, -3853, -3853, -3853, -3853,  -586,  -666, -3853,
   -3853, -3853,   157, -3853, -3853, -3853, -3853,  1986,  -763,  -624,
    3103,   158,  -389, -3853, -3853, -3853, -3853, -2605, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -1794, -3853, -3853, -3853, -3853,
   -3853, -3853, -3853,  1996,  1998,    66,   -23, -3853, -3853, -1055,
   -3853,  -473, -3853,  2295, -3853, -3853, -3853, -3853,  1335,   159,
     451, -3853,     3, -3853, -3853,   252, -2920,     4, -3853, -3853,
   -3853, -3853,  1967,     5, -3853,   711, -3853, -3853, -2383, -3853,
     160,    22, -3853, -3853,     1,     0,   -33,   -36,   -32,     2,
    3107,  2669, -3853, -3853, -3853,   -22,  1597, -3853,  -709,  -162,
   -3853,  1343,  -539,  1969,  2666,  2636, -3853,  1338,  2009, -1670,
   -1678, -3853, -3853, -3853,  -533,  1982, -3853,  2663, -3853, -3853,
   -3853,  1328,  1337, -2868,   794, -2912, -2858,   328,   315, -1184,
    -254,    37,  3140,  2672,   800, -3838,   756, -3853, -2898, -1946,
    -663,  1742, -1347, -3853, -3853,  -942,  9741, -3853, -3853, -3853,
   10952, 11382, -3853, -3853, 12314, 12348, -3853,  -844,   855, 12461,
    4848, -1011, -1615,  -498, 10087, -1816, -1002, -2295, -3853, -3853,
   -3853,  -212,   864,   504, -3853, -3853, -3853, -3853,  -464, -2359,
    -463, -3853, -3853, -3853,  -467, -3216, -1246, -3853,  -148, -3853,
   11665,  1394, -3853,  -917, -2312, -2321,  -963, -1491, -3853, -3853,
   -3853, -3853, -3853, -3853, -3853, -1454, -2802,  -304,  1462, -3853,
   -3853,  1557, -3853, -3853, -3853, -1075,  -725, -2212,  1472, -1690,
   -3853,  -712,   782,  2195,  -668,   104, -1076,  9006,  -425, -1906,
   -1044, -1288, -3853,  -130, -3853,    28,   -10,  -128,  -519,    11,
    3190,  4400,  -540, -1120,  6404, 10023, 10944, -2646
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    49,    50,    51,    52,  1206,  2135,  2008,  2810,  2811,
      53,    54,  1282,    55,    56,    57,    58,    59,    60,    61,
    1222,    62,    63,   885,  1430,  2145,    64,  1869,   688,   689,
    1705,  1706,  2073,  1707,  1695,  1121,  1516,  1241,  1208,  1242,
      66,    67,  1115,  1686,    68,    69,    70,  1266,  1267,  1216,
    1469,  3682,  4257,  1987,  2847,  2643,  2644,    71,  1328,  1329,
      72,    73,  2758,  1368,  2100,  3264,  3265,  3713,   521,  2097,
    3974,  3975,  3699,  3700,  3981,  4150,  4151,  2146,  1426,  2841,
    3356,  2801,  3777,  2802,  3778,  2803,  3779,  2789,  3315,  3316,
    3317,  2804,  3756,  4181,  2805,  1884,  4282,  2180,  1538,  1536,
    4168,  3579,  3580,  4335,  4287,  4288,  4289,  4406,  3784,  2845,
    3362,  3787,  4003,  2540,   604,  1450,  2279,   605,  2182,   552,
     606,  2147,    79,  2174,  1302,  1303,  2016,  3269,  2898,    80,
     904,  3138,  4049,  4216,  4217,    81,   205,    82,  1434,    83,
      84,  2131,  2795,    85,  1901,  2557,    86,    87,  2584,  2585,
    2586,    88,    89,  3162,  3931,  1268,  2636,  2637,  2638,  2639,
    3182,    90,  1432,  1308,  2154,    91,    92,    93,    94,    95,
    2060,    96,    97,  2148,  1442,  2166,  2167,  3768,  4019,  4190,
    4021,  4443,  4444,  3995,  3117,  3593,    99,   100,  3751,  3752,
    4294,   101,  1899,   102,   103,   104,  1410,  2123,  2124,  3270,
    1192,  1371,  2103,  2104,  3345,  3346,   105,  2718,   106,  3641,
    3642,   553,  4297,  4262,  4346,   107,   108,  3645,  3646,   109,
     110,   111,   112,   113,   598,   950,   951,  1198,   114,  1802,
     115,   858,  2749,   116,  1015,  2304,  3822,   117,   629,   964,
     965,  2149,   119,   638,  2282,   640,  1551,  2900,  2901,  3413,
    2250,   773,   120,   121,  2261,  2285,   122,  1209,  1875,  1876,
    3574,  2150,   554,  1456,  2185,  2535,  4207,  3581,  3912,  4119,
    2472,  3076,   124,   555,  1246,  1949,  2188,  2853,  2854,  1951,
    2444,  3377,  1953,  2855,  2860,  2861,  2862,  3373,  3381,  4043,
    4044,   125,  1244,  1942,   126,   127,   128,  1279,   797,   129,
     566,   567,   130,  4161,   131,   916,   132,   657,  1565,   133,
    1965,  3168,   134,   135,   136,  4419,  4450,  4451,  4452,  3386,
    4379,   137,  4421,   994,   139,   140,   141,   176,   824,   825,
     826,  2151,  4038,   143,   144,  2127,  2788,  3297,   145,   146,
    1870,  2525,   147,   148,   149,  1414,   150,   151,   152,   153,
    1347,   154,  1150,  1151,   155,   156,   516,   705,  1154,  1162,
     157,   608,   958,   959,   960,  1518,   158,   997,  2272,   609,
     953,   160,   610,  2499,  3087,  3088,  3091,   611,  2496,   163,
    1557,  2266,  2269,   612,  2503,  2504,  2505,  2506,  2507,  3093,
     613,   631,   907,  2193,   614,  1087,   168,   169,   170,   714,
     709,   710,   172,  1680,  2434,   646,  1169,   676,   722,  3538,
    1815,  1816,  1840,  1841,  1178,  1179,  1828,  1832,  1833,  2485,
    2478,  1821,  3535,  3886,  1836,  1837,  1181,  1182,  1183,  1845,
     173,  2438,  3042,  3043,  3044,  3514,  3515,  3529,  3525,  3873,
    4086,  3045,   992,  1189,  3046,  3051,  3085,  2832,  2833,  2834,
    1954,  2110,  1395,  1088,  1396,  2121,  1089,  1601,  1398,  1090,
    1091,  1092,  1401,  1093,  1094,  1095,  1096,  1584,  1643,  1097,
    1098,  1620,  2118,  2119,  1507,  2344,  1100,  1101,  3478,  3846,
    3835,  2370,  2371,  1702,  3474,  2993,  4098,  4236,  4237,  3546,
    3543,  3890,  4102,  4331,  4387,  4388,  1102,  2424,  1673,   799,
    1103,  3272,  1675,  2364,  2446,  2447,  1854,  1582,  2310,  2328,
    2329,  2341,  2954,  2348,  2353,  2977,  2978,  2365,  2393,  1104,
    2313,  2314,  2937,  1586,  1105,  1144,  1145,  1579,  2388,  1157,
    1158,   707,  1106,  1107,  1552,   698,  4082,   511,   763,  2657,
    1793,   828,   643,  1108,  1109,  1110,  1111,   925,   926,  1273,
     512,   757,   777,  2640,   513,   514,   759,  1798
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     167,   166,   171,   161,   162,   164,   568,   723,   668,   881,
    1116,   522,  1475,  1284,   644,   713,  1184,  1515,  1190,  1479,
     167,   700,   171,  1794,  1952,   910,  1485,  1333,  1535,   510,
    2381,  1193,   633,  1560,  1272,  1508,   559,   633,   984,   985,
     986,  1883,  2107,   798,   990,  1970,  2251,   755,   712,   632,
    1424,   551,  1572,  1307,   632,   932,   774,  1622,  2075,   776,
    1444,  1130,  1345,   961,  2120,   802,   935,  3144,  2918,  3380,
    1799,  1370,  2818,  1983,  2800,   816,   947,  1794,  1412,   697,
    2754,  1962,  1417,   908,  3057,  1809,   607,  1421,  1301,  2309,
    2171,  1312,  2659,   639,  1427,  1950,  3366,  1595,  1596,  2028,
    1338,  2037,  2715,   867,  1446,   669,    65,  2603,  2605,  3555,
    3177,  1812,  3179,  3586,  3274,  2904,  1611,  2464,  1799,  3092,
    3054,  3293,  1466,  3616,  3576,  2041,  2042,  3052,  3053,   955,
    3798,  3790,  3274,   717,  3528,   725,  3324,  3782,   597,   726,
    3354,   910,  3047,    74,    75,  2222,   687,    76,    77,   918,
    1938,    78,    98,  1861,   118,  2490,   123,   138,   142,   159,
     165,  2487,  2175,  3913,  3001,  3559, -1560,  4030,  2186,  1638,
    1243,   724,  3511,  1961,  1835,  3456, -2001,  3298,  3299,  3300,
    3301,  3302,  3303,  1177,  1588,  1589,  1443,  3526, -2035,  1180,
   -2056, -1560, -1555,   615,  1800,   560,  1641,  3749, -2081,  1123,
    3047,  1394,  2321,  1648,   564,  2048,  4120,  2958,   564,  4212,
    1608,  1517,  1889,  1210,   520,  2053,  2168,  1964,   820, -1560,
    1219,  3371,  1467,  2935,  3920,  1467,     3,     4,  1651,   564,
    4261,  2813, -1910, -1911,  1011,   809,  -359,  1971, -2228, -1527,
   -1910, -1911, -1540,  4175,  2386, -1555, -2228,  3145, -1567,   564,
     564,  3283,  4208,   564,   564,  2905,  2756,  2386,  1653, -1425,
   -1352,  2403,  1964,  1366,   564,  2178,  2243,  4249,  4250,  2648,
    2035,  4123, -1779,  3358,  4377,  2916,  3714,  4214,  1891, -1779,
    2421, -1937,  1342,   564, -1885,   720,  1877,  2422,  4440,  2125,
     615,  4176,   782,   981,  3745,  4162,  3097,  2322,  4177,  3666,
     806,   564,  2875,   966,  2877,   615,  1120,   821,   818,  3284,
     674,   564, -2004,  1167, -1570,  1211,   703,  1360,  1467,  2469,
    4005,   615,  1220,   988,  2262,  4178,  2909,   621,  1317, -1570,
    3286,  -122,  2001,  1559,   970,  1269,  -122,  1648,  3911,   621,
     615,   621,  2260, -1352,  3986,  2143,  4343,   622,   822,   621,
    1147,   615,  1148,    33, -2055,  4166,  1617,  1879,  1648,   622,
   -1355,   622,  1639,  2323,  2070,  2958,  1318,  1345,  2346,   622,
   -1795,   874,  2169,   875,  1880,  1618,  2071, -1795,  2005,  1696,
    1477,  1622,  2346,  1651,  1708,  1708,  2404,  1683,  2958,   798,
    2405,  3987,  1653,   862,  2002,  2910,  4179,   823,  2470,  3724,
    2072,   989,  2115,   675,  1408,  4344,  1168,   876,   910,  3727,
    1892,   883,  2566,  1653,  1486,  1801, -1352,  4200,  2144,  2958,
     910,  2324,   893,  2115,  2325,  4441,  4006,  4215,  2406,  3746,
    2427,  2244,   621,  1343,  2737,   798,  4378,  1595,  1596,   913,
    1615,  2263,   561, -1355,  2082,  1611,   982,  1964,  2906,   923,
    3667,  2179,   622,  2649,  2086,  2284,  1982,  1212,  3145,  1964,
    2245,  4277,  2757,   621,  2246,  3536,  1503,  4246,  2252,  1553,
    2254,  3916,  1468,  2257,   910,  1468,   565,  4252,  1926,  1562,
     785,  4392,  3056,   622,  1964,  1964,  1932,  1893,  1648,  1519,
    1213,  2437,  1573,  1890,  2312,  2551,  3569,   760,   762,  2031,
    3921,   766,  1881,   768,  2306,  3973,  2588,  1924,   859,  2024,
    1972,  2026,  1648,  1651,  2326,  1278, -1355,  1319,   989,  1214,
    2170,   813,  1973,   562,  4375,   563,  2956,  2957,  1559,  3629,
    2384,  2972,  1576,  1588,  1589,  2054,  3372,  1651,  4333,  2105,
    3274,  2014,  1608,  1653,  2017,  2018,  2960,  2407,  1344,  1583,
    1556,  2036,  2049,  2387,  2033,   909,   568,  1996,  2078,   989,
   -2055,  4180, -1352,  1185,  1799,  4032,  3021,  1653,  1468,  1642,
     713,  3007,  3008,  1974,  1583,  2346,  3906,  1215,  4449,  1221,
    2239,  2074, -1779,  3763,   962,   910,  1409,  2098,  2099,  1149,
    2423,  3318, -1560,   910,   910,   704,  2226,  3528,  1882,  2107,
   -2229,    48,   167,   712,   171,  1320,  1505,  2083,  1799,  1477,
   -2001,  2327,  2345,  2607,  3281,  2000,  2264, -1560, -1555,  1672,
     827, -2055, -2035,  2970, -2056,   860,  2368,   963,  3110,   968,
    4000,   972, -2081,  2247,  2265,  3827, -2055,   976,   857,   995,
     954,  1941,  2258,  1690,   632,  1846,   632,  3901,   632,  3870,
    3865,  1847,   979,  3874,   632,   977,   978, -1352, -1910, -1911,
    1012,  2305, -1355,  2308, -2228,  1594,  3789,  1113,  1600,   957,
    1122,   909,  1124,  2316, -1567,  1644,  1681,  2320,   725,  2451,
   -1795,  4046,   726,   991,  1409,  2332,  2333,  2079,  4370,  3772,
    3723,  4245, -1352, -2229, -1352,  2838,  3541,   798,  2350,  2352,
    1349,  1142,  3412,   627,   628,  1143,  1559,  1617,  1142,  2366,
   -1885,  1355,  1143,  2589,   724, -1937,   167,   166,   171,   161,
     162,   164,  1617,  3071,  1205,  3251,  1618,  2682,  3254,  3255,
    2602,  2738,  3258,  1477,   627,   628,  2654,   991,  3261,  3549,
    1619,  1618,  1794,  2907,  3047,  3047, -2004,  3338,  3218,  -122,
    -122,  2128,  2003,  1270,  1271,  1621,  4415, -1355,  3157,  2111,
    3158,  1002,  2336,  2337,   627,   628,  1188,  1132,  2552,  1020,
    1152,  1457,  2958,  3607,  3631,  3094,  2965,  2966,  2967,  2968,
    2969,  2970,  1117,  1219,  1555,  2655,  1119,   771,  2111,  4354,
    1127,  4112, -1355,  1467, -1355,  4198,  1678,  4283,  4122,  3079,
    1140,  2967,  2968,  2969,  2970,   727,  2487,  3140,  2197,  1225,
     564,   632,   872,   920,  1353,  1886,  3582,  2497,  2517,  2479,
    2564,  1166,    65,  3638,   564,  2112,   534,  1435,  1819,   718,
    2965,  2966,  2967,  2968,  2969,  2970,  2425,  3064,  3774,  3256,
    3257,  1692,  1269,   564,  4402,   865,  2138,   615,   564,   868,
    3319,  1493,   515,  1938,  2112,  2181,  4225,  2277,  -766,    74,
      75,  1933,  2645,    76,    77,  1436,   891,    78,    98,  1207,
     118,  3801,   123,   138,   142,   159,   165,  3562,    38,  2255,
    2256,   728,  2612,  2113,   536,  1220,  2114,   719,  1275,  1494,
     788,   789,   790,  4428,   791,   792,   793,   794,   795,   796,
    3304,  1669,  1670,  1671,  1672, -1527,  2579,  2914,    42,  4284,
    2162,  1639,  2113,  2087,  2178,  2114,  3271,  1820,  1967,  4278,
    2792,  3639,  2592,  1667,  1668,  1669,  1670,  1671,  1672,  3330,
    3619,  3198,   664,   720,  3271,  1477,  2908,  1891,   909,   694,
    2248,  1693,   517,  3307,  1877,  1934,    46,  3617,   564,  2139,
     909,   653,  4140,  2960,   720,  4080,  2211,  2203,    47,  2426,
    1878,  2538,   167,  4313,   171,  4307,  1952,  1197,  2214,  1968,
    2088,   961,  2028,  1133,  4285,  4303,  2115,  1420, -1527,  2580,
    2221,  3382,  4090,  1558,  4092,  2382,  2163,  1521,   632,  1523,
    2667,  1525,    48,  1527,  4164,  1529,  1530,  1531,   645,  1448,
    1451,  1452,  1533,  4083,   909,  2115,  2593,  3380,  4087,  2790,
    3640,  4089,  2961,  2539,  3378,  1879,  1437,   720,  1460,  4429,
    4023,   543,  1581,   544,  3775,  1459,  4403,  1384,   654,  3643,
    3141,    38,  1880,  3199,  1134,  2526,  4226,  2231,   772,   651,
    1495,  1679,  1598,  1468,  2915,  2748,  1425,  2198,  1556,  1007,
    3304,  1694,  4141,   713,  1648,  4279,  3305,  3383,  4355,  3210,
    1247,    42,  2668,   873,   921,  1354,  3306,   901,  1461,  3620,
     721,  2565,  1625,  2116,   729,  3998,  3331,  4026,  1640,  1651,
    3311,  2793,  2089,  3821,  2339,  4371,  1636,  3133,  1645,   652,
    2466,  1117,  3932,  3307,  4404,  3308,  2346,  2346,  1682,    46,
    4016,  2346,  2116,  1563,  1438,  1276,  1277,  2527, -1882,  1653,
    3059,    47,  2669,  3060,  1117,   909,  3312,  4405,  1698,  1699,
    2090,  2117,  4253,   909,   909,  3134,  4243,  3644,  1496,  2583,
    3313,  1805,   798,  1813,  1814,  4414,  1818,   726,   726,  4416,
     726,  2346,  2346,  3439,   820,  2498,  3444,  3445,  3446,  3447,
    3448,  3449,  3450,  3451,  3452,  3453,   632,  1462,  4305,  2794,
    1881,   632,   632,  2670,  1173,  2249,  2164,  4426,  3309,   724,
     724,  3621,   724,  2895,  3622,  3200,  2491,  1365,  2775,  2165,
    4448,  3889,  3900,  2965,  2966,  2967,  2968,  2969,  2970,  2579,
    3384,  3893,  3163,  4234,  4094,  1290,  4376,  3060,  1422,  1423,
     655,   656,  3829,  2061,  3830,  3493,  3494,  1463,  3201,  1439,
    1322,  2019,  3314,  2709,  3991,  3549,  1323,  3570,  1454,  3883,
    4231,  1822,  3047,  1188,   902,  3310,  3047,  3892,  2700,  1440,
    3311,   518,  1175,   821,  2701,  1656,  1657,  3202,  3693,  4463,
    2611,  1291,  3992,  1712,  3696,  3697,  3411,  2991,  1481,  1483,
    3385,  4340,  3518,  2998,  2671,   632,  1882,  3155,  1823,  4128,
    1270,  1271,  2580,   632,  2607,  1982,  3312,  2683,   673,  1176,
    4203,  2091,  3815,  2624,   822,  2686,  3135,  2688,  4204,   903,
    3313,  1660,  -578,  4129,  3412,  4337,  4338,  1464,  1142,  4144,
    2872,  1849,  1143, -1527,  3274,  2681,  2032,  2873,   977,   978,
    2613,  2142,   564,   695, -1527,  2878,  1594, -1527,  1197,  1281,
   -1527,  2759,  1324,   621,  2579,   174,  2693,  2061,   632,  1292,
    3519,   632,   632,   823,  2625,  1260,  2823,  2824,  2825,  2826,
    2702,   564,  3831,   622,  4394,  2195,   798,  2020,  2831,  2021,
    2345,  2345,  3271,  1919,  2201,  2345,  2034,  2732,  3520,  2204,
    4183,  1825,  3518,  1958,  2675,   175,  4187,  2672,  2101,  2092,
    1975,  1281,  3314,  3521,  3136,  2673,  2780,  1293,  2674,  1294,
    1129,  3164,  2061,   670,  1441,  3522,  2394,  1287,  2395,  2027,
    1952,  1491,  3571,  2570,   632,  2345,  2345,  2580,  1207,  1822,
    2010,  1207,  1506,  2013,  2933,   820,  3165,  1885,  3523,  3408,
    3729,  2396,  1826,  3771,  2868,  3067,  3568,  1296,   706,  2675,
    1288,  3572,  2583,   774,  2706,  2781,  2581,  4084,  1260,  1020,
    3519,  2152,  2958,  4033,  1886,  2047,  1823,  1304,  4433,  3731,
    3573,  4205,  4298,  1283,  4457,  4034,  1207,  -144,  2609,  2065,
    1207,  3427,  2522,  2985,  2626,  2766,  1298,  2707,  3520,  2582,
    2726,  3156,  2077,  3105,  1325,  1173,  1323,   174,  1173,  1174,
    1305,  1895,  -144,  3521,   798,  1667,  1668,  1669,  1670,  1671,
    1672,  1896,  2703,  3524,  3010,  3522,  2708,  1824,  1700,  2028,
     174,  1300,  3219,  4139,   821,  1332,  2534,  1326,  3804,  -144,
    3805,  3742,  2140,  2782,  2783,  2627,  2397,   175,  3523,  4009,
    3437,  2398,  2710,  2068,  2897,  2704,  2399,  2784,  1871,  1638,
     167,  2172,   171,  1684,  -144,  2538,  1327,  1701,  1872,  1825,
     175,  2466,  3380,  1175,  3457,   822,  1175,   715,  4099,  4100,
    3402,  2711,  4213,  1873,  2705,  1205,  2069,  2583,  -923,  4010,
     601,   730,  2233,  2712,  2234,  2281,  2235,  4085,  2236,  3743,
    2237,  2173,  1324,  2785,  2238,  1306,  1887,  2183,  4374,    14,
    1176,   167,  2276,   171,  2273,  2274,  2275,  3113,  1647,   534,
    1826,  1648,  2713,  3524,   823,  1685,  3047,   957,  1978,  2665,
    1500,  3047,  2959,  1409,  3047,  3116,  2849,  1205,  4035,  2330,
    4188,    19,  1194,  2267,  1606,  1607,  1651,  4329,  1202,  3917,
    1501,  4056,  1652,  2960,  4255, -1398,  2191,  2192,  2912, -1398,
    1897,  3744,  1020,  2230,  3582,  2958,  3519,  1990,  4189,   716,
    2318,  2319,   615,  4330,  2400,  1195,  1653,   536,  2331,     3,
       4,  1203,  2334,  2335,  2401,    33,  2043,  2044,  2045,  2046,
    2786,  2280,  2787,  1898,  3520,  1510,  1125,  2356,  1511,  2357,
     910,  1117,  1117,  3359,  1196,  2392,  3363,  2125,  1984,  3876,
    1204,  3918,  2961,  1617,  3132,  2775,  1874,  1688,  3849,  3850,
    2379,  3522,  2380, -1398,  2488,  2489,  3721,  2084,  2085,  3971,
    3972,  2019,  1618,  2094,   910,  3589,   601,  2452,  4108,  3012,
    4110,  3013,  3924,  3925,  4015,  4008,  1619,  1020,  2303,  4317,
    2958,   765,  -382,  4410,  1708,    14,  1985,  1986,  2864,  1020,
   -1398,  3589,  2958,  2346,  3014,  4025,  2346,  2346,  2346,  2346,
    2346,  2346,  2346,  2346,  2346,  2346,  4280,  2122,  1313,  3484,
    2514,  1655,  1142,  1205,   534,  2518,  1143,    19,  2521,  3668,
    1982,  3440,  2886,  3441,  4241,  3582,  2346,   877,    30,   878,
    1199,  3684,  1656,  1657,  2157,  2158,  2159,  2160,  3590,  3669,
    2544,  1314,  1976,   798,   543,  1315,   544,  3124,   783,  3524,
    3186,  3685,  2558,  1964,    38,  2346,  2346,  1803,   767,   774,
    1804,  1969,  2435,  1200,  3590,  3187,   894,   784,  1285,  1425,
    1316,  2449,   536,  3047, -1420, -1420,  2960,  3604,  1660,  -486,
    1330,  2594,  1334,  1806,    42,  -382,  1807,  2020,  2216,  2021,
     811,  1661,  1201,  3591,  3015,  3592,   895,  2220,  3407,  3016,
    2025,   819,  2228,  1855,  2227,  2229,  3062,  3587,  2608,  2962,
    2963,  2964,  3146,  2965,  2966,  2967,  2968,  2969,  2970,  3591,
    2240,  3592,    46,  2241,  1617,   896,  2528,   861,  2531,   167,
    2500,   864,  2641,  3195,    47,  2961,  1856,  1984,  2486,  2486,
    3167,  3442,    38,  1618,  1142,    38, -1885,  3848,  1143,  3149,
    1152,  3443,  2242,  3342,  3470,  2241,  1580,  1621,    48,  2666,
    3027,  2960,  3351,  2677,  2006,  1857,  3196,  2009,    48,   897,
    3074,  3075,    42,  2960,    30,    42,  3125,  3159,  1991,  2843,
    2844,  2689,  1594,   615,  1862,  1985,  1986,  2460,  2196,  2463,
    3983,  2698,  3985,   910,  2828,  3197,  3988,  2202,  3989,  2829,
      38,  2206, -1424, -1424,  2722,  1124,  2306,  2212,  2213,   543,
      46,   544,  2057,    46,  2729,  3191,  2064,  3017,  3608,  1982,
    2961,  2930,    47,   866,  3612,  2225,  2229,  3018,  1117,  1594,
      42,  1862,  2961,   869,   549,  4145,  2038,  2345,  2587,  3419,
    2345,  2345,  2345,  2345,  2345,  2345,  2345,  2345,  2345,  2345,
    3458,  3459,  2389,   894,  3618,  3623,    48,   882,  2270,    48,
    3632,  2271,  1667,  1668,  1669,  1670,  1671,  1672,    46,  2931,
    3468,   206,   602,  1984,  2932,  2465,   519,  3203,  2466,  3205,
      47,  3077,  3320,   895,   599,  3294,   615,  3102,  3103,  1594,
    2829,  1197,  4061,  3423,  2067,  2510,   910,  3582,  2271,  2345,
    2345,   671,  2306, -2229, -2229,   889,  2965,  2966,  2967,  2968,
    2969,  2970,  3340,  2600,   603,   630,  2601,  -485,  4077,  4078,
     630,  1985,  1986,   898,   632,  4057,  4058,  4059,  4060, -1423,
   -1423,  1984,   632,  3238,   632,  2984,  3491,  2986,  2987,  2661,
    2761,  2346,  2662,  2762,   899,  2645,  2776,  3630,   915,  2777,
    2889,  3464,   900,  2241,  3123,  1982,   897,  2750,  3252,   919,
    2632,  4417,    27,  3716,  3717,  2750,   967,   969,   971,  1566,
    1567,   973,   974,   975,   927,   928,  3271,  2653,  1250,  1985,
    1986,   980,  1020,  2590,  1251,  2958,  4184,  2962,  2963,  2964,
     933,  2965,  2966,  2967,  2968,  2969,  2970,  4391,   942,  2962,
    2963,  2964,  3485,  2965,  2966,  2967,  2968,  2969,  2970,   948,
    3422,  2902,  3847,  1982,  2372,  2929,   718,  2375,  2229,  2939,
    1984,   952,  2229,  3701,  1252,  2774,  2822,  1020, -1399,  1952,
    2958,   615, -1399, -1364,  3213,  2902,   983,  2921,  3584,  3585,
     987,  2943,    38,  2924,  2229, -1364,   998,  3854,  2947, -1364,
     993,  2229,  2948,  2656,  2850,  2229,  3424,   167,  2839,  2613,
     909,  2974,  2820,  3217,  2229,   996,  3780,  1647,  1985,  1986,
    1648,   999,    42,  1253,   719,  4461,  2990,  4462,  4209,  2229,
    1254,  2995,  3180,  1255,  2996,  3181,  3390,  1649,  1004,  3184,
    1984, -1364,  3185,  2775,   909,  1651, -1399,  1594,  3336,  1862,
    1984,  1652,  1982,  2560,  2561,  2562,    27,  3031,  3369,  3032,
      46,  3370,  2572, -1364,  2574,  1005,  2576,  2577,  2346,  2346,
    1006,  1007,    47,  2815,  2459,  1653,  4219,  3428,  3465,  1010,
    2229,  3466,   910, -1399,   910,  3033,  1256,  3034,  1985,  1986,
     798,   720,  3475,  1647,  3487,  3476,  1648,  2229,  1985,  1986,
   -1364,  3285,  3287,  3288,  3220,  3432,  4418,  3248, -1364,  4104,
    1008,   632,  3609,  1649,  3061,  3560,  2960,  3329,  3561,  3332,
    3564,  1651,  1982,  3565,  1163,  3438, -1352,  1652,  3588,  1345,
    3773,  2241,  1982,  2241,  1009,  2345,    38,  3048,  1013,  1014,
    3321,  1984,  3323,  1257,  1984,  1258,  1170,   910,  1172,  1984,
    3460,  1653,  1016,  3072,  3532,  1259,  1128,  1131,  3809,  3810,
    3811,  2960,  3853,  1260,  1135,  2271,    42,   527,  3875,  1136,
    3878,  2684,  1261,  3537,  3539,  2961,  1654,  1137,  3702,  3908,
    1655,  3914,  3909,  1153,  2241,  1160,  1559,  1141,   713,  1985,
    1986,  3915,  1985,  1986,  2241,  3048,  3976,  1985,  1986,  3977,
    4027,  1656,  1657,  4028,    46,  3375,  1161,   721,  4066,  1263,
    1163,  4067,  4068,  3098,  4076,  2229,    47,  2271,  1658,  3703,
    2961,  1636,  4126,  1982, -1364,  4127,  1982,  3418,  1164,  2742,
    4185,  1982,  1171,  2241,  1264,  2392,  1187,  2751,  1186,  3036,
    3037,  3038,  2752,  3704,  1659,  4210,   534,  1660,  4211,  1191,
      48, -1143,  1654, -1143,  3030,  3121,  1655,  1197,  3705,  1223,
    1661,  1520,  3706,  1662,  1522,  -917,  1524,  3041,  1526,  4221,
    1528,  1218,  2271,   909,  1532,  1249,  1245,  1656,  1657,  1280,
    4228,  3707,  1142,  2466,  3708,  1163,  1143,  1799,  4233,  1281,
    1020,  3349,  1265,  2958,  1658,   713,  3709,   167,  2276,   171,
    2273,  2274,  2275,  4235,   536,  4274,  3349,  1286,  4275,  3063,
    3855,   632,  2345,  2345,  1289,  4306,  4311,  2306,  1687,  4312,
    1659,  1278,  3689,  1660,  4159,  3041,  1309,  2840,   712,  3633,
    1321,  1331,  4318,  3078,  3078,  2271,  1661,  1663,  4319,  1662,
    1335,  2996,  2962,  2963,  2964,  2819,  2965,  2966,  2967,  2968,
    2969,  2970,  4320,  1340,  3188,  2229,  2874,  3852,  2876,  4323,
    4325,  1341,  2466,  3349,  3035,  3206,  1984,  4342,  4348,  4349,
    2271,  2271,  2271,  1346,  3710,  1350,   909,  4362,  3799,  3836,
    4363,  1348,  3711,  4380, -2140,  1352,  2466,  2962,  2963,  2964,
   -2142,  2965,  2966,  2967,  2968,  2969,  2970,  4459,  4470,  1356,
    4460,  4460,  1357,  1362,  1364,  1367,  4042,  1369,  1372,  1205,
    1413,  1416,  2346,  1663,  1985,  1986,  3712,  1409,  1418,  3959,
    3960,  2346,  3962,  1428,  1429,  -165,  1431,  1664,  1665,  1666,
    1433,  1667,  1668,  1669,  1670,  1671,  1672,  3249,  2346,  2346,
    1445,   543,  3072,   544,  2951,  1447,  1453,  1455,  1982,   192,
    1465,  1470,   546,  2928,  1471,  1472,  1473,  1474,  1476,  3183,
    3072,  1477,  1484,   548,  1487,  1488,  1425, -2140,  1489,  1490,
    1492,  1497,  2871, -2142,  2960,  1498,  1499,  1504,  1509,  1534,
    1561,  1568,  1577,  1578,  1564,  1570,  1571, -1531,  2880,  2881,
    3812,  3211,  2883, -1538,  1587,  1590,  1591,  1592,  2887,  1593,
    1597,  3761,    48,  1664,  1665,  1666,  1599,  1667,  1668,  1669,
    1670,  1671,  1672,  1602, -2140,  2455, -1528, -1529, -1532,  1603,
   -2142,  2456, -1530,  1604,  1605,  1610, -2140,  1612,  1613,  1614,
   -2140,  1615, -2142,  2961,  1616, -2140, -2142,  1623,  3240,  1624,
   -2140, -2142,  1626, -2140,  1627, -2140, -2142,  1628,  1629, -2142,
    1630, -2142,  1631,  1632,  1633,  1676,  1691,  2920,  1703,  1711,
    2750,  1811,  1687,  2750,  2750,  1174,  1176,  2750,  2667,  1842,
    1844,  1852, -2140,  2750,  1858,  1859,  1860,  1862, -2142,  1863,
    3273,  1864,  1865,  1894,  2806,  1921,  1866,  2061,  3980,  1867,
    1900,  1888,  1925,  1927, -2140,  1929,   774,  1928,  3273,  1930,
   -2142,  3410,  1931,  1956,  1964,  1957,  1966,  1976,  1977,  1979,
    1980,  1981,   909,  1982,   909,  1988,  1989,  1992,   632,  1993,
    1997,  3421,  1998,  2004,  2007,  3280,  3282,  2015,  2011,  2012,
    3289, -2140,  2022,  2023,  1260,  2050,   632, -2142,  4013, -2140,
    2668,  3759,  3760,  2029,  2030, -2142,  2346,  2039,  2040,  2051,
    3347,  2056,  2052,  2080,  2062,  2066,  2345,  1559,  2055,  2081,
    2093,  2095,  2096,  1583,  2108,  4069,  2106,  3333,  1594,  2109,
    1600,  2126,  2130,  2129,  2133,  2134,  3374,   909,   167,  3365,
     529,  2137,  2345,  2345,  2141,  2161, -2140,  3701,  1193,  3780,
    2669,  1647, -2142,  1306,  1648,  2156,  2176,   167,  3388,  4064,
    2962,  2963,  2964,  2177,  2965,  2966,  2967,  2968,  2969,  2970,
    2184,  1649,  2187,  2189,  3128,  2194,  3129,  3130,  3131,  1651,
    2190,  2205,  2207,  2208,  2209,  1652,  2210,  2223,  2224,  2253,
    2259,   645,  3325,  3326,  2268,  2278,  2807,   645,  2311,  3048,
    3048,  2670,  2283,  2317,  2354,  2312,  2355,  2367,  3335,  1653,
    2373,  1648,  2377,  2378,  2385, -2140,  2437,  2391,  2410,  2408,
    2457, -2142,  3343,  3923,  2450,  2454,  2453,  2458,   719,  2480,
    2481,  3352,  2495,  2511,  2482,  2512,  2467,  2513, -2140,  2524,
   -2140, -2140,  3982,   632, -2142,  3368, -2142, -2142,  2468,  2483,
    2509,  3937,  2529,  2534,  2543,  2532,  2536,  4095,  2548,  2537,
    2559,  2553,  2554,  2556,  2567,  2575,  2578,  3950,  2563,  2591,
    2596,  3048,  1125, -2140,  3119,  2598, -2140, -2140, -2140, -2142,
    4042,  1129, -2142, -2142, -2142,  3482,   713,  2652,  2663,  2647,
    2660,  2664,  2671,  2676,  2717,  4227,  2714,   713,  2735,  3501,
    3502,  3503,  3504,  2736,  3605,  4227,  2739,  2740,  2728,  2741,
    1654,  1117,  2743,  3967,  1655,  2744,  3895,  2745,  2747,  1636,
    2760,  2753,  2746,  4156,  2755,  2764,  4149,  2767,  3072,  3508,
    3510,  2808,  2769,  2770,  2778,  1656,  1657,  2768,  2771,  3547,
    2798,  2812,  2772,  2814,  2821,  2773,  2827,  2835,  2830,  2836,
    2345,  2837,  1658,  3170,  2846,  3172,  2848,  4270,  2851,  2863,
    2865,  2866,  2869,  2867,  2870,  2879,  2882,  2885,  2466,  2884,
    2809,  1647,  2891,  2892,  1648,  2893,  2903,  2284,  1659,  2911,
    2917,  1660,  1505,  2919,  2896,  2923,  2926,  2927,  3670,  2894,
    4220,  3673,  2922,   989,  1661,  2672,  2925,  1662,  2941,  1651,
    2942,  2944,  2945,  2673,  2992,  1652,  2674,  3011,  3056,  2229,
    2946,  3026,  3058, -1426,  2980,  -963,  3080,  3050,  3101,  3081,
    3086,  1902,  3006,  2949,  2950,  2952,  2955,  3084,  3104,  1653,
    3505,  3506,  3507,  3106,  2973,  2979,  2981,  2982,  2989,  3004,
    4223,  4001,  3005,  3019,  4324,  3055,  3029,  3237,  3090,  3115,
    3096,   910,  3107,  3244,  1903,  3118,  3127,  3120,  4259,  1559,
    3142,  3111,  4264,  4265,  3143,  3153,  3273,  1904,  3154,  3160,
    3208,  1663,  3161,  3169,  3112,  4146,  3171,  4107,  3209,  3212,
    1905,  3214,  3215,  3223,  3216,  3224,  3225,  3221,  3399,  3654,
    4276,  3400,  3655,  3222,  3656,  3228,  3226,  3227,  3229,  3764,
    3231,  3230,   641,   642,   632,  3232,  3233,   648,  3234,  3653,
    3236,  4260,   659,   665,   641,  3239,   672,  4263,  1906,   665,
     665,  4266,   699,  4268,   702,  3235,   632,  3243,  3245,  1907,
    1654,  3241,  2048,  2750,  1655,  3247,  3425,  3253,  3259,  2750,
    2750,  3260,  2101,  3275,  3263,  2115,  3279,  3278,  1908,  3290,
    3295,  3291,  3296,  1909,  3327,  1656,  1657,  3334,  3337,  3328,
    3339,  1664,  1665,  1666,  3341,  1667,  1668,  1669,  1670,  1671,
    1672,  3360,  1658,  3364,  2902,  2376,  3355,  3726,  3728,  3730,
    3732,  3348,  3349,  4447,  3367,   977,   978,  3387,  3357,  3394,
    3415,  3361,  3409,  3396,  3404,  3414,  3715,  3405,  1659,  3406,
    3389,  1660,  3416,  3417,  3392,  3393,  3426,  3395,  3431,  3397,
    3398,  1580,  4328,  2976,  1661,  3725,  2958,  2975,  3403,  3461,
    1910,  3477,  4149,  1641,  3462,  3463,  3489,  3556,  3596,  3534,
    4447,  3469,  3575,  3598,  3599,  3611,  3610,  3490,  4447,  3613,
    3624,  3498,  3637,  3634,  3649,  3635,  3531,  3791,  3636,  3554,
    3420,  1911,  3665,  4199,   167,  3788,  3540,   756,   761,   761,
     764,  3517,   761,  3615,   770,  3550,   756,  3551,   699,  3553,
    3647,   800,  4115,  3648,  3650,  3651,   699,  3048,   699,   192,
    3652,  3048,   761,  4240,   699,  3681,  3683,  3619,  3722,  3692,
    1559,  1663,  3686,  3694,  3695,  3739,   798,  3379,  1647,  3718,
    3719,  1648,  3750,  3720,  3747,  3757,  3823,  3748,  3755,  3766,
    3767,  4133,  1912, -2155,  3783,  3762,  2241,  3785,  1913,  3786,
    3238,  1914,  3769,  3797,  3770,  3800,  1651,   632,  3796,   910,
    3802,  3808,  1652,  3813,  3765,  3816,  3817,  3818,  3819,  3820,
    3825,  3828,  3600,  3601,  3602,  3603,  3832,  1915,  3837,  3833,
    3838,  3839,  3869,  1916,  3840,  3871,  1653,  3845,  1559,  3841,
    3867,  3872,  1559,  1559,  3879,  3882,  1917,  3884,  3885,  3887,
    3896,  3888,  3899,  3903,  3905,  3910,  4436,  3911,  3919,  2856,
    3940,  1664,  1665,  1666,  3930,  1667,  1668,  1669,  1670,  1671,
    1672,  1918,  3933,  1679,  3934,  3951, -2155,  3945,  1226,  3954,
    3958,  3963,  3970,  3990,  3993,  3994,  4007,  3041,  4002,  3955,
    4012,  3041,  4014,  1647,  4018,  4039,  1648,  4020,  3009,  4031,
    4029,  4040,  4037,  4048,  4054,  4062,  4063,  4065,  4070,  4072,
    1227,  3894,  4073,  1649,  4088,  4074,  4075,  4081,  4091,  3904,
    4097,  1651,  4109, -2155,  4101,  4103,  4121,  1652,  4125,  4105,
     167,  3897,  4124,  4130,  4143, -2155,  4147, -2229,  4142, -2155,
    4154,  1655,  4160,  4135, -2155,  4136,  3746,  4167,  4169, -2155,
    3902,  1653, -2155,  4170, -2155,  4172,  4192,  4173,  4193,  4174,
    4191,  4197,  1656,  1657,  4195,  4201,  1228,   632,  4224,  4202,
    4239,  4230,   720,  4256,  4247,  3861,  3862,  3863,  3864, -2229,
    4281, -2155,  4286,  4293,  4290,  4291,  4295,  4296,  4308,  4301,
    4004,  4309,  4310,  4315,  3740,  4316,  4321,  1229,  4322,  4326,
    4327,  4332,  3935, -2155,  4334,  4345,  4261,  4352,  1660,  4353,
    4350,  4356,  4358,  4366,  4361,  4367,  4372,  4373,  4398,   632,
    3542,  1661,  4390,  4393,  4339,  4395,  2857,  4354,  4401,  4408,
    4355,  4409,  4413,  1230,  4439,  4427,  3948,  3949,  4455,  4458,
   -2155,  3952,  3953,  1165,  3965,  3966,  4464,  4468, -2155,  2816,
    2063,  1710,  1654,  3065,  2750,  2750,  1655,  2651,  2902,  3166,
    3628,   909,  2727,  1231,  3262,  3984,  3698,  4272,  4148,  4351,
    4194,  3758,  4196,  3999,  4182,  3109,   829,  1656,  1657,  1248,
    2890,   699,  4396,   756,  4113,  4435,   761,  4359,   764,  4336,
     761,  3061,  4357,  4407,  1658, -2155,  4304,   800, -2229,   632,
     886,  3114,  3754,  3627,  3996,   910,  3178,   761,  2153,  2856,
    3344,  3048,  2796,  2797,  2779,  4438,  3048,  4469,  4171,  3048,
    1659,   632,  4465,  1660,  3276,  3292,  4411,    33,  1226,   756,
    4022,  2858,   798,  4134,   764,  2136,  1661,  1235,  4347,   756,
     645,  4137,  4399,   800,  1236,  2902,   647,  2902,  1554,  3048,
    3814,  4242,  1940,  3792,  3793,  2604,  4041,  4314,   761,  3242,
    1227,  1238,  3072,  4420, -2155,   911,  4466,  4299,  1138,  1239,
    2461,   798,  3069,  2462,  3776,  3566,  2232,  3823,  3823,  3823,
    3823,  3070,  2492,  3898,  1838,  1159,  2494, -2155,  4132, -2155,
   -2155,  3082,  1667,  1668,  1669,  1670,  1671,  1672,  2493,  1808,
    2477,  3095,  3083,  3803,  3512,  4232,   699,  3866,  3877,  3509,
    1146,  3806,  3807,  1663,  1843,  1839,  1228,   699,  1003,  2765,
    1240,  3567, -2155,  4222,  2859, -2155, -2155, -2155,  1848,  3481,
    3471,   774,  4381,  4389,  4382,  3073,  1112,  3024,   699,   665,
    2936,  3041,  3563,   665,  2436,  3022,  3041,  1229,     0,  3041,
       0,     0,     0,     0,     0,     0,   699,     0,     0,     0,
     699,     0,     0,     0,     0,  1647,  1112,     0,  1648,     0,
       0,     0,     0,     0,  4047,     0,  2857,   699,     0,     0,
    3048,     0,     0,  1230,     0,  1649,     0,     0,  4106,   699,
       0,     0,     0,  1651,     0,     0,     0,     0,     0,  1652,
    3273,     0,     0,  1664,  1665,  1666,     0,  1667,  1668,  1669,
    1670,  1671,  1672,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1653,     0,     0,     0,     0,  3048,     0,
    2750,     0,   699,     0,     0,     0,     0,     0,   632,   909,
       0,     0,     0,  4152,   699,  4153,   761,   761,  4157,  4158,
       0,     0,     0,     0,     0,     0,  3961,     0,     0,     0,
       0,     0,     0,     0,  2856,     0,     0,     0,     0,     0,
    3964,     0,     0,     0,     0,     0,     0,    33,     0,     0,
       0,  1234,     0,  1226,   167,  4186,     0,  1235,     0,     0,
     756,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,   756,  1940,     0,     0,   800,  3922,     0,     0,     0,
       0,  1238,  4292,     0,     0,  1227,     0,     0,   761,  1239,
       0,     0,     0,     0,  1654,     0,     0,     0,  1655,     0,
       0,     0,     0,   699,     0,     0,     0,  3938,  3939,   761,
     761,     0,     0,     0,     0,     0,     0,     0,     0,  1656,
    1657,     0,     0,     0,     0,   699,   699,   699,  3041,   761,
       0,   756,     0,  4024,     0,     0,  1658,     0,  4163,   798,
    1240,  1228,     0,     0,  2859,  3379,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   761,     0,   761,
     761,     0,  1659,     0,     0,  1660,     0,     0,     0,  3968,
    3969,     0,  1229,     0,     0,  1117,     0,  4273,  1661,     0,
       0,  1662,  1112,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2857,  1647,     0,     0,  1648,     0,     0,  1230,     0,
       0,  4369,  1537,  1537,     0,     0,     0,   699,     0,   641,
    1646,     0,  3048,     0,     0,  1647,     0,     0,  1648,   699,
    1651,     0,     0,   167,  4302,     0,  1652,  1569,  1231,     0,
     699,     0,     0,  1575,  2902,  1649,     0,     0,  1650,     0,
       0,     0,  4397,  1651,     0,  1663,  1112,     0,     0,  1652,
    1653,     0,     0,     0,     0,  4251,     0,     0,     0,     0,
    4116,  4118,  4118,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1653,  4050,  1112,  4051,  4052,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4055,     0,     0,
       0,     0,    33,     0,     0,   909,  1234,     0,     0,     0,
       0,     0,  1235,  1112,  1112,     0,  1112,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,  1940,     0,     0,
       0,     0,     0,  1112,     0,     0,  1238,     0,     0,     0,
       0,     0,     0,     0,  1239,  1664,  1665,  1666,     0,  1667,
    1668,  1669,  1670,  1671,  1672,     0,     0,     0,     0,     0,
       0,  1654,  2999,     0,     0,  1655,     0,     0,     0,   699,
       0,     0,  1112,     0,  4467,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1654,     0,  1656,  1657,  1655,     0,
       0,     0,     0,     0,     0,  1240,     0,     0,  4206,  2859,
       0,  1112,     0,  1658,     0,  1112,  1112,   167,  4412,  1656,
    1657,     0,     0,     0,     0,     0,   699,   699,  1851,   167,
    4425,   171,  4422,  4423,  4424,  4454,  1658,     0,     0,     0,
       0,     0,  1660,     0,   665,     0,     0,     0,     0,     0,
       0,     0,     0,  4446,     0,  1661,     0,     0,     0,     0,
       0,     0,  1659,     0,     0,  1660,     0,     0,  4453,  4425,
     171,  4422,  4423,  4424,     0,     0,     0,   665,  1661,     0,
       0,  1662,     0,     0,     0,     0,  4248,     0,     0,   699,
    1963,  4445,     0,     0,     0,     0,   699,     0,     0,   761,
    4446,     0,     0,     0,     0,     0,     0,     0,  4446,  4267,
       0,  4269,   167,  4425,   171,  4422,  4423,  4424,     0,     0,
     800,     0,     0,     0,     0,     0,   699,     0,     0,   699,
       0,     0,  1663,     0,     0,     0,     0,     0,  4445,     0,
       0,     0,     0,     0,     0,     0,  4445,     0,  4218,   699,
    1647,     0,     0,  1648,     0,  1663,     0,   761,   761,   761,
     761,   699,  1647,     0,     0,  1648,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   699,     0,     0,  1651,     0,
       0,     0,  1649,     0,  1652,     0,  2076,     0,   699,     0,
    1651,     0,     0,     0,     0,     0,  1652,     0,   761,   761,
       0,     0,  4244,     0,   761,     0,     0,     0,  1653,     0,
       0,     0,     0,     0,  4118,     0,     0,     0,     0,     0,
    1653,     0,  1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,
    1671,  1672,     0,     0,     0,     0,  4271,     0,     0,     0,
       0,     0,     0,     0,     0,  1664,  1665,  1666,   761,  1667,
    1668,  1669,  1670,  1671,  1672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4365,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   761,   761,   761,   761,     0,
       0,     0,     0,     0,     0,     0,     0,   699,     0,     0,
       0,     0,     0,   699,     0,     0,  2076,     0,     0,     0,
       0,     0,     0,     0,     0,   756,     0,     0,     0,  1654,
       0,     0,   764,  1655,   756,     0,     0,     0,     0,  4400,
       0,  1654,     0,     0,   800,  1655,     0,     0,     0,   761,
       0,     0,     0,     0,  1656,  1657,     0,     0,   761,     0,
       0,     0,     0,     0,   761,   761,  1656,  1657,     0,   699,
       0,  1658,     0,     0,     0,     0,     0,  1647,     0,     0,
    1648,     0,     0,  1658,     0,     0,     0,  4437,     0,     0,
       0,     0,     0,     0,  1537,     0,     0,  1649,     0,     0,
    1660,   761,     0,   756,     0,  1651,     0,   699,   699,  1659,
     761,  1652,  1660,  1661,     0,     0,   699,     0,     0,     0,
       0,     0,     0,     0,     0,  1661,     0,     0,  1662,     0,
     641,   641,     0,     0,  2286,  1653,     0,     0,  1112,     0,
    1112,     0,     0,     0,     0,     0,     0,  1112,     0,     0,
    1112,     0,     0,     0,  1112,     0,     0,     0,     0,     0,
       0,     0,  1112,  1112,     0,     0,     0,     0,     0,     0,
    1112,     0,   800,  1112,  1112,  1112,  1112,     0,     0,     0,
       0,     0,     0,  1112,  1112,     0,  1112,     0,  1112,  1112,
    1663,     0,  1112,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1663,  4432,     0,     0,     0,     0,     0,  1112,
       0,     0,     0,   761,  1112,     0,     0,     0,  1112,     0,
       0,     0,  1112,     0,  1112,  1112,  1112,  1112,  1112,  1112,
    1112,  1112,  1112,     0,  1112,     0,  1654,     0,   699,  1112,
    1655,  1112,     0,     0,     0,     0,     0,   699,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1656,  1657,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1658,     0,
       0, -2229, -2229,     0,  1667,  1668,  1669,  1670,  1671,  1672,
       0,     0,  1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,
    1671,  1672,     0,     0,  1659,     0,  3277,  1660,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1661,     0,     0,  1662,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1647,     0,     0,  1648,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1647,
       0,     0,  1648,   699,  1649,   699,     0,  1112,  2469,     0,
       0,     0,  1651,     0,     0,     0,     0,     0,  1652,     0,
       0,  1112,     0,     0,     0,     0,     0,  1651,     0,     0,
    1112,  1112,     0,  1652,     0,     0,     0,  1663,     0,     0,
       0,     0,  1653,     0,   699,     0,     0,     0,     0,     0,
    2501,     0,  2508,     0,     0,     0,  1647,  1653,     0,  1648,
       0,     0,     0,     0,     0,     0,     0,   764,     0,  1226,
       0,     0,   641,     0,   641,     0,  1649,     0,     0,     0,
       0,     0,     0,     0,  1651,     0,     0,  2470,     0,     0,
    1652,  1112,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,   756,     0,   761,   761,   761,     0,     0,   756,
       0,   800,     0,   761,  1653,   761,     0,   761,   761,  3020,
       0,   699,     0,     0,     0,     0,     0,  1664,  1665,  1666,
       0,  1667,  1668,  1669,  1670,  1671,  1672,     0,     0,     0,
     665,  3433,     0,  1654,     0,     0,     0,  1655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228, -2229,  1963,
       0,     0,  1655,     0,     0,  2614,     0,     0,  1656,  1657,
    2623,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,     0,     0,  1656,  1657,  1658,     0,     0,  1229,     0,
       0,     0,     0,   699,     0,     0,     0,  2658,  2658,     0,
   -2229,     0,     0,  1647,   764,   665,  1648,     0,     0,     0,
       0,  1659,     0,     0,  1660,  1654,     0,     0,     0,  1655,
       0,     0,   761,  1649,  1230,     0,     0,  1661,     0,  1660,
    1662,  1651,     0,     0,     0,     0,     0,  1652,     0,     0,
    1656,  1657,  1661,     0,     0,     0,     0,     0,  2716,     0,
    2719,  2721,     0,     0,  1231,     0,     0,  1658,     0,     0,
       0,  1653,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1406,     0,     0,     0,     0,     0,
     761,  1232,     0,  1659,     0,     0,  1660,     0,   761,     0,
       0,     0,     0,   761,     0,     0,     0,     0,     0,  1661,
       0,     0,  1662,     0,  1663,     0,  1112,     0,     0,     0,
       0,     0,     0,     0,  1233,     0,     0,     0,    33, -2229,
       0,     0,  1234,     0,     0,     0,     0,     0,  1235,     0,
       0,     0,     0,     0,  1963,  1236,     0,  2658,     0,   699,
       0,  2817,     0,  1237,   641,     0,     0,     0,     0,     0,
       0,     0,  1238,     0,     0,  2471,     0,     0,     0,     0,
    1239,     0,  1654,     0,     0,     0,  1655,     0,     0,     0,
    2716,     0,     0,     0,     0,     0,  1663,     0,   761,  2842,
       0,     0,     0,     0,     0,     0,     0,  1656,  1657,     0,
       0,     0,     0,     0,  1664,  1665,  1666,     0,  1667,  1668,
    1669,  1670,  1671,  1672,  1658,   761,  1406,   761,  2658,   761,
    2658,  1240,     0,  1667,  1668,  1669,  1670,  1671,  1672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1112,
    1659,     0,     0,  1660,     0,     0,     0,  -119,     0,     0,
       0,  1537,     0,     0,     0,     0,  1661,     0,     0,  1662,
       0,     1,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     2,     0,     3,     4,     0,  1664,  1665,  1666,     0,
    1667,  1668,  1669,  1670,  1671,  1672,     0,     0,     5,     0,
    3480,     0,     0,     0,     0,     0,     0,   756,     0,     0,
       0,     0,     0,   756,     0,     0,     0,     0,     6,     0,
       7,     8,     0,     0,   761,     0,     9,     0,    10,     0,
       0,  1112,  1112,     0,     0,     0,  1647,  1112,    11,  1648,
      12,     0,     0,  1663,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    13,     0,     0,    14,
       0,     0,  1112,  1112,  1651,     0,     0,  1112,     0,     0,
    1652,    15,     0,    16,     0,     0,     0,    17,     0,  1112,
    1112,  1112,  1112,    18,     0,     0,     0,     0,     0,     0,
       0,    19,  1112,    20,  1653,  1112,     0,  1112,  3003,    21,
       0,     0,     0,     0,     0,     0,     0,  1112,  1112,     0,
       0,  1112,     0,    22,     0,     0,     0,     0,     0,     0,
       0,  1406,     0,     0,  1112,     0,  1112,     0,   800,     0,
    1112,  2287,     0,  1664,  1665,  1666,     0,  1667,  1668,  1669,
    1670,  1671,  1672,     0,     0,     0,  1112,  3577,     0,     0,
     699,     0,     0,     0,     0,     0,  3495,  3049,     0,  1112,
    1112,  1112,     0,     0,     0,     0,     0,     0,    23,    24,
       0,     0,     0,     0,    25,  1955,  1112,  1647,  2288,     0,
    1648,     0,     0,    26,     0,     0,     0,     0,  1112,     0,
       0,     0,     0,     0,    27, -2229,     0,  1649,     0,  1655,
       0,     0,     0,  1112,     0,  1651,     0,  2289,  1406,     0,
       0,  1652,     0,     0,     0,  3049,     0,     0,  3089,     0,
    1656,  1657,  2508,     0,     0,     0,     0,     0,  2290,     0,
       0,    28,     0,     0,     0,  1653,     0, -2229,     0,  2291,
       0,     0,  1405,    29,     0,     0,     0,     0,    30,    31,
       0,    32,  1112,     0,  2658,     0,    33,     0,  2292,  1537,
       0,    34,     0,  2293,    35,     0,  1660,     0,    36,     0,
       0,     0,     0,    37,    38,     0,     0,  1250,     0,  1661,
    1406,    39,     0,  1251,    40,   761,     0,   761,   761,   761,
       0,     0,    41,     0,     0,     0,     0,     0,     0,  1406,
    1250,     0,     0,     0,    42,     0,  1251,     0,     0,  2294,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1406,
       0,    43,     0,  1252,     0,     0,     0,     0,     0,     0,
    2295,    44,     0,     0,     0,     0,  1654,    45,     0,     0,
    1655,     0,    46,     0,  1406,     0,  1252,     0,     0,     0,
       0,     0,     0,     0,    47,     0, -2229,     0,     0,     0,
       0,  1656,  1657,     0,     0,     0,     0,     0,  1226,     0,
       0,     0,  1253,     0,  1405,     0,     0,     0,  1658,  1254,
       0,     0,  1255,  1647,     0,     0,  1648,     0,    48,   192,
       0,  -119,     0,     0,     0,  1253,     0,     0,     0,     0,
    1227,  1406,  1254,  1649,  1659,  1255,     0,  1660,     0,     0,
       0,  1651,     0,     0,     0,     0,  2296,  1652,     0,     0,
    1661,     0,  2297,  1662,     0,     0,     0,     0,  2298,     0,
       0,     0,     0,     0,     0,  1256,     0,     0,     0,     0,
       0,  1653,     0,     0,     0,     0,     0,     0,     0,     0,
    1667,  1668,  1669,  1670,  1671,  1672,  1228,  2299,  1256,  2300,
       0,     0,     0,     0,     0,  2658,  2658,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2301,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1229,     0,     0,
       0,     0,  1257,     0,  1258,     0,     0,  1663,     0,     0,
       0,  2302,     0,     0,  1259,     0,  1697,     0,     0,     0,
       0,     0,  1260,     0,     0,  1257,     0,  1258,   699,   699,
       0,  1261,     0,  1230,     0,     0,     0,  1259,     0,     0,
       0,     0,     0,     0,   699,  1260,     0,     0,     0,     0,
       0,     0,  1654,     0,  1261,     0,  1655,  1537,   699,     0,
       0,     0,     0,  1231,  1262,     0,  1537,   699,  1263,     0,
       0,     0,     0,     0,     0,     0,     0,  1656,  1657,  1405,
       0,   699,     0,     0,     0,     0,     0,  1310,  1406,     0,
       0,  1263,     0,  1264,  1658,     0,     0,  1664,  1665,  1666,
       0,  1667,  1668,  1669,  1670,  1671,  1672,     0,     0,   761,
       0,  3826,   761,     0,     0,     0,  1311,     0,     0,     0,
    1659,  2448,     0,  1660,     0,     0,   756,    33,     0,  1939,
       0,  1234,     0,  1405,     0,     0,  1661,  1235,     0,  1662,
       0,     0,     0,     0,  1236,     0,     0,   699,     0,     0,
       0,  1265,  1940,     0,     0,     0,     0,   761,     0,     0,
       0,  1238,     0,     0,     0,  1112,  1405,     0,     0,  1239,
       0,     0,     0,     0,  1265,  1112,  1647,     0,     0,  1648,
       0,  1112,     0,  1112,     0,     0,     0,     0,     0,  1112,
       0,     0,  1112,  1112,  1112,  1112,  1112,  1112,  1112,  1112,
    1112,  1112,     0,     0,  1651,  1112,  1112,     0,     0,     0,
    1652,     0,     0,  1663,     0,     0,     0,     0,  1112,     0,
    1240,     0,  1112,     0,     0,     0,  1112,     0,     0,     0,
       0,     0,     0,     0,  1653,     0,  1112,     0,  1405,  1112,
       0,  1112,     0,     0,     0,     0,     0,     0,     0,     0,
    1112,  1112,  1112,     0,     0,     0,  1112,  1405,     0,  1112,
       0,  1647,     0,     0,  1648,     0,   699,   699,   699,   756,
    3049,  3516,     0,     0,     0,  3516,  3530,  1405,     0,     0,
    1112,  1649,     0,     0,     0,     0,  3544,     0,  1112,  1651,
    1112,     0,     0,     0,     0,  1652,  3496,     0,     0,     0,
       0,     0,  1405,  1664,  1665,  1666,     0,  1667,  1668,  1669,
    1670,  1671,  1672,     0,  1112,     0,     0,  3860,     0,  1653,
    1112,     0,     0,     0,  2508,     0,  1112,     0,     0,     0,
       0,     0,     0,     0,     0, -2229,     0,     0,     0,  1655,
       0,  3583,  1537,  1537,     0,  2076,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1405,
    1656,  1657,     0,   761,   761,   761,   761,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2229,     0,     0,
       0,     0,  1647,     0,     0,  1648,  2599,     0,     0,     0,
       0,  1955,  2606,     0,     0,     0,     0,     0,     0,     0,
       0,  3626,  1649,  1406,     0,     0,  1660,     0,     0,     0,
    1651,     0,     0,     0,     0,     0,  1652,     0,     0,  1661,
    1654,     0,     0,     0,  1655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1653,     0,     0,     0,     0,  1656,  1657,     0,     0,     0,
       0,  1647,     0,     0,  1648,     0,     0,     0,     0,     0,
       0,     0,  1658,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3687,     0,     0,     0,     0,     0,  1651,
       0,     0,     0,     0,     0,  1652,     0,     0,  1659,     0,
       0,  1660,     0,     0,     0,     0, -2229,     0,  1647,     0,
       0,  1648,     0,     0,  1661,     0,     0,  1662,     0,  1653,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,     0,  1651,     0,     0,     0,
       0,     0,  1652,     0,     0,   761,  1405,  1112,     0,     0,
       0,  1654,     0,   699,     0,  1655,     0,     0,  1406,  3753,
       0,     0,     0,     0,     0,     0,  1653,     0,  1963,     0,
       0,     0,     0,     0,     0,     0,  1656,  1657,     0,     0,
     699,  3499,     0,     0,     0,     0,     0,     0,     0,  2716,
       0,  1663,     0,  1658,     0,  3781,     0,     0,     0,     0,
    1667,  1668,  1669,  1670,  1671,  1672,     0,     0,     0,     0,
       0,  1112,  1112,     0,     0,     0,     0,     0,     0,  1659,
   -2229,     0,  1660,     0,  1655,     0,     0,     0,  3858,     0,
       0,   758,     0,     0,  2658,  1661,  2658,  1955,  1662,     0,
     758,   778,     0,     0,     0,  1656,  1657,   778,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   778,     0,     0,
       0,     0, -2229,     0,     0,     0,     0, -2229,     0,  1112,
       0,  1655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,
    1672,  1660,  1656,  1657,     0,  4071,     0,     0,     0,     0,
       0,     0,     0,     0,  1661,     0,  1112,     0,     0, -2229,
       0,     0,  1663,     0,     0,     0,  1112,  1112,     0,     0,
       0,  1406,     0,     0,  1112,  1112,     0,     0,     0,  1112,
       0,     0,     0,     0,     0,  1112,  1112,     0,  1660,  1112,
       0,   699,   699,   699,   699,     0,     0,     0,  3516,  3530,
    3516,  1661,     0,  3868,     0,     0,     0,  3049,     0,     0,
       0,  3049,     0,     0,     0,     0,     0,  3881,     0,     0,
       0,  1112,     0,     0,     0,     0,  1112,     0,     0,     0,
       0, -2229,  3891,     0,     0,     0,     0,     0,  1112,     0,
       0,     0,     0,     0,   800,     0,     0,     0,     0,     0,
       0,  3089,  1664,  1665,  1666,  2508,  1667,  1668,  1669,  1670,
    1671,  1672,     0,     0,     0,   641,  4111,     0,  1112,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2229,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2658,  2658,
       0,     0,     0,     0,  1405,     0,     0,     0,     0,  1405,
    1405,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1405,  3936,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1667,  1668,  1669,  1670,  1671,
    1672,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
    2448,  2448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   761,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   761,  1667,  1668,  1669,  1670,  1671,  1672,     0,     0,
    1250,     0,     0,     0,     0,     0,  1251,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1647,     0,     0,  1648,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1649,     0,  1252,   758,     0,  1112,
       0,     0,  1651,     0,     0,     0,     0,     0,  1652,   778,
     756,     0,     0,   778,     0,  1963,     0,     0,     0,     0,
       0,     0,  1537,     0,   778,     0,  1405,     0,     0,  1406,
       0,     0,  1653,     0,   761,  1963,     0,     0,     0,   778,
       0,     0,     0,   758,     0,  1253,     0,     0,     0,     0,
       0,     0,  1254,   758,   778,  1255,     0,     0,     0,   778,
     699,     0,     0,     0,     0,     0,     0,     0,     0,   778,
       0,  1955,  2606,     0,  2606,     0,     0,   778,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1112,     0,
       0,     0,     0,     0,     0,     0,     0,  1112,     0,     0,
       0,     0,     0,     0,     0,  1405,     0,     0,  1256,     0,
       0,     0,     0,     0,  1112,  1112,     0,     0,  1112,     0,
       0,     0,     0,  1647,     0,     0,  1648,  3516,     0,     0,
    1406,  3049,  1406,  1654,     0,     0,  3049,  1655,     0,  3049,
    2716,     0,  4093,  1649,  1112,  1112,     0,     0,     0,     0,
     758,  1651,     0,     0,     0,   778,     0,  1652,  1656,  1657,
       0,     0,     0,     0,     0,  1257,     0,  1258,     0,  3583,
     800,   761,   761,   761,     0,  1658,     0,  1259,     0,     0,
     758,  1653,     0,     0,     0,  1260,  1406,     0,     0,  1405,
       0,     0,     0,     0,  1261,     0,     0,     0,     0,     0,
       0,  1659,     0,     0,  1660,     0,     0,     0,   756,   800,
       0,  1406,     0,     0,     0,     0,     0,  1661,     0,     0,
    1662,     0,     0,     0,     0,     0,     0,  1336,     0,     0,
    2606,  1263,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1537,  2606,     0,
       0,   756,     0,     0,   699,     0,  1337,     0,     0,     0,
       0,     0,     0,     0,     0,  3753,     0,     0,     0,     0,
       0,     0,  2658,     0,     0,     0,  1963,     0,     0,     0,
       0,     0,  1654,     0,     0,     0,  1655,     0,  3781,     0,
       0,   699,     0,     0,  1663,     0,     0,     0,     0,   761,
    3583,     0,     0,     0,   758,     0,     0,  1656,  1657,     0,
       0,     0,  1406,     0,  1265,   758,     0,     0,     0,     0,
       0,     0,  1112,     0,  1658,  1112,     0,  1112,  2606,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1407,  1406,
       0,     0,     0,     0,  1112,     0,     0,     0,  3049,     0,
    1659,  4093,     0,  1660,     0,     0,     0,  4238,     0,     0,
       0,     0,     0,     0,     0,     0,  1661,     0,     0,  1662,
       0,     0,     0,     0,     0,   758,     0,   761,     0,     0,
       0,   699,     0,     0,  1664,  1665,  1666,     0,  1667,  1668,
    1669,  1670,  1671,  1672,     0,     0,     0,     0,  4165,   761,
     761,   761,   761,     0,     0,     0,     0,   778,  1406,     0,
       0,     0,     0,     0,  1537,     0,     0,     0,     0,     0,
       0,     0,   778,     0,     0,     0,   758,     0,  1406,     0,
       0,     0,   756,     0,   778,     0,     0,     0,     0,     0,
       0,     0,     0,  1663,     0,     0,     0,     0,     0,     0,
       0,  1112,     0,  1406,     0,     0,     0,     0,     0,     0,
       0,     0,   778,  1647,     0,     0,  1648,     0,     0,     0,
    1407,     0,   778,     0,     0,     0,     0,  1405,     0,     0,
       0,     0,     0,  1649,     0,   778,     0,     0,   778,  1406,
       0,  1651,     0,     0,     0,     0,     0,  1652,     0,  1112,
     758,     0,     0,     0,     0,   761,     0,   800,     0,     0,
       0,     0,     0,     0,     0,     0,  1112,     0,     0,  1405,
    1405,  1653,  1405,     0,     0,     0,     0,     0,     0,   758,
    2448,     0,     0,  1664,  1665,  1666,     0,  1667,  1668,  1669,
    1670,  1671,  1672,     0,     0,     0,     0,  4368,     0,     0,
       0,     0,     0,     0,     0,     0,   761,   758,   758,     0,
     758,   756,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3583,     0,     0,     0,     0,   758,  1405,     0,
    1405,     0,     0,     0,     0,     0,  4238,     0,     0,  1112,
    1112,     0,     0,     0,     0,     0,     0,     0,     0,   778,
       0,     0,   756,     0,     0,     0,     0,   778,   778,     0,
     761,     0,  1647,     0,     0,  1648,   758,  1795,     0,     0,
       0,     0,  1654,     0,     0,     0,  1655,     0,     0,     0,
       0,     0,  1649,     0,  1405,     0,     0,     0,     0,     0,
    1651,     0,     0,  1112,     0,   758,  1652,  1656,  1657,   758,
     758,     0,     0,  1112,     0,     0,  2606,     0,   761,  1405,
       0,     0,     0,     0,  1658,  1407,     0,     0,     0,     0,
    1653,  1795,     0,     0,     0,     0,     0,  1250,  1405,     0,
       0,     0,     0,  1251,     0,     0,     0,     0,     0,     0,
    1659,     0,     0,  1660,     0,     0,  1405,     0,     0,     0,
       0,  1647,     0,     0,  1648,     0,  1661,     0,     0,  1662,
       0,     0,     0,     0,     0,  1112,     0,     0,     0,  1407,
       0,  1649,     0,  1252,   756,     0,     0,     0,     0,  1651,
       0,     0,     0,     0,     0,  1652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1407,     0,     0,     0,     0,     0,     0,  1653,
    1405,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1654,  1253,     0,     0,  1655,  1405,     0,     0,  1254,
       0,     0,  1255,  1663,     0,     0,     0,  1405,     0,     0,
       0,     0,     0,     0,     0,     0,  1656,  1657,     0,     0,
       0,     0,     0,     0,  1406,   778,     0,     0,     0,     0,
       0,     0,     0,  1658,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1407,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1256,     0,     0,     0,  1659,
    1955,     0,  1660,  1407,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1661,  1405,     0,  1662,     0,
    1654,     0,     0,  1407,  1655,     0,     0,     0,     0,     0,
       0,     0,     0,  1664,  1665,  1666,  1405,  1667,  1668,  1669,
    1670,  1671,  1672,  1795,     0,  1656,  1657,  4456,  1407,     0,
       0,     0,  1257,     0,  1258,     0,     0,     0,     0,     0,
       0,  1405,  1658,   778,  1259,     0,     0,     0,     0,     0,
       0,     0,  1260,     0,     0,     0,     0,     0,     0,   778,
       0,  1261,     0,     0,     0,     0,     0,     0,  1659,     0,
       0,  1660,  1663,     0,     0,     0,     0,  1405,     0,   758,
       0,     0,     0,     0,  1661,  1407,     0,  1662,   758,  1406,
     778,   778,     0,     0,  1922,     0,     0,     0,  1263,     0,
    1406,   778,     0,     0,     0,     0,  3472,     0,     0,     0,
       0,     0,     0,   778,   778,     0,     0,     0,     0,     0,
       0,     0,     0,  1923,     0,   778,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2448,     0,     0,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   758,  2448,     0,
       0,  1663,  1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,
    1671,  1672,     0,     0,  3552,  3473,     0,     0,     0,     0,
       0,  1265,     0,     0,     0,     0,     0,  1647,     0,     0,
    1648,     0,   758,     0,   758,     0,     0,     0,     0,     0,
       0,   758,     0,     0,   758,     0,  1406,  1649,   758,     0,
       0,     0,     0,     0,     0,  1651,   758,   758,     0,     0,
       0,  1652,     0,     0,   758,     0,     0,   758,   758,   758,
     758,     0,     0,     0,  1406,     0,     0,   758,   758,     0,
     758,     0,   758,   758,  1405,  1653,   758,     0,     0,     0,
    1406,  1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,
    1672,     0,  1407,   758,  1795,     0,     0,     0,   758,     0,
       0,     0,   758,     0,     0,     0,   758,     0,   758,   758,
     758,   758,   758,   758,   758,   758,   758,     0,   758,     0,
       0,     0,     0,   758,     0,   758,  1406,     0,     0,  1647,
       0,     0,  1648,  1250,     0,     0,     0,     0,     0,  1251,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1649,
       0,     0,     0,     0,     0,  2975,     0,  1651,     0,     0,
    2976,     0,     0,  1652,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1654,     0,     0,  1252,
    1655,     0,     0,     0,     0,     0,     0,  1653,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1656,  1657,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1658,     0,
       0,     0,  1405,  1250,     0,     0,     0,     0,  1253,  1251,
       0,     0,     0,     0,     0,  1254,     0,  4045,  1255,     0,
       0,     0,     0,     0,  1659,     0,     0,  1660,     0,     0,
       0,   758,     0,     0,     0,     0,     0,     0,  1405,     0,
    1661,     0,     0,  1662,     0,   758,  4430,     0,     0,  1252,
       0,     0,  1406,     0,   758,   758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1654,     0,
       0,  1256,  1655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   778,     0,     0,     0,  1795,   778,     0,     0,
     778,     0,     0,  1656,  1657,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,  1254,     0,     0,  1255,     0,
    1658,     0,   778,     0,     0,   758,     0,  1663,     0,     0,
       0,     0,     0,     0,     0,     0,   758,     0,  1257,     0,
    1258,     0,     0,   758,     0,     0,  1659,     0,     0,  1660,
    1259,     0,     0,     0,     0,     0,     0,  1405,  1260,     0,
       0,     0,  1661,   778,     0,  1662,     0,  1261,  1405,     0,
    2606,  1256,     0,     0,     0,     0,     0,     0,     0,     0,
    1407,     0,  4431,     0,     0,  1407,  1407,     0,     0,     0,
     778,   778,     0,     0,     0,     0,     0,  1407,     0,     0,
    1994,     0,     0,     0,  1263,     0,     0,     0,     0,     0,
       0,     0,     0,  1795,   778,     0,  1795,  1664,  1665,  1666,
       0,  1667,  1668,  1669,  1670,  1671,  1672,     0,  1257,  1995,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,  1663,
    1259,   778,     0,     0,     0,   778,     0,     0,  1260,     0,
       0,  1647,     0,     0,  1648,     0,     0,  1261,     0,     0,
       0,     0,     0,   778,     0,     0,     0,     0,     0,     0,
       0,  1649,  2606,   778,  1405,     0,     0,     0,     0,  1651,
       0,     0,     0,     0,     0,  1652,   778,  1265,     0,     0,
    2610,     0,     0,  1406,  1263,     0,   778,     0,     0,     0,
       0,     0,  1405,     0,     0,     0,     0,     0,     0,  1653,
       0,     0,     0,     0,     0,     0,     0,     0,  1405,  1264,
       0,     0,     0,  1406,     0,     0,     0,     0,     0,  1664,
    1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,     0,
     758,     0,  1407,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1406,     0,  1795,  1405,  1406,  1406,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1265,     0,     0,
       0,     0,     0,     0,     0,  1647,     0,     0,  1648,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1649,     0,     0,  2938,     0,
    1654,     0,     0,  1651,  1655,     0,     0,     0,     0,  1652,
       0,  1407,     0,     0,   778,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1656,  1657,     0,     0,     0,
       0,  4045,     0,  1653,     0,     0,     0,     0,     0,     0,
       0,     0,  1658,     0,     0,     0,     0,     0,   778,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1659,     0,
       0,  1660,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   778,  1661,     0,     0,  1662,     0,     0,
       0,     0,     0,     0,     0,  1407,     0,     0,     0,     0,
    1405,  2953,     0,     0,     0,     0,     0,   778,     0,     0,
       0,   758,     0,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1654,   758,   758,     0,  1655,     0,
       0,   758,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1656,
    1657,  1663,     0,     0,     0,     0,   758,   758,     0,     0,
       0,   758,     0,     0,     0,  1647,  1658,     0,  1648,     0,
       0,     0,     0,   758,   758,   758,   758,     0,     0,     0,
       0,  1795,     0,     0,     0,  1649,   758,  1795,  2983,   758,
       0,   758,  1659,  1651,     0,  1660,     0,     0,  1405,  1652,
       0,   758,   758,     0,     0,   758,     0,     0,  1661,     0,
       0,  1662,     0,     0,     0,     0,     0,     0,   758,     0,
     758,     0,     0,  1653,   758,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     758,  1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,
    1672,   758,     0,   758,   758,   758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   778,     0,     0,
     758,     0,     0,     0,  1647,     0,     0,  1648,     0,     0,
       0,     0,   758,  1250,     0,  1663,     0,     0,     0,  1251,
       0,     0,     0,     0,  1649,     0,     0,   758,     0,     0,
    1405,     0,  1651,     0,     0,     0,     0,     0,  1652,   758,
    1647,     0,     0,  1648,     0,     0,     0,     0,     0,     0,
       0,  1405,     0,     0,  1654,   778,     0,     0,  1655,  1252,
    1649,     0,  1653,  2994,     0,     0,     0,     0,  1651,     0,
     778,   778,     0,     0,  1652,     0,   758,     0,     0,  1656,
    1657,  1405,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1658,   778,  1653,     0,
     778,     0,     0,  1407,     0,  1664,  1665,  1666,  1253,  1667,
    1668,  1669,  1670,  1671,  1672,  1254,     0,     0,  1255,  1405,
       0,     0,  1659,  1405,  1405,  1660,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1661,     0,
       0,  1662,     0,     0,     0,  1407,  1407,  2988,  1407,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   558,
       0,     0,     0,  1654,     0,   600,     0,  1655,     0,     0,
       0,  1256,     0,     0,   650,     0,     0,  1795,  1795,  1795,
       0,     0,     0,     0,     0,     0,     0,     0,  1656,  1657,
       0,     0,     0,   711,     0,     0,   778,     0,  1647,  1654,
       0,  1648,     0,  1655,  1407,  1658,  1407,   778,     0,     0,
       0,     0,     0,     0,     0,  1663,     0,   778,  1649,     0,
       0,     0,     0,     0,  1656,  1657,  1651,     0,  1257,     0,
    1258,  1659,  1652,     0,  1660,     0,     0,     0,     0,     0,
    1259,  1658,     0,     0,     0,     0,     0,  1661,  1260,     0,
    1662,     0,     0,     0,     0,     0,  1653,  1261,     0,     0,
    1407,     0,     0,     0,     0,     0,     0,  1659,     0,     0,
    1660,     0,     0,     0,     0,     0,     0,     0,     0,   778,
       0,     0,     0,  1661,     0,  1407,  1662,     0,     0,     0,
    2691,     0,     0,     0,  1263,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1407,  1664,  1665,  1666,     0,  1667,
    1668,  1669,  1670,  1671,  1672,     0,     0,     0,     0,  2692,
       0,  1795,  1407,     0,  1663,     0,     0,     0,     0,     0,
     769,     0,     0,     0,     0,     0,   778,     0,   778,     0,
     803,   804,     0,   807,     0,   810,     0,   812,     0,     0,
     778,     0,   778,     0,     0,     0,     0,  1654,     0,     0,
    1663,  1655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1647,  1265,     0,  1648,
       0,     0,  1656,  1657,     0,     0,  1407,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1649,     0,     0,  1658,
       0,   778,  1407,     0,  1651,     0,     0,     0,     0,     0,
    1652,     0,     0,  1407,  1664,  1665,  1666,     0,  1667,  1668,
    1669,  1670,  1671,  1672,     0,  1659,     0,     0,  1660,   778,
       0,     0,     0,     0,  1653,     0,     0,     0,     0,     0,
     758,  1661,     0,   778,  1662,     0,     0,     0,     0,     0,
    1664,  1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,
     778,     0,     0,   778,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   758,
       0,     0,  1407,     0,     0,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,   758,     0,   758,     0,     0,
       0,     0,  1407,   758,     0,     0,   758,   758,   758,   758,
     758,   758,   758,   758,   758,   758,     0,     0,  1663,   758,
     758,     0,     0,     0,     0,     0,     0,  1407,     0,     0,
       0,     0,   758,     0,     0,  1654,   758,     0,  1795,  1655,
     758,  1250,     0,     0,  3429,     0,     0,  1251,     0,     0,
     758,     0,     0,   758,     0,   758,     0,     0,     0,     0,
    1656,  1657,     0,  1407,   758,   758,   758,     0,     0,     0,
     758,     0,     0,   758,     0,     0,     0,  1658,     0,     0,
       0,     0,     0,   758,   758,     0,     0,  1252,     0,     0,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,   758,  1659,   758,     0,  1660,     0,  1664,  1665,
    1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,     0,  1661,
       0,     0,  1662,     0,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,   758,     0,  1253,     0,     0,  1647,
     758,     0,  1648,  1254,     0,  1250,  1255,     0,     0,     0,
       0,  1251,     0,     0,     0,   758,     0,     0,     0,  1649,
       0,     0,  3479,     0,     0,     0,     0,  1651,     0,     0,
     863,     0,     0,  1652,     0,     0,  1290,  1250,   871,     0,
       0,     0,     0,  1251,     0,     0,   778,   887,   888,     0,
       0,  1252,   890,     0,     0,     0,  1663,  1653,     0,  1256,
       0,     0,     0,   906,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   914,     0,     0,     0,
       0,     0,  1291,  1252,     0,  1795,     0,     0,     0,  1795,
    1407,  1795,   937,     0,     0,   939,     0,   941,     0,   944,
    1253,     0,     0,     0,     0,     0,     0,  1254,     0,     0,
    1255,     0,     0,     0,     0,     0,  1257,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1259,     0,
     778,     0,  1253,   778,     0,     0,  1260,     0,     0,  1254,
       0,     0,  1255,     0,     0,  1261,  1664,  1665,  1666,     0,
    1667,  1668,  1669,  1670,  1671,  1672,     0,     0,  1654,  1000,
    1292,  1001,  1655,  1256,     0,     0,     0,  1795,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2730,     0,
       0,     0,  1263,  1656,  1657,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1256,     0,     0,     0,     0,
    1658,     0,     0,     0,     0,     0,     0,  2731,  1293,     0,
    1294,   758,     0,     0,   711,     0,     0,     0,     0,     0,
    1295,     0,  1258,     0,     0,     0,  1659,     0,     0,  1660,
       0,     0,  1259,     0,   778,   778,     0,     0,  1407,     0,
    1260,   778,  1661,     0,     0,  1662,     0,     0,  1296,  1261,
       0,     0,  1257,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1259,  1265,     0,     0,     0,     0,
       0,     0,  1260,  1217,  1407,   758,   758,     0,     0,     0,
       0,  1261,  1297,     0,     0,     0,  1263,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1299,     0,     0,  3147,     0,   778,     0,  1263,  1663,
       0,     0,  1300,     0,     0,  1339,     0,     0,     0,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
    1351,     0,     0,  3148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1361,     0,     0,     0,     0,     0,     0,
    1363,     0,     0,     0,     0,     0,     0,     0,     0,  1265,
     758,     0,  1411,     0,     0,  1415,     0,     0,     0,     0,
     758,   758,     0,  1407,     0,     0,     0,     0,   758,   758,
       0,     0,     0,   758,  1407,     0,     0,     0,     0,   758,
     758,  1265,     0,   758,     0,     0,     0,     0,  1458,  1664,
    1665,  1666,     0,  1667,  1668,  1669,  1670,  1671,  1672,     0,
       0,   758,     0,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   758,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,   569,     0,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,   570,     0,
       0,     0,     0,     0,     0,     0,   523,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   524,   571,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
    1250,     0,   572,     0,     0,     0,  1251,     0,     0,   525,
    1407,     0,     0,     0,     0,   573,     0,     0,     0,     0,
       0,     0,   526,     0,     0,     0,     0,     0,     0,  1795,
       0,   527,   574,     0,     0,  -722,     0,     0,  1407,     0,
       0,     0,     0,     0,     0,     0,  1252,     0,     0,   778,
       0,     0,   528,   575,  1407,     0,     0,     0,   529,     0,
       0,   778,     0,     0,   576,     0,     0,     0,     0,     0,
       0,     0,   577,   530,     0,     0,     0,     0,     0,     0,
       0,   177,     0,   578,   531,     0,     0,     0,   579,     0,
       0,     0,   532,     0,   580,  1253,     0,     0,     0,     0,
    1407,     0,  1254,   533,     0,  1255,     0,     0,     0,   581,
     534,     0,     0,     0,   535,   778,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   178,     0,  -917,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     179,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   758,     0,   582,     0,   180,  1256,     0,
       0,     0,     0,   181,   758,     0,     0,     0,   536,     0,
       0,     0,     0,     0,     0,  -486,   711,  1810,   182,     0,
       0,     0,     0,     0,     0,     0,   583,     0,     0,   183,
       0,     0,     0,     0,     0,     0,   584,   184,     0,     0,
       0,     0,     0,     0,     0,     0,   537,     0,   185,   538,
       0,  1407,     0,   186,   192,  1257,     0,  1258,     0,   187,
     779,     0,     0,     0,     0,     0,   779,  1259,     0,     0,
     778,     0,     0,     0,   188,  1260,   779,     0,     0,  1920,
       0,   585,   758,  -382,  1261,   586,  1407,   587,     0,     0,
       0,   758,     0,   588,     0,     0,   589,     0,     0,   189,
       0,   539,     0,     0,     0,     0,     0,   540,   758,   758,
       0,     0,   758,  -382,     0,     0,   541,  3189,     0,     0,
     190,  1263,   590,     0,   591,   758,     0,     0,   592,     0,
     758,     0,     0,   758,     0,     0,   593,     0,   758,   758,
       0,   594,  -382,     0,   542,   543,  3190,   544,   545,     0,
       0,   191,     0,   595,     0,     0,   546,   778,     0,   778,
       0,   547,     0,   758,     0,     0,   596,   548,     0,     0,
     549,     0,     0,   550,     0,     0,     0,     0,     0,   192,
       0,     0,     0,     0,     0,     0,  -382,     0,     0,     0,
       0,     0,     0,     0,  1407,     0,     0,     0,     0,     0,
       0,     0,   758,     0,  1265,     0,   193,     0,     0,     0,
     194,     0,   195,     0,     0,     0,     0,     0,   196,     0,
       0,   197,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1795,     0,   778,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   758,     0,   198,     0,   199,
       0,     0,     0,   200,     0,     0,  1250,     0,     0,     0,
       0,   201,  1251,     0,     0,     0,   202,     0,     0,     0,
       0,     0,     0,     0,  2132,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,  1290,     0,  2155,
       0,   204,     0,     0,   758,     0,  1407,     0,     0,     0,
       0,     0,  1252,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   758,  1407,     0,   758,
       0,   758,     0,     0,     0,     0,     0,     0,     0,  2200,
       0,     0,     0,  1291,     0,     0,     0,     0,   758,     0,
       0,     0,   758,     0,  2215,     0,  2217,  1407,  2218,     0,
       0,  1253,     0,  2219,     0,     0,     0,     0,  1254,     0,
       0,  1255,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1795,     0,     0,     0,  1407,     0,     0,     0,  1407,
    1407,     0,     0,     0,     0,     0,  1810,     0,     0,     0,
    1810,     0,  1810,     0,     0,  1810,     0,     0,   779,     0,
       0,  1292,   779,     0,  1256,     0,     0,     0,     0,     0,
       0,     0,     0,   779,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   779,     0,
       0,     0,     0,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,   779,     0,  1397,     0,     0,   779,  1293,
       0,  1294,     0,     0,     0,  1407,     0,     0,   779,     0,
       0,  1295,   830,  1258,     0,     0,   779,     0,     0,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
       0,  1260,     0,   758,     0,     0,     0,     0,     0,  1296,
    1261,     0,     0,     0,     0,   831,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,   832,   833,
       0,     0,     0,     0,     0,     0,     0,   834,     0,   778,
       0,   835,     0,  2679,     0,     0,     0,  1263,  1298,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   836,     0,
       0,     0,     0,     0,   779,   758,     0,     0,     0,     0,
       0,     0,  2680,     0,     0,     0,   758,     0,     0,   837,
       0,     0,     0,  1300,     0,     0,     0,     0,     0,     0,
     838,     0,     0,   758,   758,     0,   778,  1397,   839,     0,
       0,     0,     0,     0,     0,     0,   758,     0,     0,   840,
       0,     0,     0,     0,   841,     0,     0,     0,     0,     0,
       0,     0,     0,  1099,     0,     0,     0,     0,     0,     0,
    1265,     0,     0,     0,     0,   842,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,  1156,     0,     0,     0,   758,     0,     0,
     843,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1795,     0,     0,
       0,   844,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   845,     0,     0,     0,     0,     0,     0,   758,
       0,     0,     0,     0,  1795,  2515,  2516,     0,   758,     0,
    2519,  2520,  1795,     0,  2523,     0,     0,     0,     0,     0,
     192,     0,     0,     0,  2533,     0,     0,     0,     0,     0,
       0,  2542,     0,     0,     0,  2545,  2546,     0,     0,  2549,
    2550,     0,     0,     0,     0,     0,  2555,   846,     0,     0,
       0,   847,     0,   848,     0,     0,     0,     0,  2571,   849,
    2573,     0,   850,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1397,     0,     0,     0,  2595,     0,     0,     0,
       0,  2597,     0,     0,     0,     0,     0,     0,   851,     0,
     852,     0,     0,     0,   853,     0,   779,     0,     0,     0,
       0,     0,   854,     0,     0,     0,     0,   855,     0,     0,
       0,   779,  2615,  2616,  2619,  2621,     0,     0,     0,  2628,
    2631,     0,     0,   779,     0,     0,  1397,  2642,     0,     0,
    2646,     0,   856,     0,  2650,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   779,     0,     0,     0,     0,     0,     0,  2678,  1397,
       0,   779,     0,     0,     0,     0,     0,     0,     0,  2685,
       0,  2687,     0,     0,   779,     0,  2690,   779,     0,     0,
       0,  2694,  2695,  2696,  2697,     0,  2699,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2723,
    2724,  2725,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2733,  2734,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1397,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1397,     0,     0,  1585,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1397,   780,     0,     0,     0,     0,  2791,   780,     0,     0,
       0,     0,  1609,     0,     0,     0,     0,   780,   779,     0,
       0,     0,     0,     0,     0,  1397,   779,   779,     0,     0,
       0,     0,     0,     0,     0,     0,  1796,     0,     0,     0,
    1634,  1635,     0,  1637,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1677,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1397,     0,     0,     0,     0,     0,     0,     0,
    1796,     0,     0,     0,     0,     0,     0,     0,     0,  1713,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1810,     0,     0,  1817,     0,
       0,     0,  1829,  1834,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2913,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   779,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1397,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1796,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   779,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   779,     0,
       0,     0,  3068,     0,     0,     0,     0,     0,     0,   780,
       0,     0,     0,   780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   780,     0,     0,     0,     0,   779,
     779,     0,     0,     0,     0,     0,     0,     0,     0,   780,
     779,     0,     0,     0,     0,     0,     0,     0,  3099,  3100,
       0,     0,   779,   779,   780,     0,     0,     0,     0,   780,
       0,     0,     0,     0,   779,  1810,     0,     0,     0,   780,
       0,     0,     0,     0,     0,     0,     0,   780,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3122,     0,     0,     0,     0,     0,     0,     0,     0,  3126,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3137,  3139,     0,     0,     0,  3139,
       0,     0,     0,     0,  3150,  3151,  3152,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   780,     0,     0,     0,     0,
    3173,  3174,  3175,  3176,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3192,  3193,  3194,     0,     0,     0,     0,     0,     0,     0,
    3207,     0,     0,  1796,  2315,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1397,     0,     0,
       0,     0,  1397,  1397,     0,     0,     0,  2338,     0,     0,
    2340,     0,     0,  2351,  1397,     0,     0,     0,     0,     0,
    2358,  2363,     0,     0,     0,     0,  2369,     0,     0,  2374,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3246,     0,  2383,     0,     0,     0,
       0,  2390,  3250,     0,     0,  2402,     0,     0,     0,  2409,
       0,  2411,  2412,  2413,  2414,  2415,  2416,  2417,  2418,  2419,
       0,  2420,     0,     0,     0,     0,  1099,     0,  2445,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3322,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1399,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3350,     0,     0,  3353,     0,     0,     0,     0,  1397,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3391,   780,     0,     0,
       0,   779,     0,     0,     0,  1796,   779,     0,     0,   779,
    3401,     0,   780,     0,  1156,     0,     0,     0,     0,     0,
    1810,     0,     0,     0,   780,     0,     0,     0,     0,     0,
       0,   779,     0,     0,     0,     0,     0,  1634,  1635,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1397,     0,
       0,     0,   780,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   780,     0,     0,     0,     0,     0,  1399,     0,
       0,     0,   779,     0,     0,   780,     0,     0,   780,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2547,   779,
     779,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1796,   779,     0,  1796,     0,     0,     0,     0,
       0,     0,  1397,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     779,     0,     0,     0,   779,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   779,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   779,     0,     0,     0,     0,     0,     0,   780,
       0,     0,     0,     0,     0,   779,     0,   780,   780,     0,
       0,     0,     0,     0,     0,   779,     0,  1797,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3594,     0,  3595,     0,     0,     0,
       0,     0,     0,  3597,     0,     0,     0,     0,     0,     0,
       0,  1797,     0,  1399,     0,     0,     0,     0,     0,  3606,
       0,     0,  1796,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3614,     0,     0,     0,
       0,     0,     0,     0,     0,  3625,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2763,     0,     0,     0,  1399,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   779,     0,     0,     0,     0,     0,     0,
       0,  3657,  3658,  3659,  3660,  3661,  3662,  3663,  3664,     0,
    1399,     0,     0,  3671,  3672,     0,  3674,  3675,  3676,  3677,
    3678,  3679,  3680,     0,     0,     0,  1400,   779,     0,     0,
       0,  3688,     0,  3690,  3691,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   780,     0,     0,     0,     0,
       0,     0,   779,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1397,     0,  1399,     0,     0,     0,   779,  3734,  3736,  3738,
       0,     0,  3741,     0,     0,     0,  2888,     0,     0,     0,
       0,  1399,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1399,  1397,  1397,     0,  1397,     0,     0,     0,     0,
       0,     0,     0,  1797,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1399,     0,     0,     0,
       0,     0,     0,   780,     0,     0,     0,     0,  1400,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   780,
    1796,     0,     0,  3139,     0,     0,  1796,     0,     0,  2934,
       0,  1397,     0,  1397,  2940,     0,     0,     0,     0,     0,
    1810,  1810,  1810,     0,     0,     0,     0,     0,     0,     0,
     780,   780,     0,  1399,     0,     0,     0,     0,     0,     0,
       0,   780,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   780,   780,     0,  2363,     0,  2363,  2363,
       0,     0,     0,     0,     0,   780,     0,  1397,     0,  2997,
       0,     0,  3000,     0,  3002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   779,     0,     0,     0,
       0,     0,  1397,     0,     0,     0,     0,     0,     0,     0,
       0,  3023,     0,  3025,     0,     0,     0,  3028,     0,     0,
       0,  1397,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1397,
       0,     0,     0,     0,     0,     0,  2445,  2445,  2445,     0,
       0,     0,     0,     0,   779,     0,     0,     0,     0,     0,
       0,     0,     0,  3066,     0,     0,     0,     0,     0,   779,
     779,     0,     0,     0,     0,  1817,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1834,     0,     0,  1400,     0,     0,   779,     0,     0,   779,
       0,     0,     0,  1397,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1797,     0,     0,     0,     0,  1397,
    1399,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1397,     0,     0,  3926,  3927,  3928,  3929,     0,     0,  3108,
       0,     0,     0,     0,     0,     0,     0,  1400,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3941,  3942,  3943,
    3944,     0,  3946,  3947,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3956,  3957,  1796,  1796,  1796,     0,
    1400,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1810,  1810,     0,  1810,   779,     0,     0,     0,  1397,
       0,     0,     0,     0,     0,     0,   779,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   779,     0,     0,  1397,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1397,     0,     0,     0,     0,     0,
       0,     0,  1400,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1400,     0,     0,     0,     0,     0,     0,   779,     0,
    1397,     0,     0,  4011,  1674,     0,     0,     0,     0,     0,
       0,  1400,  4017,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4036,     0,     0,     0,  1400,     0,     0,     0,
    1796,     0,   780,     0,     0,     0,  1797,   780,     0,     0,
     780,     0,     0,     0,  4053,   779,     0,   779,     0,     0,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,   779,
       0,   779,   780,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1400,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   780,     0,  1810,     0,     0,     0,     0,
     779,     0,     0,     0,     0,     0,     0,     0,  1810,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1399,     0,
     780,   780,     0,  1399,  1399,     0,     0,     0,   779,     0,
       0,     0,     0,     0,     0,  1399,     0,     0,     0,     0,
       0,     0,   779,  1797,   780,     0,  1797,  1397,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   779,
       0,     0,   779,     0,     0,     0,     0,     0,     0,     0,
       0,   780,     0,     0,     0,   780,     0,     0,     0,     0,
       0,     0,     0,     0,  4138,     0,     0,     0,     0,     0,
       0,     0,     0,   780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   780,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   780,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1796,     0,     0,
       0,     0,  3430,     0,     0,     0,     0,     0,     0,     0,
    1400,     0,  3434,     0,     0,     0,     0,     0,  3435,     0,
    3436,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3139,     0,     0,     0,     0,     0,
    1399,     0,  3454,  3455,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1797,     0,  1397,     0,     0,     0,     0,
       0,     0,     0,  2369,     0,     0,     0,  1810,     0,     0,
       0,     0,     0,  3483,     0,     0,  3486,  1810,  3488,     0,
       0,     0,     0,     0,     0,     0,     0,  3492,     0,     0,
       0,  1397,     0,  3497,     0,     0,  3500,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4254,     0,     0,   780,     0,  4258,  3533,     0,  1399,
       0,     0,     0,     0,     0,  3545,     0,  2445,     0,  1810,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   779,     0,     0,   780,     0,
       0,  3558,  1674,     0,     0,     0,     0,  1099,  1402,     0,
       0,     0,     0,  1156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   780,  1796,     0,     0,     0,  1796,     0,
    1796,     0,  1403,     0,     0,     0,     0,     0,     0,     0,
    1397,  3139,     0,  1399,     0,     0,     0,   780,     0,     0,
       0,  1397,     0,     0,     0,     0,  1810,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   779,
    1674,     0,   779,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,     0,     0,  2347,
       0,     0,     0,     0,     0,     0,  1796,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4360,     0,     0,  1674,
    1674,  4364,  1674,     0,     0,     0,     0,     0,     0,     0,
    1402,  1797,     0,     0,     0,     0,     0,  1797,     0,     0,
       0,     0,     0,     0,     0,  1404,     0,     0,  1400,     0,
       0,     0,     0,  1400,  1400,     0,     0,  1397,     0,     0,
       0,     0,  1674,     0,  1403,  1400,     0,     0,     0,     0,
       0,     0,     0,   779,   779,     0,     0,     0,     0,     0,
     779,     0,     0,     0,     0,  1397,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1674,     0,
       0,  1397,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   780,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1397,     0,     0,
       0,     0,     0,     0,     0,   779,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   780,     0,  1404,  3794,  3795,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     780,   780,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1674,     0,     0,     0,     0,     0,     0,     0,
    1400,     0,     0,     0,  1674,     0,     0,   780,     0,  1674,
     780,     0,     0,     0,     0,  1402,     0,     0,     0,     0,
       0,  1399,     0,     0,     0,     0,  3824,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1403,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1399,  1399,     0,  1399,     0,     0,  1402,
       0,     0,     0,  3842,  3844,     0,     0,     0,     0,  1400,
       0,     0,     0,  1397,     0,     0,  3851,  1797,  1797,  1797,
       0,     0,  3856,  3857,     0,     0,  3859,     0,     0,     0,
       0,     0,  1402,  1403,     0,     0,   780,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   780,     0,     0,
       0,     0,  1399,     0,  1399,     0,     0,   780,  2445,     0,
       0,     0,     0,  2445,     0,     0,  1403,     0,     0,     0,
       0,     0,     0,     0,     0,  2445,     0,     0,  1796,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1404,  1400,     0,     0,     0,     0,   779,     0,
       0,     0,     0,     0,  1402,  3907,     0,     0,  1399,     0,
     779,     0,     0,     0,     0,     0,     0,     0,     0,   780,
       0,  1397,     0,  1402,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1399,     0,     0,     0,     0,  1403,     0,
       0,     0,     0,  1402,     0,     0,  1404,     0,     0,     0,
       0,     0,  1399,     0,     0,     0,     0,  1403,     0,     0,
       0,  1797,     0,     0,   779,     0,     0,     0,  1402,     0,
    1399,     0,     0,     0,     0,     0,   780,  1403,   780,  1404,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     780,     0,   780,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1403,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1397,     0,  1402,     0,     0,     0,     0,
       0,     0,     0,     0,  1399,     0,     0,     0,     0,     0,
       0,   780,     0,     0,  1397,     0,     0,     0,     0,     0,
    1399,  1404,     0,     0,     0,     0,     0,     0,     0,  1403,
       0,  1399,     0,     0,     0,     0,  3997,     0,     0,   780,
    1404,     0,     0,     0,  1397,     0,     0,     0,     0,   779,
       0,     0,     0,   780,     0,     0,     0,     0,     0,     0,
    1404,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     780,     0,     0,   780,     0,     0,     0,     0,     0,     0,
       0,     0,  1397,     0,     0,  1404,  1397,  1397,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1399,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1399,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   779,     0,   779,     0,
       0,     0,  1404,     0,     0,  1399,     0,     0,  1797,     0,
       0,  1400,     0,     0,     0,  4079,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1402,     0,     0,     0,     0,     0,     0,     0,
       0,  1399,  4096,     0,     0,     0,     0,     0,     0,     0,
    1674,     0,     0,  1400,  1400,     0,  1400,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1403,     0,     0,     0,
    1796,     0,   779,  1674,     0,  1674,     0,  2347,  2347,  2971,
       0,     0,  2347,     0,     0,     0,  1674,     0,     0,     0,
       0,     0,     0,  1674,     0,     0,     0,     0,  1674,     0,
       0,     0,     0,     0,  1674,     0,     0,     0,     0,  1674,
       0,     0,  1400,     0,  1400,     0,     0,     0,  1674,     0,
       0,     0,  2347,  2347,     0,  1674,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1674,     0,     0,
       0,     0,     0,     0,  1674,     0,  1674,  1674,  1674,  1674,
    1674,  1674,  1674,  1674,  1674,  1674,   780,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1400,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1404,
    1674,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1400,     0,  1797,     0,     0,     0,  1797,
       0,  1797,     0,     0,     0,     0,     0,     0,  1399,     0,
       0,     0,  1400,     0,     0,     0,     0,     0,     0,     0,
    1796,     0,  2369,     0,     0,     0,     0,     0,     0,     0,
    1400,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     780,  4229,     0,   780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1797,     0,     0,
       0,     0,  1674,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1400,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1400,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1400,     0,     0,     0,     0,     0,     0,     0,     0,
    1402,     0,     0,     0,     0,  1402,  1402,     0,     0,     0,
       0,     0,     0,     0,   780,   780,     0,  1402,  4300,     0,
       0,   780,     0,     0,     0,     0,  1399,     0,     0,     0,
       0,     0,     0,     0,  1403,     0,     0,     0,   779,  1403,
    1403,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1403,     0,     0,     0,     0,     0,     0,     0,     0,
    1400,     0,  1399,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1400,     0,     0,  4341,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   779,   780,     0,     0,     0,
       0,     0,     0,     0,     0,  1400,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1400,     0,     0,     0,     0,     0,  1404,     0,     0,
       0,     0,  1404,  1404,     0,     0,  4386,  4386,     0,     0,
       0,     0,  1402,     0,  1404,     0,     0,     0,  1674,     0,
       0,  1399,     0,     0,     0,     0,  1796,     0,     0,     0,
       0,     0,  1399,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4386,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4434,     0,     0,  1796,     0,     0,     0,     0,     0,     0,
       0,  1796,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1402,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1403,     0,     0,     0,     0,
       0,     0,  4386,     0,     0,     0,     0,     0,  1399,     0,
       0,     0,     0,  1674,     0,     0,     0,     0,     0,  1797,
       0,     0,     0,     0,     0,     0,     0,     0,  1400,  1404,
       0,     0,     0,     0,     0,     0,  1399,     0,     0,   780,
       0,     0,     0,     0,     0,  1402,     0,     0,     0,     0,
       0,   780,  1399,     0,     0,     0,     0,     0,     0,  1674,
       0,     0,     0,     0,     0,  1674,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1403,
       0,  2971,  2971,     0,  2347,     0,     0,  2347,  2347,  2347,
    2347,  2347,  2347,  2347,  2347,  2347,  2347,  2971,  1399,     0,
       0,     0,     0,     0,     0,   780,     0,     0,  1404,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1674,     0,     0,  1674,     0,  1674,     0,     0,
       0,     0,  2971,  2971,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2347,  2347,  1674,     0,
    1674,     0,     0,  1674,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1400,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1674,  1404,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1400,     0,     0,     0,     0,     0,     0,     0,
     780,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1674,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1399,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   780,     0,   780,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1400,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1400,  1402,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1399,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1403,     0,     0,
       0,     0,     0,     0,     0,  1402,  1402,     0,  1402,     0,
       0,  1797,     0,   780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1403,
    1403,     0,  1403,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2347,     0,  1402,     0,  1402,     0,  1400,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1399,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1400,     0,  1403,     0,
    1403,     0,     0,     0,     0,  1399,     0,     0,     0,     0,
    1404,     0,  1400,     0,     0,     0,     0,     0,     0,     0,
    1402,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1399,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1402,     0,     0,     0,     0,
       0,     0,  1404,  1404,  1403,  1404,     0,     0,  1400,     0,
       0,  1797,     0,     0,  1402,     0,     0,     0,     0,     0,
       0,     0,     0,  1399,     0,     0,     0,  1399,  1399,  1403,
       0,     0,  1402,     0,     0,  1674,     0,     0,     0,  1674,
    1674,  1674,     0,     0,  2971,     0,     0,     0,  1403,  2971,
    2971,  2971,  2971,  2971,  2971,  2971,  2971,  2971,  2971,  1674,
    1674,  1404,     0,  1404,     0,     0,  1403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1674,  2347,
    2347,  1674,     0,  1674,     0,     0,  1402,  1674,  2971,  2971,
       0,     0,  1674,     0,     0,  1674,     0,     0,     0,     0,
       0,     0,  1402,     0,     0,     0,     0,  1404,     0,     0,
       0,     0,     0,  1402,     0,     0,     0,     0,     0,     0,
    1403,     0,     0,     0,     0,     0,     0,     0,  1674,     0,
       0,     0,  1404,     0,     0,     0,  1403,     0,     0,     0,
    1674,     0,     0,     0,  1400,     0,     0,  1403,     0,   780,
       0,  1404,     0,  1674,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1404,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1402,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1402,     0,     0,     0,   780,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1402,     0,     0,
       0,     0,     0,  1404,     0,     0,  1403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1404,
       0,     0,  1400,     0,     0,     0,     0,     0,     0,     0,
    1404,  1403,     0,  1402,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1797,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1403,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1404,
       0,     0,     0,     0,  1797,     0,     0,  2971,     0,     0,
       0,     0,  1797,     0,     0,     0,     0,     0,     0,  1404,
       0,     0,     0,     0,  1400,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1404,  1400,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1674,
    1674,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1400,     0,     0,     0,     0,
    1404,     0,     0,     0,     0,     0,     0,     0,     0,  1674,
       0,     0,     0,  2347,     0,     0,     0,     0,     0,     0,
    1402,     0,     0,     0,     0,     0,     0,  1674,     0,  1674,
       0,     0,     0,  1400,  2971,  2971,  1674,  1400,  1400,  2347,
    2347,  1674,  1674,     0,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1403,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1674,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1404,  1402,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1674,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1403,     0,  1402,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1403,     0,
       0,     0,     0,     0,     0,     0,  2971,  2347,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2971,  2971,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1402,     0,  1404,     0,     0,     0,     0,
       0,     0,     0,     0,  1402,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1403,     0,     0,
       0,  1404,     0,     0,     0,     0,     0,     0,  1403,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2971,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1402,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1402,     0,
    1404,     0,     0,     0,  1403,     0,     0,     0,     0,     0,
       0,  1404,     0,     0,  1402,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,     0,     0,
       0,     0,  1403,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1403,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1402,     0,     0,     0,     0,     0,  1674,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1403,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1674,     0,     0,     0,     0,     0,  1404,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1404,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1674,
       0,  1404,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1402,  1404,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1403,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1402,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1403,     0,
       0,     0,     0,  1404,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1402,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1402,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1403,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1404,     0,     0,     0,     0,     0,  1402,     0,     0,
       0,  1403,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1403,     0,     0,     0,  1402,     0,     0,     0,  1402,
    1402,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1403,
       0,     0,     0,  1403,  1403,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1404,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1404,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1404,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   731,  1017,
     564,  1018,  1019,  1020,   615,  1021,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,  2439,   217,   218,
     219,     0,  1404,     0,     0,  1022,  1404,  1404,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,  1023,   733,
    1024,  1025,     0,   231,   232,   233,   234,   235,  1026,  1027,
     236,   237,  1028,  1029,   240,     0,   241,   242,   243,   244,
    1030,     0,  1031,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,
     261,   262,   263,   264,   265,  1039,  1040,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
    2440,     0,   278,   279,  1041,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
    1042,   294,   295,   296,  1043,  1044,   298,     0,   299,  1045,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,  1046,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,  1047,  1048,     0,  1049,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,  1050,   745,   344,   746,     0,   345,   346,   347,  1051,
    1052,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,  1053,   747,  1054,   363,   364,   365,
    1055,   366,   367,   748,   368,  1056,  1057,   370,  1058,   372,
     373,   374,     0,   375,     0,     0,  1059,   377,   378,     0,
       0,   379,   749,   750,   751,  1060,   381,   382,   383,   384,
     385,   386,   387,     0,   388,  1061,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
    1062,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,  1063,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,  1064,   437,
     438,   439,   440,   753,   441,  1065,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,  1066,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
    1067,  1068,     0,     0,   465,  1069,   467,  1070,  1071,   469,
     470,   471,   472,   473,   474,   475,     0,  1072,   476,   477,
     478,   479,   480,  1073,     0,   481,   482,   483,   484,   485,
     486,  1074,  2441,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,  1075,
    1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,   508,   509,
       0,     0,     0,     0,     0,     0,     0,  1083,  1084,  2442,
       0,     0,     0,     0,     0,     0,  1086,  2443,   731,  1017,
     564,  1018,  1019,  1020,   615,  1021,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,  1022,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,  1023,   733,
    1024,  1025,     0,   231,   232,   233,   234,   235,  1026,  1027,
     236,   237,  1028,  1029,   240,     0,   241,   242,   243,   244,
    1030,     0,  1031,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,
     261,   262,   263,   264,   265,  1039,  1040,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,  1041,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
    1042,   294,   295,   296,  1043,  1044,   298,     0,   299,  1045,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,  1046,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,  1047,  1048,     0,  1049,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,  1050,   745,   344,   746,     0,   345,   346,   347,  1051,
    1052,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,  1053,   747,  1054,   363,   364,   365,
    1055,   366,   367,   748,   368,  1056,  1057,   370,  1058,   372,
     373,   374,     0,   375,     0,     0,  1059,   377,   378,     0,
       0,   379,   749,   750,   751,  1060,   381,   382,   383,   384,
     385,   386,   387,     0,   388,  1061,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
    1062,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,  1063,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,  1064,   437,
     438,   439,   440,   753,   441,  1065,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,  1066,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
    1067,  1068,     0,     0,   465,  1069,   467,  1070,  1071,   469,
     470,   471,   472,   473,   474,   475,     0,  1072,   476,   477,
     478,   479,   480,  1073,     0,   481,   482,   483,   484,   485,
     486,  1074,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,  1075,
    1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,   508,   509,
       0,     0,     0,     0,     0,     0,     0,  1083,  1084,   207,
       0,     0,     0,     0,     0,     0,  1086,  2349,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,  3513,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
   -1470,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0, -1470,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324, -1470,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334, -1470,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343, -1470,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361, -1470,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420, -1470,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     0,     0,     0,     0,     0,     0,     0,  1373,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1163,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,     0,  1374,   733,
    1375,  1376,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,  1377,  1378,   240,     0,   241,   242,   243,   244,
       0,     0,   734,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,     0,     0,     0,   737,     0,     0,     0,   260,
     261,   262,   263,   264,   265,  1379,  1380,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,  1041,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
       0,   294,   295,   296,     0,     0,   298,     0,   299,  1381,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,     0,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,  1943,   318,   319,   320,
     321,   322,   323,     0,   324,   741,  1944,   326,   327,   328,
     329,  1382,  1383,     0,  1384,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,     0,   745,   344,   746,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,  1385,   747,  1386,   363,   364,     0,
       0,   366,   367,   748,   368,     0,     0,   370,  1387,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,  1945,   749,   750,   751,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   390,     0,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
    1388,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
    1946,   439,   440,   753,   441,  1390,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,     0,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
    1391,  1392,     0,     0,   465,     0,   467,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
       0,  1393,  1947,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,     0,  1373,
       0,     0,     0,     0,     0,     0,     0,   507,   508,   509,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,  1948,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,     0,  1374,
     733,  1375,  1376,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,  1377,  1378,   240,     0,   241,   242,   243,
     244,     0,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,  1379,  1380,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,  1041,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,     0,   294,   295,   296,     0,     0,   298,     0,   299,
    1381,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,     0,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,  1943,   318,   319,
     320,   321,   322,   323,     0,   324,   741,  1944,   326,   327,
     328,   329,  1382,  1383,     0,  1384,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,     0,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,  1385,   747,  1386,   363,   364,
       0,     0,   366,   367,   748,   368,     0,     0,   370,  1387,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,  1945,   749,   750,   751,     0,   381,   382,   383,
     384,   385,   386,   387,     0,   388,     0,   390,     0,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,  1388,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,     0,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,  1946,   439,   440,   753,   441,  1390,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,     0,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,  1391,  1392,     0,     0,   465,     0,   467,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,     0,  1393,  1947,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,     0,
     731,  1017,   564,  1018,  1019,  1020,   615,  1021,   507,   508,
     509,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,  1022,  2852,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,   227,
    1023,   733,  1024,  1025,  2359,   231,   232,   233,   234,   235,
    1026,  1027,   236,   237,  1028,  1029,   240,     0,   241,   242,
     243,   244,  1030,     0,  1031,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,  1032,  1033,  1034,  1035,  1036,  1037,
    1038,   260,   261,   262,   263,   264,   265,  1039,  1040,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,  1041,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,  1042,   294,   295,   296,  1043,  1044,   298,     0,
     299,  1045,   301,     0,   302,     0,   303,   738,  2360,   739,
     304,   305,   306,     0,   307,  1046,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,  1047,  1048,     0,  1049,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,  2361,   342,  1050,   745,   344,   746,     0,   345,   346,
     347,  1051,  1052,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,  1053,   747,  1054,   363,
     364,   365,  1055,   366,   367,   748,   368,  1056,  1057,   370,
    1058,   372,   373,   374,     0,   375,     0,     0,  1059,   377,
     378,     0,     0,   379,   749,   750,   751,  1060,   381,   382,
     383,   384,   385,   386,   387,     0,   388,  1061,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,  1062,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,  1063,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
    1064,   437,   438,   439,   440,   753,   441,  1065,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
    1066,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,  1067,  1068,     0,  2362,   465,  1069,   467,  1070,
    1071,   469,   470,   471,   472,   473,   474,   475,     0,  1072,
     476,   477,   478,   479,   480,  1073,     0,   481,   482,   483,
     484,   485,   486,  1074,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,  1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,
     508,   509,     0,     0,     0,     0,     0,     0,     0,  1083,
    1084,     0,     0,     0,     0,     0,     0,     0,  1086,   731,
    1017,   564,  1018,  1019,  1020,   615,  1021,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,  1022,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,  1023,
     733,  1024,  1025,     0,   231,   232,   233,   234,   235,  1026,
    1027,   236,   237,  1028,  1029,   240,     0,   241,   242,   243,
     244,  1030,     0,  1031,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,
     260,   261,   262,   263,   264,   265,  1039,  1040,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,  1041,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,  1042,   294,   295,   296,  1043,  1044,   298,     0,   299,
    1045,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,  1046,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,  1047,  1048,     0,  1049,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,  1050,   745,   344,   746,     0,   345,   346,   347,
    1051,  1052,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,  1053,   747,  1054,   363,   364,
     365,  1055,   366,   367,   748,   368,  1056,  1057,   370,  1058,
     372,   373,   374,     0,   375,     0,     0,  1059,   377,   378,
       0,     0,   379,   749,   750,   751,  1060,   381,   382,   383,
     384,   385,   386,   387,     0,   388,  1061,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,  1062,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,  1063,   424,   425,   426,   427,   428,
     429,   430,   431,    38,   432,   433,   434,   435,   436,  1064,
     437,   438,   439,   440,   753,   441,  1065,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,  1066,
       0,   455,   456,    42,   457,   458,   459,   460,   461,   462,
       0,  1067,  1068,     0,     0,   465,  1069,   467,  1070,  1071,
     469,   470,   471,   472,   473,   474,   475,     0,  1072,   476,
     477,   478,   479,   480,  1073,     0,   481,   482,   483,   484,
     485,   956,  1074,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,    47,   493,   494,   495,   496,   497,   498,
    1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,   508,
     509,     0,     0,     0,     0,     0,     0,     0,  1083,  1084,
       0,     0,     0,     0,     0,     0,     0,  1086,   731,  1017,
     564,  1018,  1019,  1020,   615,  1021,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,  1022,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,  1023,   733,
    1024,  1025,     0,   231,   232,   233,   234,   235,  1026,  1027,
     236,   237,  1028,  1029,   240,     0,   241,   242,   243,   244,
    1030,     0,  1031,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,
     261,   262,   263,   264,   265,  1039,  1040,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,  1041,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
    1042,   294,   295,   296,  1043,  1044,   298,     0,   299,  1045,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,  1046,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,  1047,  1048,     0,  1049,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,  1050,   745,   344,   746,     0,   345,   346,   347,  1051,
    1052,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,  1053,   747,  1054,   363,   364,   365,
    1055,   366,   367,   748,   368,  1056,  1057,   370,  1058,   372,
     373,   374,     0,   375,     0,     0,  1059,   377,   378,     0,
       0,   379,   749,   750,   751,  1060,   381,   382,   383,   384,
     385,   386,   387,     0,   388,  1061,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
    1062,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,  1063,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,  1064,   437,
     438,   439,   440,   753,   441,  1065,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,  1066,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
    1067,  1068,     0,     0,   465,  1069,   467,  1070,  1071,   469,
     470,   471,   472,   473,   474,   475,     0,  1072,   476,   477,
     478,   479,   480,  1073,     0,   481,   482,   483,   484,   485,
     486,  1074,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,  1075,
    1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,   508,   509,
       0,     0,     0,     0,     0,     0,     0,  1083,  1084,     0,
       0,     0,     0,     0,  1580,  2307,  1086,   731,  1017,   564,
    1018,  1019,  1020,   615,  1021,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,  1022,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,  1023,   733,  1024,
    1025,     0,   231,   232,   233,   234,   235,  1026,  1027,   236,
     237,  1028,  1029,   240,     0,   241,   242,   243,   244,  1030,
       0,  1031,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,   261,
     262,   263,   264,   265,  1039,  1040,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1041,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,  1042,
     294,   295,   296,  1043,  1044,   298,     0,   299,  1045,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,  1046,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
    1047,  1048,     0,  1049,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
    1050,   745,   344,   746,     0,   345,   346,   347,  1051,  1052,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1053,   747,  1054,   363,   364,   365,  1055,
     366,   367,   748,   368,  1056,  1057,   370,  1058,   372,   373,
     374,     0,   375,     0,     0,  1059,   377,   378,     0,     0,
     379,   749,   750,   751,  1060,   381,   382,   383,   384,   385,
     386,   387,     0,   388,  1061,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1062,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,  1063,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,  1064,   437,   438,
     439,   440,   753,   441,  1065,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,  1066,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,  1067,
    1068,     0,     0,   465,  1069,   467,  1070,  1071,   469,   470,
     471,   472,   473,   474,   475,     0,  1072,   476,   477,   478,
     479,   480,  1073,     0,   481,   482,   483,   484,   485,   486,
    1074,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,  1075,  1076,
    1077,  1078,  1079,  1080,  1081,  1082,   507,   508,   509,     0,
       0,     0,     0,     0,     0,     0,  1083,  1084,  1085,     0,
       0,     0,     0,     0,     0,  1086,   731,  1017,   564,  1018,
    1019,  1020,   615,  1021,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,  1022,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,  1023,   733,  1024,  1025,
       0,   231,   232,   233,   234,   235,  1026,  1027,   236,   237,
    1028,  1029,   240,     0,   241,   242,   243,   244,  1030,     0,
    1031,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,
     263,   264,   265,  1039,  1040,   268,  1155,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1041,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,  1042,   294,
     295,   296,  1043,  1044,   298,     0,   299,  1045,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1046,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,  1047,
    1048,     0,  1049,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,  1050,
     745,   344,   746,     0,   345,   346,   347,  1051,  1052,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1053,   747,  1054,   363,   364,   365,  1055,   366,
     367,   748,   368,  1056,  1057,   370,  1058,   372,   373,   374,
       0,   375,     0,     0,  1059,   377,   378,     0,     0,   379,
     749,   750,   751,  1060,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1061,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1062,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,  1063,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,  1064,   437,   438,   439,
     440,   753,   441,  1065,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1066,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1067,  1068,
       0,     0,   465,  1069,   467,  1070,  1071,   469,   470,   471,
     472,   473,   474,   475,     0,  1072,   476,   477,   478,   479,
     480,  1073,     0,   481,   482,   483,   484,   485,   486,  1074,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,  1075,  1076,  1077,
    1078,  1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,  1083,  1084,     0,     0,     0,
       0,     0,     0,     0,  1086,   731,  1017,   564,  1018,  1019,
    1020,   615,  1021,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,  1827,   217,   218,   219,     0,     0,
       0,     0,  1022,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,  1023,   733,  1024,  1025,     0,
     231,   232,   233,   234,   235,  1026,  1027,   236,   237,  1028,
    1029,   240,     0,   241,   242,   243,   244,  1030,     0,  1031,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,  1032,
    1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,
     264,   265,  1039,  1040,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1041,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1042,   294,   295,
     296,  1043,  1044,   298,     0,   299,  1045,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1046,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1047,  1048,
       0,  1049,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1050,   745,
     344,   746,     0,   345,   346,   347,  1051,  1052,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1053,   747,  1054,   363,   364,   365,  1055,   366,   367,
     748,   368,  1056,  1057,   370,  1058,   372,   373,   374,     0,
     375,     0,     0,  1059,   377,   378,     0,     0,   379,   749,
     750,   751,  1060,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1061,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1062,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1063,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1064,   437,   438,   439,   440,
     753,   441,  1065,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1066,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1067,  1068,     0,
       0,   465,  1069,   467,  1070,  1071,   469,   470,   471,   472,
     473,   474,   475,     0,  1072,   476,   477,   478,   479,   480,
    1073,     0,   481,   482,   483,   484,   485,   486,  1074,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,     0,
       0,     0,     0,     0,  1083,  1084,     0,     0,     0,     0,
       0,     0,     0,  1086,   731,  1017,   564,  1018,  1019,  1020,
     615,  1021,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,  1022,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,  1023,   733,  1024,  1025,     0,   231,
     232,   233,   234,   235,  1026,  1027,   236,   237,  1028,  1029,
     240,     0,   241,   242,   243,   244,  1030,     0,  1031,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,  1032,  1033,
    1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,   264,
     265,  1039,  1040,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
    1041,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,  1042,   294,   295,   296,
    1043,  1044,   298,     0,   299,  1045,   301,     0,   302,     0,
     303,   738,  2360,   739,   304,   305,   306,     0,   307,  1046,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,  1047,  1048,     0,
    1049,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,  1050,   745,   344,
     746,     0,   345,   346,   347,  1051,  1052,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1053,   747,  1054,   363,   364,   365,  1055,   366,   367,   748,
     368,  1056,  1057,   370,  1058,   372,   373,   374,     0,   375,
       0,     0,  1059,   377,   378,     0,     0,   379,   749,   750,
     751,  1060,   381,   382,   383,   384,   385,   386,   387,     0,
     388,  1061,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,  1062,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,  1063,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,  1064,   437,   438,   439,   440,   753,
     441,  1065,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,  1066,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,  1067,  1068,     0,     0,
     465,  1069,   467,  1070,  1071,   469,   470,   471,   472,   473,
     474,   475,     0,  1072,   476,   477,   478,   479,   480,  1073,
       0,   481,   482,   483,   484,   485,   486,  1074,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,  1082,   507,   508,   509,     0,     0,     0,     0,
       0,     0,     0,  1083,  1084,     0,     0,     0,     0,     0,
       0,     0,  1086,   731,  1017,   564,  1018,  1019,  1020,   615,
    1021,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
    1022,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,  1023,   733,  1024,  1025,     0,   231,   232,
     233,   234,   235,  1026,  1027,   236,   237,  1028,  1029,   240,
       0,   241,   242,   243,   244,  1030,     0,  1031,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,  1032,  1033,  1034,
    1035,  1036,  1037,  1038,   260,   261,   262,   263,   264,   265,
    1039,  1040,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1041,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,  1042,   294,   295,   296,  1043,
    1044,   298,     0,   299,  1045,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,  1046,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,  1047,  1048,     0,  1049,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,  1050,   745,   344,   746,
       0,   345,   346,   347,  1051,  1052,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1053,
     747,  1054,   363,   364,   365,  1055,   366,   367,   748,   368,
    1056,  1057,   370,  1058,   372,   373,   374,     0,   375,     0,
       0,  1059,   377,   378,     0,     0,   379,   749,   750,   751,
    1060,   381,   382,   383,   384,   385,   386,   387,     0,   388,
    1061,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1062,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,  1063,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,  1064,   437,   438,   439,   440,   753,   441,
    1065,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,  1066,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1067,  1068,     0,     0,   465,
    1069,   467,  1070,  1071,   469,   470,   471,   472,   473,   474,
     475,     0,  1072,   476,   477,   478,   479,   480,  1073,     0,
     481,   482,   483,   484,   485,   486,  1074,  3548,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,  1075,  1076,  1077,  1078,  1079,  1080,
    1081,  1082,   507,   508,   509,     0,     0,     0,     0,     0,
       0,     0,  1083,  1084,     0,     0,     0,     0,     0,     0,
       0,  1086,   731,  1017,   564,  1018,  1019,  1020,   615,  1021,
       0,     0,     0,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,  1022,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,   227,  1023,   733,  1024,  1025,     0,   231,   232,   233,
     234,   235,  1026,  1027,   236,   237,  1028,  1029,   240,     0,
     241,   242,   243,   244,  1030,     0,  1031,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,  1032,  1033,  1034,  1035,
    1036,  1037,  1038,   260,   261,   262,   263,   264,   265,  1039,
    1040,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,  1041,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,  1042,   294,   295,   296,  1043,  1044,
     298,     0,   299,  1045,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,  1046,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,  1047,  1048,     0,  1049,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,  1050,   745,   344,   746,     0,
     345,   346,   347,  1051,  1052,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,  1053,   747,
    1054,   363,   364,   365,  1055,   366,   367,   748,   368,  1056,
    1057,   370,  1058,   372,   373,   374,     0,   375,     0,     0,
    1059,   377,   378,     0,     0,   379,   749,   750,   751,  1060,
     381,   382,   383,   384,   385,   386,   387,     0,   388,  1061,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,  1062,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,  1063,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,  1064,   437,   438,   439,   440,   753,   441,  1065,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,  1066,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,  1067,  1068,     0,     0,   465,  1069,
     467,  1070,  1071,   469,   470,   471,   472,   473,   474,   475,
       0,  1072,   476,   477,   478,   479,   480,  1073,     0,   481,
     482,   483,   484,   485,   486,  1074,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,  1075,  1076,  1077,  1078,  1079,  1080,  1081,
    1082,   507,   508,   509,     0,     0,     0,     0,     0,     0,
       0,  1083,  1084,     0,     0,     0,     0,     0,     0,     0,
    1086,   731,  1017,   564,  1018,  1019,  1020,   615,  1021,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,  1022,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,  1023,   733,  1024,  1025,     0,   231,   232,   233,   234,
     235,  1026,  1027,   236,   237,  1028,  1029,   240,     0,   241,
     242,   243,   244,  1030,     0,  1031,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,  1032,  1033,  1034,  1035,  1036,
    1037,  1038,   260,   261,   262,   263,   264,   265,  1039,  1040,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,  1041,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,  1042,   294,   295,   296,  1043,  1044,   298,
       0,   299,  1045,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,  1046,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,  1047,  1048,     0,  1049,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,  1050,   745,   344,   746,     0,   345,
     346,   347,  1051,  1052,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,  1053,   747,  1054,
     363,   364,   365,  1055,   366,   367,   748,   368,  1056,  1057,
     370,  1058,   372,   373,   374,     0,   375,     0,     0,  1059,
     377,   378,     0,     0,   379,   749,   750,   751,  1060,   381,
     382,   383,   384,   385,   386,   387,     0,   388,  1061,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,  1062,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,  1063,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,  1064,   437,   438,   439,   440,   753,   441,  1065,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,  1066,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,  1067,  1068,     0,     0,   465,  1069,   467,
    1070,  1071,   469,   470,   471,   472,   473,   474,   475,     0,
    1072,   476,   477,   478,   479,   480,  1073,     0,   481,   482,
     483,   484,   485,   486,  1074,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,  1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,
     507,   508,   509,     0,     0,     0,     0,     0,     0,     0,
    1830,  1831,     0,     0,     0,     0,     0,     0,     0,  1086,
     731,  2484,   564,  1018,  1019,  1020,   615,  1021,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,  1022,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,   227,
    1023,   733,  1024,  1025,     0,   231,   232,   233,   234,   235,
    1026,  1027,   236,   237,  1028,  1029,   240,     0,   241,   242,
     243,   244,  1030,     0,  1031,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,  1032,  1033,  1034,  1035,  1036,  1037,
    1038,   260,   261,   262,   263,   264,   265,  1039,  1040,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,  1041,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,  1042,   294,   295,   296,  1043,  1044,   298,     0,
     299,  1045,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,  1046,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,  1047,  1048,     0,  1049,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,  1050,   745,   344,   746,     0,   345,   346,
     347,  1051,  1052,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,  1053,   747,  1054,   363,
     364,   365,  1055,   366,   367,   748,   368,  1056,  1057,   370,
    1058,   372,   373,   374,     0,   375,     0,     0,  1059,   377,
     378,     0,     0,   379,   749,   750,   751,  1060,   381,   382,
     383,   384,   385,   386,   387,     0,   388,  1061,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,  1062,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,  1063,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
    1064,   437,   438,   439,   440,   753,   441,  1065,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
    1066,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,  1067,  1068,     0,     0,   465,  1069,   467,  1070,
    1071,   469,   470,   471,   472,   473,   474,   475,     0,  1072,
     476,   477,   478,   479,   480,  1073,     0,   481,   482,   483,
     484,   485,   486,  1074,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,  1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,
     508,   509,     0,     0,     0,     0,     0,     0,     0,  1083,
    1084,     0,     0,     0,     0,     0,     0,     0,  1086,   731,
    1017,   564,  1018,  1019,  1020,   615,  1021,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,  1022,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,  1023,
     733,  1024,  1025,     0,   231,   232,   233,   234,   235,  1026,
    1027,   236,   237,  1028,  1029,   240,     0,   241,   242,   243,
     244,  1030,     0,  1031,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,  3557,  1032,  1033,  1034,  1035,  1036,  1037,  1038,
     260,   261,   262,   263,   264,   265,  1039,  1040,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,  1041,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,  1042,   294,   295,   296,  1043,  1044,   298,     0,   299,
    1045,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,  1046,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,  1047,  1048,     0,  1049,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,  1050,   745,   344,   746,     0,   345,   346,   347,
    1051,  1052,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,  1053,   747,  1054,   363,   364,
     365,  1055,   366,   367,   748,   368,  1056,  1057,   370,  1058,
     372,   373,   374,     0,   375,     0,     0,  1059,   377,   378,
       0,     0,   379,   749,   750,   751,  1060,   381,   382,   383,
     384,   385,   386,   387,     0,   388,  1061,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,  1062,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,  1063,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,  1064,
     437,   438,   439,   440,   753,   441,  1065,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,  1066,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,  1067,  1068,     0,     0,   465,  1069,   467,  1070,  1071,
     469,   470,   471,   472,   473,   474,   475,     0,  1072,   476,
     477,   478,   479,   480,  1073,     0,   481,   482,   483,   484,
     485,   486,  1074,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
    1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,   508,
     509,     0,     0,     0,     0,     0,     0,     0,  1083,  1084,
       0,     0,     0,     0,     0,     0,     0,  1086,   731,  1017,
     564,  1018,  1019,  1020,   615,  1021,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,  1022,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,  1023,   733,
    1024,  1025,     0,   231,   232,   233,   234,   235,  1026,  1027,
     236,   237,  1028,  1029,   240,     0,   241,   242,   243,   244,
    1030,     0,  1031,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,
     261,   262,   263,   264,   265,  1039,  1040,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,  1041,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
    1042,   294,   295,   296,  1043,  1044,   298,     0,   299,  1045,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,  1046,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,  1047,  1048,     0,  1049,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,  1050,   745,   344,   746,     0,   345,   346,   347,  1051,
    1052,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,  1053,   747,  1054,   363,   364,   365,
    1055,   366,   367,   748,   368,  1056,  1057,   370,  1058,   372,
     373,   374,     0,   375,     0,     0,  1059,   377,   378,     0,
       0,   379,   749,   750,   751,  1060,   381,   382,   383,   384,
     385,   386,   387,     0,   388,  1061,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
    1062,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,  1063,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,  1064,   437,
     438,   439,   440,   753,   441,  1065,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,  1066,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
    1067,  1068,     0,     0,   465,  1069,   467,  1070,  1071,   469,
     470,   471,   472,   473,   474,   475,     0,  1072,   476,   477,
     478,   479,   480,  1073,     0,   481,   482,   483,   484,   485,
     486,  1074,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,  3834,  1075,
    1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,   508,   509,
       0,     0,     0,     0,     0,     0,     0,  1083,  1084,     0,
       0,     0,     0,     0,     0,     0,  1086,   731,  1017,   564,
    1018,  1019,  1020,   615,  1021,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,  1022,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,  1023,   733,  1024,
    1025,     0,   231,   232,   233,   234,   235,  1026,  1027,   236,
     237,  1028,  1029,   240,     0,   241,   242,   243,   244,  1030,
       0,  1031,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,   261,
     262,   263,   264,   265,  1039,  1040,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1041,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,  1042,
     294,   295,   296,  1043,  1044,   298,     0,   299,  1045,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,  1046,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
    1047,  1048,     0,  1049,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
    1050,   745,   344,   746,     0,   345,   346,   347,  1051,  1052,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1053,   747,  1054,   363,  3843,   365,  1055,
     366,   367,   748,   368,  1056,  1057,   370,  1058,   372,   373,
     374,     0,   375,     0,     0,  1059,   377,   378,     0,     0,
     379,   749,   750,   751,  1060,   381,   382,   383,   384,   385,
     386,   387,     0,   388,  1061,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1062,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,  1063,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,  1064,   437,   438,
     439,   440,   753,   441,  1065,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,  1066,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,  1067,
    1068,     0,     0,   465,  1069,   467,  1070,  1071,   469,   470,
     471,   472,   473,   474,   475,     0,  1072,   476,   477,   478,
     479,   480,  1073,     0,   481,   482,   483,   484,   485,   486,
    1074,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,  1075,  1076,
    1077,  1078,  1079,  1080,  1081,  1082,   507,   508,   509,     0,
       0,     0,     0,     0,     0,     0,  1083,  1084,     0,     0,
       0,     0,     0,     0,     0,  1086,   731,  1017,   564,  1018,
    1019,  1020,   615,  1021,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,  1022,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,  4383,  1023,   733,  1024,  1025,
       0,   231,   232,   233,   234,   235,  1026,  1027,   236,   237,
    1028,  1029,   240,     0,   241,   242,   243,   244,  1030,     0,
    1031,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,  4384,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,
     263,   264,   265,  1039,  1040,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1041,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,  1042,   294,
     295,   296,  1043,  1044,   298,     0,   299,  1045,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1046,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,  1047,
    1048,     0,  1049,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,  1050,
     745,   344,   746,     0,   345,   346,   347,  1051,  1052,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1053,   747,  1054,   363,   364,   365,  1055,   366,
     367,   748,   368,  1056,  1057,   370,  1058,   372,   373,   374,
       0,   375,     0,     0,  1059,   377,   378,     0,     0,   379,
     749,   750,   751,  1060,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1061,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1062,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,  1063,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,  1064,   437,   438,   439,
     440,   753,   441,  1065,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1066,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1067,  1068,
       0,     0,   465,  1069,   467,  1070,  1071,   469,   470,   471,
     472,  4385,   474,   475,     0,  1072,   476,   477,   478,   479,
     480,  1073,     0,   481,   482,   483,   484,   485,   486,  1074,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,  1075,  1076,  1077,
    1078,  1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,  1083,  1084,     0,     0,     0,
       0,     0,     0,     0,  1086,   731,  1017,   564,  1018,  1019,
    1020,   615,  1021,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,  1022,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,  1023,   733,  1024,  1025,     0,
     231,   232,   233,   234,   235,  1026,  1027,   236,   237,  1028,
    1029,   240,     0,   241,   242,   243,   244,  1030,     0,  1031,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,  4384,  1032,
    1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,
     264,   265,  1039,  1040,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1041,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,  1042,   294,   295,
     296,  1043,  1044,   298,     0,   299,  1045,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1046,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1047,  1048,
       0,  1049,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1050,   745,
     344,   746,     0,   345,   346,   347,  1051,  1052,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1053,   747,  1054,   363,   364,   365,  1055,   366,   367,
     748,   368,  1056,  1057,   370,  1058,   372,   373,   374,     0,
     375,     0,     0,  1059,   377,   378,     0,     0,   379,   749,
     750,   751,  1060,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1061,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1062,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1063,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1064,   437,   438,   439,   440,
     753,   441,  1065,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1066,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1067,  1068,     0,
       0,   465,  1069,   467,  1070,  1071,   469,   470,   471,   472,
    4385,   474,   475,     0,  1072,   476,   477,   478,   479,   480,
    1073,     0,   481,   482,   483,   484,   485,   486,  1074,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,     0,
       0,     0,     0,     0,  1083,  1084,     0,     0,     0,     0,
       0,     0,     0,  1086,   731,  1017,   564,  1018,  1019,  1020,
     615,  1021,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,  1022,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,  1023,   733,  1024,  1025,     0,   231,
     232,   233,   234,   235,  1026,  1027,   236,   237,  1028,  1029,
     240,     0,   241,   242,   243,   244,  1030,     0,  1031,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,  1032,  1033,
    1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,   264,
     265,  1039,  1040,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
    1041,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,  1042,   294,   295,   296,
    1043,  1044,   298,     0,   299,  1045,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,  1046,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,  1047,  1048,     0,
    1049,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,  1050,   745,   344,
     746,     0,   345,   346,   347,  1051,  1052,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1053,   747,  1054,   363,   364,   365,     0,   366,   367,   748,
     368,  1056,  1057,   370,  1058,   372,   373,   374,     0,   375,
       0,     0,  1059,   377,   378,     0,     0,   379,   749,   750,
     751,  1060,   381,   382,   383,   384,   385,   386,   387,     0,
     388,  1061,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,  1062,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,  1063,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,  1064,   437,   438,   439,   440,   753,
     441,  1065,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,  1066,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,  1067,  1068,     0,     0,
     465,  1069,   467,  1070,  1071,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,  1073,
       0,   481,   482,   483,   484,   485,   486,  1074,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,  1082,   507,   508,   509,     0,     0,     0,     0,
       0,     0,     0,  2342,  2343,     0,     0,   731,  1017,   564,
    1018,  1019,  1086,   615,  1021,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,  1022,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,  1023,   733,  1024,
    1025,     0,   231,   232,   233,   234,   235,  1026,  1027,   236,
     237,  1028,  1029,   240,     0,   241,   242,   243,   244,  1030,
       0,  1031,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,   261,
     262,   263,   264,   265,  1039,  1040,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1041,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,  1042,
     294,   295,   296,  1043,  1044,   298,     0,   299,  1045,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,  1046,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
    1047,  1048,     0,  1049,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
    1050,   745,   344,   746,     0,   345,   346,   347,  1051,  1052,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1053,   747,  1054,   363,   364,   365,     0,
     366,   367,   748,   368,  1056,  1057,   370,  1058,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,   749,   750,   751,  1060,   381,   382,   383,   384,   385,
     386,   387,     0,   388,  1061,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1062,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,  2473,  2474,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,  1064,   437,   438,
     439,   440,   753,   441,  1065,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,  1066,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,  1067,
    1068,     0,     0,   465,  1069,   467,  1070,  1071,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,  1073,     0,   481,   482,   483,   484,   485,   486,
    1074,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,  1075,  1076,
    1077,  1078,  1079,  1080,  1081,  1082,   507,   508,   509,     0,
       0,     0,     0,     0,     0,     0,  2475,  2476,     0,     0,
       0,     0,     0,     0,     0,  1086,   731,  1017,   564,  1018,
    1019,  1020,   615,  1021,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,  1022,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226, -2229,  1023,   733,  1024,  1025,
       0,   231,   232,   233,   234,   235,  1026,  1027,   236,   237,
    1028,  1029,   240,     0,   241,   242,   243,   244,  1030,     0,
    1031,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,  4384,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,
     263,   264,   265,  1039,  1040,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1041,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,  1042,   294,
     295,   296,  1043,  1044,   298,     0,   299,  1045,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1046,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,  1047,
    1048,     0,  1049,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,  1050,
     745,   344,     0,     0,   345,   346,   347,  1051,  1052,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1053,   747,  1054,   363,   364,   365,     0,   366,
     367,   748,   368,  1056,  1057,   370,  1058,   372,   373,   374,
       0,   375,     0,     0,  1059,   377,   378,     0,     0,   379,
     749,   750,   751,  1060,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1061,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1062,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,  1063,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,  1064,   437,   438,   439,
     440,     0,   441,  1065,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1066,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1067,  1068,
       0,     0,   465,  1069,   467,  1070,  1071,   469,   470,   471,
     472,  4385,   474,   475,     0,  1072,   476,   477,   478,   479,
     480,  1073,     0,   481,   482,   483,   484,   485,   486,  1074,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,  1075,  1076,  1077,
    1078,  1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,  1083,  1084,     0,     0,   731,
    1017,   564,  1018,  1019,  1086,   615,  1021,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,  1022,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,  1023,
     733,  1024,  1025,     0,   231,   232,   233,   234,   235,  1026,
    1027,   236,   237,  1028,  1029,   240,     0,   241,   242,   243,
     244,  1030,     0,  1031,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,
     260,   261,   262,   263,   264,   265,  1039,  1040,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,  1041,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,  1042,   294,   295,   296,  1043,  1044,   298,     0,   299,
    1045,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,  1046,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,  1047,  1048,     0,  1049,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,  1050,   745,   344,   746,     0,   345,   346,   347,
    1051,  1052,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,  1053,   747,  1054,   363,   364,
     365,     0,   366,   367,   748,   368,  1056,  1057,   370,  1058,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,   749,   750,   751,  1060,   381,   382,   383,
     384,   385,   386,   387,     0,   388,  1061,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,  1062,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,  1063,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,  1064,
     437,   438,   439,   440,   753,   441,  1065,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,  1066,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,  1067,  1068,     0,     0,   465,  1069,   467,  1070,  1071,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,  1073,     0,   481,   482,   483,   484,
     485,   486,  1074,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
    1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,   508,
     509,     0,     0,     0,     0,     0,     0,   731,  1017,   564,
    1018,  1019,     0,   615,  1021,     0,     0,  1086,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,  1022,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,  1023,   733,  1024,
    1025,     0,  3467,   232,   233,   234,   235,  1026,  1027,   236,
     237,  1028,  1029,   240,     0,   241,   242,   243,   244,  1030,
       0,  1031,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,   261,
     262,   263,   264,   265,  1039,  1040,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1041,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,  1042,
     294,   295,   296,  1043,  1044,   298,     0,   299,  1045,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,  1046,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
    1047,  1048,     0,  1049,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
    1050,   745,   344,   746,     0,   345,   346,   347,  1051,  1052,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1053,   747,  1054,   363,   364,   365,     0,
     366,   367,   748,   368,  1056,  1057,   370,  1058,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,   749,   750,   751,  1060,   381,   382,   383,   384,   385,
     386,   387,     0,   388,  1061,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1062,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,  1063,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,  1064,   437,   438,
     439,   440,   753,   441,  1065,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,  1066,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,  1067,
    1068,     0,     0,   465,  1069,   467,  1070,  1071,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,  1073,     0,   481,   482,   483,   484,   485,   486,
    1074,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,  1075,  1076,
    1077,  1078,  1079,  1080,  1081,  1082,   507,   508,   509,     0,
       0,     0,     0,     0,     0,   731,  1017,   564,  1018,  1019,
    1020,   615,  1021,     0,     0,  1086,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,  1022,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,     0,  1023,   733,  1024,  1025,     0,
     231,   232,   233,   234,   235,  1026,  1027,   236,   237,  1028,
    1029,   240,     0,   241,   242,   243,   244,  1030,     0,  1031,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,  1032,
    1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,
     264,   265,  1039,  1040,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1041,   281,   282,     0,   283,   284,   285,     0,   286,
       0,   288,     0,   289,   290,   291,   292,  1042,   294,   295,
     296,  1043,  1044,   298,     0,   299,  1045,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
    1046,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,  1047,  1048,
       0,  1049,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,  1050,   745,
     344,     0,     0,   345,   346,   347,  1051,  1052,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1053,   747,  1054,   363,   364,   365,     0,   366,   367,
     748,   368,  1056,  1057,   370,  1058,   372,   373,   374,     0,
     375,     0,     0,  1059,   377,   378,     0,     0,   379,   749,
     750,   751,  1060,   381,   382,   383,   384,   385,   386,   387,
       0,   388,  1061,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1062,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
    1063,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,  1064,   437,   438,   439,   440,
       0,   441,  1065,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,  1066,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1067,  1068,     0,
       0,   465,  1069,   467,  1070,  1071,   469,   470,   471,   472,
     473,   474,   475,     0,  1072,   476,   477,   478,   479,   480,
    1073,     0,   481,   482,   483,   484,   485,   486,  1074,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,     0,
       0,     0,     0,     0,  1083,  1084,     0,     0,     0,     0,
       0,     0,     0,  1086,   731,  1017,   564,  1018,  1019,  1020,
     615,  1021,     0,     0,     0,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,  1022,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,     0,  1023,   733,  1024,  1025,     0,   231,
     232,   233,   234,   235,  1026,  1027,   236,   237,  1028,  1029,
     240,     0,   241,   242,   243,   244,  1030,     0,  1031,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,  1032,  1033,
    1034,  1035,  1036,  1037,  1038,   260,   261,   262,   263,   264,
     265,  1039,  1040,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
    1041,   281,   282,     0,   283,   284,   285,     0,   286,     0,
     288,     0,   289,   290,   291,   292,  1042,   294,   295,   296,
    1043,  1044,   298,     0,   299,  1045,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,  1046,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,  1047,  1048,     0,
    1049,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,  1050,   745,   344,
       0,     0,   345,   346,   347,  1051,  1052,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
    1053,   747,  1054,   363,   364,   365,     0,   366,   367,   748,
     368,  1056,  1057,   370,  1058,   372,   373,   374,     0,   375,
       0,     0,  1059,   377,   378,     0,     0,   379,   749,   750,
     751,  1060,   381,   382,   383,   384,   385,   386,   387,     0,
     388,  1061,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,  1062,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,  1063,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,  1064,   437,   438,   439,   440,     0,
     441,  1065,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,  1066,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,  1067,  1068,     0,     0,
     465,  1069,   467,  1070,  1071,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,  1073,
       0,   481,   482,   483,   484,   485,   486,  1074,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,  1082,   507,   508,   509,     0,     0,     0,     0,
       0,     0,   731,  2342,  2343,     0,     0,     0,     0,     0,
       0,     0,  1086,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,   227,   228,   733,   229,   230,     0,   231,   232,   233,
     234,   235,     0,  1027,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,  1030,     0,  1031,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,  1032,  1033,  1034,  1035,
    1036,  1037,  1038,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,  1043,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,  1046,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
    3039,   340,   341,     0,   342,  1050,   745,   344,   746,     0,
     345,   346,   347,  1051,  1052,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   747,
     362,   363,   364,   365,     0,   366,   367,   748,   368,     0,
    1057,   370,   371,   372,   373,   374,     0,   375,     0,   696,
     376,   377,   378,     0,     0,   379,   749,   750,   751,  1060,
     381,   382,   383,   384,   385,   386,   387,     0,   388,  1061,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,    38,   432,   433,   434,
     435,   436,  1064,   437,   438,   439,   440,   753,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,  1066,     0,   455,   456,    42,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,  1069,
     467,  1070,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,  1073,     0,   481,
     482,   483,   484,   485,   956,   487,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,    47,   493,   494,   495,
     496,   497,   498,  1075,  1076,  1077,  1078,  1079,  1080,  1081,
    1082,   507,   508,   509,     0,     0,     0,     0,     0,     0,
     731,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3040,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,   227,
     228,   733,   229,   230,     0,   231,   232,   233,   234,   235,
       0,  1027,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,  1030,     0,  1031,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,  1032,  1033,  1034,  1035,  1036,  1037,
    1038,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,  1043,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,  1046,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,  3039,   340,
     341,     0,   342,  1050,   745,   344,   746,     0,   345,   346,
     347,  1051,  1052,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   747,   362,   363,
     364,   365,     0,   366,   367,   748,   368,     0,  1057,   370,
     371,   372,   373,   374,     0,   375,     0,   696,   376,   377,
     378,     0,     0,   379,   749,   750,   751,  1060,   381,   382,
     383,   384,   385,   386,   387,     0,   388,  1061,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
    1064,   437,   438,   439,   440,   753,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
    1066,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,  1069,   467,  1070,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,  1073,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,  1075,  1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,
     508,   509,     0,     0,     0,     0,     0,     0,   731,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3040,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,   227,   228,   733,
     229,   230,     0,   231,   232,   233,   234,   235,     0,  1027,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
    1030,     0,  1031,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,  1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,  1043,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,  1046,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,  1050,   745,   344,   746,     0,   345,   346,   347,  1051,
    1052,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   747,   362,   363,   364,   365,
       0,   366,   367,   748,   368,     0,  1057,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,   749,   750,   751,  1060,   381,   382,   383,   384,
     385,   386,   387,     0,   388,  1061,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,  1064,   437,
     438,   439,   440,   753,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,  1066,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,  1069,   467,  1070,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,  1073,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,  1075,
    1076,  1077,  1078,  1079,  1080,  1081,  1082,   507,   508,   509,
       0,     0,     0,     0,     0,     0,   731,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,   227,   228,   733,   229,   230,
       0,   231,   232,   233,   234,   235,     0,  1027,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,  1030,     0,
    1031,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
    1032,  1033,  1034,  1035,  1036,  1037,  1038,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,  1043,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,  1046,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,  1050,
     745,   344,   746,     0,   345,   346,   347,  1051,  1052,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   747,   362,   363,   364,   365,     0,   366,
     367,   748,   368,     0,  1057,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
     749,   750,   751,  1060,   381,   382,   383,   384,   385,   386,
     387,     0,   388,  1061,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,  1064,   437,   438,   439,
     440,   753,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,  1066,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,  1069,   467,  1070,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,  1073,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,  1075,  1076,  1077,
    1078,  1079,  1080,  1081,  1082,   507,   508,   509,     0,     0,
       0,     0,     0,     0,   775,  1269,   564,     0,     0,     0,
     615,     0,     0,     0,  3578,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,   732,
     224,   225,   226,   227,   228,   733,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   734,     0,
     246,   247,   248,   249,   735,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,   736,   258,   259,     0,     0,
       0,   737,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,  1512,   298,     0,   299,   300,   301,     0,   302,     0,
     303,   738,     0,   739,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,   740,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,   741,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,   742,   743,   334,   744,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,   745,   344,
     746,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   747,   362,   363,   364,   365,     0,   366,   367,   748,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
    1513,     0,   376,   377,   378,     0,     0,   379,   749,   750,
     751,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,   752,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,   753,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,  1514,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     754,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     0,     0,     0,     0,
       0,     0,   775,  1270,  1271,  3978,     0,     0,     0,     0,
       0,     0,  3979,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     3,     4,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,   227,   228,   733,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   734,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,     0,     0,     0,   737,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,   745,   344,   746,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   747,
     362,   363,   364,   365,     0,   366,   367,   748,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,   749,   750,   751,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,    38,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,   753,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,    42,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   956,   487,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,    47,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     0,     0,     0,     0,     0,     0,
     731,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      48,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,   227,
     228,   733,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   734,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,     0,     0,     0,   737,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,   745,   344,   746,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   747,   362,   363,
     364,   365,     0,   366,   367,   748,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,   749,   750,   751,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,   753,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     0,     0,     0,     0,     0,     0,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4131,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,    38,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,    42,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     956,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,    47,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       0,     0,     0,     0,     0,     0,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,     0,     0,
       0,     0,     0,     0,   207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1139,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,     0,     0,     0,     0,
       0,     0,   207,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2502,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,     0,   224,   225,
     226,   227,   228,     0,   229,   230,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,     0,     0,   246,   247,
     248,   249,     0,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,     0,   258,   259,     0,     0,     0,     0,
       0,     0,     0,   260,   261,   262,   263,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,   280,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,   293,   294,   295,   296,   297,     0,
     298,     0,   299,   300,   301,     0,   302,     0,   303,     0,
       0,     0,   304,   305,   306,     0,   307,   308,     0,   309,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,   326,   327,   328,   329,   330,   331,     0,   332,     0,
     333,     0,     0,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,   343,     0,   344,     0,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,     0,
     362,   363,   364,   365,     0,   366,   367,     0,   368,     0,
     369,   370,   371,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,   379,     0,     0,     0,   380,
     381,   382,   383,   384,   385,   386,   387,     0,   388,   389,
     390,   391,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,   463,   464,     0,     0,   465,   466,
     467,   468,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     0,     0,     0,     0,     0,     0,
     207,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3542,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,     0,   224,   225,   226,   227,
     228,     0,   229,   230,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,     0,     0,   246,   247,   248,   249,
       0,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,     0,   258,   259,     0,     0,     0,     0,     0,     0,
       0,   260,   261,   262,   263,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,   280,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,   293,   294,   295,   296,   297,     0,   298,     0,
     299,   300,   301,     0,   302,     0,   303,     0,     0,     0,
     304,   305,   306,     0,   307,   308,     0,   309,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,     0,   325,   326,
     327,   328,   329,   330,   331,     0,   332,     0,   333,     0,
       0,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,   343,     0,   344,     0,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,     0,   362,   363,
     364,   365,     0,   366,   367,     0,   368,     0,   369,   370,
     371,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,   379,     0,     0,     0,   380,   381,   382,
     383,   384,   385,   386,   387,     0,   388,   389,   390,   391,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,     0,   463,   464,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     0,     0,     0,     0,     0,     0,  1373,  1269,
     564,     0,     0,   785,   615,     0,     0,     0,  3880,   208,
     209,   210,   211,   212,   213,   214,   215,  1715,   217,   218,
     219,  1716,  1717,  1718,  1719,  1720,  1721,  1722,   220,   221,
    1723,   222,   223,   732,   224,   225,   226,     0,  1374,   733,
    1375,  1376,  1724,   231,   232,   233,   234,   235,  1725,  1726,
     236,   237,  1377,  1378,   240,  1727,   241,   242,   243,   244,
       0,  1728,   734,  1729,   246,   247,   248,   249,   735,   250,
     251,  1730,   252,   253,   254,   255,   256,   257,  1731,   736,
     258,   259,  1732,  1733,  1734,   737,  1735,  1736,  1737,   260,
     261,   262,   263,   264,   265,  1379,  1380,   268,  1738,   269,
    1739,   270,   271,   272,   273,   274,  1740,   275,   276,   277,
    1741,  1742,   278,   279,  1041,   281,   282,  1743,   283,   284,
     285,  1744,   286,   287,   288,  1745,   289,   290,   291,   292,
       0,   294,   295,   296,     0,  1746,   298,  1747,   299,  1381,
     301,  1748,   302,  1749,   303,   738,  1750,   739,   304,   305,
     306,  1751,   307,     0,  1752,   309,  1753,   310,   311,   312,
     313,   314,   740,   315,   316,   317,  1754,   318,   319,   320,
     321,   322,   323,  1755,   324,   741,     0,   326,   327,   328,
     329,  1382,  1383,  1756,  1384,  1757,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,  1758,   340,   341,  1759,
     342,     0,   745,   344,   746,  1760,   345,   346,   347,  1761,
    1762,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,  1385,   747,  1386,   363,   364,     0,
    1763,   366,   367,   748,   368,  1764,     0,   370,  1387,   372,
     373,   374,  1765,   375,  1766,  1767,  3266,   377,   378,  1768,
    1769,     0,   749,   750,   751,     0,   381,   382,   383,   384,
     385,   386,   387,  1770,   388,     0,   390,     0,   392,   393,
     394,  1771,   395,   396,   397,   398,   399,   400,   401,   402,
    1388,   404,   405,   406,   407,  1772,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,  1773,   419,   420,
     752,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,  1774,   432,   433,   434,   435,   436,  1775,   437,
    1946,   439,   440,   753,   441,  1390,   443,  1776,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,     0,  1777,
     455,   456,  1778,   457,   458,   459,   460,   461,   462,  1779,
    1391,  1392,  1780,  1781,   465,     0,   467,     0,  1782,   469,
     470,   471,   472,   473,   474,   475,  1783,  1784,   476,   477,
     478,   479,   480,  1785,  1786,   481,   482,   483,   484,   485,
       0,  1393,  1787,   488,   754,   489,   490,   491,  1788,  1789,
     492,  1790,  1791,   493,   494,   495,   496,   497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   507,   508,   509,
       0,     0,     0,   788,   789,   790,     0,  3267,  3268,   793,
     794,   795,   796,   207,     0,     0,     0,     0,   785,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   786,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   787,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     0,     0,     0,   788,   789,
     790,     0,   791,   792,   793,   794,   795,   796,   207,     0,
       0,     0,     0,   785,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   879,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   880,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       0,     0,     0,   788,   789,   790,     0,   791,   792,   793,
     794,   795,   796,   207,     0,     0,     0,     0,   785,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   929,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   930,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   931,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     0,     0,     0,   788,   789,
     790,     0,   791,   792,   793,   794,   795,   796,   207,     0,
       0,     0,     0,   785,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,  1358,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,  1359,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       0,     0,     0,   788,   789,   790,     0,   791,   792,   793,
     794,   795,   796,   207,     0,     0,     0,     0,   785,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     0,     0,     0,   788,   789,
     790,     0,   791,   792,   793,   794,   795,   796,   207,     0,
       0,     0,     0,   785,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,  2568,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,  2569,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
       0,     0,     0,   788,   789,   790,     0,   791,   792,   793,
     794,   795,   796,   207,     0,     0,     0,     0,   785,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,  4114,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     0,     0,  1714,   788,   789,
     790,     0,   791,   792,   793,   794,   795,   796,   208,   209,
     210,   211,   212,   213,   214,   215,  1715,   217,   218,   219,
    1716,  1717,  1718,  1719,  1720,  1721,  1722,   220,   221,  1723,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,  1724,   231,   232,   233,   234,   235,  1725,  1726,   236,
     237,   238,   239,   240,  1727,   241,   242,   243,   244,   245,
    1728,   734,  1729,   246,   247,   248,   249,   735,   250,   251,
    1730,   252,   253,   254,   255,   256,   257,  1731,   736,   258,
     259,  1732,  1733,  1734,   737,  1735,  1736,  1737,   260,   261,
     262,   263,   264,   265,   266,   267,   268,  1738,   269,  1739,
     270,   271,   272,   273,   274,  1740,   275,   276,   277,  1741,
    1742,   278,   279,   280,   281,   282,  1743,   283,   284,   285,
    1744,   286,   287,   288,  1745,   289,   290,   291,   292,   293,
     294,   295,   296,   297,  1746,   298,  1747,   299,   300,   301,
    1748,   302,  1749,   303,   738,  1750,   739,   304,   305,   306,
    1751,   307,   308,  1752,   309,  1753,   310,   311,   312,   313,
     314,   740,   315,   316,   317,  1754,   318,   319,   320,   321,
     322,   323,  1755,   324,   741,   325,   326,   327,   328,   329,
     330,   331,  1756,   332,  1757,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,  1758,   340,   341,  1759,   342,
     343,   745,   344,   746,  1760,   345,   346,   347,  1761,  1762,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,  1763,
     366,   367,   748,   368,  1764,   369,   370,   371,   372,   373,
     374,  1765,   375,  1766,  1767,   376,   377,   378,  1768,  1769,
     379,   749,   750,   751,   380,   381,   382,   383,   384,   385,
     386,   387,  1770,   388,   389,   390,   391,   392,   393,   394,
    1771,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,  1772,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,  1773,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,  1774,   432,   433,   434,   435,   436,  1775,   437,   438,
     439,   440,   753,   441,   442,   443,  1776,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,  1777,   455,
     456,  1778,   457,   458,   459,   460,   461,   462,  1779,   463,
     464,  1780,  1781,   465,   466,   467,   468,  1782,   469,   470,
     471,   472,   473,   474,   475,  1783,  1784,   476,   477,   478,
     479,   480,  1785,  1786,   481,   482,   483,   484,   485,   486,
     487,  1787,   488,   754,   489,   490,   491,  1788,  1789,   492,
    1790,  1791,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,  1792,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
     701,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,  1373,     0,     0,     0,     0,     0,     0,
       0,     0,  4155,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,     0,  1374,   733,  1375,  1376,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,  1377,  1378,   240,
       0,   241,   242,   243,   244,     0,     0,   734,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,     0,     0,     0,
     737,     0,     0,     0,   260,   261,   262,   263,   264,   265,
    1379,  1380,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1041,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,     0,   294,   295,   296,     0,
       0,   298,     0,   299,  1381,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,     0,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,     0,   326,   327,   328,   329,  1382,  1383,     0,  1384,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,     0,   745,   344,   746,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1385,
     747,  1386,   363,   364,     0,     0,   366,   367,   748,   368,
       0,     0,   370,  1387,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,     0,   749,   750,   751,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   390,     0,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1388,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,     0,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,  1389,   439,   440,   753,   441,
    1390,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,     0,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1391,  1392,     0,     0,   465,
       0,   467,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,     0,  1393,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,     0,     0,  2102,     0,     0,     0,     0,
       0,     0,   507,   508,   509,     0,   208,   209,   210,   211,
     212,   213,   214,   215,  1853,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,     0,  1374,   733,  1375,  1376,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,  1377,
    1378,   240,     0,   241,   242,   243,   244,     0,     0,   734,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,     0,
       0,     0,   737,     0,     0,     0,   260,   261,   262,   263,
     264,   265,  1379,  1380,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1041,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,     0,   294,   295,
     296,     0,     0,   298,     0,   299,  1381,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
       0,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,     0,   326,   327,   328,   329,  1382,  1383,
       0,  1384,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,     0,   745,
     344,   746,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1385,   747,  1386,   363,   364,     0,     0,   366,   367,
     748,   368,     0,     0,   370,  1387,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,     0,   749,
     750,   751,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   390,     0,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1388,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
       0,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,  1389,   439,   440,
     753,   441,  1390,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,     0,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1391,  1392,     0,
       0,   465,     0,   467,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,     0,  1393,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,     0,     0,   775,  1269,   564,
       0,     0,     0,   615,   507,   508,   509,     0,   208,   209,
     210,   211,   212,   213,   214,   215,  1853,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,  1704,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,  1512,   298,     0,   299,   300,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,     0,
     366,   367,   748,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,  1513,     0,   376,   377,   378,     0,     0,
     379,   749,   750,   751,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,   753,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,  1514,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   775,
    1269,   564,     0,     0,     0,   615,  1270,  1271,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,   228,
     733,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,  1709,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,  1512,   298,     0,   299,
     300,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   747,   362,   363,   364,
     365,     0,   366,   367,   748,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,  1513,     0,   376,   377,   378,
       0,     0,   379,   749,   750,   751,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,   753,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,  1514,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   775,  1269,   564,     0,     0,     0,   615,  1270,  1271,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,   228,   733,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,  1512,   298,
       0,   299,   300,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   747,   362,
     363,   364,   365,     0,   366,   367,   748,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,  1513,     0,   376,
     377,   378,     0,     0,   379,   749,   750,   751,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,   753,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,  1514,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,   615,
    1270,  1271,     0,     0,   208,   616,   210,   211,   212,   213,
     214,   215,   617,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   618,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   619,   300,   301,     0,   302,     0,   620,
       0,   621,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,   622,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     623,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   624,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   625,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   626,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,  1714,  4442,   564,     0,     0,
       0,   615,   627,   628,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,  1715,   217,   218,   219,  1716,  1717,
    1718,  1719,  1720,  1721,  1722,   220,   221,  1723,   222,   223,
     732,   224,   225,   226,   227,   228,   733,   229,   230,  1724,
     231,   232,   233,   234,   235,  1725,  1726,   236,   237,   238,
     239,   240,  1727,   241,   242,   243,   244,   245,  1728,   734,
    1729,   246,   247,   248,   249,   735,   250,   251,  1730,   252,
     253,   254,   255,   256,   257,  1731,   736,   258,   259,  1732,
    1733,  1734,   737,  1735,  1736,  1737,   260,   261,   262,   263,
     264,   265,   266,   267,   268,  1738,   269,  1739,   270,   271,
     272,   273,   274,  1740,   275,   276,   277,  1741,  1742,   278,
     279,   280,   281,   282,  1743,   283,   284,   285,  1744,   286,
     287,   288,  1745,   289,   290,   291,   292,   293,   294,   295,
     296,   297,  1746,   298,  1747,   299,   300,   301,  1748,   302,
    1749,   303,   738,  1750,   739,   304,   305,   306,  1751,   307,
     308,  1752,   309,  1753,   310,   311,   312,   313,   314,   740,
     315,   316,   317,  1754,   318,   319,   320,   321,   322,   323,
    1755,   324,   741,   325,   326,   327,   328,   329,   330,   331,
    1756,   332,  1757,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,  1758,   340,   341,  1759,   342,   343,   745,
     344,   746,  1760,   345,   346,   347,  1761,  1762,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   747,   362,   363,   364,   365,  1763,   366,   367,
     748,   368,  1764,   369,   370,   371,   372,   373,   374,  1765,
     375,  1766,  1767,   376,   377,   378,  1768,  1769,   379,   749,
     750,   751,   380,   381,   382,   383,   384,   385,   386,   387,
    1770,   388,   389,   390,   391,   392,   393,   394,  1771,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,  1772,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,  1773,   419,   420,   752,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,  1774,
     432,   433,   434,   435,   436,  1775,   437,   438,   439,   440,
     753,   441,   442,   443,  1776,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,  1777,   455,   456,  1778,
     457,   458,   459,   460,   461,   462,  1779,   463,   464,  1780,
    1781,   465,   466,   467,   468,  1782,   469,   470,   471,   472,
     473,   474,   475,  1783,  1784,   476,   477,   478,   479,   480,
    1785,  1786,   481,   482,   483,   484,   485,   486,   487,  1787,
     488,   754,   489,   490,   491,  1788,  1789,   492,  1790,  1791,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,  1714,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,  1715,   217,   218,   219,
    1716,  1717,  1718,  1719,  1720,  1721,  1722,   220,   221,  1723,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,  1724,   231,   232,   233,   234,   235,  1725,  1726,   236,
     237,   238,   239,   240,  1727,   241,   242,   243,   244,   245,
    1728,   734,  1729,   246,   247,   248,   249,   735,   250,   251,
    1730,   252,   253,   254,   255,   256,   257,  1731,   736,   258,
     259,  1732,  1733,  1734,   737,  1735,  1736,  1737,   260,   261,
     262,   263,   264,   265,   266,   267,   268,  1738,   269,  1739,
     270,   271,   272,   273,   274,  1740,   275,   276,   277,  1741,
    1742,   278,   279,   280,   281,   282,  1743,   283,   284,   285,
    1744,   286,   287,   288,  1745,   289,   290,   291,   292,   293,
     294,   295,   296,   297,  1746,   298,  1747,   299,   300,   301,
    1748,   302,  1749,   303,   738,  1750,   739,   304,   305,   306,
    1751,   307,   308,  1752,   309,  1753,   310,   311,   312,   313,
     314,   740,   315,   316,   317,  1754,   318,   319,   320,   321,
     322,   323,  1755,   324,   741,   325,   326,   327,   328,   329,
     330,   331,  1756,   332,  1757,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,  1758,   340,   341,  1759,   342,
     343,   745,   344,   746,  1760,   345,   346,   347,  1761,  1762,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,  1763,
     366,   367,   748,   368,  1764,   369,   370,   371,   372,   373,
     374,  1765,   375,  1766,  1767,   376,   377,   378,  1768,  1769,
     379,   749,   750,   751,   380,   381,   382,   383,   384,   385,
     386,   387,  1770,   388,   389,   390,   391,   392,   393,   394,
    1771,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,  1772,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,  1773,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,  1774,   432,   433,   434,   435,   436,  1775,   437,   438,
     439,   440,   753,   441,   442,   443,  1776,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,  1777,   455,
     456,  1778,   457,   458,   459,   460,   461,   462,  1779,   463,
     464,  1780,  1781,   465,   466,   467,   468,  1782,   469,   470,
     471,   472,   473,   474,   475,  1783,  1784,   476,   477,   478,
     479,   480,  1785,  1786,   481,   482,   483,   484,   485,   486,
     487,  1787,   488,   754,   489,   490,   491,  1788,  1789,   492,
    1790,  1791,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,  1714,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,  2633,   213,   214,   215,  1715,   217,
     218,   219,  1716,  1717,  1718,  1719,  1720,  1721,  1722,   220,
     221,  1723,   222,   223,   732,   224,   225,   226,   227,   228,
     733,   229,   230,  1724,   231,   232,   233,   234,   235,  1725,
    1726,   236,   237,   238,   239,   240,  1727,   241,   242,   243,
     244,   245,  1728,   734,  1729,   246,   247,   248,   249,   735,
     250,   251,  1730,   252,   253,   254,   255,   256,   257,  1731,
     736,   258,   259,  1732,  1733,  1734,   737,  1735,  1736,  1737,
     260,   261,   262,   263,   264,   265,   266,   267,   268,  1738,
     269,  1739,   270,   271,   272,   273,   274,  1740,   275,   276,
     277,  1741,  1742,   278,   279,   280,  2634,   282,  1743,   283,
     284,   285,  1744,   286,   287,   288,  1745,   289,   290,   291,
     292,   293,   294,   295,   296,   297,  1746,   298,  1747,   299,
     300,   301,  1748,   302,  1749,   303,   738,  1750,   739,   304,
     305,   306,  1751,   307,   308,  1752,   309,  1753,   310,   311,
     312,   313,   314,   740,   315,   316,   317,  1754,   318,   319,
     320,   321,   322,   323,  1755,   324,   741,   325,   326,   327,
     328,   329,   330,   331,  1756,   332,  1757,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,  1758,   340,   341,
    1759,   342,   343,   745,   344,   746,  1760,   345,   346,   347,
    1761,  1762,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   747,   362,   363,   364,
     365,  1763,   366,   367,   748,   368,  1764,   369,   370,   371,
     372,   373,   374,  1765,   375,  1766,  1767,   376,   377,   378,
    1768,  1769,   379,   749,   750,   751,   380,   381,   382,   383,
     384,   385,   386,   387,  1770,   388,   389,   390,   391,   392,
     393,   394,  1771,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,  1772,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,  1773,   419,
     420,   752,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,  1774,   432,   433,   434,   435,   436,  1775,
    2635,   438,   439,   440,   753,   441,   442,   443,  1776,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
    1777,   455,   456,  1778,   457,   458,   459,   460,   461,   462,
    1779,   463,   464,  1780,  1781,   465,   466,   467,   468,  1782,
     469,   470,   471,   472,   473,   474,   475,  1783,  1784,   476,
     477,   478,   479,   480,  1785,  1786,   481,   482,   483,   484,
     485,   486,   487,  1787,   488,   754,   489,   490,   491,  1788,
    1789,   492,  1790,  1791,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   775,     0,   564,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,   228,   733,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,  1512,   298,
       0,   299,   300,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   747,   362,
     363,   364,   365,     0,   366,   367,   748,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,  1513,     0,   376,
     377,   378,     0,     0,   379,   749,   750,   751,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,   753,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,  1514,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   775,     0,   564,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,   228,   733,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   734,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,     0,     0,     0,
     737,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,  1689,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,   745,   344,   746,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     747,   362,   363,   364,   365,     0,   366,   367,   748,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,   749,   750,   751,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,   753,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   775,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,   228,   733,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   734,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,     0,
       0,     0,   737,     0,     0,  2058,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,   745,
     344,   746,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   747,   362,   363,   364,   365,     0,   366,   367,
     748,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,   749,
     750,   751,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
     753,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
    2059,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   775,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       3,     4,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,     0,
     366,   367,   748,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,   749,   750,   751,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,   753,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   775,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,   801,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,   228,
     733,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   747,   362,   363,   364,
     365,     0,   366,   367,   748,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,   749,   750,   751,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,   753,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   775,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
     814,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,   228,   733,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   815,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   747,   362,
     363,   364,   365,     0,   366,   367,   748,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,   749,   750,   751,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,   753,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   775,     0,   564,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,   228,   733,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   734,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,     0,     0,     0,
     737,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,   745,   344,   746,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     747,   362,   363,   364,   365,     0,   366,   367,   748,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,   749,   750,   751,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,   753,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   775,     0,   564,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,   228,   733,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   734,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,     0,
       0,     0,   737,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,  1502,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,   745,
     344,   746,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   747,   362,   363,   364,   365,     0,   366,   367,
     748,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,   749,
     750,   751,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
     753,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   775,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,   308,  2899,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,     0,
     366,   367,   748,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,   749,   750,   751,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,   753,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   731,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,   228,
     733,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   747,   362,   363,   364,
     365,     0,   366,   367,   748,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,   749,   750,   751,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,   753,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   775,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,   228,   733,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   747,   362,
     363,   364,   365,     0,   366,   367,   748,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,   749,   750,   751,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,   753,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   775,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,   228,   733,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   734,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,     0,     0,     0,
     737,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,   745,   344,   746,
       0,   345,   346,   347,     0,     0,   348,   349,   892,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     747,   362,   363,   364,   365,     0,   366,   367,   748,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,   749,   750,   751,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,   753,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   731,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,   227,   228,   733,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   734,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,     0,
       0,     0,   737,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   912,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,   745,
     344,   746,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   747,   362,   363,   364,   365,     0,   366,   367,
     748,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,   749,
     750,   751,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
     753,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   731,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,   227,   228,   733,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     922,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   747,   362,   363,   364,   365,     0,
     366,   367,   748,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,   749,   750,   751,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,   753,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   775,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,   732,   224,   225,   226,   227,   228,
     733,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   734,     0,   246,   247,   248,   249,   735,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
     736,   258,   259,     0,     0,     0,   737,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,   738,     0,   739,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   924,   740,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,   741,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,   742,   743,
     334,   744,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,   745,   344,   746,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   747,   362,   363,   364,
     365,     0,   366,   367,   748,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,   749,   750,   751,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,   752,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,   753,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   754,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   775,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
     227,   228,   733,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   934,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   747,   362,
     363,   364,   365,     0,   366,   367,   748,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,   749,   750,   751,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,   753,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   775,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,   227,   228,   733,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   734,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,     0,     0,     0,
     737,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   945,   740,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
     741,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,   745,   344,   746,
       0,   345,   346,   347,     0,     0,   348,   349,   946,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     747,   362,   363,   364,   365,     0,   366,   367,   748,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,   749,   750,   751,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,   753,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,  1877,   241,   242,   243,   244,   245,     0,     0,
    1959,   246,   247,   248,   249,     0,   250,   251,  1878,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,  1960,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
    1880,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,  1881,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,  1882,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,  1877,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
    1878,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,  1960,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,  1880,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,  2799,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
    1881,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,  1882,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   666,   214,   215,   634,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,   635,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,   667,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   636,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   637,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
     634,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,   635,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,  2530,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   636,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   637,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
    1877,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,  1878,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,  1960,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,  1880,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,  1881,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,  1882,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,   634,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,   635,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   636,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   637,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,  1539,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,  1540,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,  1541,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,  1542,   303,     0,     0,     0,  1543,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,  1544,  1545,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,  1546,   428,   429,   430,
     431,     0,  1547,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,  1548,   457,  1549,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
    1550,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,   635,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   636,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   637,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     3,     4,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,  2617,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,  2618,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,  2629,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
    2630,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,   556,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     557,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
     660,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     661,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   662,   464,     0,     0,   663,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,   690,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   691,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   692,   464,     0,     0,   693,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,   696,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     808,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,   696,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,   905,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
    1114,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,  1125,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   677,   237,   238,   239,  1126,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   680,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   681,   422,   423,   424,
     425,   426,   682,   428,   429,   430,   431,     0,   432,   433,
     434,   435,  1118,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   684,   464,     0,     0,   685,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   686,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,  1224,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,   696,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,  2428,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,  2429,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,  2430,   457,   458,  2431,   460,  2432,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,  2433,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,   564,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,  3513,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,  3527,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,  3733,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,  3735,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,  3737,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,  4117,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   649,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   658,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   677,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   678,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   679,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   680,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   681,   422,   423,   424,   425,   426,   682,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   683,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   684,   464,     0,     0,   685,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   686,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   708,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   781,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   805,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     817,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   870,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   884,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   917,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   936,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
     938,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   940,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   943,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   949,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   677,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     680,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   681,   422,
     423,   424,   425,   426,   682,   428,   429,   430,   431,     0,
     432,   433,   434,   435,  1118,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   684,   464,     0,
       0,   685,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   686,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
    1274,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,  1419,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,  1449,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,  1478,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,  1480,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   463,   464,     0,
       0,   465,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
    1482,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,  1574,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,  1850,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,     0,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   463,   464,     0,     0,   465,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   677,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   680,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,   385,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   681,   422,   423,   424,
     425,   426,   682,   428,   429,   430,   431,     0,   432,   433,
     434,   435,  1118,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,  1868,
     459,   460,   461,   462,     0,   684,   464,     0,     0,   685,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   686,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
       0,   224,   225,   226,   227,   228,     0,   229,   230,     0,
     231,   232,   233,   234,   235,     0,     0,   677,   237,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,     0,
       0,   246,   247,   248,   249,     0,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,     0,   258,   259,     0,
       0,     0,     0,     0,     0,     0,   260,   261,   262,   263,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,   280,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,   293,   294,   295,
     296,   297,     0,   298,     0,   299,   300,   301,     0,   302,
       0,   303,     0,     0,     0,   304,   305,   306,     0,   307,
     308,     0,   309,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,   326,   327,   328,   329,   330,   331,
       0,   332,     0,   333,     0,     0,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,   343,     0,
     344,     0,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     680,   361,     0,   362,   363,   364,   365,     0,   366,   367,
       0,   368,     0,   369,   370,   371,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,   379,     0,
       0,     0,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   388,   389,   390,   391,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,     0,   681,   422,
     423,   424,   425,   426,  1935,   428,   429,   430,   431,     0,
     432,   433,   434,   435,  1936,     0,   437,   438,   439,   440,
       0,   441,   442,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,   684,   464,     0,
       0,  1937,   466,   467,   468,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   686,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,     0,   224,   225,   226,   227,   228,     0,   229,
     230,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,     0,     0,   246,   247,   248,   249,     0,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,     0,   258,
     259,     0,     0,     0,     0,     0,     0,     0,   260,   261,
     262,   263,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,   280,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,   293,
     294,   295,   296,   297,     0,   298,     0,   299,   300,   301,
       0,   302,     0,   303,     0,     0,     0,   304,   305,   306,
       0,   307,   308,     0,   309,     0,   310,   311,   312,   313,
    2199,     0,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,   326,   327,   328,   329,
     330,   331,     0,   332,     0,   333,     0,     0,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
     343,     0,   344,     0,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,     0,   362,   363,   364,   365,     0,
     366,   367,     0,   368,     0,   369,   370,   371,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
     379,     0,     0,     0,   380,   381,   382,   383,   384,   385,
     386,   387,     0,   388,   389,   390,   391,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,   463,
     464,     0,     0,   465,   466,   467,   468,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     208,   209,   210,   211,   212,   213,   214,   215,     0,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,   222,   223,     0,   224,   225,   226,   227,   228,
       0,   229,   230,     0,   231,   232,   233,   234,   235,     0,
       0,   236,   237,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,     0,     0,   246,   247,   248,   249,     0,
     250,   251,     0,   252,   253,   254,   255,   256,   257,     0,
       0,   258,   259,     0,     0,     0,     0,     0,     0,     0,
     260,   261,   262,   263,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,     0,   278,   279,   280,   281,   282,     0,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
     292,   293,   294,   295,   296,   297,     0,   298,     0,   299,
     300,   301,     0,   302,     0,   303,     0,     0,     0,   304,
     305,   306,     0,   307,   308,     0,   309,     0,   310,   311,
     312,   313,  2541,     0,   315,   316,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,   326,   327,
     328,   329,   330,   331,     0,   332,     0,   333,     0,     0,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
       0,   342,   343,     0,   344,     0,     0,   345,   346,   347,
       0,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,     0,   362,   363,   364,
     365,     0,   366,   367,     0,   368,     0,   369,   370,   371,
     372,   373,   374,     0,   375,     0,     0,   376,   377,   378,
       0,     0,   379,     0,     0,     0,   380,   381,   382,   383,
     384,   385,   386,   387,     0,   388,   389,   390,   391,   392,
     393,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,     0,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,     0,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,     0,   432,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,     0,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
       0,   463,   464,     0,     0,   465,   466,   467,   468,     0,
     469,   470,   471,   472,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   489,   490,   491,     0,
       0,   492,     0,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   207,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,     0,   224,   225,   226,
     227,   228,     0,   229,   230,     0,   231,   232,   233,   234,
     235,     0,     0,   677,   237,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,     0,     0,   246,   247,   248,
     249,     0,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,     0,   258,   259,     0,     0,     0,     0,     0,
       0,     0,   260,   261,   262,   263,   264,   265,   266,   267,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,   280,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,   293,   294,   295,   296,   297,     0,   298,
       0,   299,   300,   301,     0,   302,     0,   303,     0,     0,
       0,   304,   305,   306,     0,   307,   308,     0,   309,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
     326,   327,   328,   329,   330,   331,     0,   332,     0,   333,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,   343,     0,   344,     0,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   680,   361,     0,   362,
     363,   364,   365,     0,   366,   367,     0,   368,     0,   369,
     370,   371,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,   379,     0,     0,     0,   380,   381,
     382,   383,   384,   385,   386,   387,     0,   388,   389,   390,
     391,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,     0,   681,   422,   423,   424,   425,   426,
     682,   428,   429,   430,   431,     0,   432,   433,   434,   435,
    1936,     0,   437,   438,   439,   440,     0,   441,   442,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,   684,   464,     0,     0,  1937,   466,   467,
     468,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     686,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,  1373,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,   732,   224,
     225,   226,     0,  1374,   733,  1375,  1376,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,  1377,  1378,   240,
       0,   241,   242,   243,   244,     0,     0,   734,     0,   246,
     247,   248,   249,   735,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,   736,   258,   259,     0,     0,     0,
     737,     0,     0,     0,   260,   261,   262,   263,   264,   265,
    1379,  1380,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,  1041,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,     0,   294,   295,   296,     0,
       0,   298,     0,   299,  1381,   301,     0,   302,     0,   303,
     738,     0,   739,   304,   305,   306,     0,   307,     0,     0,
     309,     0,   310,   311,   312,   313,   314,   740,   315,   316,
     317,  1943,   318,   319,   320,   321,   322,   323,     0,   324,
     741,  1944,   326,   327,   328,   329,  1382,  1383,     0,  1384,
       0,   333,   742,   743,   334,   744,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,     0,   745,   344,   746,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,  1385,
     747,  1386,   363,   364,     0,     0,   366,   367,   748,   368,
       0,     0,   370,  1387,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,  1945,   749,   750,   751,
       0,   381,   382,   383,   384,   385,   386,   387,     0,   388,
       0,   390,     0,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,  1388,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,   752,   421,   422,     0,   424,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,  1946,   439,   440,   753,   441,
    1390,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,     0,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,  1391,  1392,     0,     0,   465,
       0,   467,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,     0,  1393,  1947,   488,   754,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,     0,   207,     0,     0,     0,     0,     0,
       0,     0,   507,   508,   509,   208,   209,   210,   211,   212,
     213,   214,   215,     0,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,   220,   221,     0,   222,   223,     0,
     224,   225,   226,   227,   228,     0,   229,   230,     0,   231,
     232,   233,   234,   235,     0,     0,   236,   237,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,     0,     0,
     246,   247,   248,   249,     0,   250,   251,     0,   252,   253,
     254,   255,   256,   257,     0,     0,   258,   259,     0,     0,
       0,     0,     0,     0,     0,   260,   261,   262,   263,   264,
     265,   266,   267,   268,     0,   269,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,     0,   278,   279,
     280,   281,   282,     0,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,   292,   293,   294,   295,   296,
     297,     0,   298,     0,   299,   300,   301,     0,   302,     0,
     303,     0,     0,     0,   304,   305,   306,     0,   307,   308,
       0,   309,     0,   310,   311,   312,   313,  2620,     0,   315,
     316,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,   326,   327,   328,   329,   330,   331,     0,
     332,     0,   333,     0,     0,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,     0,   342,   343,     0,   344,
       0,     0,   345,   346,   347,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,   362,   363,   364,   365,     0,   366,   367,     0,
     368,     0,   369,   370,   371,   372,   373,   374,     0,   375,
       0,     0,   376,   377,   378,     0,     0,   379,     0,     0,
       0,   380,   381,   382,   383,   384,   385,   386,   387,     0,
     388,   389,   390,   391,   392,   393,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,     0,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     0,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,     0,   432,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,     0,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,     0,   463,   464,     0,     0,
     465,   466,   467,   468,     0,   469,   470,   471,   472,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   489,   490,   491,     0,     0,   492,     0,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,     0,   224,   225,   226,   227,   228,     0,   229,   230,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
       0,     0,   246,   247,   248,   249,     0,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   258,   259,
       0,     0,     0,     0,     0,     0,     0,   260,   261,   262,
     263,   264,   265,   266,   267,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,   280,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,   293,   294,
     295,   296,   297,     0,   298,     0,   299,   300,   301,     0,
     302,     0,   303,     0,     0,     0,   304,   305,   306,     0,
     307,   308,     0,   309,     0,   310,   311,   312,   313,  2622,
       0,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,   326,   327,   328,   329,   330,
     331,     0,   332,     0,   333,     0,     0,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,   343,
       0,   344,     0,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,     0,   362,   363,   364,   365,     0,   366,
     367,     0,   368,     0,   369,   370,   371,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,   379,
       0,     0,     0,   380,   381,   382,   383,   384,   385,   386,
     387,     0,   388,   389,   390,   391,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,   463,   464,
       0,     0,   465,   466,   467,   468,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   207,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,     0,   224,   225,   226,   227,   228,     0,
     229,   230,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,     0,     0,   246,   247,   248,   249,     0,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,     0,
     258,   259,     0,     0,     0,     0,     0,     0,     0,   260,
     261,   262,   263,   264,   265,   266,   267,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
     293,   294,   295,   296,   297,     0,   298,     0,   299,   300,
     301,     0,   302,     0,   303,     0,     0,     0,   304,   305,
     306,     0,   307,   308,     0,   309,     0,   310,   311,   312,
     313,  2720,     0,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,     0,   325,   326,   327,   328,
     329,   330,   331,     0,   332,     0,   333,     0,     0,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,   343,     0,   344,     0,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,   362,   363,   364,   365,
       0,   366,   367,     0,   368,     0,   369,   370,   371,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,   379,     0,     0,     0,   380,   381,   382,   383,   384,
     385,   386,   387,     0,   388,   389,   390,   391,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
     463,   464,     0,     0,   465,   466,   467,   468,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
    1373,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   208,   209,   210,   211,   212,   213,   214,   215,     0,
     217,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   222,   223,   732,   224,   225,   226,     0,
    1374,   733,  1375,  1376,     0,   231,   232,   233,   234,   235,
       0,     0,   236,   237,  1377,  1378,   240,     0,   241,   242,
     243,   244,     0,     0,   734,     0,   246,   247,   248,   249,
     735,   250,   251,     0,   252,   253,   254,   255,   256,   257,
       0,   736,   258,   259,     0,     0,     0,   737,     0,     0,
       0,   260,   261,   262,   263,   264,   265,  1379,  1380,   268,
       0,   269,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,     0,   278,   279,  1041,   281,   282,     0,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,   292,     0,   294,   295,   296,     0,     0,   298,     0,
     299,  1381,   301,     0,   302,     0,   303,   738,     0,   739,
     304,   305,   306,     0,   307,     0,     0,   309,     0,   310,
     311,   312,   313,   314,   740,   315,   316,   317,     0,   318,
     319,   320,   321,   322,   323,     0,   324,   741,     0,   326,
     327,   328,   329,  1382,  1383,     0,  1384,     0,   333,   742,
     743,   334,   744,   335,   336,   337,   338,   339,     0,   340,
     341,     0,   342,     0,   745,   344,   746,     0,   345,   346,
     347,     0,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,  1385,   747,  1386,   363,
     364,     0,     0,   366,   367,   748,   368,  1931,     0,   370,
    1387,   372,   373,   374,     0,   375,     0,     0,   376,   377,
     378,     0,     0,     0,   749,   750,   751,     0,   381,   382,
     383,   384,   385,   386,   387,     0,   388,     0,   390,     0,
     392,   393,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,  1388,   404,   405,   406,   407,     0,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     0,
     419,   420,   752,   421,   422,     0,   424,   425,   426,   427,
     428,   429,   430,   431,     0,   432,   433,   434,   435,   436,
       0,   437,  1946,   439,   440,   753,   441,  1390,   443,     0,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
       0,     0,   455,   456,  3376,   457,   458,   459,   460,   461,
     462,     0,  1391,  1392,     0,     0,   465,     0,   467,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,     0,   481,   482,   483,
     484,   485,     0,  1393,     0,   488,   754,   489,   490,   491,
       0,     0,   492,     0,     0,   493,   494,   495,   496,   497,
       0,  1373,     0,     0,     0,     0,     0,     0,     0,   507,
     508,   509,   208,   209,   210,   211,   212,   213,   214,   215,
       0,   217,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,     0,   222,   223,   732,   224,   225,   226,
       0,  1374,   733,  1375,  1376,     0,   231,   232,   233,   234,
     235,     0,     0,   236,   237,  1377,  1378,   240,     0,   241,
     242,   243,   244,     0,     0,   734,     0,   246,   247,   248,
     249,   735,   250,   251,     0,   252,   253,   254,   255,   256,
     257,     0,   736,   258,   259,     0,     0,     0,   737,     0,
       0,     0,   260,   261,   262,   263,   264,   265,  1379,  1380,
     268,     0,   269,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,     0,   278,   279,  1041,   281,   282,
       0,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,   292,     0,   294,   295,   296,     0,     0,   298,
       0,   299,  1381,   301,     0,   302,     0,   303,   738,     0,
     739,   304,   305,   306,     0,   307,     0,     0,   309,     0,
     310,   311,   312,   313,   314,   740,   315,   316,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,   741,     0,
     326,   327,   328,   329,  1382,  1383,     0,  1384,     0,   333,
     742,   743,   334,   744,   335,   336,   337,   338,   339,     0,
     340,   341,     0,   342,     0,   745,   344,   746,     0,   345,
     346,   347,     0,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,  1385,   747,  1386,
     363,   364,  1999,     0,   366,   367,   748,   368,     0,     0,
     370,  1387,   372,   373,   374,     0,   375,     0,     0,   376,
     377,   378,     0,     0,     0,   749,   750,   751,     0,   381,
     382,   383,   384,   385,   386,   387,     0,   388,     0,   390,
       0,   392,   393,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,  1388,   404,   405,   406,   407,     0,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
       0,   419,   420,   752,   421,   422,     0,   424,   425,   426,
     427,   428,   429,   430,   431,     0,   432,   433,   434,   435,
     436,     0,   437,  1389,   439,   440,   753,   441,  1390,   443,
       0,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,     0,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,     0,  1391,  1392,     0,     0,   465,     0,   467,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,     0,   481,   482,
     483,   484,   485,     0,  1393,     0,   488,   754,   489,   490,
     491,     0,     0,   492,     0,     0,   493,   494,   495,   496,
     497,     0,  1373,     0,     0,     0,     0,     0,     0,     0,
     507,   508,   509,   208,   209,   210,   211,   212,   213,   214,
     215,     0,   217,   218,   219,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,   222,   223,   732,   224,   225,
     226,     0,  1374,   733,  1375,  1376,     0,   231,   232,   233,
     234,   235,     0,     0,   236,   237,  1377,  1378,   240,     0,
     241,   242,   243,   244,     0,     0,   734,     0,   246,   247,
     248,   249,   735,   250,   251,     0,   252,   253,   254,   255,
     256,   257,     0,   736,   258,   259,     0,     0,     0,   737,
       0,     0,     0,   260,   261,   262,   263,   264,   265,  1379,
    1380,   268,     0,   269,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,     0,   278,   279,  1041,   281,
     282,     0,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,   292,     0,   294,   295,   296,     0,     0,
     298,     0,   299,  1381,   301,     0,   302,     0,   303,   738,
       0,   739,   304,   305,   306,     0,   307,     0,     0,   309,
       0,   310,   311,   312,   313,   314,   740,   315,   316,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,   741,
       0,   326,   327,   328,   329,  1382,  1383,     0,  1384,     0,
     333,   742,   743,   334,   744,   335,   336,   337,   338,   339,
       0,   340,   341,     0,   342,     0,   745,   344,   746,     0,
     345,   346,   347,     0,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,  1385,   747,
    1386,   363,   364,  3204,     0,   366,   367,   748,   368,     0,
       0,   370,  1387,   372,   373,   374,     0,   375,     0,     0,
     376,   377,   378,     0,     0,     0,   749,   750,   751,     0,
     381,   382,   383,   384,   385,   386,   387,     0,   388,     0,
     390,     0,   392,   393,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,  1388,   404,   405,   406,   407,     0,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     0,   419,   420,   752,   421,   422,     0,   424,   425,
     426,   427,   428,   429,   430,   431,     0,   432,   433,   434,
     435,   436,     0,   437,  1389,   439,   440,   753,   441,  1390,
     443,     0,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,     0,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,     0,  1391,  1392,     0,     0,   465,     0,
     467,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,     0,   481,
     482,   483,   484,   485,     0,  1393,     0,   488,   754,   489,
     490,   491,     0,     0,   492,     0,     0,   493,   494,   495,
     496,   497,     0,   207,     0,     0,     0,     0,     0,     0,
       0,   507,   508,   509,   208,   209,   210,   211,   212,   213,
     214,   215,     0,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,   222,   223,     0,   224,
     225,   226,   227,   228,     0,   229,   230,     0,   231,   232,
     233,   234,   235,     0,     0,   236,   237,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,     0,     0,   246,
     247,   248,   249,     0,   250,   251,     0,   252,   253,   254,
     255,   256,   257,     0,     0,   258,   259,     0,     0,     0,
       0,     0,     0,     0,   260,   261,   262,   263,   264,   265,
     266,   267,   268,     0,   269,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,     0,   278,   279,   280,
     281,   282,     0,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,   292,   293,   294,   295,   296,   297,
       0,   298,     0,   299,   300,   301,     0,   302,     0,   303,
       0,     0,     0,   304,   305,   306,     0,   307,   308,     0,
     309,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,   326,   327,   328,   329,   330,   331,     0,   332,
       0,   333,     0,     0,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,     0,   342,   343,     0,   344,     0,
       0,   345,   346,   347,     0,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
       0,   362,   363,   364,   365,     0,   366,   367,     0,   368,
       0,   369,   370,   371,   372,   373,   374,     0,   375,     0,
       0,   376,   377,   378,     0,     0,   379,     0,     0,     0,
     380,   381,   382,   383,   384,     0,   386,   387,     0,   388,
     389,   390,   391,   392,   393,   394,     0,   395,   396,   397,
     398,   399,   400,     0,   402,   403,   404,   405,   406,   407,
       0,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,     0,   419,   420,     0,   421,   422,   423,     0,
     425,   426,   427,   428,   429,   430,   431,     0,   432,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,     0,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,     0,   463,   464,     0,     0,   465,
     466,   467,   468,     0,   469,   470,   471,   472,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     489,   490,   491,     0,     0,   492,     0,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,  1373,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   208,   209,   210,   211,
     212,   213,   214,   215,     0,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,   222,   223,
     732,   224,   225,   226,     0,  1374,   733,  1375,  1376,     0,
     231,   232,   233,   234,   235,     0,     0,   236,   237,  1377,
    1378,   240,     0,   241,   242,   243,   244,     0,     0,   734,
       0,   246,   247,   248,   249,   735,   250,   251,     0,   252,
     253,   254,   255,   256,   257,     0,   736,   258,   259,     0,
       0,     0,   737,     0,     0,     0,   260,   261,   262,   263,
     264,   265,  1379,  1380,   268,     0,   269,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,     0,   278,
     279,  1041,   281,   282,     0,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,   292,     0,   294,   295,
     296,     0,     0,   298,     0,   299,  1381,   301,     0,   302,
       0,   303,   738,     0,   739,   304,   305,   306,     0,   307,
       0,     0,   309,     0,   310,   311,   312,   313,   314,   740,
     315,   316,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,   741,     0,   326,   327,   328,   329,  1382,  1383,
       0,  1384,     0,   333,   742,   743,   334,   744,   335,   336,
     337,   338,   339,     0,   340,   341,     0,   342,     0,   745,
     344,   746,     0,   345,   346,   347,     0,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,  1385,   747,  1386,   363,   364,     0,     0,   366,   367,
     748,   368,     0,     0,   370,  1387,   372,   373,   374,     0,
     375,     0,     0,   376,   377,   378,     0,     0,     0,   749,
     750,   751,     0,   381,   382,   383,   384,   385,   386,   387,
       0,   388,     0,   390,     0,   392,   393,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,  1388,   404,   405,
     406,   407,     0,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,     0,   419,   420,   752,   421,   422,
       0,   424,   425,   426,   427,   428,   429,   430,   431,     0,
     432,   433,   434,   435,   436,     0,   437,  1389,   439,   440,
     753,   441,  1390,   443,     0,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,     0,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,     0,  1391,  1392,     0,
       0,   465,     0,   467,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,     0,   481,   482,   483,   484,   485,     0,  1393,     0,
     488,   754,   489,   490,   491,     0,     0,   492,     0,     0,
     493,   494,   495,   496,   497,     0,  1373,     0,     0,     0,
       0,     0,     0,     0,   507,   508,   509,   208,   209,   210,
     211,   212,   213,   214,   215,     0,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,   222,
     223,   732,   224,   225,   226,     0,  1374,   733,  1375,  1376,
       0,   231,   232,   233,   234,   235,     0,     0,   236,   237,
    1377,  1378,   240,     0,   241,   242,   243,   244,     0,     0,
     734,     0,   246,   247,   248,   249,   735,   250,   251,     0,
     252,   253,   254,   255,   256,   257,     0,   736,   258,   259,
       0,     0,     0,   737,     0,     0,     0,   260,   261,   262,
     263,   264,   265,  1379,  1380,   268,     0,   269,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,     0,
     278,   279,  1041,   281,   282,     0,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,   292,     0,   294,
     295,   296,     0,     0,   298,     0,   299,  1381,   301,     0,
     302,     0,   303,   738,     0,   739,   304,   305,   306,     0,
     307,     0,     0,   309,     0,   310,   311,   312,   313,   314,
     740,   315,   316,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,   741,     0,   326,   327,   328,   329,  1382,
    1383,     0,  1384,     0,   333,   742,   743,   334,   744,   335,
     336,   337,   338,   339,     0,   340,   341,     0,   342,     0,
     745,   344,   746,     0,   345,   346,   347,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,  1385,   747,  1386,   363,   364,     0,     0,   366,
     367,   748,   368,     0,     0,   370,  1387,   372,   373,   374,
       0,   375,     0,     0,   376,   377,   378,     0,     0,     0,
     749,   750,   751,     0,   381,   382,   383,   384,   385,   386,
     387,     0,   388,     0,   390,     0,   392,   393,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,  1388,   404,
     405,   406,   407,     0,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     0,   419,   420,   752,   421,
     422,     0,   424,   425,   426,   427,   428,   429,   430,   431,
       0,   432,   433,   434,   435,   436,     0,   437,  1946,   439,
     440,   753,   441,  1390,   443,     0,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,     0,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,     0,  1391,  1392,
       0,     0,   465,     0,   467,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,     0,   481,   482,   483,   484,   485,     0,  1393,
       0,   488,   754,   489,   490,   491,     0,     0,   492,     0,
       0,   493,   494,   495,   496,   497,     0,  1373,     0,     0,
       0,     0,     0,     0,     0,   507,   508,   509,   208,   209,
     210,   211,   212,   213,   214,   215,     0,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
     222,   223,   732,   224,   225,   226,     0,  1374,   733,  1375,
    1376,     0,   231,   232,   233,   234,   235,     0,     0,   236,
     237,  1377,  1378,   240,     0,   241,   242,   243,   244,     0,
       0,   734,     0,   246,   247,   248,   249,   735,   250,   251,
       0,   252,   253,   254,   255,   256,   257,     0,   736,   258,
     259,     0,     0,     0,   737,     0,     0,     0,   260,   261,
     262,   263,   264,   265,  1379,  1380,   268,     0,   269,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
       0,   278,   279,  1041,   281,   282,     0,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,   292,     0,
     294,   295,   296,     0,     0,   298,     0,   299,  1381,   301,
       0,   302,     0,   303,   738,     0,   739,   304,   305,   306,
       0,   307,     0,     0,   309,     0,   310,   311,   312,   313,
     314,   740,   315,   316,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,   741,     0,   326,   327,   328,   329,
    1382,  1383,     0,  1384,     0,   333,   742,   743,   334,   744,
     335,   336,   337,   338,   339,     0,   340,   341,     0,   342,
       0,   745,   344,   746,     0,   345,   346,   347,     0,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,  1385,   747,  1386,   363,   364,     0,     0,
     366,   367,   748,   368,     0,     0,   370,  1387,   372,   373,
     374,     0,   375,     0,     0,   376,   377,   378,     0,     0,
       0,   749,   750,   751,     0,   381,   382,   383,   384,   385,
     386,   387,     0,   388,     0,   390,     0,   392,   393,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,  1388,
     404,   405,   406,   407,     0,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,     0,   419,   420,   752,
     421,   422,     0,   424,   425,   426,   427,   428,   429,   430,
     431,     0,   432,   433,   434,   435,   436,     0,   437,     0,
     439,   440,   753,   441,  1390,   443,     0,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,     0,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,     0,  1391,
    1392,     0,     0,   465,     0,   467,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,     0,   481,   482,   483,   484,   485,     0,
    1393,     0,   488,   754,   489,   490,   491,     0,     0,   492,
       0,     0,   493,   494,   495,   496,   497,     0,  1373,     0,
       0,     0,     0,     0,     0,     0,   507,   508,   509,   208,
     209,   210,   211,   212,   213,   214,   215,     0,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
       0,   222,   223,   732,   224,   225,   226,     0,     0,   733,
       0,     0,     0,   231,   232,   233,   234,   235,     0,     0,
     236,   237,     0,     0,   240,     0,   241,   242,   243,   244,
       0,     0,   734,     0,   246,   247,   248,   249,   735,   250,
     251,     0,   252,   253,   254,   255,   256,   257,     0,   736,
     258,   259,     0,     0,     0,   737,     0,     0,     0,   260,
     261,   262,   263,   264,   265,     0,     0,   268,     0,   269,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,     0,   278,   279,   280,   281,   282,     0,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,   292,
       0,   294,   295,   296,     0,     0,   298,     0,   299,     0,
     301,     0,   302,     0,   303,   738,     0,   739,   304,   305,
     306,     0,   307,     0,     0,   309,     0,   310,   311,   312,
     313,   314,   740,   315,   316,   317,     0,   318,   319,   320,
     321,   322,   323,     0,   324,   741,     0,   326,   327,   328,
     329,     0,     0,     0,     0,     0,   333,   742,   743,   334,
     744,   335,   336,   337,   338,   339,     0,   340,   341,     0,
     342,     0,   745,   344,   746,     0,   345,   346,   347,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,     0,   747,     0,   363,   364,     0,
       0,   366,   367,   748,   368,     0,     0,   370,     0,   372,
     373,   374,     0,   375,     0,     0,   376,   377,   378,     0,
       0,     0,   749,   750,   751,     0,   381,   382,   383,   384,
     385,   386,   387,     0,   388,     0,   390,     0,   392,   393,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
       0,   404,   405,   406,   407,     0,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     0,   419,   420,
     752,   421,   422,     0,   424,   425,   426,   427,   428,   429,
     430,   431,     0,   432,   433,   434,   435,   436,     0,   437,
       0,   439,   440,   753,   441,     0,   443,     0,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,     0,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,     0,
       0,     0,     0,     0,   465,     0,   467,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,     0,   481,   482,   483,   484,   485,
       0,     0,     0,   488,   754,   489,   490,   491,     0,     0,
     492,     0,     0,   493,   494,   495,   496,   497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   507,   508,   509
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    16,   169,    34,   537,
     678,    11,   923,   802,    24,    48,   725,   960,   730,   927,
      20,    43,    20,  1143,  1245,   565,   932,   816,   982,     7,
    1645,   756,    21,   996,   783,   952,    14,    26,   635,   636,
     637,  1210,  1389,   191,   641,  1254,  1543,   177,    48,    21,
     881,    12,  1010,   807,    26,   583,   186,  1068,  1346,   187,
     891,   685,   825,   603,  1406,   193,   585,  2583,  2283,  2860,
    1145,   862,  2142,  1263,  2134,   203,   595,  1197,   867,    42,
    2095,  1250,   871,   565,  2443,  1161,    20,   876,   806,  1580,
    1445,   809,  1998,    22,   883,  1245,  2849,  1039,  1040,  1302,
     818,  1310,  2048,   528,   893,    34,     0,  1951,  1952,  3073,
    2633,  1166,  2635,  3114,  2760,  2261,  1058,  1807,  1193,  2502,
    2441,  2778,   913,  3162,  3107,  1315,  1316,  2439,  2440,   602,
    3377,  3366,  2778,   156,  3046,   171,  2797,  3356,    17,   171,
    2839,   681,  2437,     0,     0,  1500,    39,     0,     0,   574,
    1237,     0,     0,  1197,     0,  1833,     0,     0,     0,     0,
       0,  1831,  1448,  3583,  2376,  3085,     5,  3782,  1456,  1086,
     773,   171,  3040,  1250,  1176,  2977,     0,  2782,  2783,  2784,
    2785,  2786,  2787,   722,  1028,  1029,    31,  3045,     0,   722,
       0,     5,     5,     9,    79,    22,    58,  3314,     0,   681,
    2495,   864,     3,    11,     5,    37,  3913,    11,     5,  4047,
    1054,   960,    76,    18,    44,    37,   127,    68,   105,    58,
      18,   103,    51,   122,   105,    51,    26,    27,    36,     5,
     146,  2137,     5,     5,   151,   198,   110,    25,     5,     5,
      13,    13,     5,    22,    35,    58,    13,  2585,     5,     5,
       5,   164,  4040,     5,     5,   133,   151,    35,    66,   250,
       0,    42,    68,   860,     5,   245,   154,  4119,  4120,    64,
      76,  3916,    22,   248,    23,   151,  3277,   233,   103,    29,
      22,     0,   250,     5,     5,   255,    60,    29,   103,  1409,
       9,    70,   188,   278,   105,  3993,  2508,    98,    77,   146,
     196,     5,  2208,    22,  2210,     9,   103,   194,   204,   222,
      22,     5,     0,    22,     5,   120,   152,   845,    51,    32,
      28,     9,   120,   357,    16,   104,   308,   151,    74,     5,
     222,     4,   262,   996,    22,     4,     9,    11,    66,   151,
       9,   151,   397,    83,   235,    83,   255,   171,   235,   151,
     150,     9,   152,   299,   151,  4000,   398,   131,    11,   171,
       0,   171,  1087,   164,   284,    11,   112,  1130,  1614,   171,
      22,   350,   283,   352,   148,   417,   296,    29,   324,  1128,
     435,  1392,  1628,    36,  1133,  1134,   167,  1112,    11,   537,
     171,   282,    66,   523,   324,   377,   175,   284,   111,   103,
     320,   435,   315,   115,   151,   314,   115,   535,   948,   103,
     235,   539,  1909,    66,   933,   300,   156,  4032,   156,    11,
     960,   222,   550,   315,   225,   240,   134,   383,   209,   240,
    1676,   319,   151,   401,    72,   583,   185,  1379,  1380,   569,
     431,   133,   269,    83,  1355,  1387,   431,    68,   326,   579,
     297,   431,   171,   248,  1360,   157,   431,   262,  2796,    68,
     348,  4159,   357,   151,  1540,   435,   948,  4112,  1544,   988,
    1546,  3588,   301,  1549,  1014,   301,   198,  4122,  1227,   998,
       8,  4333,   258,   171,    68,    68,  1235,   312,    11,   962,
     295,   151,  1011,   357,   393,    25,  3101,   178,   179,   240,
     381,   182,   276,   184,  1579,   379,   357,  1225,   518,  1298,
     298,  1300,    11,    36,   315,   431,   156,   263,   435,   324,
     431,   202,   310,   350,  4312,   352,  2342,  2343,  1191,  3186,
    1650,  2347,  1014,  1377,  1378,   357,   418,    36,  4245,  1370,
    3186,  1290,  1386,    66,  1293,  1294,   192,   328,   435,   388,
     435,   357,   384,   344,  1308,   565,   566,  1275,  1349,   435,
     357,   340,   302,   725,  1639,  3784,   344,    66,   301,   431,
     603,  2387,  2388,   361,   388,  1821,  3577,   382,  4416,   377,
    1534,  1344,   332,  3336,   607,  1125,   431,   338,   339,   389,
     332,   134,   431,  1133,  1134,   431,  1504,  3509,   372,  1946,
     192,   431,   602,   603,   602,   351,   435,  1356,  1683,   435,
     434,   412,  1614,  1955,   430,  1278,   308,   431,   431,   427,
     516,   418,   434,   427,   434,   521,  1628,   616,  2534,   618,
    3747,   620,   434,  1541,   326,  3437,   433,   626,   517,   649,
     601,  1244,  1550,  1125,   616,  1184,   618,  3567,   620,  3517,
    3508,  1184,   630,  3521,   626,   627,   628,   397,   431,   431,
     670,  1578,   302,  1580,   431,   431,  3365,   677,   431,   603,
     680,   681,   682,  1590,   431,   431,   431,  1594,   714,   431,
     332,  3798,   714,   646,   431,  1602,  1603,  1350,  4303,  3350,
    3295,  4111,   432,   192,   434,   134,  3055,   845,  1615,  1616,
     830,   429,   435,   422,   423,   433,  1369,   398,   429,  1626,
     431,   841,   433,  1922,   714,   434,   716,   716,   716,   716,
     716,   716,   398,   251,   397,  2740,   417,  2013,  2743,  2744,
    1951,   369,  2747,   435,   422,   423,   357,   700,  2753,  3060,
     431,   417,  1862,   133,  3039,  3040,   434,  2817,   357,   422,
     423,  1414,  1280,   422,   423,   431,  4371,   397,  2602,    98,
    2604,   657,  1606,  1607,   422,   423,   729,   151,   298,     8,
     704,   901,    11,   357,   357,   435,   422,   423,   424,   425,
     426,   427,   678,    18,   171,  1994,   679,    96,    98,   108,
     683,  3908,   432,    51,   434,  4030,   190,   152,  3915,  2477,
     696,   424,   425,   426,   427,   108,  2476,   160,  1471,   772,
       5,   783,    96,    96,    96,   103,  3111,   103,  1862,  1821,
      96,   717,   716,   153,     5,   164,   155,    74,   143,   130,
     422,   423,   424,   425,   426,   427,   308,  2452,   245,  2745,
    2746,     3,     4,     5,    51,   526,   288,     9,     5,   530,
     393,    74,   389,  1940,   164,  1452,   233,   357,   324,   716,
     716,   107,  1982,   716,   716,   112,   547,   716,   716,   763,
     716,  3387,   716,   716,   716,   716,   716,  3089,   317,  1547,
    1548,   184,  1959,   222,   213,   120,   225,   188,   784,   112,
     418,   419,   420,   145,   422,   423,   424,   425,   426,   427,
      60,   424,   425,   426,   427,    30,   160,    96,   347,   264,
     108,  1636,   222,   192,   245,   225,  2760,   232,   310,    34,
     151,   251,   107,   422,   423,   424,   425,   426,   427,   159,
      96,    18,    33,   255,  2778,   435,   326,   103,   948,    40,
      96,   103,   249,   103,    60,   191,   385,   235,     5,   391,
     960,    97,   297,   192,   255,  3867,  1484,  1476,   397,   431,
      76,   379,   962,  4210,   962,  4200,  2187,   433,  1487,   361,
     249,  1511,  2175,   357,   329,  4194,   315,   873,   103,   233,
    1499,   108,  3880,   993,  3882,  1648,   184,   965,   960,   967,
       3,   969,   431,   971,  3995,   973,   974,   975,   347,   895,
     896,   897,   980,  3871,  1014,   315,   191,  3798,  3876,  2129,
     340,  3879,   251,   431,  2858,   131,   263,   255,    44,   271,
    3773,   350,  1022,   352,   431,   904,   233,   189,   174,   153,
     383,   317,   148,   120,   418,   306,   413,  1510,   347,   261,
     263,   435,  1042,   301,   233,   240,   375,  1472,   435,   433,
      60,   213,   397,  1086,    11,   170,    66,   184,   377,   240,
     295,   347,    75,   347,   347,   347,    76,   153,    94,   235,
     371,   347,  1072,   412,   377,   235,   306,  3776,  1088,    36,
     240,   312,    74,   240,  1612,  4304,  1086,    74,  1098,   220,
     435,   987,  3615,   103,   301,   105,  2342,  2343,  1108,   385,
     431,  2347,   412,   999,   351,   786,   787,   378,   249,    66,
     432,   397,   125,   435,  1010,  1125,   276,   324,  1128,  1129,
     112,   431,  4123,  1133,  1134,   112,  4109,   251,   351,   383,
     290,  1154,  1280,  1169,  1170,  4370,  1172,  1169,  1170,  4374,
    1172,  2387,  2388,  2959,   105,   431,  2962,  2963,  2964,  2965,
    2966,  2967,  2968,  2969,  2970,  2971,  1128,   183,  4197,   390,
     276,  1133,  1134,   176,   142,   321,   364,  4383,   178,  1169,
    1170,   337,  1172,  2249,   340,   262,  1844,   858,  2120,   377,
    4415,  3540,  3565,   422,   423,   424,   425,   426,   427,   160,
     317,  3550,   120,  4091,   432,    49,  4313,   435,   879,   880,
     346,   347,   115,  1331,   117,  3021,  3022,   233,   295,    20,
      18,    95,   372,  2044,   153,  3536,    24,   154,   899,  3531,
    4088,   196,  3517,  1186,   310,   235,  3521,  3548,    18,    40,
     240,   275,   210,   194,    24,   192,   193,   324,  3253,  4455,
    1958,    95,   181,  1139,  3259,  3260,   397,  2367,   929,   930,
     377,  4252,    84,  2373,   267,  1227,   372,  2599,   233,  3937,
     422,   423,   233,  1235,  2606,   431,   276,  2016,   197,   247,
      52,   263,  3418,   310,   235,  2024,   263,  2026,    60,   365,
     290,   238,   253,  3940,   435,  4249,  4250,   313,   429,  3967,
    2201,  1187,   433,   418,  3940,  2013,  1306,  2205,  1270,  1271,
    1963,  1429,     5,   359,   429,  2211,   431,   432,   433,   171,
     435,  2100,   120,   151,   160,   359,  2034,  1445,  1290,   173,
     152,  1293,  1294,   284,   361,   253,  2157,  2158,  2159,  2160,
     120,     5,   245,   171,  4335,  1465,  1484,   221,  2169,   223,
    2342,  2343,  3186,  1222,  1474,  2347,  1309,  2065,   180,  1477,
    4011,   326,    84,  1249,  2008,   399,  4017,   370,  1368,   351,
    1256,   171,   372,   195,   351,   378,    75,   221,   381,   223,
     331,   299,  1500,   275,   185,   207,   115,   262,   117,   233,
    2601,   939,   319,  1911,  1356,  2387,  2388,   233,  1282,   196,
    1286,  1285,   950,  1289,  2311,   105,   324,    76,   230,  2896,
     103,   140,   377,  3349,  2195,  2460,  3096,   261,   431,  2063,
     295,   348,   383,  1543,   262,   124,   262,   249,   253,     8,
     152,  1431,    11,   108,   103,  1321,   233,   262,  4392,   103,
     367,   213,  4185,   295,  4435,   120,  1330,   299,  1957,  1335,
    1334,  2932,  1867,  2360,   310,  2108,   300,   295,   180,   295,
      18,  2601,  1348,  2529,   262,   142,    24,   359,   142,   146,
     295,   113,   324,   195,  1612,   422,   423,   424,   425,   426,
     427,   123,   262,   305,  2391,   207,   324,   284,    78,  2682,
     359,   335,  2691,   397,   194,   295,   379,   295,  3394,   299,
    3396,  3307,  1427,   202,   203,   361,   235,   399,   230,   132,
    2954,   240,   295,   262,  2253,   295,   245,   216,   146,  2426,
    1510,  1446,  1510,   106,   324,   379,   324,   117,   156,   326,
     399,   435,  4313,   210,  2978,   235,   210,     0,  3887,  3888,
    2885,   324,  4048,   171,   324,   397,   295,   383,   431,   172,
      83,   435,  1520,   295,  1522,  1571,  1524,   379,  1526,   106,
    1528,  1447,   120,   262,  1532,   390,   235,  1453,  4311,   102,
     247,  1561,  1561,  1561,  1561,  1561,  1561,   431,     8,   155,
     377,    11,   324,   305,   284,   168,  3871,  1511,  1259,  2004,
     146,  3876,   171,   431,  3879,  2539,  2183,   397,   273,  1599,
     308,   134,   262,  1556,    57,    58,    36,   283,   262,   106,
     166,  3816,    42,   192,  4127,   142,   397,   398,  2271,   146,
     262,   168,     8,  1509,  3909,    11,   152,     4,   336,   434,
    1592,  1593,     9,   309,   363,   295,    66,   213,  1600,    26,
      27,   295,  1604,  1605,   373,   299,  1317,  1318,  1319,  1320,
     349,  1570,   351,   295,   180,   432,    38,  1619,   435,  1621,
    2190,  1547,  1548,  2843,   324,  1655,  2846,  2777,   349,   195,
     324,   168,   251,   398,  2570,  2607,   304,    59,  3484,  3485,
    1642,   207,  1644,   210,   308,   309,  3291,  1358,  1359,  3694,
    3695,    95,   417,  1364,  2224,   105,    83,  1697,  3903,   115,
    3905,   117,  3598,  3599,  3764,  3755,   431,     8,  1577,  4215,
      11,   278,   288,  4364,  2453,   102,   397,   398,  2190,     8,
     247,   105,    11,  2959,   140,  3775,  2962,  2963,  2964,  2965,
    2966,  2967,  2968,  2969,  2970,  2971,   146,  1408,   262,    28,
    1858,   171,   429,   397,   155,  1863,   433,   134,  1866,   146,
     431,   115,  2224,   117,  4103,  4040,  2992,   350,   291,   352,
     262,    20,   192,   193,  1435,  1436,  1437,  1438,   178,   166,
    1888,   295,   176,  1911,   350,   299,   352,  2558,   244,   305,
     418,    40,  1902,    68,   317,  3021,  3022,   432,   361,  1909,
     435,    76,  1678,   295,   178,   433,   288,   391,   802,   375,
     324,  1687,   213,  4088,   308,   309,   192,  3139,   238,   220,
     814,  1929,   816,   432,   347,   391,   435,   221,  1489,   223,
     314,   251,   324,   233,   240,   235,   318,  1498,  2894,   245,
     312,   198,   432,   262,  1505,   435,  2450,  3115,  1956,   418,
     419,   420,  2586,   422,   423,   424,   425,   426,   427,   233,
     432,   235,   385,   435,   398,   347,  1872,   357,  1874,  1849,
    1849,   431,  1980,   262,   397,   251,   295,   349,  1830,  1831,
    2614,   235,   317,   417,   429,   317,   431,  3482,   433,  2587,
    1804,   245,   432,  2827,  2994,   435,   429,   431,   431,  2007,
    2408,   192,  2836,  2011,  1282,   324,   295,  1285,   431,   391,
     415,   416,   347,   192,   291,   347,  2559,   426,     4,   397,
     398,  2029,   431,     9,   433,   397,   398,  1803,  1466,  1805,
    3704,  2039,  3706,  2453,   249,   324,  3710,  1475,  3712,   254,
     317,  1479,   308,   309,  2052,  1935,  3001,  1485,  1486,   350,
     385,   352,  1330,   385,  2062,  2653,  1334,   363,  3147,   431,
     251,   430,   397,   361,   426,  1503,   435,   373,  1844,   431,
     347,   433,   251,   361,   375,  3970,   312,  2959,  1921,  2917,
    2962,  2963,  2964,  2965,  2966,  2967,  2968,  2969,  2970,  2971,
    2981,  2982,  1653,   288,  3164,  3165,   431,   297,   432,   431,
    3189,   435,   422,   423,   424,   425,   426,   427,   385,   430,
    2992,     5,   389,   349,   435,   432,    10,  2660,   435,  2662,
     397,     4,  2791,   318,    18,   249,     9,  2526,  2527,   431,
     254,   433,  3828,  2924,   312,   432,  2556,  4312,   435,  3021,
    3022,    35,  3097,   419,   420,   314,   422,   423,   424,   425,
     426,   427,   347,   432,   431,    21,   435,   220,  3854,  3855,
      26,   397,   398,   220,  2016,  3817,  3818,  3819,  3820,   308,
     309,   349,  2024,  2716,  2026,  2359,  3019,  2361,  2362,   432,
     432,  3307,   435,   435,    80,  3185,   432,  3187,   166,   435,
     432,  2988,   174,   435,  2556,   431,   391,  2087,  2741,   361,
    1976,   236,   237,   397,   398,  2095,   618,   619,   620,  1001,
    1002,   623,   624,   625,    73,   391,  3940,  1993,    18,   397,
     398,   633,     8,   312,    24,    11,  4012,   418,   419,   420,
      48,   422,   423,   424,   425,   426,   427,  4332,   314,   418,
     419,   420,    28,   422,   423,   424,   425,   426,   427,   198,
    2921,  2259,  3479,   431,  1630,   432,   130,  1633,   435,   432,
     349,   431,   435,  3263,    64,  2117,  2156,     8,   142,  3370,
      11,     9,   146,   130,  2673,  2283,   431,  2287,  3112,  3113,
     249,   432,   317,  2293,   435,   142,    48,    28,   432,   146,
     435,   435,   432,   312,  2184,   435,  2925,  2177,  2177,  2842,
    2190,   432,  2143,   312,   435,   431,  3355,     8,   397,   398,
      11,   391,   347,   113,   188,   432,   432,   434,  4042,   435,
     120,   432,   432,   123,   435,   435,  2869,    28,    38,   432,
     349,   188,   435,  3155,  2224,    36,   210,   431,  2815,   433,
     349,    42,   431,  1904,  1905,  1906,   237,   350,   432,   352,
     385,   435,  1913,   210,  1915,   414,  1917,  1918,  3484,  3485,
     194,   433,   397,  2139,  1802,    66,  4062,   432,   432,   249,
     435,   435,  2792,   247,  2794,   350,   176,   352,   397,   398,
    2408,   255,   432,     8,   432,   435,    11,   435,   397,   398,
     247,  2769,  2770,  2771,   312,  2938,   431,   312,   255,  3894,
     252,  2253,   312,    28,  2446,   432,   192,  2806,   435,  2808,
     432,    36,   431,   435,   432,  2958,   434,    42,   432,  3062,
     432,   435,   431,   435,   252,  3307,   317,  2437,   357,   146,
    2792,   349,  2794,   233,   349,   235,   719,  2857,   721,   349,
    2983,    66,   249,  2471,  3049,   245,   414,   252,  3404,  3405,
    3406,   192,   432,   253,    38,   435,   347,    76,  3522,   414,
    3524,  2022,   262,  3052,  3053,   251,   167,   194,    44,   432,
     171,   432,   435,   150,   435,   435,  3019,   424,  2391,   397,
     398,   432,   397,   398,   435,  2495,   432,   397,   398,   435,
     432,   192,   193,   435,   385,  2857,   431,   371,   432,   299,
     432,   435,   432,  2511,   432,   435,   397,   435,   209,    85,
     251,  2391,   432,   431,   371,   435,   431,  2916,   432,  2080,
     432,   431,    48,   435,   324,  2405,   190,  2088,   151,  2431,
    2432,  2433,  2093,   109,   235,   432,   155,   238,   435,   431,
     431,   432,   167,   434,  2424,  2553,   171,   433,   124,   400,
     251,   963,   128,   254,   966,   174,   968,  2437,   970,   432,
     972,   324,   435,  2453,   976,   135,   431,   192,   193,   433,
     432,   147,   429,   435,   150,   432,   433,  3532,   432,   171,
       8,   435,   382,    11,   209,  2498,   162,  2467,  2467,  2467,
    2467,  2467,  2467,   432,   213,   432,   435,   249,   435,  2451,
      28,  2453,  3484,  3485,   135,   432,   432,  3562,   435,   435,
     235,   431,  3246,   238,  3991,  2495,   135,  2178,  2498,   312,
     249,   146,   432,  2475,  2476,   435,   251,   328,   432,   254,
     135,   435,   418,   419,   420,   254,   422,   423,   424,   425,
     426,   427,   432,   208,  2652,   435,  2207,  3490,  2209,   432,
     432,   105,   435,   435,  2430,  2663,   349,   432,   432,   432,
     435,   435,   435,   379,   240,   431,  2556,   432,  3379,  3466,
     435,   249,   248,   432,     0,   361,   435,   418,   419,   420,
       0,   422,   423,   424,   425,   426,   427,   432,   432,   244,
     435,   435,   391,   314,   198,   281,  3797,   431,    60,   397,
      31,   235,  3828,   328,   397,   398,   282,   431,   400,  3665,
    3666,  3837,  3668,   235,    38,    38,   366,   418,   419,   420,
     262,   422,   423,   424,   425,   426,   427,  2735,  3854,  3855,
     146,   350,  2760,   352,   435,   391,   391,    73,   431,   279,
     135,   135,   361,  2304,   431,   135,   400,   135,   135,  2639,
    2778,   435,   135,   372,   135,   135,   375,    83,   249,   135,
     135,   135,  2200,    83,   192,   249,   135,   135,   347,   431,
      31,   208,   249,   431,   147,   146,   146,     5,  2216,  2217,
    3409,  2671,  2220,     5,   431,   431,   146,   431,  2226,   431,
     272,  3334,   431,   418,   419,   420,   431,   422,   423,   424,
     425,   426,   427,   431,   130,   430,     5,     5,     5,   431,
     130,   436,     5,   431,   431,   431,   142,   431,   431,   431,
     146,   431,   142,   251,   431,   151,   146,   431,  2718,   431,
     156,   151,   431,   159,   431,   161,   156,   431,   431,   159,
     431,   161,   431,   431,   431,   259,    31,  2285,    86,   208,
    2740,    31,   435,  2743,  2744,   146,   247,  2747,     3,   146,
     245,   324,   188,  2753,   357,   357,   312,   433,   188,   357,
    2760,   357,   312,    76,    19,   135,   357,  2885,  3701,   357,
     312,   357,   249,   316,   210,   357,  2896,   205,  2778,   357,
     210,  2899,   240,   357,    68,   378,   249,   176,   245,   431,
     357,   357,  2792,   431,  2794,    76,   435,   262,  2760,   135,
     379,  2919,   379,    97,   357,  2767,  2768,    48,   357,   357,
    2772,   247,    48,   357,   253,    37,  2778,   247,  3762,   255,
      75,  3330,  3331,   357,   357,   255,  4062,   357,   357,    37,
    2830,   435,   357,   249,   357,   357,  3828,  3490,   312,   400,
     249,   192,   397,   388,    31,  3837,   431,  2809,   431,    30,
     431,    20,   135,   249,   235,   431,  2856,  2857,  2848,  2848,
     103,   379,  3854,  3855,   135,   245,   302,  3977,  3583,  4028,
     125,     8,   302,   390,    11,   216,   235,  2867,  2867,  3832,
     418,   419,   420,    31,   422,   423,   424,   425,   426,   427,
     146,    28,   431,    31,  2565,   313,  2567,  2568,  2569,    36,
     198,   135,   135,   379,   135,    42,   379,   135,   135,   244,
     357,   347,  2798,  2799,   239,   397,   171,   347,   431,  3039,
    3040,   176,   151,   431,   355,   393,   414,   227,  2814,    66,
     227,    11,   435,   324,   355,   371,   151,   431,   357,   431,
     165,   371,  2828,  3596,   359,   432,   435,   165,   188,   326,
     196,  2837,   379,   357,   250,   357,   431,   312,   394,    75,
     396,   397,  3701,  2925,   394,  2851,   396,   397,   435,   435,
     432,  3624,   312,   379,   240,   431,   196,  3884,   240,   196,
     431,   357,   357,   357,   391,   314,   198,  3640,   361,   240,
     249,  3111,    38,   429,  2542,   256,   432,   433,   434,   429,
    4211,   331,   432,   433,   434,  3005,  3029,   357,   357,   248,
     435,   312,   267,   295,   166,  4081,   295,  3040,   357,  3031,
    3032,  3033,  3034,   357,  3142,  4091,   284,   192,   321,    31,
     167,  2917,   192,  3686,   171,   192,  3554,   379,   192,  3029,
     418,   192,   379,  3987,   248,    30,  3979,   429,  3186,  3039,
    3040,   306,   357,   357,   418,   192,   193,   429,   357,  3059,
     135,   146,   431,   391,   148,   357,   245,   321,   431,   431,
    4062,   135,   209,  2621,   397,  2623,    31,  4143,   249,   249,
     163,   163,    31,   146,   135,   249,   249,   146,   435,   321,
     345,     8,   171,   171,    11,   171,    19,   157,   235,   224,
     249,   238,   435,    48,   435,   347,   391,   198,  3226,   400,
    4063,  3229,   361,   435,   251,   370,   244,   254,   432,    36,
     432,   432,   151,   378,   266,    42,   381,   151,   258,   435,
     432,   357,    13,   250,   414,    13,   250,   394,   210,   377,
     385,    21,   414,   432,   432,   432,   432,   394,   249,    66,
    3036,  3037,  3038,   252,   432,   432,   432,   432,   432,   432,
    4067,  3748,   432,   431,  4230,   432,   431,  2715,   302,   174,
     418,  3701,   249,  2721,    54,   135,   400,   357,  4131,  3832,
     357,   431,  4135,  4136,   357,   182,  3186,    67,   240,   357,
     210,   328,   253,   135,   431,  3974,   135,  3899,   267,   267,
      80,   376,   357,   218,   357,   218,   218,   357,  2879,  3209,
    4154,  2882,  3212,   357,  3214,   312,   357,   357,   357,  3337,
     312,   357,    22,    23,  3186,   357,   312,    27,   357,  3208,
     357,  4132,    32,    33,    34,   235,    36,  4133,   118,    39,
      40,  4139,    42,  4141,    44,   312,  3208,   135,   357,   129,
     167,   324,    37,  3253,   171,   357,  2927,   192,   192,  3259,
    3260,   192,  3262,     3,   431,   315,   432,   429,   148,   225,
     210,   432,   418,   153,   432,   192,   193,   366,    38,   435,
     297,   418,   419,   420,    96,   422,   423,   424,   425,   426,
     427,   248,   209,    31,  3412,   432,   431,  3297,  3298,  3299,
    3300,   432,   435,  4413,   357,  3267,  3268,   160,   432,   379,
     133,   249,   435,   379,   312,   252,  3278,   312,   235,   312,
    2868,   238,   133,    96,  2872,  2873,   192,  2875,   126,  2877,
    2878,   429,  4239,   151,   251,  3297,    11,   146,  2886,   432,
     220,   390,  4275,    58,   432,   432,   151,   250,    31,   159,
    4460,   432,   146,   379,   379,   182,   357,   431,  4468,   366,
     366,   432,   312,   357,   312,   357,   431,  3367,   357,   431,
    2918,   251,   146,  4031,  3364,  3364,   432,   177,   178,   179,
     180,   435,   182,   431,   184,   432,   186,   432,   188,   432,
     357,   191,  3910,   357,   432,   432,   196,  3517,   198,   279,
     432,  3521,   202,  4102,   204,    66,   135,    96,  3294,   432,
    4063,   328,   366,   192,   192,   431,  3554,   397,     8,   430,
     430,    11,   280,   432,   196,   321,  3426,  3313,   431,   400,
     146,  3949,   312,     0,   177,   431,   435,    71,   318,   349,
    4093,   321,   432,   431,   435,   357,    36,  3409,   435,  3979,
     432,   321,    42,   156,  3340,   151,   192,   192,   192,   192,
     432,   151,  3133,  3134,  3135,  3136,   431,   347,   289,   432,
      48,   395,   431,   353,   395,   195,    66,   435,  4131,   432,
     432,   257,  4135,  4136,   195,   431,   366,    48,   161,   432,
     245,   432,   418,   357,   151,   397,  4397,    66,   176,    31,
     418,   418,   419,   420,   366,   422,   423,   424,   425,   426,
     427,   391,   240,   435,   240,   435,    83,  3635,    50,   435,
     357,   135,   192,   430,   153,   151,   171,  3517,   379,  3647,
     379,  3521,    31,     8,   121,   151,    11,   393,   128,   431,
     397,   431,   397,   179,   252,   151,   431,   431,   289,   384,
      82,  3551,   334,    28,   195,   432,   432,   431,   431,  3575,
     396,    36,   249,   130,   265,   432,   290,    42,   357,   432,
    3560,  3560,   432,   357,   146,   142,   110,   167,   397,   146,
     240,   171,    31,   431,   151,   431,   240,   219,   174,   156,
    3569,    66,   159,   431,   161,   280,   134,   431,    31,   432,
     431,   253,   192,   193,   432,   309,   138,  3569,    48,   309,
      48,   431,   255,   379,   431,  3501,  3502,  3503,  3504,   209,
     233,   188,   249,     5,   349,   432,   321,   141,    60,   280,
    3750,   252,    60,   116,  3305,   383,   289,   169,   384,   435,
      31,   151,  3621,   210,   394,   287,   146,   121,   238,   176,
     397,   249,   249,    31,   431,    31,   252,   252,    48,  3621,
     431,   251,   432,   431,  4251,   432,   198,   108,   308,   432,
     377,     5,   431,   205,    17,   308,  3638,  3639,    28,   134,
     247,  3643,  3644,   716,  3684,  3685,   280,   431,   255,  2141,
    1333,  1134,   167,  2453,  3694,  3695,   171,  1989,  3816,  2614,
    3185,  3701,  2056,   235,  2758,  3705,  3262,  4146,  3977,  4275,
    4024,  3328,  4028,  3741,  4010,  2533,   516,   192,   193,   776,
    2241,   521,  4339,   523,  3909,  4396,   526,  4289,   528,  4247,
     530,  3883,  4288,  4355,   209,   302,  4195,   537,   328,  3701,
     540,  2537,  3320,  3181,  3723,  4275,  2634,   547,  1432,    31,
    2829,  3871,  2132,  2132,  2126,  4401,  3876,  4468,  4005,  3879,
     235,  3723,  4460,   238,  2762,  2777,  4366,   299,    50,   569,
    3770,   303,  3910,  3951,   574,  1422,   251,   309,  4263,   579,
     347,  3954,  4347,   583,   316,  3903,    26,  3905,   989,  3909,
    3412,  4108,   324,  3368,  3370,  1952,  3796,  4211,   598,  2719,
      82,   333,  3940,  4379,   371,   566,  4462,  4186,   695,   341,
    1804,  3949,  2467,  1805,  3353,  3094,  1511,  3817,  3818,  3819,
    3820,  2468,  1845,  3561,  1178,   708,  1847,   394,  3948,   396,
     397,  2483,   422,   423,   424,   425,   426,   427,  1846,  1160,
    1821,  2503,  2495,  3391,  3040,  4089,   646,  3509,  3523,  3039,
     700,  3399,  3400,   328,  1181,  1179,   138,   657,   658,  2107,
     392,  3095,   429,  4065,   396,   432,   433,   434,  1186,  3004,
    2996,  3991,  4326,  4330,  4327,  2471,   676,  2405,   678,   679,
    2313,  3871,  3090,   683,  1679,  2403,  3876,   169,    -1,  3879,
      -1,    -1,    -1,    -1,    -1,    -1,   696,    -1,    -1,    -1,
     700,    -1,    -1,    -1,    -1,     8,   706,    -1,    11,    -1,
      -1,    -1,    -1,    -1,  3800,    -1,   198,   717,    -1,    -1,
    4040,    -1,    -1,   205,    -1,    28,    -1,    -1,  3896,   729,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,
    3940,    -1,    -1,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,  4088,    -1,
    3970,    -1,   772,    -1,    -1,    -1,    -1,    -1,  3940,  3979,
      -1,    -1,    -1,  3983,   784,  3985,   786,   787,  3988,  3989,
      -1,    -1,    -1,    -1,    -1,    -1,  3667,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    -1,    -1,    -1,    -1,
    3681,    -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,
      -1,   303,    -1,    50,  4014,  4014,    -1,   309,    -1,    -1,
     830,    -1,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
      -1,   841,   324,    -1,    -1,   845,  3594,    -1,    -1,    -1,
      -1,   333,  4172,    -1,    -1,    82,    -1,    -1,   858,   341,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,    -1,
      -1,    -1,    -1,   873,    -1,    -1,    -1,  3625,  3626,   879,
     880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   192,
     193,    -1,    -1,    -1,    -1,   895,   896,   897,  4088,   899,
      -1,   901,    -1,  3774,    -1,    -1,   209,    -1,  3994,  4247,
     392,   138,    -1,    -1,   396,   397,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   927,    -1,   929,
     930,    -1,   235,    -1,    -1,   238,    -1,    -1,    -1,  3687,
    3688,    -1,   169,    -1,    -1,  4031,    -1,  4147,   251,    -1,
      -1,   254,   952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   198,     8,    -1,    -1,    11,    -1,    -1,   205,    -1,
      -1,  4301,   982,   983,    -1,    -1,    -1,   987,    -1,   989,
       3,    -1,  4312,    -1,    -1,     8,    -1,    -1,    11,   999,
      36,    -1,    -1,  4193,  4193,    -1,    42,  1007,   235,    -1,
    1010,    -1,    -1,  1013,  4332,    28,    -1,    -1,    31,    -1,
      -1,    -1,  4342,    36,    -1,   328,  1026,    -1,    -1,    42,
      66,    -1,    -1,    -1,    -1,  4121,    -1,    -1,    -1,    -1,
    3911,  3912,  3913,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    66,  3802,  1055,  3804,  3805,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3815,    -1,    -1,
      -1,    -1,   299,    -1,    -1,  4275,   303,    -1,    -1,    -1,
      -1,    -1,   309,  1083,  1084,    -1,  1086,    -1,    -1,   316,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,    -1,    -1,
      -1,    -1,    -1,  1103,    -1,    -1,   333,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   341,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,    -1,    -1,    -1,    -1,    -1,
      -1,   167,   435,    -1,    -1,   171,    -1,    -1,    -1,  1139,
      -1,    -1,  1142,    -1,  4464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,    -1,   192,   193,   171,    -1,
      -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,  4039,   396,
      -1,  1171,    -1,   209,    -1,  1175,  1176,  4367,  4367,   192,
     193,    -1,    -1,    -1,    -1,    -1,  1186,  1187,  1188,  4379,
    4379,  4379,  4379,  4379,  4379,  4418,   209,    -1,    -1,    -1,
      -1,    -1,   238,    -1,  1204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4413,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,   238,    -1,    -1,  4418,  4418,
    4418,  4418,  4418,  4418,    -1,    -1,    -1,  1237,   251,    -1,
      -1,   254,    -1,    -1,    -1,    -1,  4117,    -1,    -1,  1249,
    1250,  4413,    -1,    -1,    -1,    -1,  1256,    -1,    -1,  1259,
    4460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4468,  4140,
      -1,  4142,  4462,  4462,  4462,  4462,  4462,  4462,    -1,    -1,
    1280,    -1,    -1,    -1,    -1,    -1,  1286,    -1,    -1,  1289,
      -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,  4460,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4468,    -1,  4056,  1309,
       8,    -1,    -1,    11,    -1,   328,    -1,  1317,  1318,  1319,
    1320,  1321,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1335,    -1,    -1,    36,    -1,
      -1,    -1,    28,    -1,    42,    -1,  1346,    -1,  1348,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,  1358,  1359,
      -1,    -1,  4110,    -1,  1364,    -1,    -1,    -1,    66,    -1,
      -1,    -1,    -1,    -1,  4245,    -1,    -1,    -1,    -1,    -1,
      66,    -1,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,    -1,    -1,    -1,    -1,  4144,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   418,   419,   420,  1408,   422,
     423,   424,   425,   426,   427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4296,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1435,  1436,  1437,  1438,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1447,    -1,    -1,
      -1,    -1,    -1,  1453,    -1,    -1,  1456,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1465,    -1,    -1,    -1,   167,
      -1,    -1,  1472,   171,  1474,    -1,    -1,    -1,    -1,  4350,
      -1,   167,    -1,    -1,  1484,   171,    -1,    -1,    -1,  1489,
      -1,    -1,    -1,    -1,   192,   193,    -1,    -1,  1498,    -1,
      -1,    -1,    -1,    -1,  1504,  1505,   192,   193,    -1,  1509,
      -1,   209,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,   209,    -1,    -1,    -1,  4398,    -1,    -1,
      -1,    -1,    -1,    -1,  1534,    -1,    -1,    28,    -1,    -1,
     238,  1541,    -1,  1543,    -1,    36,    -1,  1547,  1548,   235,
    1550,    42,   238,   251,    -1,    -1,  1556,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,   254,    -1,
    1570,  1571,    -1,    -1,  1574,    66,    -1,    -1,  1578,    -1,
    1580,    -1,    -1,    -1,    -1,    -1,    -1,  1587,    -1,    -1,
    1590,    -1,    -1,    -1,  1594,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1602,  1603,    -1,    -1,    -1,    -1,    -1,    -1,
    1610,    -1,  1612,  1613,  1614,  1615,  1616,    -1,    -1,    -1,
      -1,    -1,    -1,  1623,  1624,    -1,  1626,    -1,  1628,  1629,
     328,    -1,  1632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   328,  4391,    -1,    -1,    -1,    -1,    -1,  1649,
      -1,    -1,    -1,  1653,  1654,    -1,    -1,    -1,  1658,    -1,
      -1,    -1,  1662,    -1,  1664,  1665,  1666,  1667,  1668,  1669,
    1670,  1671,  1672,    -1,  1674,    -1,   167,    -1,  1678,  1679,
     171,  1681,    -1,    -1,    -1,    -1,    -1,  1687,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   192,   193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,
      -1,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
      -1,    -1,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,    -1,    -1,   235,    -1,   432,   238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,  1803,    28,  1805,    -1,  1807,    32,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,  1821,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,
    1830,  1831,    -1,    42,    -1,    -1,    -1,   328,    -1,    -1,
      -1,    -1,    66,    -1,  1844,    -1,    -1,    -1,    -1,    -1,
    1850,    -1,  1852,    -1,    -1,    -1,     8,    66,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1867,    -1,    50,
      -1,    -1,  1872,    -1,  1874,    -1,    28,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    36,    -1,    -1,   111,    -1,    -1,
      42,  1891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    82,  1902,    -1,  1904,  1905,  1906,    -1,    -1,  1909,
      -1,  1911,    -1,  1913,    66,  1915,    -1,  1917,  1918,   128,
      -1,  1921,    -1,    -1,    -1,    -1,    -1,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,    -1,    -1,    -1,
    1940,   432,    -1,   167,    -1,    -1,    -1,   171,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,   167,  1959,
      -1,    -1,   171,    -1,    -1,  1965,    -1,    -1,   192,   193,
    1970,    -1,    -1,    -1,    -1,    -1,  1976,    -1,    -1,    -1,
      -1,    -1,    -1,   192,   193,   209,    -1,    -1,   169,    -1,
      -1,    -1,    -1,  1993,    -1,    -1,    -1,  1997,  1998,    -1,
     209,    -1,    -1,     8,  2004,  2005,    11,    -1,    -1,    -1,
      -1,   235,    -1,    -1,   238,   167,    -1,    -1,    -1,   171,
      -1,    -1,  2022,    28,   205,    -1,    -1,   251,    -1,   238,
     254,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,
     192,   193,   251,    -1,    -1,    -1,    -1,    -1,  2048,    -1,
    2050,  2051,    -1,    -1,   235,    -1,    -1,   209,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   864,    -1,    -1,    -1,    -1,    -1,
    2080,   262,    -1,   235,    -1,    -1,   238,    -1,  2088,    -1,
      -1,    -1,    -1,  2093,    -1,    -1,    -1,    -1,    -1,   251,
      -1,    -1,   254,    -1,   328,    -1,  2106,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,   299,   328,
      -1,    -1,   303,    -1,    -1,    -1,    -1,    -1,   309,    -1,
      -1,    -1,    -1,    -1,  2134,   316,    -1,  2137,    -1,  2139,
      -1,  2141,    -1,   324,  2144,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   333,    -1,    -1,   379,    -1,    -1,    -1,    -1,
     341,    -1,   167,    -1,    -1,    -1,   171,    -1,    -1,    -1,
    2170,    -1,    -1,    -1,    -1,    -1,   328,    -1,  2178,  2179,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   192,   193,    -1,
      -1,    -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,   209,  2205,   996,  2207,  2208,  2209,
    2210,   392,    -1,   422,   423,   424,   425,   426,   427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,
     235,    -1,    -1,   238,    -1,    -1,    -1,     0,    -1,    -1,
      -1,  2241,    -1,    -1,    -1,    -1,   251,    -1,    -1,   254,
      -1,    14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    24,    -1,    26,    27,    -1,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,    -1,    -1,    41,    -1,
     432,    -1,    -1,    -1,    -1,    -1,    -1,  2287,    -1,    -1,
      -1,    -1,    -1,  2293,    -1,    -1,    -1,    -1,    61,    -1,
      63,    64,    -1,    -1,  2304,    -1,    69,    -1,    71,    -1,
      -1,  2311,  2312,    -1,    -1,    -1,     8,  2317,    81,    11,
      83,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    99,    -1,    -1,   102,
      -1,    -1,  2342,  2343,    36,    -1,    -1,  2347,    -1,    -1,
      42,   114,    -1,   116,    -1,    -1,    -1,   120,    -1,  2359,
    2360,  2361,  2362,   126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   134,  2372,   136,    66,  2375,    -1,  2377,  2378,   142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2387,  2388,    -1,
      -1,  2391,    -1,   156,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1191,    -1,    -1,  2404,    -1,  2406,    -1,  2408,    -1,
    2410,    21,    -1,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,    -1,    -1,    -1,  2426,   432,    -1,    -1,
    2430,    -1,    -1,    -1,    -1,    -1,   128,  2437,    -1,  2439,
    2440,  2441,    -1,    -1,    -1,    -1,    -1,    -1,   211,   212,
      -1,    -1,    -1,    -1,   217,  1245,  2456,     8,    68,    -1,
      11,    -1,    -1,   226,    -1,    -1,    -1,    -1,  2468,    -1,
      -1,    -1,    -1,    -1,   237,   167,    -1,    28,    -1,   171,
      -1,    -1,    -1,  2483,    -1,    36,    -1,    97,  1278,    -1,
      -1,    42,    -1,    -1,    -1,  2495,    -1,    -1,  2498,    -1,
     192,   193,  2502,    -1,    -1,    -1,    -1,    -1,   118,    -1,
      -1,   274,    -1,    -1,    -1,    66,    -1,   209,    -1,   129,
      -1,    -1,   864,   286,    -1,    -1,    -1,    -1,   291,   292,
      -1,   294,  2532,    -1,  2534,    -1,   299,    -1,   148,  2539,
      -1,   304,    -1,   153,   307,    -1,   238,    -1,   311,    -1,
      -1,    -1,    -1,   316,   317,    -1,    -1,    18,    -1,   251,
    1350,   324,    -1,    24,   327,  2565,    -1,  2567,  2568,  2569,
      -1,    -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,  1369,
      18,    -1,    -1,    -1,   347,    -1,    24,    -1,    -1,   199,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1389,
      -1,   364,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,
     220,   374,    -1,    -1,    -1,    -1,   167,   380,    -1,    -1,
     171,    -1,   385,    -1,  1414,    -1,    64,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   397,    -1,   328,    -1,    -1,    -1,
      -1,   192,   193,    -1,    -1,    -1,    -1,    -1,    50,    -1,
      -1,    -1,   113,    -1,   996,    -1,    -1,    -1,   209,   120,
      -1,    -1,   123,     8,    -1,    -1,    11,    -1,   431,   279,
      -1,   434,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      82,  1471,   120,    28,   235,   123,    -1,   238,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,   306,    42,    -1,    -1,
     251,    -1,   312,   254,    -1,    -1,    -1,    -1,   318,    -1,
      -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,   423,   424,   425,   426,   427,   138,   347,   176,   349,
      -1,    -1,    -1,    -1,    -1,  2745,  2746,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   169,    -1,    -1,
      -1,    -1,   233,    -1,   235,    -1,    -1,   328,    -1,    -1,
      -1,   391,    -1,    -1,   245,    -1,  1128,    -1,    -1,    -1,
      -1,    -1,   253,    -1,    -1,   233,    -1,   235,  2798,  2799,
      -1,   262,    -1,   205,    -1,    -1,    -1,   245,    -1,    -1,
      -1,    -1,    -1,    -1,  2814,   253,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,   262,    -1,   171,  2827,  2828,    -1,
      -1,    -1,    -1,   235,   295,    -1,  2836,  2837,   299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   192,   193,  1191,
      -1,  2851,    -1,    -1,    -1,    -1,    -1,   295,  1648,    -1,
      -1,   299,    -1,   324,   209,    -1,    -1,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,    -1,    -1,  2879,
      -1,   432,  2882,    -1,    -1,    -1,   324,    -1,    -1,    -1,
     235,  1681,    -1,   238,    -1,    -1,  2896,   299,    -1,   301,
      -1,   303,    -1,  1245,    -1,    -1,   251,   309,    -1,   254,
      -1,    -1,    -1,    -1,   316,    -1,    -1,  2917,    -1,    -1,
      -1,   382,   324,    -1,    -1,    -1,    -1,  2927,    -1,    -1,
      -1,   333,    -1,    -1,    -1,  2935,  1278,    -1,    -1,   341,
      -1,    -1,    -1,    -1,   382,  2945,     8,    -1,    -1,    11,
      -1,  2951,    -1,  2953,    -1,    -1,    -1,    -1,    -1,  2959,
      -1,    -1,  2962,  2963,  2964,  2965,  2966,  2967,  2968,  2969,
    2970,  2971,    -1,    -1,    36,  2975,  2976,    -1,    -1,    -1,
      42,    -1,    -1,   328,    -1,    -1,    -1,    -1,  2988,    -1,
     392,    -1,  2992,    -1,    -1,    -1,  2996,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,  3006,    -1,  1350,  3009,
      -1,  3011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3020,  3021,  3022,    -1,    -1,    -1,  3026,  1369,    -1,  3029,
      -1,     8,    -1,    -1,    11,    -1,  3036,  3037,  3038,  3039,
    3040,  3041,    -1,    -1,    -1,  3045,  3046,  1389,    -1,    -1,
    3050,    28,    -1,    -1,    -1,    -1,  3056,    -1,  3058,    36,
    3060,    -1,    -1,    -1,    -1,    42,   128,    -1,    -1,    -1,
      -1,    -1,  1414,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,    -1,  3084,    -1,    -1,   432,    -1,    66,
    3090,    -1,    -1,    -1,  3094,    -1,  3096,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
      -1,  3111,  3112,  3113,    -1,  3115,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1471,
     192,   193,    -1,  3133,  3134,  3135,  3136,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,  1946,    -1,    -1,    -1,
      -1,  1951,  1952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3171,    28,  1963,    -1,    -1,   238,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,   251,
     167,    -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    -1,   192,   193,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3243,    -1,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,   235,    -1,
      -1,   238,    -1,    -1,    -1,    -1,   328,    -1,     8,    -1,
      -1,    11,    -1,    -1,   251,    -1,    -1,   254,    -1,    66,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3294,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,    -1,  3305,  1648,  3307,    -1,    -1,
      -1,   167,    -1,  3313,    -1,   171,    -1,    -1,  2108,  3319,
      -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,  3328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   192,   193,    -1,    -1,
    3340,   128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3349,
      -1,   328,    -1,   209,    -1,  3355,    -1,    -1,    -1,    -1,
     422,   423,   424,   425,   426,   427,    -1,    -1,    -1,    -1,
      -1,  3371,  3372,    -1,    -1,    -1,    -1,    -1,    -1,   235,
     167,    -1,   238,    -1,   171,    -1,    -1,    -1,   128,    -1,
      -1,   177,    -1,    -1,  3394,   251,  3396,  2187,   254,    -1,
     186,   187,    -1,    -1,    -1,   192,   193,   193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,
      -1,    -1,   209,    -1,    -1,    -1,    -1,   167,    -1,  3429,
      -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,   238,   192,   193,    -1,   432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   251,    -1,  3466,    -1,    -1,   209,
      -1,    -1,   328,    -1,    -1,    -1,  3476,  3477,    -1,    -1,
      -1,  2271,    -1,    -1,  3484,  3485,    -1,    -1,    -1,  3489,
      -1,    -1,    -1,    -1,    -1,  3495,  3496,    -1,   238,  3499,
      -1,  3501,  3502,  3503,  3504,    -1,    -1,    -1,  3508,  3509,
    3510,   251,    -1,  3513,    -1,    -1,    -1,  3517,    -1,    -1,
      -1,  3521,    -1,    -1,    -1,    -1,    -1,  3527,    -1,    -1,
      -1,  3531,    -1,    -1,    -1,    -1,  3536,    -1,    -1,    -1,
      -1,   328,  3542,    -1,    -1,    -1,    -1,    -1,  3548,    -1,
      -1,    -1,    -1,    -1,  3554,    -1,    -1,    -1,    -1,    -1,
      -1,  3561,   418,   419,   420,  3565,   422,   423,   424,   425,
     426,   427,    -1,    -1,    -1,  3575,   432,    -1,  3578,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3598,  3599,
      -1,    -1,    -1,    -1,  1946,    -1,    -1,    -1,    -1,  1951,
    1952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1963,  3622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,   423,   424,   425,   426,
     427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2439,
    2440,  2441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3667,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3681,   422,   423,   424,   425,   426,   427,    -1,    -1,
      18,    -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    64,   523,    -1,  3739,
      -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,   535,
    3750,    -1,    -1,   539,    -1,  3755,    -1,    -1,    -1,    -1,
      -1,    -1,  3762,    -1,   550,    -1,  2108,    -1,    -1,  2559,
      -1,    -1,    66,    -1,  3774,  3775,    -1,    -1,    -1,   565,
      -1,    -1,    -1,   569,    -1,   113,    -1,    -1,    -1,    -1,
      -1,    -1,   120,   579,   580,   123,    -1,    -1,    -1,   585,
    3800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   595,
      -1,  2601,  2602,    -1,  2604,    -1,    -1,   603,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3828,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3837,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2187,    -1,    -1,   176,    -1,
      -1,    -1,    -1,    -1,  3854,  3855,    -1,    -1,  3858,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,  3867,    -1,    -1,
    2660,  3871,  2662,   167,    -1,    -1,  3876,   171,    -1,  3879,
    3880,    -1,  3882,    28,  3884,  3885,    -1,    -1,    -1,    -1,
     676,    36,    -1,    -1,    -1,   681,    -1,    42,   192,   193,
      -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,  3909,
    3910,  3911,  3912,  3913,    -1,   209,    -1,   245,    -1,    -1,
     706,    66,    -1,    -1,    -1,   253,  2716,    -1,    -1,  2271,
      -1,    -1,    -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,   238,    -1,    -1,    -1,  3948,  3949,
      -1,  2741,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,
     254,    -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,
    2760,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3987,  2778,    -1,
      -1,  3991,    -1,    -1,  3994,    -1,   324,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4005,    -1,    -1,    -1,    -1,
      -1,    -1,  4012,    -1,    -1,    -1,  4016,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,    -1,  4028,    -1,
      -1,  4031,    -1,    -1,   328,    -1,    -1,    -1,    -1,  4039,
    4040,    -1,    -1,    -1,   830,    -1,    -1,   192,   193,    -1,
      -1,    -1,  2842,    -1,   382,   841,    -1,    -1,    -1,    -1,
      -1,    -1,  4062,    -1,   209,  4065,    -1,  4067,  2858,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   864,  2869,
      -1,    -1,    -1,    -1,  4084,    -1,    -1,    -1,  4088,    -1,
     235,  4091,    -1,   238,    -1,    -1,    -1,  4097,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,   254,
      -1,    -1,    -1,    -1,    -1,   901,    -1,  4117,    -1,    -1,
      -1,  4121,    -1,    -1,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,    -1,    -1,    -1,    -1,   432,  4139,
    4140,  4141,  4142,    -1,    -1,    -1,    -1,   933,  2938,    -1,
      -1,    -1,    -1,    -1,  4154,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   948,    -1,    -1,    -1,   952,    -1,  2958,    -1,
      -1,    -1,  4172,    -1,   960,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4191,    -1,  2983,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   988,     8,    -1,    -1,    11,    -1,    -1,    -1,
     996,    -1,   998,    -1,    -1,    -1,    -1,  2559,    -1,    -1,
      -1,    -1,    -1,    28,    -1,  1011,    -1,    -1,  1014,  3019,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,  4239,
    1026,    -1,    -1,    -1,    -1,  4245,    -1,  4247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4256,    -1,    -1,  2601,
    2602,    66,  2604,    -1,    -1,    -1,    -1,    -1,    -1,  1055,
    3060,    -1,    -1,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,    -1,    -1,    -1,    -1,   432,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4296,  1083,  1084,    -1,
    1086,  4301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4312,    -1,    -1,    -1,    -1,  1103,  2660,    -1,
    2662,    -1,    -1,    -1,    -1,    -1,  4326,    -1,    -1,  4329,
    4330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1125,
      -1,    -1,  4342,    -1,    -1,    -1,    -1,  1133,  1134,    -1,
    4350,    -1,     8,    -1,    -1,    11,  1142,  1143,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,    -1,    -1,    -1,
      -1,    -1,    28,    -1,  2716,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,  4383,    -1,  1171,    42,   192,   193,  1175,
    1176,    -1,    -1,  4393,    -1,    -1,  3186,    -1,  4398,  2741,
      -1,    -1,    -1,    -1,   209,  1191,    -1,    -1,    -1,    -1,
      66,  1197,    -1,    -1,    -1,    -1,    -1,    18,  2760,    -1,
      -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,
     235,    -1,    -1,   238,    -1,    -1,  2778,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,   251,    -1,    -1,   254,
      -1,    -1,    -1,    -1,    -1,  4455,    -1,    -1,    -1,  1245,
      -1,    28,    -1,    64,  4464,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1278,    -1,    -1,    -1,    -1,    -1,    -1,    66,
    2842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,   113,    -1,    -1,   171,  2858,    -1,    -1,   120,
      -1,    -1,   123,   328,    -1,    -1,    -1,  2869,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   192,   193,    -1,    -1,
      -1,    -1,    -1,    -1,  3334,  1331,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1350,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,   235,
    3370,    -1,   238,  1369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,  2938,    -1,   254,    -1,
     167,    -1,    -1,  1389,   171,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   418,   419,   420,  2958,   422,   423,   424,
     425,   426,   427,  1409,    -1,   192,   193,   432,  1414,    -1,
      -1,    -1,   233,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,  2983,   209,  1429,   245,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,  1445,
      -1,   262,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,
      -1,   238,   328,    -1,    -1,    -1,    -1,  3019,    -1,  1465,
      -1,    -1,    -1,    -1,   251,  1471,    -1,   254,  1474,  3479,
    1476,  1477,    -1,    -1,   295,    -1,    -1,    -1,   299,    -1,
    3490,  1487,    -1,    -1,    -1,    -1,   273,    -1,    -1,    -1,
      -1,    -1,    -1,  1499,  1500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   324,    -1,  1511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3531,    -1,    -1,    -1,    -1,  3536,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1543,  3548,    -1,
      -1,   328,   418,   419,   420,    -1,   422,   423,   424,   425,
     426,   427,    -1,    -1,   430,   342,    -1,    -1,    -1,    -1,
      -1,   382,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,  1578,    -1,  1580,    -1,    -1,    -1,    -1,    -1,
      -1,  1587,    -1,    -1,  1590,    -1,  3596,    28,  1594,    -1,
      -1,    -1,    -1,    -1,    -1,    36,  1602,  1603,    -1,    -1,
      -1,    42,    -1,    -1,  1610,    -1,    -1,  1613,  1614,  1615,
    1616,    -1,    -1,    -1,  3624,    -1,    -1,  1623,  1624,    -1,
    1626,    -1,  1628,  1629,  3186,    66,  1632,    -1,    -1,    -1,
    3640,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,    -1,  1648,  1649,  1650,    -1,    -1,    -1,  1654,    -1,
      -1,    -1,  1658,    -1,    -1,    -1,  1662,    -1,  1664,  1665,
    1666,  1667,  1668,  1669,  1670,  1671,  1672,    -1,  1674,    -1,
      -1,    -1,    -1,  1679,    -1,  1681,  3686,    -1,    -1,     8,
      -1,    -1,    11,    18,    -1,    -1,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,   146,    -1,    36,    -1,    -1,
     151,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    64,
     171,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   192,   193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,
      -1,    -1,  3334,    18,    -1,    -1,    -1,    -1,   113,    24,
      -1,    -1,    -1,    -1,    -1,   120,    -1,  3797,   123,    -1,
      -1,    -1,    -1,    -1,   235,    -1,    -1,   238,    -1,    -1,
      -1,  1807,    -1,    -1,    -1,    -1,    -1,    -1,  3370,    -1,
     251,    -1,    -1,   254,    -1,  1821,   145,    -1,    -1,    64,
      -1,    -1,  3832,    -1,  1830,  1831,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,   176,   171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1858,    -1,    -1,    -1,  1862,  1863,    -1,    -1,
    1866,    -1,    -1,   192,   193,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,   123,    -1,
     209,    -1,  1888,    -1,    -1,  1891,    -1,   328,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1902,    -1,   233,    -1,
     235,    -1,    -1,  1909,    -1,    -1,   235,    -1,    -1,   238,
     245,    -1,    -1,    -1,    -1,    -1,    -1,  3479,   253,    -1,
      -1,    -1,   251,  1929,    -1,   254,    -1,   262,  3490,    -1,
    3940,   176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1946,    -1,   271,    -1,    -1,  1951,  1952,    -1,    -1,    -1,
    1956,  1957,    -1,    -1,    -1,    -1,    -1,  1963,    -1,    -1,
     295,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1979,  1980,    -1,  1982,   418,   419,   420,
      -1,   422,   423,   424,   425,   426,   427,    -1,   233,   324,
     235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,
     245,  2007,    -1,    -1,    -1,  2011,    -1,    -1,   253,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,   262,    -1,    -1,
      -1,    -1,    -1,  2029,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,  4042,  2039,  3596,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,  2052,   382,    -1,    -1,
     295,    -1,    -1,  4063,   299,    -1,  2062,    -1,    -1,    -1,
      -1,    -1,  3624,    -1,    -1,    -1,    -1,    -1,    -1,    66,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3640,   324,
      -1,    -1,    -1,  4093,    -1,    -1,    -1,    -1,    -1,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,    -1,
    2106,    -1,  2108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4131,    -1,  2129,  3686,  4135,  4136,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    31,    -1,
     167,    -1,    -1,    36,   171,    -1,    -1,    -1,    -1,    42,
      -1,  2187,    -1,    -1,  2190,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   192,   193,    -1,    -1,    -1,
      -1,  4211,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,  2224,    -1,
      -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,
      -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2259,   251,    -1,    -1,   254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2271,    -1,    -1,    -1,    -1,
    3832,   268,    -1,    -1,    -1,    -1,    -1,  2283,    -1,    -1,
      -1,  2287,    -1,    -1,    -1,    -1,    -1,  2293,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,  2311,  2312,    -1,   171,    -1,
      -1,  2317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   192,
     193,   328,    -1,    -1,    -1,    -1,  2342,  2343,    -1,    -1,
      -1,  2347,    -1,    -1,    -1,     8,   209,    -1,    11,    -1,
      -1,    -1,    -1,  2359,  2360,  2361,  2362,    -1,    -1,    -1,
      -1,  2367,    -1,    -1,    -1,    28,  2372,  2373,    31,  2375,
      -1,  2377,   235,    36,    -1,   238,    -1,    -1,  3940,    42,
      -1,  2387,  2388,    -1,    -1,  2391,    -1,    -1,   251,    -1,
      -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,  2404,    -1,
    2406,    -1,    -1,    66,  2410,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2426,   418,   419,   420,    -1,   422,   423,   424,   425,   426,
     427,  2437,    -1,  2439,  2440,  2441,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2453,    -1,    -1,
    2456,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,  2468,    18,    -1,   328,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    28,    -1,    -1,  2483,    -1,    -1,
    4042,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,  2495,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4063,    -1,    -1,   167,  2511,    -1,    -1,   171,    64,
      28,    -1,    66,    31,    -1,    -1,    -1,    -1,    36,    -1,
    2526,  2527,    -1,    -1,    42,    -1,  2532,    -1,    -1,   192,
     193,  4093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,  2553,    66,    -1,
    2556,    -1,    -1,  2559,    -1,   418,   419,   420,   113,   422,
     423,   424,   425,   426,   427,   120,    -1,    -1,   123,  4131,
      -1,    -1,   235,  4135,  4136,   238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,
      -1,   254,    -1,    -1,    -1,  2601,  2602,   151,  2604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    13,
      -1,    -1,    -1,   167,    -1,    19,    -1,   171,    -1,    -1,
      -1,   176,    -1,    -1,    28,    -1,    -1,  2633,  2634,  2635,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   192,   193,
      -1,    -1,    -1,    47,    -1,    -1,  2652,    -1,     8,   167,
      -1,    11,    -1,   171,  2660,   209,  2662,  2663,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   328,    -1,  2673,    28,    -1,
      -1,    -1,    -1,    -1,   192,   193,    36,    -1,   233,    -1,
     235,   235,    42,    -1,   238,    -1,    -1,    -1,    -1,    -1,
     245,   209,    -1,    -1,    -1,    -1,    -1,   251,   253,    -1,
     254,    -1,    -1,    -1,    -1,    -1,    66,   262,    -1,    -1,
    2716,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,
     238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2735,
      -1,    -1,    -1,   251,    -1,  2741,   254,    -1,    -1,    -1,
     295,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2760,   418,   419,   420,    -1,   422,
     423,   424,   425,   426,   427,    -1,    -1,    -1,    -1,   324,
      -1,  2777,  2778,    -1,   328,    -1,    -1,    -1,    -1,    -1,
     184,    -1,    -1,    -1,    -1,    -1,  2792,    -1,  2794,    -1,
     194,   195,    -1,   197,    -1,   199,    -1,   201,    -1,    -1,
    2806,    -1,  2808,    -1,    -1,    -1,    -1,   167,    -1,    -1,
     328,   171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,   382,    -1,    11,
      -1,    -1,   192,   193,    -1,    -1,  2842,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,   209,
      -1,  2857,  2858,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      42,    -1,    -1,  2869,   418,   419,   420,    -1,   422,   423,
     424,   425,   426,   427,    -1,   235,    -1,    -1,   238,  2885,
      -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,
    2896,   251,    -1,  2899,   254,    -1,    -1,    -1,    -1,    -1,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
    2916,    -1,    -1,  2919,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2935,
      -1,    -1,  2938,    -1,    -1,    -1,    -1,    -1,    -1,  2945,
      -1,    -1,    -1,    -1,    -1,  2951,    -1,  2953,    -1,    -1,
      -1,    -1,  2958,  2959,    -1,    -1,  2962,  2963,  2964,  2965,
    2966,  2967,  2968,  2969,  2970,  2971,    -1,    -1,   328,  2975,
    2976,    -1,    -1,    -1,    -1,    -1,    -1,  2983,    -1,    -1,
      -1,    -1,  2988,    -1,    -1,   167,  2992,    -1,  2994,   171,
    2996,    18,    -1,    -1,   354,    -1,    -1,    24,    -1,    -1,
    3006,    -1,    -1,  3009,    -1,  3011,    -1,    -1,    -1,    -1,
     192,   193,    -1,  3019,  3020,  3021,  3022,    -1,    -1,    -1,
    3026,    -1,    -1,  3029,    -1,    -1,    -1,   209,    -1,    -1,
      -1,    -1,    -1,  3039,  3040,    -1,    -1,    64,    -1,    -1,
      -1,    -1,    -1,    -1,  3050,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3058,   235,  3060,    -1,   238,    -1,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,    -1,   251,
      -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,  3084,    -1,
      -1,    -1,    -1,    -1,  3090,    -1,   113,    -1,    -1,     8,
    3096,    -1,    11,   120,    -1,    18,   123,    -1,    -1,    -1,
      -1,    24,    -1,    -1,    -1,  3111,    -1,    -1,    -1,    28,
      -1,    -1,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
     524,    -1,    -1,    42,    -1,    -1,    49,    18,   532,    -1,
      -1,    -1,    -1,    24,    -1,    -1,  3142,   541,   542,    -1,
      -1,    64,   546,    -1,    -1,    -1,   328,    66,    -1,   176,
      -1,    -1,    -1,   557,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   570,    -1,    -1,    -1,
      -1,    -1,    95,    64,    -1,  3181,    -1,    -1,    -1,  3185,
    3186,  3187,   586,    -1,    -1,   589,    -1,   591,    -1,   593,
     113,    -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,
     123,    -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,
    3226,    -1,   113,  3229,    -1,    -1,   253,    -1,    -1,   120,
      -1,    -1,   123,    -1,    -1,   262,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,    -1,    -1,   167,   653,
     173,   655,   171,   176,    -1,    -1,    -1,  3263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,
      -1,    -1,   299,   192,   193,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,
     209,    -1,    -1,    -1,    -1,    -1,    -1,   324,   221,    -1,
     223,  3307,    -1,    -1,   708,    -1,    -1,    -1,    -1,    -1,
     233,    -1,   235,    -1,    -1,    -1,   235,    -1,    -1,   238,
      -1,    -1,   245,    -1,  3330,  3331,    -1,    -1,  3334,    -1,
     253,  3337,   251,    -1,    -1,   254,    -1,    -1,   261,   262,
      -1,    -1,   233,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   245,   382,    -1,    -1,    -1,    -1,
      -1,    -1,   253,   767,  3370,  3371,  3372,    -1,    -1,    -1,
      -1,   262,   295,    -1,    -1,    -1,   299,   300,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   324,    -1,    -1,   295,    -1,  3412,    -1,   299,   328,
      -1,    -1,   335,    -1,    -1,   819,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3429,    -1,    -1,    -1,    -1,    -1,    -1,
     834,    -1,    -1,   324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   847,    -1,    -1,    -1,    -1,    -1,    -1,
     854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,
    3466,    -1,   866,    -1,    -1,   869,    -1,    -1,    -1,    -1,
    3476,  3477,    -1,  3479,    -1,    -1,    -1,    -1,  3484,  3485,
      -1,    -1,    -1,  3489,  3490,    -1,    -1,    -1,    -1,  3495,
    3496,   382,    -1,  3499,    -1,    -1,    -1,    -1,   902,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,    -1,
      -1,  3517,    -1,    -1,    -1,  3521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3531,    -1,    -1,    -1,    -1,
    3536,    -1,    -1,    -1,    -1,    -1,    21,    -1,    -1,    -1,
      -1,    -1,  3548,    -1,    -1,    -1,    -1,    -1,    33,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    21,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    54,
      -1,    -1,  3578,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    -1,    67,    -1,    -1,    -1,    24,    -1,    -1,    54,
    3596,    -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    67,    -1,    -1,    -1,    -1,    -1,    -1,  3615,
      -1,    76,    97,    -1,    -1,    80,    -1,    -1,  3624,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,  3635,
      -1,    -1,    97,   118,  3640,    -1,    -1,    -1,   103,    -1,
      -1,  3647,    -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   137,   118,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    21,    -1,   148,   129,    -1,    -1,    -1,   153,    -1,
      -1,    -1,   137,    -1,   159,   113,    -1,    -1,    -1,    -1,
    3686,    -1,   120,   148,    -1,   123,    -1,    -1,    -1,   174,
     155,    -1,    -1,    -1,   159,  3701,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    67,    -1,   174,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3739,    -1,   220,    -1,    97,   176,    -1,
      -1,    -1,    -1,   103,  3750,    -1,    -1,    -1,   213,    -1,
      -1,    -1,    -1,    -1,    -1,   220,  1160,  1161,   118,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,   129,
      -1,    -1,    -1,    -1,    -1,    -1,   261,   137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,   148,   254,
      -1,  3797,    -1,   153,   279,   233,    -1,   235,    -1,   159,
     187,    -1,    -1,    -1,    -1,    -1,   193,   245,    -1,    -1,
    3816,    -1,    -1,    -1,   174,   253,   203,    -1,    -1,  1223,
      -1,   306,  3828,   288,   262,   310,  3832,   312,    -1,    -1,
      -1,  3837,    -1,   318,    -1,    -1,   321,    -1,    -1,   199,
      -1,   306,    -1,    -1,    -1,    -1,    -1,   312,  3854,  3855,
      -1,    -1,  3858,   318,    -1,    -1,   321,   295,    -1,    -1,
     220,   299,   347,    -1,   349,  3871,    -1,    -1,   353,    -1,
    3876,    -1,    -1,  3879,    -1,    -1,   361,    -1,  3884,  3885,
      -1,   366,   347,    -1,   349,   350,   324,   352,   353,    -1,
      -1,   251,    -1,   378,    -1,    -1,   361,  3903,    -1,  3905,
      -1,   366,    -1,  3909,    -1,    -1,   391,   372,    -1,    -1,
     375,    -1,    -1,   378,    -1,    -1,    -1,    -1,    -1,   279,
      -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3940,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3948,    -1,   382,    -1,   306,    -1,    -1,    -1,
     310,    -1,   312,    -1,    -1,    -1,    -1,    -1,   318,    -1,
      -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3977,    -1,  3979,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3991,    -1,   347,    -1,   349,
      -1,    -1,    -1,   353,    -1,    -1,    18,    -1,    -1,    -1,
      -1,   361,    24,    -1,    -1,    -1,   366,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1418,    -1,    -1,    -1,   378,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,    -1,  1433,
      -1,   391,    -1,    -1,  4040,    -1,  4042,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4062,  4063,    -1,  4065,
      -1,  4067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1473,
      -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,  4084,    -1,
      -1,    -1,  4088,    -1,  1488,    -1,  1490,  4093,  1492,    -1,
      -1,   113,    -1,  1497,    -1,    -1,    -1,    -1,   120,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4127,    -1,    -1,    -1,  4131,    -1,    -1,    -1,  4135,
    4136,    -1,    -1,    -1,    -1,    -1,  1540,    -1,    -1,    -1,
    1544,    -1,  1546,    -1,    -1,  1549,    -1,    -1,   535,    -1,
      -1,   173,   539,    -1,   176,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   550,    -1,    -1,  4172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   565,    -1,
      -1,    -1,    -1,    -1,    -1,  4191,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   580,    -1,   864,    -1,    -1,   585,   221,
      -1,   223,    -1,    -1,    -1,  4211,    -1,    -1,   595,    -1,
      -1,   233,    21,   235,    -1,    -1,   603,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   253,    -1,  4239,    -1,    -1,    -1,    -1,    -1,   261,
     262,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
    4256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    67,    68,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,  4275,
      -1,    80,    -1,   295,    -1,    -1,    -1,   299,   300,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    -1,
      -1,    -1,    -1,    -1,   681,  4301,    -1,    -1,    -1,    -1,
      -1,    -1,   324,    -1,    -1,    -1,  4312,    -1,    -1,   118,
      -1,    -1,    -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,
     129,    -1,    -1,  4329,  4330,    -1,  4332,   996,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4342,    -1,    -1,   148,
      -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   676,    -1,    -1,    -1,    -1,    -1,    -1,
     382,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4383,    -1,    -1,
      -1,    -1,    -1,   706,    -1,    -1,    -1,  4393,    -1,    -1,
     199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4413,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,  4455,
      -1,    -1,    -1,    -1,  4460,  1859,  1860,    -1,  4464,    -1,
    1864,  1865,  4468,    -1,  1868,    -1,    -1,    -1,    -1,    -1,
     279,    -1,    -1,    -1,  1878,    -1,    -1,    -1,    -1,    -1,
      -1,  1885,    -1,    -1,    -1,  1889,  1890,    -1,    -1,  1893,
    1894,    -1,    -1,    -1,    -1,    -1,  1900,   306,    -1,    -1,
      -1,   310,    -1,   312,    -1,    -1,    -1,    -1,  1912,   318,
    1914,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1191,    -1,    -1,    -1,  1930,    -1,    -1,    -1,
      -1,  1935,    -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,
     349,    -1,    -1,    -1,   353,    -1,   933,    -1,    -1,    -1,
      -1,    -1,   361,    -1,    -1,    -1,    -1,   366,    -1,    -1,
      -1,   948,  1966,  1967,  1968,  1969,    -1,    -1,    -1,  1973,
    1974,    -1,    -1,   960,    -1,    -1,  1245,  1981,    -1,    -1,
    1984,    -1,   391,    -1,  1988,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   988,    -1,    -1,    -1,    -1,    -1,    -1,  2012,  1278,
      -1,   998,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2023,
      -1,  2025,    -1,    -1,  1011,    -1,  2030,  1014,    -1,    -1,
      -1,  2035,  2036,  2037,  2038,    -1,  2040,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2053,
    2054,  2055,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2066,  2067,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1369,    -1,    -1,  1026,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1389,   187,    -1,    -1,    -1,    -1,  2130,   193,    -1,    -1,
      -1,    -1,  1055,    -1,    -1,    -1,    -1,   203,  1125,    -1,
      -1,    -1,    -1,    -1,    -1,  1414,  1133,  1134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1143,    -1,    -1,    -1,
    1083,  1084,    -1,  1086,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2249,    -1,    -1,  1171,    -1,
      -1,    -1,  1175,  1176,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2277,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1648,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1445,    -1,
      -1,    -1,  2466,    -1,    -1,    -1,    -1,    -1,    -1,   535,
      -1,    -1,    -1,   539,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   550,    -1,    -1,    -1,    -1,  1476,
    1477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   565,
    1487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2512,  2513,
      -1,    -1,  1499,  1500,   580,    -1,    -1,    -1,    -1,   585,
      -1,    -1,    -1,    -1,  1511,  2529,    -1,    -1,    -1,   595,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2563,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2578,  2579,    -1,    -1,    -1,  2583,
      -1,    -1,    -1,    -1,  2588,  2589,  2590,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   681,    -1,    -1,    -1,    -1,
    2624,  2625,  2626,  2627,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2654,  2655,  2656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2664,    -1,    -1,  1650,  1587,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1946,    -1,    -1,
      -1,    -1,  1951,  1952,    -1,    -1,    -1,  1610,    -1,    -1,
    1613,    -1,    -1,  1616,  1963,    -1,    -1,    -1,    -1,    -1,
    1623,  1624,    -1,    -1,    -1,    -1,  1629,    -1,    -1,  1632,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2728,    -1,  1649,    -1,    -1,    -1,
      -1,  1654,  2736,    -1,    -1,  1658,    -1,    -1,    -1,  1662,
      -1,  1664,  1665,  1666,  1667,  1668,  1669,  1670,  1671,  1672,
      -1,  1674,    -1,    -1,    -1,    -1,  1679,    -1,  1681,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2793,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   864,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2835,    -1,    -1,  2838,    -1,    -1,    -1,    -1,  2108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2870,   933,    -1,    -1,
      -1,  1858,    -1,    -1,    -1,  1862,  1863,    -1,    -1,  1866,
    2884,    -1,   948,    -1,  1807,    -1,    -1,    -1,    -1,    -1,
    2894,    -1,    -1,    -1,   960,    -1,    -1,    -1,    -1,    -1,
      -1,  1888,    -1,    -1,    -1,    -1,    -1,  1830,  1831,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2187,    -1,
      -1,    -1,   988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   998,    -1,    -1,    -1,    -1,    -1,   996,    -1,
      -1,    -1,  1929,    -1,    -1,  1011,    -1,    -1,  1014,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1891,  1956,
    1957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1979,  1980,    -1,  1982,    -1,    -1,    -1,    -1,
      -1,    -1,  2271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2007,    -1,    -1,    -1,  2011,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2039,    -1,    -1,    -1,    -1,    -1,    -1,  1125,
      -1,    -1,    -1,    -1,    -1,  2052,    -1,  1133,  1134,    -1,
      -1,    -1,    -1,    -1,    -1,  2062,    -1,  1143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3118,    -1,  3120,    -1,    -1,    -1,
      -1,    -1,    -1,  3127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1197,    -1,  1191,    -1,    -1,    -1,    -1,    -1,  3143,
      -1,    -1,  2129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3160,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2106,    -1,    -1,    -1,  1245,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2190,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3215,  3216,  3217,  3218,  3219,  3220,  3221,  3222,    -1,
    1278,    -1,    -1,  3227,  3228,    -1,  3230,  3231,  3232,  3233,
    3234,  3235,  3236,    -1,    -1,    -1,   864,  2224,    -1,    -1,
      -1,  3245,    -1,  3247,  3248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1331,    -1,    -1,    -1,    -1,
      -1,    -1,  2259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2559,    -1,  1350,    -1,    -1,    -1,  2283,  3301,  3302,  3303,
      -1,    -1,  3306,    -1,    -1,    -1,  2229,    -1,    -1,    -1,
      -1,  1369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1389,  2601,  2602,    -1,  2604,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1414,    -1,    -1,    -1,
      -1,    -1,    -1,  1429,    -1,    -1,    -1,    -1,   996,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1445,
    2367,    -1,    -1,  3387,    -1,    -1,  2373,    -1,    -1,  2312,
      -1,  2660,    -1,  2662,  2317,    -1,    -1,    -1,    -1,    -1,
    3404,  3405,  3406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1476,  1477,    -1,  1471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1499,  1500,    -1,  2359,    -1,  2361,  2362,
      -1,    -1,    -1,    -1,    -1,  1511,    -1,  2716,    -1,  2372,
      -1,    -1,  2375,    -1,  2377,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2453,    -1,    -1,    -1,
      -1,    -1,  2741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2404,    -1,  2406,    -1,    -1,    -1,  2410,    -1,    -1,
      -1,  2760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2778,
      -1,    -1,    -1,    -1,    -1,    -1,  2439,  2440,  2441,    -1,
      -1,    -1,    -1,    -1,  2511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2456,    -1,    -1,    -1,    -1,    -1,  2526,
    2527,    -1,    -1,    -1,    -1,  2468,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2483,    -1,    -1,  1191,    -1,    -1,  2553,    -1,    -1,  2556,
      -1,    -1,    -1,  2842,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1650,    -1,    -1,    -1,    -1,  2858,
    1648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2869,    -1,    -1,  3607,  3608,  3609,  3610,    -1,    -1,  2532,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1245,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3631,  3632,  3633,
    3634,    -1,  3636,  3637,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3648,  3649,  2633,  2634,  2635,    -1,
    1278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3665,  3666,    -1,  3668,  2652,    -1,    -1,    -1,  2938,
      -1,    -1,    -1,    -1,    -1,    -1,  2663,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2673,    -1,    -1,  2958,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2983,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1369,    -1,    -1,    -1,    -1,    -1,    -1,  2735,    -1,
    3019,    -1,    -1,  3757,  1099,    -1,    -1,    -1,    -1,    -1,
      -1,  1389,  3766,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3786,    -1,    -1,    -1,  1414,    -1,    -1,    -1,
    2777,    -1,  1858,    -1,    -1,    -1,  1862,  1863,    -1,    -1,
    1866,    -1,    -1,    -1,  3808,  2792,    -1,  2794,    -1,    -1,
      -1,  1156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2806,
      -1,  2808,  1888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1929,    -1,  3869,    -1,    -1,    -1,    -1,
    2857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3882,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1946,    -1,
    1956,  1957,    -1,  1951,  1952,    -1,    -1,    -1,  2885,    -1,
      -1,    -1,    -1,    -1,    -1,  1963,    -1,    -1,    -1,    -1,
      -1,    -1,  2899,  1979,  1980,    -1,  1982,  3186,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2916,
      -1,    -1,  2919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2007,    -1,    -1,    -1,  2011,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3958,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2029,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2039,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2052,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2062,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2994,    -1,    -1,
      -1,    -1,  2935,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1648,    -1,  2945,    -1,    -1,    -1,    -1,    -1,  2951,    -1,
    2953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4048,    -1,    -1,    -1,    -1,    -1,
    2108,    -1,  2975,  2976,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2129,    -1,  3334,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2996,    -1,    -1,    -1,  4081,    -1,    -1,
      -1,    -1,    -1,  3006,    -1,    -1,  3009,  4091,  3011,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3020,    -1,    -1,
      -1,  3370,    -1,  3026,    -1,    -1,  3029,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4125,    -1,    -1,  2190,    -1,  4130,  3050,    -1,  2187,
      -1,    -1,    -1,    -1,    -1,  3058,    -1,  3060,    -1,  4143,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3142,    -1,    -1,  2224,    -1,
      -1,  3084,  1507,    -1,    -1,    -1,    -1,  3090,   864,    -1,
      -1,    -1,    -1,  3096,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2259,  3181,    -1,    -1,    -1,  3185,    -1,
    3187,    -1,   864,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3479,  4215,    -1,  2271,    -1,    -1,    -1,  2283,    -1,    -1,
      -1,  3490,    -1,    -1,    -1,    -1,  4230,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3226,
    1585,    -1,  3229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1609,    -1,    -1,    -1,    -1,  1614,
      -1,    -1,    -1,    -1,    -1,    -1,  3263,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4290,    -1,    -1,  1634,
    1635,  4295,  1637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     996,  2367,    -1,    -1,    -1,    -1,    -1,  2373,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   864,    -1,    -1,  1946,    -1,
      -1,    -1,    -1,  1951,  1952,    -1,    -1,  3596,    -1,    -1,
      -1,    -1,  1677,    -1,   996,  1963,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3330,  3331,    -1,    -1,    -1,    -1,    -1,
    3337,    -1,    -1,    -1,    -1,  3624,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1713,    -1,
      -1,  3640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2453,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3686,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3412,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2511,    -1,   996,  3371,  3372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2526,  2527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2108,    -1,    -1,    -1,  1829,    -1,    -1,  2553,    -1,  1834,
    2556,    -1,    -1,    -1,    -1,  1191,    -1,    -1,    -1,    -1,
      -1,  2559,    -1,    -1,    -1,    -1,  3429,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1191,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2601,  2602,    -1,  2604,    -1,    -1,  1245,
      -1,    -1,    -1,  3476,  3477,    -1,    -1,    -1,    -1,  2187,
      -1,    -1,    -1,  3832,    -1,    -1,  3489,  2633,  2634,  2635,
      -1,    -1,  3495,  3496,    -1,    -1,  3499,    -1,    -1,    -1,
      -1,    -1,  1278,  1245,    -1,    -1,  2652,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2663,    -1,    -1,
      -1,    -1,  2660,    -1,  2662,    -1,    -1,  2673,  3531,    -1,
      -1,    -1,    -1,  3536,    -1,    -1,  1278,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3548,    -1,    -1,  3615,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1191,  2271,    -1,    -1,    -1,    -1,  3635,    -1,
      -1,    -1,    -1,    -1,  1350,  3578,    -1,    -1,  2716,    -1,
    3647,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2735,
      -1,  3940,    -1,  1369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2741,    -1,    -1,    -1,    -1,  1350,    -1,
      -1,    -1,    -1,  1389,    -1,    -1,  1245,    -1,    -1,    -1,
      -1,    -1,  2760,    -1,    -1,    -1,    -1,  1369,    -1,    -1,
      -1,  2777,    -1,    -1,  3701,    -1,    -1,    -1,  1414,    -1,
    2778,    -1,    -1,    -1,    -1,    -1,  2792,  1389,  2794,  1278,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2806,    -1,  2808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4042,    -1,  1471,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2842,    -1,    -1,    -1,    -1,    -1,
      -1,  2857,    -1,    -1,  4063,    -1,    -1,    -1,    -1,    -1,
    2858,  1350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1471,
      -1,  2869,    -1,    -1,    -1,    -1,  3739,    -1,    -1,  2885,
    1369,    -1,    -1,    -1,  4093,    -1,    -1,    -1,    -1,  3816,
      -1,    -1,    -1,  2899,    -1,    -1,    -1,    -1,    -1,    -1,
    1389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2916,    -1,    -1,  2919,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4131,    -1,    -1,  1414,  4135,  4136,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3903,    -1,  3905,    -1,
      -1,    -1,  1471,    -1,    -1,  2983,    -1,    -1,  2994,    -1,
      -1,  2559,    -1,    -1,    -1,  3858,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3019,  3885,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2315,    -1,    -1,  2601,  2602,    -1,  2604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1648,    -1,    -1,    -1,
    3977,    -1,  3979,  2338,    -1,  2340,    -1,  2342,  2343,  2344,
      -1,    -1,  2347,    -1,    -1,    -1,  2351,    -1,    -1,    -1,
      -1,    -1,    -1,  2358,    -1,    -1,    -1,    -1,  2363,    -1,
      -1,    -1,    -1,    -1,  2369,    -1,    -1,    -1,    -1,  2374,
      -1,    -1,  2660,    -1,  2662,    -1,    -1,    -1,  2383,    -1,
      -1,    -1,  2387,  2388,    -1,  2390,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2402,    -1,    -1,
      -1,    -1,    -1,    -1,  2409,    -1,  2411,  2412,  2413,  2414,
    2415,  2416,  2417,  2418,  2419,  2420,  3142,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2716,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1648,
    2445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2741,    -1,  3181,    -1,    -1,    -1,  3185,
      -1,  3187,    -1,    -1,    -1,    -1,    -1,    -1,  3186,    -1,
      -1,    -1,  2760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4127,    -1,  4065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2778,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3226,  4084,    -1,  3229,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3263,    -1,    -1,
      -1,    -1,  2547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2842,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2858,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2869,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1946,    -1,    -1,    -1,    -1,  1951,  1952,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3330,  3331,    -1,  1963,  4191,    -1,
      -1,  3337,    -1,    -1,    -1,    -1,  3334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1946,    -1,    -1,    -1,  4275,  1951,
    1952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2938,    -1,  3370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2958,    -1,    -1,  4256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4332,  3412,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2983,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3019,    -1,    -1,    -1,    -1,    -1,  1946,    -1,    -1,
      -1,    -1,  1951,  1952,    -1,    -1,  4329,  4330,    -1,    -1,
      -1,    -1,  2108,    -1,  1963,    -1,    -1,    -1,  2763,    -1,
      -1,  3479,    -1,    -1,    -1,    -1,  4413,    -1,    -1,    -1,
      -1,    -1,  3490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4393,    -1,    -1,  4460,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2187,    -1,    -1,    -1,    -1,
      -1,    -1,  4455,    -1,    -1,    -1,    -1,    -1,  3596,    -1,
      -1,    -1,    -1,  2888,    -1,    -1,    -1,    -1,    -1,  3615,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3186,  2108,
      -1,    -1,    -1,    -1,    -1,    -1,  3624,    -1,    -1,  3635,
      -1,    -1,    -1,    -1,    -1,  2271,    -1,    -1,    -1,    -1,
      -1,  3647,  3640,    -1,    -1,    -1,    -1,    -1,    -1,  2934,
      -1,    -1,    -1,    -1,    -1,  2940,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2271,
      -1,  2956,  2957,    -1,  2959,    -1,    -1,  2962,  2963,  2964,
    2965,  2966,  2967,  2968,  2969,  2970,  2971,  2972,  3686,    -1,
      -1,    -1,    -1,    -1,    -1,  3701,    -1,    -1,  2187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2997,    -1,    -1,  3000,    -1,  3002,    -1,    -1,
      -1,    -1,  3007,  3008,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3021,  3022,  3023,    -1,
    3025,    -1,    -1,  3028,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3066,  2271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3816,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3832,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3903,    -1,  3905,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3490,  2559,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2559,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2601,  2602,    -1,  2604,    -1,
      -1,  3977,    -1,  3979,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2601,
    2602,    -1,  2604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3307,    -1,  2660,    -1,  2662,    -1,  3596,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4042,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3624,    -1,  2660,    -1,
    2662,    -1,    -1,    -1,    -1,  4063,    -1,    -1,    -1,    -1,
    2559,    -1,  3640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4093,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2741,    -1,    -1,    -1,    -1,
      -1,    -1,  2601,  2602,  2716,  2604,    -1,    -1,  3686,    -1,
      -1,  4127,    -1,    -1,  2760,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4131,    -1,    -1,    -1,  4135,  4136,  2741,
      -1,    -1,  2778,    -1,    -1,  3430,    -1,    -1,    -1,  3434,
    3435,  3436,    -1,    -1,  3439,    -1,    -1,    -1,  2760,  3444,
    3445,  3446,  3447,  3448,  3449,  3450,  3451,  3452,  3453,  3454,
    3455,  2660,    -1,  2662,    -1,    -1,  2778,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3483,  3484,
    3485,  3486,    -1,  3488,    -1,    -1,  2842,  3492,  3493,  3494,
      -1,    -1,  3497,    -1,    -1,  3500,    -1,    -1,    -1,    -1,
      -1,    -1,  2858,    -1,    -1,    -1,    -1,  2716,    -1,    -1,
      -1,    -1,    -1,  2869,    -1,    -1,    -1,    -1,    -1,    -1,
    2842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3533,    -1,
      -1,    -1,  2741,    -1,    -1,    -1,  2858,    -1,    -1,    -1,
    3545,    -1,    -1,    -1,  3832,    -1,    -1,  2869,    -1,  4275,
      -1,  2760,    -1,  3558,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2778,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2958,    -1,    -1,    -1,  4332,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2938,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2983,    -1,    -1,
      -1,    -1,    -1,  2842,    -1,    -1,  2958,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2858,
      -1,    -1,  3940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2869,  2983,    -1,  3019,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4413,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3019,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2938,
      -1,    -1,    -1,    -1,  4460,    -1,    -1,  3742,    -1,    -1,
      -1,    -1,  4468,    -1,    -1,    -1,    -1,    -1,    -1,  2958,
      -1,    -1,    -1,    -1,  4042,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2983,  4063,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3794,
    3795,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4093,    -1,    -1,    -1,    -1,
    3019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3824,
      -1,    -1,    -1,  3828,    -1,    -1,    -1,    -1,    -1,    -1,
    3186,    -1,    -1,    -1,    -1,    -1,    -1,  3842,    -1,  3844,
      -1,    -1,    -1,  4131,  3849,  3850,  3851,  4135,  4136,  3854,
    3855,  3856,  3857,    -1,  3859,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3186,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3186,  3334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3997,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3334,    -1,  3370,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3370,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4061,  4062,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4077,  4078,  4079,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3479,    -1,  3334,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3479,    -1,    -1,
      -1,  3370,    -1,    -1,    -1,    -1,    -1,    -1,  3490,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4219,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4229,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3624,    -1,
    3479,    -1,    -1,    -1,  3596,    -1,    -1,    -1,    -1,    -1,
      -1,  3490,    -1,    -1,  3640,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4300,    -1,    -1,    -1,    -1,
      -1,    -1,  3624,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3640,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3686,    -1,    -1,    -1,    -1,    -1,  4341,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3686,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4386,    -1,    -1,    -1,    -1,    -1,  3596,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3624,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4434,
      -1,  3640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3832,  3686,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3940,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3940,    -1,
      -1,    -1,    -1,  3832,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4042,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4063,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3940,    -1,    -1,    -1,    -1,    -1,  4093,    -1,    -1,
      -1,  4063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4093,    -1,    -1,    -1,  4131,    -1,    -1,    -1,  4135,
    4136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4131,
      -1,    -1,    -1,  4135,  4136,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4042,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4063,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4093,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,  4131,    -1,    -1,    30,  4135,  4136,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
     115,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,   424,
      -1,    -1,    -1,    -1,    -1,    -1,   431,   432,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,     3,
      -1,    -1,    -1,    -1,    -1,    -1,   431,   432,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,    -1,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,    -1,
      -1,   236,   237,   238,   239,    -1,    -1,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,    -1,   361,    -1,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,   432,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,    -1,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,    -1,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
      -1,    -1,   236,   237,   238,   239,    -1,    -1,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,    -1,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,   412,   413,
     414,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,   432,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,
     423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,
      -1,    -1,    -1,    -1,   429,   430,   431,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,   423,   424,    -1,
      -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   431,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   422,   423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   431,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   431,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
      -1,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     431,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,    -1,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,
     423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,    -1,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   431,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   422,   423,    -1,    -1,     3,     4,     5,
       6,     7,   431,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   431,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,    -1,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,    -1,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,   423,    -1,    -1,     3,
       4,     5,     6,     7,   431,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
       6,     7,    -1,     9,    10,    -1,    -1,   431,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,   431,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
      -1,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,    -1,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,   423,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   431,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,    -1,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
      -1,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,     3,   422,   423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   431,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,   250,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     431,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    54,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,   250,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,
       9,    -1,    -1,    -1,   431,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,   150,    -1,   152,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,    -1,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,     3,   422,   423,   424,    -1,    -1,    -1,    -1,
      -1,    -1,   431,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     431,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   431,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   431,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,
      -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,   160,
      -1,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,    -1,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,    -1,    -1,   194,    -1,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,    -1,
     231,   232,   233,   234,    -1,   236,   237,    -1,   239,    -1,
     241,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     431,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,
     153,   154,   155,    -1,   157,   158,    -1,   160,    -1,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,    -1,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,    -1,
      -1,   194,    -1,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,    -1,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,    -1,   241,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,    -1,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,    -1,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,    -1,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,    -1,    -1,     8,     9,    -1,    -1,    -1,   431,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,    -1,
     235,   236,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,
      -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,    -1,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,    -1,   418,   419,   420,    -1,   422,   423,   424,
     425,   426,   427,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,     3,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   424,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     424,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   424,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,    -1,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,    -1,    -1,   236,   237,   238,   239,
      -1,    -1,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
      -1,   361,    -1,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,    -1,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,   412,   413,   414,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,   424,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
      -1,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,    -1,   207,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,    -1,    -1,   236,   237,
     238,   239,    -1,    -1,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,    -1,   361,    -1,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,    -1,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,    -1,    -1,     3,     4,     5,
      -1,    -1,    -1,     9,   412,   413,   414,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,   424,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
       4,     5,    -1,    -1,    -1,     9,   422,   423,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,     4,     5,    -1,    -1,    -1,     9,   422,   423,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,     9,
     422,   423,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,   151,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,     4,     5,    -1,    -1,
      -1,     9,   422,   423,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,   150,    -1,   152,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    -1,
      68,    69,    70,    71,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
     148,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,   372,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,   148,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,   372,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,   156,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,   156,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,   148,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,   372,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,   148,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,   250,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,   250,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,   250,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,   379,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,    -1,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,
     158,    -1,   160,    -1,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,   206,    -1,
     208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,    -1,   231,   232,   233,   234,    -1,   236,   237,
      -1,   239,    -1,   241,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
      -1,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,   385,   386,    -1,
     388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,
      -1,   157,   158,    -1,   160,    -1,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,    -1,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
     206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,    -1,   231,   232,   233,   234,    -1,
     236,   237,    -1,   239,    -1,   241,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
     256,    -1,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,   385,
     386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,
     154,   155,    -1,   157,   158,    -1,   160,    -1,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,    -1,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,
     194,    -1,   196,   197,   198,   199,   200,    -1,   202,   203,
      -1,   205,   206,    -1,   208,    -1,    -1,   211,   212,   213,
      -1,    -1,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,    -1,   231,   232,   233,
     234,    -1,   236,   237,    -1,   239,    -1,   241,   242,   243,
     244,   245,   246,    -1,   248,    -1,    -1,   251,   252,   253,
      -1,    -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,    -1,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
      -1,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,    -1,    -1,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,    -1,    -1,   373,
     374,   375,   376,   377,    -1,    -1,   380,   381,   382,   383,
     384,   385,   386,    -1,   388,    -1,   390,   391,   392,    -1,
      -1,   395,    -1,    -1,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,    -1,    -1,
      -1,   153,   154,   155,    -1,   157,   158,    -1,   160,    -1,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,    -1,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
      -1,    -1,   194,    -1,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,   206,    -1,   208,    -1,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,    -1,   231,
     232,   233,   234,    -1,   236,   237,    -1,   239,    -1,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,   256,    -1,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,    -1,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,    -1,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
     150,    -1,   152,   153,   154,   155,    -1,   157,    -1,    -1,
     160,    -1,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,    -1,   207,   208,   209,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,    -1,    -1,   236,   237,   238,   239,
      -1,    -1,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
      -1,   361,    -1,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   412,   413,   414,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,
      -1,   160,    -1,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,    -1,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,
     199,   200,    -1,   202,   203,    -1,   205,   206,    -1,   208,
      -1,    -1,   211,   212,   213,    -1,    -1,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,    -1,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,    -1,   241,   242,   243,   244,   245,   246,    -1,   248,
      -1,    -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,    -1,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,    -1,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,    -1,    -1,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,    -1,    -1,   373,   374,   375,   376,   377,    -1,
      -1,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
      -1,   390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,    -1,    -1,    -1,   153,   154,   155,    -1,
     157,   158,    -1,   160,    -1,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,    -1,    -1,   194,    -1,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,   206,
      -1,   208,    -1,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,    -1,   231,   232,   233,   234,    -1,   236,
     237,    -1,   239,    -1,   241,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,   256,
      -1,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,    -1,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,    -1,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,    -1,   147,    -1,   149,    -1,    -1,    -1,   153,   154,
     155,    -1,   157,   158,    -1,   160,    -1,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,    -1,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,    -1,    -1,   194,
      -1,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,   206,    -1,   208,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,    -1,   241,   242,   243,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,   256,    -1,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,    -1,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,    -1,    -1,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    -1,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    -1,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,   138,    -1,    -1,   141,    -1,
     143,   144,   145,    -1,   147,    -1,   149,   150,    -1,   152,
     153,   154,   155,    -1,   157,    -1,    -1,   160,    -1,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,    -1,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,    -1,   205,    -1,   207,   208,   209,    -1,   211,   212,
     213,    -1,    -1,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,    -1,    -1,   236,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,    -1,   248,    -1,    -1,   251,   252,
     253,    -1,    -1,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,    -1,   359,    -1,   361,    -1,
      -1,   364,   365,   366,   367,   368,   369,   370,    -1,    -1,
     373,   374,   375,   376,   377,    -1,    -1,   380,   381,   382,
     383,   384,    -1,   386,    -1,   388,   389,   390,   391,   392,
      -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,   402,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,
     413,   414,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    -1,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,   136,   137,   138,    -1,    -1,   141,
      -1,   143,   144,   145,    -1,   147,    -1,   149,   150,    -1,
     152,   153,   154,   155,    -1,   157,    -1,    -1,   160,    -1,
     162,   163,   164,   165,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,    -1,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,    -1,   205,    -1,   207,   208,   209,    -1,   211,
     212,   213,    -1,    -1,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,    -1,    -1,
     242,   243,   244,   245,   246,    -1,   248,    -1,    -1,   251,
     252,   253,    -1,    -1,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,    -1,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,    -1,   359,    -1,   361,
      -1,    -1,   364,   365,   366,   367,   368,   369,   370,    -1,
      -1,   373,   374,   375,   376,   377,    -1,    -1,   380,   381,
     382,   383,   384,    -1,   386,    -1,   388,   389,   390,   391,
     392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,   401,
     402,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     412,   413,   414,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,   145,    -1,   147,    -1,   149,   150,
      -1,   152,   153,   154,   155,    -1,   157,    -1,    -1,   160,
      -1,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,    -1,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,    -1,   205,    -1,   207,   208,   209,    -1,
     211,   212,   213,    -1,    -1,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,    -1,
      -1,   242,   243,   244,   245,   246,    -1,   248,    -1,    -1,
     251,   252,   253,    -1,    -1,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,    -1,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,    -1,   359,    -1,
     361,    -1,    -1,   364,   365,   366,   367,   368,   369,   370,
      -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,   380,
     381,   382,   383,   384,    -1,   386,    -1,   388,   389,   390,
     391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,   400,
     401,   402,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   412,   413,   414,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,   149,
      -1,    -1,    -1,   153,   154,   155,    -1,   157,   158,    -1,
     160,    -1,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,   172,   173,   174,   175,   176,   177,    -1,   179,
      -1,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,    -1,    -1,   194,    -1,   196,   197,   198,   199,
     200,    -1,   202,   203,    -1,   205,   206,    -1,   208,    -1,
      -1,   211,   212,   213,    -1,    -1,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
      -1,   231,   232,   233,   234,    -1,   236,   237,    -1,   239,
      -1,   241,   242,   243,   244,   245,   246,    -1,   248,    -1,
      -1,   251,   252,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,   261,   262,   263,   264,    -1,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,    -1,   277,   278,   279,
     280,   281,   282,    -1,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,    -1,   306,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,    -1,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,    -1,    -1,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,    -1,    -1,   373,   374,   375,   376,   377,    -1,    -1,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,    -1,    -1,   395,    -1,    -1,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,   150,    -1,   152,   153,   154,   155,    -1,   157,
      -1,    -1,   160,    -1,   162,   163,   164,   165,   166,   167,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
      -1,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,    -1,   205,    -1,   207,
     208,   209,    -1,   211,   212,   213,    -1,    -1,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,    -1,    -1,   236,   237,
     238,   239,    -1,    -1,   242,   243,   244,   245,   246,    -1,
     248,    -1,    -1,   251,   252,   253,    -1,    -1,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,   306,   307,
      -1,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,    -1,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,    -1,
      -1,   359,    -1,   361,    -1,    -1,   364,   365,   366,   367,
     368,   369,   370,    -1,    -1,   373,   374,   375,   376,   377,
      -1,    -1,   380,   381,   382,   383,   384,    -1,   386,    -1,
     388,   389,   390,   391,   392,    -1,    -1,   395,    -1,    -1,
     398,   399,   400,   401,   402,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   412,   413,   414,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,   136,
     137,   138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,
     147,    -1,   149,   150,    -1,   152,   153,   154,   155,    -1,
     157,    -1,    -1,   160,    -1,   162,   163,   164,   165,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,    -1,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,    -1,   205,    -1,
     207,   208,   209,    -1,   211,   212,   213,    -1,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,    -1,    -1,   236,
     237,   238,   239,    -1,    -1,   242,   243,   244,   245,   246,
      -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,    -1,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
      -1,    -1,   359,    -1,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,    -1,    -1,   373,   374,   375,   376,
     377,    -1,    -1,   380,   381,   382,   383,   384,    -1,   386,
      -1,   388,   389,   390,   391,   392,    -1,    -1,   395,    -1,
      -1,   398,   399,   400,   401,   402,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   412,   413,   414,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,    -1,   141,    -1,   143,   144,   145,
      -1,   147,    -1,   149,   150,    -1,   152,   153,   154,   155,
      -1,   157,    -1,    -1,   160,    -1,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,    -1,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,    -1,   205,
      -1,   207,   208,   209,    -1,   211,   212,   213,    -1,    -1,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,    -1,    -1,
     236,   237,   238,   239,    -1,    -1,   242,   243,   244,   245,
     246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,    -1,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,    -1,    -1,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,    -1,   359,    -1,   361,    -1,    -1,   364,   365,
     366,   367,   368,   369,   370,    -1,    -1,   373,   374,   375,
     376,   377,    -1,    -1,   380,   381,   382,   383,   384,    -1,
     386,    -1,   388,   389,   390,   391,   392,    -1,    -1,   395,
      -1,    -1,   398,   399,   400,   401,   402,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    -1,    44,
      -1,    -1,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    -1,    -1,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,    -1,    -1,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,    -1,
     145,    -1,   147,    -1,   149,   150,    -1,   152,   153,   154,
     155,    -1,   157,    -1,    -1,   160,    -1,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,    -1,   179,   180,    -1,   182,   183,   184,
     185,    -1,    -1,    -1,    -1,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,    -1,
     205,    -1,   207,   208,   209,    -1,   211,   212,   213,    -1,
      -1,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
      -1,   236,   237,   238,   239,    -1,    -1,   242,    -1,   244,
     245,   246,    -1,   248,    -1,    -1,   251,   252,   253,    -1,
      -1,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,    -1,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,    -1,
      -1,    -1,    -1,    -1,   359,    -1,   361,    -1,    -1,   364,
     365,   366,   367,   368,   369,   370,    -1,    -1,   373,   374,
     375,   376,   377,    -1,    -1,   380,   381,   382,   383,   384,
      -1,    -1,    -1,   388,   389,   390,   391,   392,    -1,    -1,
     395,    -1,    -1,   398,   399,   400,   401,   402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,   414
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   134,
     136,   142,   156,   211,   212,   217,   226,   237,   274,   286,
     291,   292,   294,   299,   304,   307,   311,   316,   317,   324,
     327,   335,   347,   364,   374,   380,   385,   397,   431,   438,
     439,   440,   441,   447,   448,   450,   451,   452,   453,   454,
     455,   456,   458,   459,   463,   474,   477,   478,   481,   482,
     483,   494,   497,   498,   514,   551,   554,   557,   558,   559,
     566,   572,   574,   576,   577,   580,   583,   584,   588,   589,
     598,   602,   603,   604,   605,   606,   608,   609,   610,   623,
     624,   628,   630,   631,   632,   643,   645,   652,   653,   656,
     657,   658,   659,   660,   665,   667,   670,   674,   678,   679,
     689,   690,   693,   698,   709,   728,   731,   732,   733,   736,
     739,   741,   743,   746,   749,   750,   751,   758,   759,   761,
     762,   763,   768,   770,   771,   775,   776,   779,   780,   781,
     783,   784,   785,   786,   788,   791,   792,   797,   803,   806,
     808,   809,   814,   816,   820,   827,   831,   832,   833,   834,
     835,   836,   839,   867,   359,   399,   764,    21,    67,    80,
      97,   103,   118,   129,   137,   148,   153,   159,   174,   199,
     220,   251,   279,   306,   310,   312,   318,   321,   347,   349,
     353,   361,   366,   378,   391,   573,   764,     3,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      33,    34,    36,    37,    39,    40,    41,    42,    43,    45,
      46,    48,    49,    50,    51,    52,    55,    56,    57,    58,
      59,    61,    62,    63,    64,    65,    69,    70,    71,    72,
      74,    75,    77,    78,    79,    80,    81,    82,    85,    86,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   104,
     106,   107,   108,   109,   110,   112,   113,   114,   117,   118,
     119,   120,   121,   123,   124,   125,   127,   128,   129,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   141,   143,
     144,   145,   147,   149,   153,   154,   155,   157,   158,   160,
     162,   163,   164,   165,   166,   168,   169,   170,   172,   173,
     174,   175,   176,   177,   179,   181,   182,   183,   184,   185,
     186,   187,   189,   191,   194,   196,   197,   198,   199,   200,
     202,   203,   205,   206,   208,   211,   212,   213,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   231,   232,   233,   234,   236,   237,   239,   241,
     242,   243,   244,   245,   246,   248,   251,   252,   253,   256,
     260,   261,   262,   263,   264,   265,   266,   267,   269,   270,
     271,   272,   273,   274,   275,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   303,
     304,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   318,   319,   320,   321,   322,   324,   325,   326,
     327,   329,   330,   331,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   345,   346,   348,   349,   350,
     351,   352,   353,   355,   356,   359,   360,   361,   362,   364,
     365,   366,   367,   368,   369,   370,   373,   374,   375,   376,
     377,   380,   381,   382,   383,   384,   385,   386,   388,   390,
     391,   392,   395,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     828,   974,   987,   991,   992,   389,   793,   249,   275,   764,
      44,   505,   832,    21,    33,    54,    67,    76,    97,   103,
     118,   129,   137,   148,   155,   159,   213,   251,   254,   306,
     312,   321,   349,   350,   352,   353,   361,   366,   372,   375,
     378,   515,   556,   648,   699,   710,    22,   274,   974,   828,
      22,   269,   350,   352,     5,   198,   737,   738,   983,    21,
      33,    54,    67,    80,    97,   118,   129,   137,   148,   153,
     159,   174,   220,   251,   261,   306,   310,   312,   318,   321,
     347,   349,   353,   361,   366,   378,   391,   573,   661,   764,
     974,    83,   389,   431,   551,   554,   557,   792,   798,   806,
     809,   814,   820,   827,   831,     9,    15,    22,    39,   143,
     149,   151,   171,   200,   232,   277,   293,   422,   423,   675,
     676,   828,   982,   986,    22,    83,   290,   317,   680,   681,
     682,   987,   987,   979,   983,   347,   842,   675,   987,   359,
     974,   261,   220,    97,   174,   346,   347,   744,   311,   987,
      22,   322,   355,   359,   466,   987,    19,   156,   680,   681,
     275,   764,   987,   197,    22,   115,   844,    55,    77,   213,
     228,   306,   312,   322,   355,   359,   402,   464,   465,   466,
      22,   322,   355,   359,   466,   359,   250,   878,   972,   987,
     842,   424,   987,   152,   431,   794,   431,   968,   288,   837,
     838,   974,   832,   833,   836,     0,   434,   793,   130,   188,
     255,   371,   845,   846,   832,   834,   835,   108,   184,   377,
     435,     3,    38,    44,    67,    73,    84,    90,   150,   152,
     167,   180,   192,   193,   195,   207,   209,   230,   238,   257,
     258,   259,   305,   328,   389,   980,   987,   988,   991,   993,
     663,   987,   663,   975,   987,   278,   663,   361,   663,   974,
     987,    96,   347,   688,   980,     3,   984,   989,   991,   992,
     993,   166,   972,   244,   391,     8,    62,   141,   418,   419,
     420,   422,   423,   424,   425,   426,   427,   735,   935,   936,
     987,    22,   984,   974,   974,   166,   972,   974,   166,   878,
     974,   314,   974,   663,    22,   218,   984,   166,   972,   198,
     105,   194,   235,   284,   765,   766,   767,   972,   978,   987,
      21,    54,    67,    68,    76,    80,    97,   118,   129,   137,
     148,   153,   174,   199,   220,   251,   306,   310,   312,   318,
     321,   347,   349,   353,   361,   366,   391,   573,   668,   983,
     972,   357,   980,   974,   431,   663,   361,   975,   663,   361,
     166,   974,    96,   347,   350,   352,   984,   350,   352,    62,
     141,   735,   297,   984,   166,   460,   987,   974,   974,   314,
     974,   663,   218,   984,   288,   318,   347,   391,   220,    80,
     174,   153,   310,   365,   567,    22,   974,   829,   473,   983,
     989,   738,   166,   980,   974,   166,   742,   166,   975,   361,
      96,   347,   166,   980,   166,   984,   985,    73,   391,    62,
     141,   166,   735,    48,   166,   985,   166,   974,   166,   974,
     166,   974,   314,   166,   974,   166,   218,   985,   198,   166,
     662,   663,   431,   807,   515,   798,   385,   792,   799,   800,
     801,   989,   793,   986,   676,   677,    22,   677,   986,   677,
      22,   677,   986,   677,   677,   677,   986,   982,   982,   828,
     677,   278,   431,   431,   534,   534,   534,   249,   357,   435,
     534,   878,   879,   435,   760,   983,   431,   804,    48,   391,
     974,   974,   972,   987,    38,   414,   194,   433,   252,   252,
     249,   151,   983,   357,   146,   671,   249,     4,     6,     7,
       8,    10,    30,    43,    45,    46,    53,    54,    57,    58,
      65,    67,    87,    88,    89,    90,    91,    92,    93,   100,
     101,   119,   135,   139,   140,   144,   158,   186,   187,   189,
     206,   214,   215,   229,   231,   235,   240,   241,   243,   251,
     260,   270,   285,   308,   323,   330,   343,   355,   356,   360,
     362,   363,   372,   378,   386,   404,   405,   406,   407,   408,
     409,   410,   411,   422,   423,   424,   431,   832,   890,   893,
     896,   897,   898,   900,   901,   902,   903,   906,   907,   911,
     913,   914,   933,   937,   956,   961,   969,   970,   980,   981,
     982,   983,   987,   983,    22,   479,   971,   972,   322,   464,
     103,   472,   983,   473,   983,    38,    59,   464,   414,   331,
     766,   252,   151,   357,   418,    38,   414,   194,   767,   431,
     972,   424,   429,   433,   962,   963,   879,   150,   152,   389,
     789,   790,   792,   150,   795,   103,   911,   966,   967,   837,
     435,   431,   796,   432,   432,   440,   972,    22,   115,   843,
     843,    48,   843,   142,   146,   210,   247,   849,   851,   852,
     861,   863,   864,   865,   845,   846,   151,   190,   878,   880,
     968,   431,   637,   963,   262,   295,   324,   433,   664,   262,
     295,   324,   262,   295,   324,   397,   442,   474,   475,   694,
      18,   120,   262,   295,   324,   382,   486,   974,   324,    18,
     120,   377,   457,   400,   166,   878,    50,    82,   138,   169,
     205,   235,   262,   295,   303,   309,   316,   324,   333,   341,
     392,   474,   476,   722,   729,   431,   711,   295,   457,   135,
      18,    24,    64,   113,   120,   123,   176,   233,   235,   245,
     253,   262,   295,   299,   324,   382,   484,   485,   592,     4,
     422,   423,   564,   986,   166,   972,   663,   663,   431,   734,
     433,   171,   449,   295,   442,   449,   249,   262,   295,   135,
      49,    95,   173,   221,   223,   233,   261,   295,   300,   324,
     335,   484,   561,   562,   262,   295,   390,   592,   600,   135,
     295,   324,   484,   262,   295,   299,   324,    74,   112,   263,
     351,   249,    18,    24,   120,   262,   295,   324,   495,   496,
     449,   146,   295,   442,   449,   135,   295,   324,   484,   974,
     208,   105,   250,   401,   435,   765,   379,   787,   249,   980,
     431,   974,   361,    96,   347,   980,   244,   391,    62,   141,
     735,   974,   314,   974,   198,   663,   534,   281,   500,   431,
     637,   638,    60,     3,    43,    45,    46,    57,    58,   100,
     101,   144,   186,   187,   189,   229,   231,   243,   285,   325,
     330,   355,   356,   386,   887,   889,   891,   893,   895,   897,
     898,   899,   901,   902,   906,   907,   988,   991,   151,   431,
     633,   974,   442,    31,   782,   974,   235,   442,   400,   166,
     972,   442,   663,   663,   633,   375,   515,   442,   235,    38,
     461,   366,   599,   262,   575,    74,   112,   263,   351,    20,
      40,   185,   611,    31,   633,   146,   442,   391,   972,   166,
     552,   972,   972,   391,   663,    73,   700,   980,   974,   573,
      44,    94,   183,   233,   313,   135,   637,    51,   301,   487,
     135,   431,   135,   400,   135,   711,   135,   435,   166,   662,
     166,   663,   166,   663,   135,   734,   985,   135,   135,   249,
     135,   487,   135,    74,   112,   263,   351,   135,   249,   135,
     146,   166,   166,   473,   135,   435,   487,   911,   940,   347,
     432,   435,   140,   249,   363,   470,   473,   564,   802,   798,
     677,   828,   677,   828,   677,   828,   677,   828,   677,   828,
     828,   828,   677,   828,   431,   535,   536,   987,   535,    22,
      97,   118,   148,   153,   198,   199,   312,   318,   347,   349,
     366,   683,   971,   985,   682,   171,   435,   817,   983,   887,
     943,    31,   985,   972,   147,   745,   745,   745,   208,   987,
     146,   146,   683,   985,   311,   987,   473,   249,   431,   964,
     429,   832,   944,   388,   904,   911,   960,   431,   904,   904,
     431,   146,   431,   431,   431,   892,   892,   272,   832,   431,
     431,   894,   431,   431,   431,   431,    57,    58,   904,   911,
     431,   892,   431,   431,   431,   431,   431,   398,   417,   431,
     908,   431,   908,   431,   431,   832,   431,   431,   431,   431,
     431,   431,   431,   431,   911,   911,   832,   911,   940,   963,
     983,    58,   431,   905,   431,   983,     3,     8,    11,    28,
      31,    36,    42,    66,   167,   171,   192,   193,   209,   235,
     238,   251,   254,   328,   418,   419,   420,   422,   423,   424,
     425,   426,   427,   935,   937,   939,   259,   911,   190,   435,
     840,   431,   983,   963,   106,   168,   480,   435,    59,   103,
     473,    31,     3,   103,   213,   471,   564,   907,   983,   983,
      78,   117,   920,    86,   103,   467,   468,   470,   564,   103,
     467,   208,   972,   911,     3,    22,    26,    27,    28,    29,
      30,    31,    32,    35,    47,    53,    54,    60,    66,    68,
      76,    83,    87,    88,    89,    91,    92,    93,   103,   105,
     111,   115,   116,   122,   126,   130,   140,   142,   146,   148,
     151,   156,   159,   161,   171,   178,   188,   190,   201,   204,
     210,   214,   215,   235,   240,   247,   249,   250,   254,   255,
     268,   276,   290,   302,   317,   323,   332,   344,   347,   354,
     357,   358,   363,   371,   372,   378,   379,   387,   393,   394,
     396,   397,   424,   977,   990,   991,   992,   993,   994,   962,
      79,   300,   666,   432,   435,   793,   432,   435,   838,   973,
     974,    31,   796,   834,   834,   847,   848,   911,   834,   143,
     232,   858,   196,   233,   284,   326,   377,    22,   853,   911,
     422,   423,   854,   855,   911,   913,   861,   862,   852,   851,
     849,   850,   146,   864,   245,   866,   849,   861,   880,   972,
      31,   987,   324,   424,   943,   262,   295,   324,   357,   357,
     312,   977,   433,   357,   357,   312,   357,   357,   349,   464,
     777,   146,   156,   171,   304,   695,   696,    60,    76,   131,
     148,   276,   372,   531,   532,    76,   103,   235,   357,    76,
     357,   103,   235,   312,    76,   113,   123,   262,   295,   629,
     312,   581,    21,    54,    67,    80,   118,   129,   148,   153,
     220,   251,   312,   318,   321,   347,   353,   366,   391,   573,
     974,   135,   295,   324,   484,   249,   564,   316,   205,   357,
     357,   240,   564,   107,   191,   312,   322,   359,   465,   301,
     324,   722,   730,   171,   181,   256,   325,   387,   432,   712,
     715,   716,   717,   719,   887,   988,   357,   378,   972,    68,
     131,   522,   531,   987,    68,   747,   249,   310,   361,    76,
     747,    25,   298,   310,   361,   972,   176,   245,   663,   431,
     357,   357,   431,   490,   349,   397,   398,   490,    76,   435,
       4,     4,   262,   135,   295,   324,   484,   379,   379,   234,
     887,   262,   324,   735,    97,   324,   475,   357,   444,   475,
     972,   357,   357,   972,   564,    48,   563,   564,   564,    95,
     221,   223,    48,   357,   442,   312,   442,   233,   562,   357,
     357,   240,   983,   592,   878,    76,   357,   747,   312,   357,
     357,   490,   490,   663,   663,   663,   663,   972,    37,   384,
      37,    37,   357,    37,   357,   312,   435,   475,    93,   378,
     607,   984,   357,   444,   475,   972,   357,   312,   262,   295,
     284,   296,   320,   469,   765,   978,   987,   972,   637,   887,
     249,   400,   711,   564,   663,   663,   734,   192,   249,    74,
     112,   263,   351,   249,   663,   192,   397,   506,   338,   339,
     501,   983,     3,   639,   640,   633,   431,   889,    31,    30,
     888,    98,   164,   222,   225,   315,   412,   431,   909,   910,
     664,   892,   663,   634,   635,   990,    20,   772,   887,   249,
     135,   578,   974,   235,   431,   443,   648,   379,   288,   391,
     443,   135,   984,    83,   156,   462,   514,   558,   610,   678,
     698,   768,   983,   600,   601,   974,   216,   663,   663,   663,
     663,   245,   108,   184,   364,   377,   612,   613,   127,   283,
     431,   607,   443,   972,   560,   561,   235,    31,   245,   431,
     534,   534,   555,   972,   146,   701,   978,   431,   713,    31,
     198,   397,   398,   830,   313,   980,   487,   887,   975,   166,
     974,   980,   487,   985,   984,   135,   487,   135,   379,   135,
     379,   735,   487,   487,   985,   974,   663,   974,   974,   974,
     663,   985,   607,   135,   135,   487,   662,   663,   432,   435,
     972,   798,   800,   828,   828,   828,   828,   828,   828,   535,
     432,   435,   432,   154,   319,   348,   973,   662,    96,   321,
     687,   688,   973,   244,   973,   971,   971,   973,   662,   357,
     397,   691,    16,   133,   308,   326,   818,   878,   239,   819,
     432,   435,   805,   809,   814,   820,   831,   357,   397,   553,
     681,   680,   681,   151,   157,   692,   987,    21,    68,    97,
     118,   129,   148,   153,   199,   220,   306,   312,   318,   347,
     349,   366,   391,   573,   672,   940,   962,   430,   940,   944,
     945,   431,   393,   957,   958,   911,   940,   431,   982,   982,
     940,     3,    98,   164,   222,   225,   315,   412,   946,   947,
     983,   982,   940,   940,   982,   982,   904,   904,   911,   735,
     911,   948,   422,   423,   912,   913,   933,   937,   950,   432,
     940,   911,   940,   951,   355,   414,   982,   982,   911,    47,
     151,   204,   358,   911,   940,   954,   940,   227,   913,   911,
     918,   919,   920,   227,   911,   920,   432,   435,   324,   982,
     982,   909,   887,   911,   990,   355,    35,   344,   965,   663,
     911,   431,   832,   955,   115,   117,   140,   235,   240,   245,
     363,   373,   911,    42,   167,   171,   209,   328,   431,   911,
     357,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,    22,    29,   332,   934,   308,   431,   933,   155,   213,
     347,   350,   352,   375,   841,   972,   970,   151,   868,    22,
     115,   387,   424,   432,   717,   911,   941,   942,   988,   972,
     359,   431,   983,   435,   432,   430,   436,   165,   165,   487,
     972,   790,   791,   972,   966,   432,   435,   431,   435,    32,
     111,   379,   707,   308,   309,   422,   423,   855,   857,   913,
     326,   196,   250,   435,     4,   856,   982,   856,   308,   309,
     857,   971,   819,   862,   850,   379,   815,   103,   431,   810,
     831,   987,   431,   821,   822,   823,   824,   825,   987,   432,
     432,   357,   357,   312,   984,   974,   974,   977,   984,   974,
     974,   984,   975,   974,    75,   778,   306,   378,   680,   312,
     156,   680,   431,   974,   379,   702,   196,   196,   379,   431,
     550,   166,   974,   240,   984,   974,   974,   911,   240,   974,
     974,    25,   298,   357,   357,   974,   357,   582,   980,   431,
     663,   663,   663,   361,    96,   347,   688,   391,    62,   141,
     735,   974,   663,   974,   663,   314,   663,   663,   198,   160,
     233,   262,   295,   383,   585,   586,   587,   878,   357,   747,
     312,   240,   107,   191,   984,   974,   249,   974,   256,   988,
     432,   435,   717,   719,   716,   719,   988,   664,   984,   985,
     295,   484,   522,   887,   987,   974,   974,    22,   378,   974,
     166,   974,   166,   987,   310,   361,   310,   361,   974,    22,
     378,   974,   972,    18,   120,   324,   593,   594,   595,   596,
     990,   984,   974,   492,   493,   990,   974,   248,    64,   248,
     974,   485,   357,   972,   357,   747,   312,   976,   987,   976,
     435,   432,   435,   357,   312,   975,   984,     3,    75,   125,
     176,   267,   370,   378,   381,   445,   295,   984,   974,   295,
     324,   484,   561,   564,   663,   974,   564,   974,   564,   984,
     974,   295,   324,   484,   974,   974,   974,   974,   984,   974,
      18,    24,   120,   262,   295,   324,   262,   295,   324,   633,
     295,   324,   295,   324,   295,   886,   987,   166,   644,   987,
     166,   987,   984,   974,   974,   974,    18,   496,   321,   984,
     295,   324,   484,   974,   974,   357,   357,    72,   369,   284,
     192,    31,   663,   192,   192,   379,   379,   192,   240,   669,
     983,   663,   663,   192,   669,   248,   151,   357,   499,   442,
     418,   432,   435,   911,    30,   888,   887,   429,   429,   357,
     357,   357,   431,   357,   982,   892,   432,   435,   418,   612,
      75,   124,   202,   203,   216,   262,   349,   351,   773,   524,
     990,   974,   151,   312,   390,   579,   586,   587,   135,   209,
     516,   518,   520,   522,   528,   531,    19,   171,   306,   345,
     445,   446,   146,   976,   391,   972,   460,   987,   461,   254,
     515,   148,   983,   633,   633,   633,   633,   245,   249,   254,
     431,   633,   884,   885,   886,   321,   431,   135,   134,   831,
     663,   516,   987,   397,   398,   546,   397,   491,    31,   534,
     983,   249,   432,   714,   715,   720,    31,   198,   303,   396,
     721,   722,   723,   249,   473,   163,   163,   146,   637,    31,
     135,   487,   711,   662,   663,   976,   663,   976,   734,   249,
     487,   487,   249,   487,   321,   146,   473,   487,   911,   432,
     536,   171,   171,   171,   400,   973,   435,   564,   565,   159,
     684,   685,   984,    19,   692,   133,   326,   133,   326,   308,
     377,   224,   887,   974,    96,   233,   151,   249,   684,    48,
     487,   980,   361,   347,   980,   244,   391,   198,   663,   432,
     430,   430,   435,   940,   911,   122,   958,   959,    31,   432,
     911,   432,   432,   432,   432,   151,   432,   432,   432,   432,
     432,   435,   432,   268,   949,   432,   912,   912,    11,   171,
     192,   251,   418,   419,   420,   422,   423,   424,   425,   426,
     427,   937,   912,   432,   432,   146,   151,   952,   953,   432,
     414,   432,   432,    31,   954,   940,   954,   954,   151,   432,
     432,   990,   266,   922,    31,   432,   435,   911,   990,   435,
     911,   964,   911,   987,   432,   432,   414,   912,   912,   128,
     940,   151,   115,   117,   140,   240,   245,   363,   373,   431,
     128,   344,   965,   911,   955,   911,   357,   735,   911,   431,
     832,   350,   352,   350,   352,   972,   842,   842,   842,   201,
     431,   832,   869,   870,   871,   878,   881,   914,   980,   987,
     394,   882,   941,   941,   942,   432,   258,   926,    13,   432,
     435,   846,   766,   982,   909,   468,   911,   796,   974,   805,
     848,   251,   935,   938,   415,   416,   708,     4,   982,   857,
     250,   377,   854,   869,   394,   883,   385,   811,   812,   987,
     302,   813,   825,   826,   435,   868,   418,   964,   984,   974,
     974,   210,   985,   985,   249,   973,   252,   249,   911,   532,
     976,   431,   431,   431,   550,   174,   535,   621,   135,   487,
     357,   984,   974,   473,   637,   887,   974,   400,   663,   663,
     663,   663,   734,    74,   112,   263,   351,   974,   568,   974,
     160,   383,   357,   357,   568,   585,   592,   295,   324,   484,
     974,   974,   974,   182,   240,   664,   715,   719,   719,   426,
     357,   253,   590,   120,   299,   324,   486,   592,   748,   135,
     487,   135,   487,   974,   974,   974,   974,   595,   596,   595,
     432,   435,   597,   983,   432,   435,   418,   433,   984,   295,
     324,   484,   974,   974,   974,   262,   295,   324,    18,   120,
     262,   295,   324,   887,   234,   887,   984,   974,   210,   267,
     240,   983,   267,   985,   376,   357,   357,   312,   357,   747,
     312,   357,   357,   218,   218,   218,   357,   357,   312,   357,
     357,   312,   357,   312,   357,   312,   357,   487,   887,   235,
     983,   324,   748,   135,   487,   357,   974,   357,   312,   984,
     974,   669,   887,   192,   669,   669,   976,   976,   669,   192,
     192,   669,   500,   431,   502,   503,   251,   422,   423,   564,
     636,   719,   938,   983,   994,     3,   640,   432,   429,   432,
     982,   430,   982,   164,   222,   910,   222,   910,   910,   982,
     225,   432,   635,   636,   249,   210,   418,   774,   774,   774,
     774,   774,   774,   774,    60,    66,    76,   103,   105,   178,
     235,   240,   276,   290,   372,   525,   526,   527,   134,   393,
     442,   473,   974,   473,   590,   972,   972,   432,   435,   985,
     159,   306,   985,   982,   366,   972,   534,    38,   461,   297,
     347,    96,   535,   972,   613,   641,   642,   983,   432,   435,
     974,   535,   972,   974,   553,   431,   517,   432,   248,   490,
     248,   249,   547,   490,    31,   831,   491,   357,   972,   432,
     435,   103,   418,   724,   983,   473,   347,   718,   719,   397,
     723,   725,   108,   184,   317,   377,   756,   160,   831,   487,
     887,   974,   487,   487,   379,   487,   379,   487,   487,   663,
     663,   974,   607,   487,   312,   312,   312,   973,   688,   435,
     984,   397,   435,   686,   252,   133,   133,    96,   985,   683,
     487,   984,   637,   711,   564,   663,   192,   944,   432,   354,
     911,   126,   887,   432,   911,   911,   911,   952,   887,   912,
     115,   117,   235,   245,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   911,   911,   953,   952,   908,   908,
     887,   432,   432,   432,   940,   432,   435,    48,   913,   432,
     990,   919,   273,   342,   921,   432,   435,   390,   915,    31,
     432,   905,   983,   911,    28,    28,   911,   432,   911,   151,
     431,   943,   911,   912,   912,   128,   128,   911,   432,   128,
     911,   842,   842,   842,   842,   972,   972,   972,   832,   881,
     832,   870,   871,    31,   872,   873,   987,   435,    84,   152,
     180,   195,   207,   230,   305,   875,   873,    31,   872,   874,
     987,   431,   963,   911,   159,   859,   435,   845,   846,   845,
     432,   926,   431,   927,   987,   911,   926,   983,   387,   942,
     432,   432,   430,   432,   431,   708,   250,    86,   911,   813,
     432,   435,   964,   969,   432,   435,   822,   883,   966,   774,
     154,   319,   348,   367,   697,   146,   697,   432,   431,   538,
     539,   704,   914,   987,   535,   535,   621,   978,   432,   105,
     178,   233,   235,   622,   974,   974,    31,   974,   379,   379,
     663,   663,   663,   663,   664,   984,   974,   357,   747,   312,
     357,   182,   426,   366,   974,   431,   524,   235,   490,    96,
     235,   337,   340,   490,   366,   974,   987,   594,   493,   636,
     990,   357,   747,   312,   357,   357,   357,   312,   153,   251,
     340,   646,   647,   153,   251,   654,   655,   357,   357,   312,
     432,   432,   432,   986,   983,   983,   983,   974,   974,   974,
     974,   974,   974,   974,   974,   146,   146,   297,   146,   166,
     984,   974,   974,   984,   974,   974,   974,   974,   974,   974,
     974,    66,   488,   135,    20,    40,   366,   987,   974,   592,
     974,   974,   432,   669,   192,   192,   669,   669,   501,   509,
     510,   990,    44,    85,   109,   124,   128,   147,   150,   162,
     240,   248,   282,   504,   621,   982,   397,   398,   430,   430,
     432,   909,   972,   774,   103,   982,   983,   103,   983,   103,
     983,   103,   983,   103,   974,   103,   974,   103,   974,   431,
     663,   974,   912,   106,   168,   105,   240,   196,   972,   725,
     280,   625,   626,   987,   578,   431,   529,   321,   520,   985,
     985,   887,   431,   491,   984,   972,   400,   146,   614,   432,
     435,   886,   590,   432,   245,   431,   807,   519,   521,   523,
     531,   987,   546,   177,   545,    71,   349,   548,   831,   553,
     548,   983,   702,   720,   911,   911,   435,   431,   721,   633,
     357,   568,   432,   487,   976,   976,   487,   487,   321,   973,
     973,   973,   564,   156,   685,   692,   151,   192,   192,   192,
     192,   240,   673,   983,   911,   432,   432,   953,   151,   115,
     117,   245,   431,   432,   403,   917,   940,   289,    48,   395,
     395,   432,   911,   233,   911,   435,   916,   889,   909,   912,
     912,   911,   943,   432,    28,    28,   911,   911,   128,   911,
     432,   972,   972,   972,   972,   873,   874,   432,   987,   431,
     870,   195,   257,   876,   870,   876,   195,   875,   876,   195,
     431,   987,   431,   941,    48,   161,   860,   432,   432,   926,
     928,   987,   942,   926,   983,   735,   245,   831,   812,   418,
     825,   813,   986,   357,   680,   151,   621,   911,   432,   435,
     397,    66,   705,   705,   432,   432,   725,   106,   168,   176,
     105,   381,   487,   887,   976,   976,   974,   974,   974,   974,
     366,   591,   595,   240,   240,   986,   987,   887,   487,   487,
     418,   974,   974,   974,   974,   984,   974,   974,   982,   982,
     887,   435,   982,   982,   435,   984,   974,   974,   357,   973,
     973,   663,   973,   135,   663,   983,   983,   887,   487,   487,
     192,   669,   669,   379,   507,   508,   432,   435,   424,   431,
     470,   511,   564,   782,   983,   782,   235,   282,   782,   782,
     430,   153,   181,   153,   151,   620,   986,   911,   235,   526,
     725,   534,   379,   549,   980,    28,   134,   171,   516,   132,
     172,   974,   379,   535,    31,   461,   431,   974,   121,   615,
     393,   617,   983,   491,   663,   516,   553,   432,   435,   397,
     547,   431,   546,   108,   120,   273,   974,   397,   769,   151,
     431,   983,   717,   726,   727,   988,   725,   972,   179,   569,
     487,   487,   487,   974,   252,   487,   684,   673,   673,   673,
     673,   912,   151,   431,   943,   431,   432,   435,   432,   913,
     289,   432,   384,   334,   432,   432,   432,   912,   912,   911,
     872,   431,   973,   870,   249,   379,   877,   870,   195,   870,
     885,   431,   885,   987,   432,   940,   911,   396,   923,   926,
     926,   265,   929,   432,   909,   432,   828,   968,   684,   249,
     684,   432,   725,   539,   251,   735,   663,   379,   663,   706,
     706,   290,   725,   549,   432,   357,   432,   435,   488,   636,
     357,   431,   980,   735,   647,   431,   431,   655,   974,   397,
     297,   397,   397,   146,   488,   669,   442,   110,   510,   470,
     512,   513,   983,   983,   240,   424,   535,   983,   983,   688,
      31,   740,   740,   972,   621,   432,   549,   219,   537,   174,
     431,   626,   280,   431,   432,    22,    70,    77,   104,   175,
     340,   530,   530,   590,   976,   432,   831,   590,   308,   336,
     616,   431,   134,    31,   517,   432,   521,   253,   548,   971,
     547,   309,   309,    52,    60,   213,   663,   703,   704,   719,
     432,   435,   882,   568,   233,   383,   570,   571,   487,   912,
     943,   432,   918,   940,    48,   233,   413,   973,   432,   911,
     431,   870,   877,   432,   885,   432,   924,   925,   987,    48,
     845,   926,   686,   697,   487,   705,   549,   431,   663,   707,
     707,   972,   549,   621,   974,   595,   379,   489,   974,   943,
     711,   146,   650,   734,   943,   943,   662,   663,   662,   663,
     973,   487,   502,   983,   432,   435,   535,   740,    34,   170,
     146,   233,   533,   152,   264,   329,   249,   541,   542,   543,
     349,   432,   980,     5,   627,   321,   141,   649,   491,   769,
     911,   280,   831,   546,   545,   524,   432,   548,    60,   252,
      60,   432,   435,   721,   726,   116,   383,   568,   432,   432,
     432,   289,   384,   432,   973,   432,   435,    31,   940,   283,
     309,   930,   151,   706,   394,   540,   735,   708,   708,   534,
     621,   911,   432,   255,   314,   287,   651,   650,   432,   432,
     397,   513,   121,   176,   108,   377,   249,   543,   249,   542,
     974,   431,   432,   435,   974,   663,    31,    31,   432,   980,
     547,   546,   252,   252,   491,   704,   725,    23,   185,   757,
     432,   925,   927,    42,    86,   368,   911,   931,   932,   931,
     432,   684,   707,   431,   621,   432,   537,   980,    48,   651,
     663,   308,    51,   233,   301,   324,   544,   544,   432,     5,
     590,   646,   831,   431,   548,   547,   548,   236,   431,   752,
     754,   759,   809,   814,   820,   831,   932,   308,   145,   271,
     145,   271,   487,   708,   911,   541,   711,   663,   617,    17,
     103,   240,     4,   618,   619,   982,   983,   990,   548,   882,
     753,   754,   755,   832,   833,    28,   432,   621,   134,   432,
     435,   432,   434,   932,   280,   619,   755,   980,   431,   618,
     432
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   437,   438,   439,   439,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   440,   440,   440,   440,   440,   440,   440,   440,
     441,   442,   442,   443,   443,   444,   444,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   446,   446,   446,   446,
     446,   446,   447,   448,   449,   449,   450,   450,   451,   452,
     452,   453,   453,   454,   454,   455,   456,   457,   457,   458,
     458,   459,   459,   459,   459,   460,   460,   461,   461,   462,
     462,   462,   462,   462,   462,   463,   463,   463,   464,   464,
     464,   465,   465,   465,   465,   465,   465,   465,   465,   465,
     465,   465,   465,   465,   465,   466,   466,   467,   467,   468,
     468,   469,   469,   469,   469,   470,   470,   470,   470,   471,
     471,   471,   471,   471,   471,   471,   472,   472,   472,   473,
     473,   474,   474,   474,   474,   474,   475,   475,   476,   476,
     477,   477,   477,   477,   477,   478,   479,   479,   480,   480,
     481,   482,   482,   482,   482,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   484,   484,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   485,
     485,   485,   485,   485,   485,   485,   485,   485,   485,   486,
     486,   487,   487,   487,   488,   488,   489,   489,   490,   491,
     491,   492,   492,   493,   493,   493,   493,   494,   495,   495,
     496,   496,   496,   496,   497,   497,   498,   498,   499,   499,
     500,   500,   501,   501,   501,   502,   502,   503,   503,   504,
     504,   504,   504,   504,   504,   504,   504,   504,   504,   504,
     504,   504,   505,   505,   506,   506,   507,   507,   508,   508,
     509,   509,   510,   511,   511,   511,   511,   511,   512,   512,
     513,   514,   514,   514,   514,   515,   515,   515,   515,   515,
     515,   515,   515,   516,   516,   517,   517,   518,   518,   519,
     519,   520,   520,   520,   521,   521,   522,   523,   524,   524,
     525,   525,   525,   525,   526,   526,   526,   526,   526,   526,
     526,   527,   527,   527,   527,   528,   529,   529,   529,   530,
     530,   530,   530,   530,   530,   531,   531,   532,   532,   532,
     532,   532,   532,   532,   533,   533,   534,   534,   535,   535,
     536,   537,   537,   537,   537,   538,   538,   539,   539,   540,
     540,   541,   541,   541,   541,   541,   542,   543,   544,   544,
     544,   544,   544,   545,   545,   546,   546,   546,   546,   547,
     547,   547,   547,   548,   548,   549,   549,   550,   551,   552,
     553,   553,   553,   554,   555,   556,   556,   557,   558,   559,
     559,   560,   560,   561,   561,   562,   562,   562,   562,   562,
     562,   562,   562,   562,   562,   562,   562,   563,   563,   564,
     564,   564,   564,   565,   565,   566,   566,   567,   567,   568,
     568,   569,   569,   570,   570,   571,   571,   572,   572,   573,
     573,   574,   575,   575,   576,   576,   577,   577,   578,   578,
     579,   579,   579,   580,   581,   581,   582,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   583,   583,   583,
     583,   584,   585,   585,   585,   585,   586,   586,   587,   587,
     588,   588,   589,   589,   590,   590,   591,   591,   592,   593,
     593,   594,   594,   594,   594,   595,   596,   597,   598,   599,
     599,   600,   600,   601,   601,   602,   602,   603,   603,   603,
     604,   604,   605,   605,   606,   607,   607,   607,   608,   608,
     609,   610,   610,   611,   611,   611,   612,   612,   613,   613,
     613,   613,   613,   614,   614,   615,   615,   616,   616,   617,
     617,   618,   618,   618,   619,   619,   619,   619,   620,   620,
     621,   621,   622,   622,   622,   622,   622,   622,   623,   623,
     624,   624,   625,   625,   626,   627,   627,   628,   629,   629,
     629,   629,   630,   631,   632,   632,   632,   632,   632,   632,
     632,   632,   632,   632,   632,   632,   632,   632,   633,   634,
     634,   635,   635,   636,   636,   636,   636,   636,   637,   637,
     638,   639,   639,   640,   641,   641,   642,   642,   643,   643,
     643,   644,   644,   645,   646,   646,   647,   647,   647,   647,
     647,   648,   648,   649,   649,   650,   650,   650,   651,   651,
     652,   653,   653,   654,   654,   655,   655,   656,   656,   657,
     657,   658,   659,   660,   660,   660,   660,   661,   661,   661,
     661,   661,   661,   661,   661,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   662,   662,   663,   663,   664,   664,
     665,   666,   666,   666,   667,   667,   667,   667,   667,   667,
     667,   667,   667,   667,   667,   667,   667,   668,   668,   668,
     668,   668,   668,   668,   668,   668,   668,   668,   668,   668,
     668,   668,   668,   668,   668,   668,   668,   668,   668,   668,
     669,   669,   670,   670,   670,   670,   670,   671,   671,   672,
     672,   672,   672,   672,   672,   672,   672,   672,   672,   672,
     672,   672,   673,   673,   674,   674,   675,   675,   675,   675,
     675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
     675,   675,   676,   676,   677,   677,   678,   679,   679,   680,
     680,   680,   680,   680,   681,   681,   682,   682,   682,   682,
     683,   683,   683,   683,   683,   683,   683,   683,   683,   683,
     683,   683,   683,   683,   683,   683,   684,   684,   685,   685,
     686,   686,   687,   687,   688,   689,   690,   690,   691,   691,
     692,   692,   693,   694,   694,   695,   695,   695,   696,   696,
     696,   697,   697,   697,   697,   698,   699,   699,   700,   700,
     701,   701,   702,   702,   703,   703,   704,   704,   704,   705,
     705,   706,   706,   706,   707,   707,   707,   708,   708,   708,
     709,   709,   709,   710,   710,   711,   711,   712,   712,   713,
     713,   714,   714,   715,   715,   715,   715,   715,   716,   716,
     716,   716,   716,   717,   718,   719,   719,   719,   720,   720,
     720,   721,   721,   722,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   722,   722,   723,   723,
     723,   723,   724,   724,   725,   725,   726,   727,   727,   728,
     729,   729,   730,   730,   731,   731,   732,   732,   733,   733,
     734,   734,   734,   734,   735,   735,   736,   737,   737,   738,
     738,   739,   739,   739,   740,   740,   740,   741,   742,   742,
     743,   743,   743,   744,   744,   745,   745,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   747,   747,   748,   748,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   751,   752,   752,   752,   753,   753,   754,   754,   754,
     754,   754,   755,   755,   756,   756,   756,   756,   757,   757,
     757,   758,   758,   759,   760,   760,   761,   762,   762,   763,
     763,   763,   763,   763,   763,   763,   763,   763,   763,   763,
     763,   763,   763,   764,   764,   764,   765,   765,   765,   765,
     765,   766,   766,   766,   767,   767,   768,   768,   768,   768,
     769,   769,   769,   769,   770,   771,   772,   772,   773,   773,
     773,   773,   773,   773,   773,   773,   773,   773,   773,   773,
     773,   773,   773,   773,   774,   774,   775,   775,   776,   777,
     777,   778,   779,   779,   780,   781,   781,   781,   781,   781,
     781,   781,   782,   782,   783,   784,   784,   784,   784,   784,
     784,   785,   786,   786,   786,   787,   787,   788,   788,   788,
     788,   788,   789,   789,   790,   790,   790,   790,   791,   791,
     792,   792,   793,   793,   794,   794,   795,   795,   796,   796,
     797,   797,   797,   797,   798,   798,   798,   798,   798,   798,
     798,   798,   798,   799,   799,   800,   801,   801,   802,   802,
     802,   803,   804,   804,   805,   805,   805,   805,   806,   806,
     807,   807,   808,   808,   808,   808,   809,   810,   810,   810,
     811,   811,   812,   813,   813,   814,   815,   815,   816,   817,
     817,   818,   818,   818,   818,   818,   818,   818,   818,   819,
     819,   820,   821,   821,   822,   822,   823,   824,   825,   826,
     826,   827,   828,   829,   829,   829,   829,   829,   830,   830,
     830,   831,   831,   832,   832,   833,   833,   833,   833,   833,
     833,   833,   833,   834,   834,   835,   835,   835,   835,   835,
     835,   836,   836,   837,   837,   838,   839,   839,   840,   840,
     841,   841,   841,   841,   841,   841,   841,   841,   841,   842,
     842,   843,   843,   843,   844,   844,   844,   844,   845,   845,
     846,   847,   847,   848,   848,   849,   849,   849,   849,   850,
     850,   851,   851,   851,   851,   852,   852,   853,   853,   854,
     855,   855,   855,   856,   856,   857,   857,   858,   858,   859,
     859,   860,   860,   861,   861,   862,   862,   863,   863,   864,
     865,   865,   865,   865,   866,   866,   867,   867,   868,   868,
     869,   869,   870,   870,   870,   870,   870,   870,   870,   871,
     871,   871,   871,   871,   871,   872,   872,   872,   872,   873,
     873,   874,   874,   874,   874,   874,   875,   875,   875,   875,
     876,   876,   877,   877,   878,   878,   878,   878,   879,   879,
     880,   880,   880,   881,   882,   882,   883,   883,   883,   884,
     884,   885,   885,   886,   887,   887,   887,   887,   887,   887,
     888,   888,   888,   889,   889,   889,   889,   889,   889,   889,
     890,   890,   890,   890,   891,   891,   892,   892,   893,   893,
     893,   893,   893,   893,   893,   893,   893,   893,   893,   894,
     894,   895,   895,   896,   896,   897,   898,   899,   899,   900,
     900,   901,   902,   903,   903,   903,   903,   903,   903,   904,
     904,   905,   905,   906,   906,   906,   906,   907,   908,   908,
     908,   909,   909,   909,   909,   909,   909,   909,   909,   909,
     909,   909,   909,   909,   909,   910,   910,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   912,   912,   912,   912,   913,   913,
     913,   913,   913,   913,   913,   913,   913,   913,   913,   913,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     914,   914,   914,   914,   914,   914,   914,   914,   914,   914,
     915,   915,   916,   916,   916,   916,   917,   918,   918,   919,
     919,   920,   920,   921,   921,   921,   922,   922,   922,   922,
     923,   923,   924,   924,   925,   926,   926,   926,   927,   928,
     928,   929,   929,   930,   930,   930,   931,   931,   932,   932,
     932,   932,   932,   933,   933,   933,   934,   934,   934,   935,
     935,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     937,   937,   938,   938,   939,   939,   939,   939,   939,   939,
     940,   940,   941,   941,   942,   942,   943,   943,   944,   944,
     944,   945,   945,   946,   946,   947,   947,   947,   947,   947,
     947,   947,   947,   948,   948,   949,   950,   950,   951,   951,
     951,   951,   951,   951,   952,   953,   954,   954,   954,   955,
     955,   956,   957,   957,   958,   959,   959,   960,   960,   961,
     961,   962,   962,   962,   962,   963,   963,   964,   964,   965,
     965,   966,   966,   967,   967,   968,   969,   969,   970,   970,
     970,   970,   971,   971,   972,   972,   973,   973,   974,   975,
     976,   977,   978,   979,   980,   980,   981,   981,   981,   981,
     981,   981,   981,   981,   981,   981,   981,   981,   981,   982,
     983,   984,   985,   985,   986,   986,   986,   987,   987,   987,
     988,   988,   988,   989,   989,   989,   989,   990,   990,   990,
     990,   990,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   993,   993,   993,   993,   993,   993,   993,
     993,   993,   993,   993,   993,   993,   993,   993,   993,   993,
     993,   993,   993,   993,   993,   993,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994,   994,   994,   994,   994,   994,   994,   994,
     994,   994,   994
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       5,     1,     0,     2,     0,     2,     0,     2,     2,     3,
       3,     1,     3,     3,     2,     1,     1,     2,     2,     2,
       3,     3,     5,     5,     0,     3,     5,     5,     5,     5,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     3,
       5,     6,     4,     9,     7,     1,     0,     2,     0,     1,
       1,     1,     1,     1,     1,     2,     3,     3,     2,     5,
       1,     3,     3,     3,     3,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     6,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     3,     4,     3,     2,     2,     1,     2,     1,
       2,     3,     4,     3,     2,     4,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     4,     6,     4,     6,     4,
       6,     4,     6,     5,     7,     1,     3,     2,     3,     4,
       6,     6,     6,     5,     5,     6,     6,     4,     8,     4,
       2,     3,     6,     4,     3,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     1,     3,
       2,     1,     1,     0,     2,     0,     2,     0,     3,     2,
       0,     1,     3,     3,     1,     5,     3,     4,     1,     3,
       4,     6,     4,     8,     2,     2,    11,     7,     1,     1,
       1,     0,     1,     1,     1,     1,     3,     2,     0,     1,
       1,     1,     3,     3,     1,     1,     3,     3,     3,     3,
       4,     2,     1,     0,     2,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    11,    14,    10,    13,     1,     1,     2,     2,     2,
       2,     1,     0,     1,     0,     3,     0,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     4,     4,     2,     0,
       3,     1,     1,     2,     2,     1,     3,     4,     5,     2,
       5,     1,     2,     2,     2,     3,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     1,     5,     7,     3,
       8,     4,     9,    11,     2,     0,     3,     0,     1,     3,
       1,     2,     2,     2,     0,     1,     3,     3,     6,     4,
       0,     1,     1,     2,     2,     0,     3,     3,     2,     1,
       1,     2,     2,     4,     0,     2,     2,     2,     0,     3,
       4,     4,     0,     2,     0,     4,     0,     3,     7,     5,
       2,     3,     0,     8,     4,     1,     0,     5,     5,     4,
       6,     1,     0,     1,     2,     2,     1,     2,     3,     2,
       2,     2,     2,     3,     3,     1,     3,     1,     0,     1,
       2,     2,     1,     1,     3,     6,    10,     1,     0,     1,
       2,     2,     0,     2,     2,     1,     0,     5,     7,     1,
       0,     6,     2,     0,     3,     5,     5,     8,     2,     0,
       2,     2,     2,     5,     2,     0,     2,     7,    10,     6,
       6,     6,     6,     7,     7,     9,     9,     6,     7,     6,
       8,     8,     8,     8,     6,     6,     7,     7,     8,     6,
       6,     7,     2,     2,     2,     2,     1,     2,     1,     0,
       6,     8,     7,     6,     4,     0,     1,     3,     4,     1,
       3,     1,     2,     2,     2,     2,     1,     1,    10,     2,
       0,     2,     2,     1,     0,     4,     6,     5,     4,     4,
      10,    13,     5,     7,     8,     1,     1,     1,     7,     9,
       8,    15,    20,     1,     1,     2,     1,     3,     1,     1,
       1,     3,     1,     3,     0,     1,     0,     1,     1,     4,
       0,     1,     3,     0,     1,     1,     1,     1,     2,     0,
       0,     2,     2,     1,     2,     2,     2,     2,     6,     8,
      11,    13,     1,     3,     5,     1,     3,     5,     1,     2,
       2,     1,     8,     4,     5,     4,     4,     4,     3,     7,
       8,     6,     6,     6,     6,     6,     4,     5,     3,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     1,     3,     3,     1,     0,     1,     3,     7,     9,
       9,     3,     0,    13,     1,     3,     5,     6,     4,     7,
       2,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       6,     8,     8,     1,     3,     5,     5,     7,     9,     7,
       9,     5,     6,     6,     4,     5,     7,     1,     1,     1,
       2,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     1,     3,     1,     2,     2,     3,
       5,     2,     2,     0,     6,     7,     7,     7,     8,     8,
       6,     8,     9,     9,     7,    10,     7,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     1,     2,     1,     3,     2,     3,     3,     3,     3,
       1,     1,     8,     9,     9,     9,     9,     2,     0,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     2,     2,     1,     2,     3,     3,
       3,     3,     4,     4,     3,     3,     3,     4,     4,     3,
       4,     4,     1,     1,     1,     0,     7,     7,    10,     1,
       1,     2,     4,     5,     1,     3,     2,     2,     2,     2,
       1,     2,     2,     4,     3,     2,     2,     2,     2,     3,
       2,     2,     2,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     1,     3,     2,     6,     6,     9,     3,     0,
       3,     0,     5,     2,     0,     3,     3,     3,     7,     7,
      10,     1,     1,     1,     1,    14,     1,     0,     1,     0,
       1,     0,     2,     0,     1,     3,     5,     5,     7,     2,
       0,     1,     2,     0,     1,     1,     0,     1,     1,     0,
       9,    12,     7,     2,     0,     3,     2,     1,     3,     3,
       2,     1,     3,     3,     3,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     4,     5,     1,     3,
       3,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     1,     2,     2,     2,     1,     2,     2,
       1,     1,     1,     3,     2,     0,     2,     1,     3,     5,
       1,     2,     1,     0,     5,     7,     5,     7,     5,     7,
       3,     5,     5,     5,     1,     3,     2,     1,     2,     1,
       2,    11,    10,    10,     2,     2,     0,     9,     2,     0,
       4,     4,     4,     1,     1,     1,     0,     7,     6,     6,
       6,     6,     8,     8,     6,     6,     7,     9,     9,     6,
       6,     6,     8,     6,     8,     6,     8,     7,     9,     6,
       8,     7,     9,     8,    10,     9,    11,     8,     9,    11,
       8,     8,     7,     6,     6,     6,     5,     5,     8,     8,
       8,     8,     6,     9,     1,     0,     2,     0,     7,     6,
       6,     6,     6,     6,     7,     9,     9,     6,     8,     8,
       8,     8,     8,     6,     8,     6,     8,     7,     9,     7,
       9,     6,     7,     6,     6,     6,     6,     6,     7,     7,
       7,     9,     9,     6,     6,     6,     8,     8,     8,     6,
       7,    13,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       0,     6,     8,     3,     2,     0,     2,     2,     2,     2,
       3,     3,     2,     2,     2,     2,     3,     2,     5,     4,
       3,     3,     3,     1,     1,     0,     3,     2,     2,     1,
       2,     1,     3,     2,     1,     0,     9,    11,    11,    13,
       3,     4,     4,     0,     2,     5,     2,     0,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     4,     3,     3,     1,     0,     5,     6,     4,     2,
       0,     4,     3,     5,     6,     4,     6,     6,     5,     7,
       9,     6,     1,     0,     6,    11,    11,    11,    13,     9,
      11,    10,     4,     2,     5,     2,     0,     4,     5,     5,
       4,     6,     1,     3,     1,     1,     1,     1,     2,     4,
       1,     1,     1,     0,     1,     0,     1,     0,     3,     0,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     2,     1,     1,     1,     1,
       0,     5,     3,     0,     1,     1,     1,     1,     3,     9,
       3,     0,     2,     3,     2,     3,     6,     1,     4,     2,
       1,     3,     2,     2,     0,     7,     2,     0,     5,     3,
       0,     2,     2,     2,     3,     1,     3,     1,     2,     1,
       0,     8,     1,     3,     1,     1,     3,     5,     2,     1,
       3,     7,     1,     0,     3,     2,     2,     2,     0,     2,
       2,     1,     1,     3,     3,     1,     2,     4,     4,     2,
       3,     5,     5,     1,     1,     9,     1,     2,     4,     4,
       4,     2,     3,     1,     3,     6,     1,     0,     2,     0,
       3,     3,     4,     4,     4,     4,     3,     2,     1,     1,
       0,     1,     1,     0,     1,     5,     1,     0,     1,     0,
       3,     1,     3,     4,     3,     2,     2,     1,     1,     1,
       0,     2,     4,     5,     4,     2,     3,     1,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     3,
       0,     2,     0,     1,     3,     1,     0,     1,     2,     3,
       2,     4,     2,     3,     2,     0,     2,     3,     2,     0,
       1,     3,     2,     2,     3,     2,     3,     1,     4,     3,
       4,     5,     4,     5,     4,     5,     2,     4,     1,     1,
       0,     1,     4,     5,     4,     0,     2,     2,     2,     1,
       1,     0,     4,     2,     1,     2,     2,     4,     1,     3,
       1,     2,     3,     1,     2,     0,     2,     4,     0,     1,
       0,     1,     3,     3,     2,     3,     5,     6,     2,     3,
       3,     4,     0,     1,     1,     1,     1,     1,     2,     5,
       1,     1,     1,     1,     2,     3,     3,     0,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     1,     3,
       0,     1,     1,     1,     1,     5,     2,     1,     1,     1,
       1,     5,     2,     2,     2,     1,     3,     3,     2,     1,
       0,     3,     0,     5,     2,     5,     2,     1,     2,     3,
       0,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     0,     1,     4,     1,     3,     3,
       5,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     3,     3,     2,     3,     5,
       4,     6,     3,     5,     4,     6,     4,     6,     5,     7,
       3,     2,     4,     2,     3,     3,     4,     3,     4,     3,
       4,     5,     6,     6,     7,     6,     7,     6,     7,     3,
       4,     4,     6,     2,     3,     4,     1,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     5,     6,     6,     7,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     2,     1,
       4,     5,     6,     8,     6,     7,     7,     5,     5,     1,
       1,     4,     1,     4,     1,     4,     1,     4,     1,     1,
       1,     1,     1,     1,     6,     4,     4,     4,     4,     6,
       5,     5,     5,     4,     6,     4,     4,     4,     4,     5,
       7,     7,     9,     5,     4,     6,     5,     7,     7,     7,
       2,     3,     3,     3,     4,     0,     4,     1,     3,     3,
       1,     1,     1,     2,     2,     0,     2,     4,     4,     6,
       2,     0,     1,     3,     3,     2,     2,     0,     6,     1,
       0,     3,     0,     2,     2,     0,     1,     4,     2,     2,
       2,     2,     2,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     1,     4,     1,     4,     1,     2,     1,     2,
       1,     3,     1,     3,     1,     3,     1,     3,     3,     3,
       2,     1,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     3,     2,     3,     0,     3,     3,
       2,     2,     1,     0,     2,     2,     3,     2,     1,     1,
       3,     5,     1,     2,     4,     2,     0,     1,     0,     1,
       2,     2,     2,     3,     5,     1,     2,     0,     2,     1,
       0,     1,     1,     1,     3,     3,     1,     3,     3,     2,
       1,     1,     1,     3,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     5,     2,     3,     6,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 679 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 19981 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 686 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 19992 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 693 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1((yyvsp[0].node));
					else
						(yyval.list) = NIL;
				}
#line 20003 "gram.c" /* yacc.c:1646  */
    break;

  case 119:
#line 817 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20009 "gram.c" /* yacc.c:1646  */
    break;

  case 120:
#line 828 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20021 "gram.c" /* yacc.c:1646  */
    break;

  case 121:
#line 838 "gram.y" /* yacc.c:1646  */
    {}
#line 20027 "gram.c" /* yacc.c:1646  */
    break;

  case 122:
#line 839 "gram.y" /* yacc.c:1646  */
    {}
#line 20033 "gram.c" /* yacc.c:1646  */
    break;

  case 123:
#line 848 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 20039 "gram.c" /* yacc.c:1646  */
    break;

  case 124:
#line 849 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20045 "gram.c" /* yacc.c:1646  */
    break;

  case 125:
#line 853 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 20051 "gram.c" /* yacc.c:1646  */
    break;

  case 126:
#line 854 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20057 "gram.c" /* yacc.c:1646  */
    break;

  case 127:
#line 859 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20066 "gram.c" /* yacc.c:1646  */
    break;

  case 128:
#line 864 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
#line 20074 "gram.c" /* yacc.c:1646  */
    break;

  case 129:
#line 868 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20083 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 873 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 20092 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 878 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
#line 20100 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 882 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 20108 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 886 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)));
				}
#line 20116 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 891 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 20124 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 895 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[0].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 20179 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 948 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 20185 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 951 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 20193 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 955 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list));
				}
#line 20201 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 959 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 20209 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 963 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 20217 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 967 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 20225 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 981 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20237 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 999 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 20249 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1009 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20255 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1010 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20261 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1015 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].str);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20273 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1023 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20285 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1041 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 20297 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1053 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].str);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20309 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1061 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 20321 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1082 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20332 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1089 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20343 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1108 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20354 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1115 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 20365 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1132 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20377 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1150 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 20390 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1160 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 20396 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1161 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 20402 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1174 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20413 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1181 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 20424 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1198 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 20441 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1211 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 20455 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1221 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[-3].str) != NULL)
						n->schemaname = (yyvsp[-3].str);
					else
						n->schemaname = (yyvsp[-1].str);
					n->authid = (yyvsp[-1].str);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 20477 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1239 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authid = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 20496 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1256 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20502 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1257 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20508 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1262 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 20518 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1268 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 20524 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1296 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 20534 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1302 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 20544 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1308 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 20554 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1317 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20566 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1325 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20578 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1337 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20590 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1345 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 20602 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1353 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20613 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1360 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20624 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1367 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 20635 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1375 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 20650 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1386 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 20662 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1394 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20674 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1402 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 20689 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1413 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20701 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1421 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20713 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1429 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 20724 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1436 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20736 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1445 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 20748 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1454 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20754 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1456 "gram.y" /* yacc.c:1646  */
    {
					(yyval.str) = palloc(strlen((yyvsp[-2].str)) + strlen((yyvsp[0].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
				}
#line 20763 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1462 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 20769 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1463 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 20775 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1467 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 20781 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1469 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 20787 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1472 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 20793 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1473 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 20799 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1474 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 20805 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1475 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 20811 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1479 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 20817 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1480 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 20823 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1481 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 20829 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1487 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20835 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1500 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 20843 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1504 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 20851 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1508 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 20870 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1523 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 20897 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1545 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 20903 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1546 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20909 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 20915 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1551 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20921 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1552 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20927 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1553 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 20933 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1557 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20939 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1558 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 20945 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1563 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 20956 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1570 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 20967 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1577 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 20978 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1584 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 20989 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1591 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				}
#line 20999 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1600 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 21005 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1601 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 21011 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1606 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 21017 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1607 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 21023 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1613 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 21033 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1619 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 21043 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1625 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 21053 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1631 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 21063 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1637 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 21073 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1647 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 21084 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21090 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1657 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 21096 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1661 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 21102 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1662 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 21108 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1671 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 21117 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1686 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 21127 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1692 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 21137 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1698 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 21147 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1704 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 21157 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1722 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21170 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1731 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21183 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1740 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21196 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1749 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21209 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1758 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21222 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1767 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21235 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1776 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21248 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1785 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21261 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1794 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 21274 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1803 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 21287 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1814 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 21293 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1815 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 21299 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1821 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21310 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1829 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21321 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1837 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21333 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1846 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 21344 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1854 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 21355 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1862 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 21367 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1871 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21379 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1880 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21391 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1889 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 21403 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1898 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21416 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1908 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 21429 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1921 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21446 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1935 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21458 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1944 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 21469 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1952 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21480 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1960 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21493 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1970 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 21506 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1980 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 21516 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1987 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 21526 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1994 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21537 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2002 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 21548 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2010 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21559 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2018 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21570 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2026 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21581 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2034 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 21591 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2041 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 21601 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2048 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21612 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2056 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 21622 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2063 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 21632 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2070 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21643 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2078 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21654 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2086 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21665 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2094 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21676 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2102 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 21687 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2110 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 21698 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2118 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 21711 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2128 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 21721 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2135 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21732 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2143 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21743 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2151 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21754 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2159 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 21765 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2166 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 21776 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2175 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21782 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2176 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21788 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2180 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 21794 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2181 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 21800 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2182 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 21806 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2187 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 21818 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2194 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21824 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2198 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 21830 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2199 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 21836 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 21842 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2206 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 21848 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2207 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 21854 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2211 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 21860 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2212 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 21866 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2218 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 21874 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2222 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 21882 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC);
				}
#line 21891 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2231 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC);
				}
#line 21899 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2246 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 21913 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2258 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 21919 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2259 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 21925 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2265 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 21937 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2274 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 21950 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2284 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 21963 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2294 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					(yyval.node) = (Node *)n;
				}
#line 21981 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2319 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 21991 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2325 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22001 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2356 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 22033 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2384 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-5].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-2]))));

					(yyval.node) = (Node *)n;
				}
#line 22056 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2405 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22062 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2406 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22068 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2410 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 22074 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2411 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 22080 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2420 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 22086 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2421 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22092 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2422 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 22098 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2425 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22104 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2426 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22110 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2431 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 22116 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22122 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2437 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 22130 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2441 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 22138 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2445 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				}
#line 22146 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2449 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 22154 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)));
				}
#line 22162 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
#line 22170 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2461 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
#line 22178 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)));
				}
#line 22186 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2469 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)));
				}
#line 22194 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2473 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list));
				}
#line 22202 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
#line 22210 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list));
				}
#line 22218 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 22226 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2494 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 22234 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2497 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 22240 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2502 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 22248 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2505 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 22254 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2510 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 22262 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2513 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 22268 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2517 "gram.y" /* yacc.c:1646  */
    {}
#line 22274 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2518 "gram.y" /* yacc.c:1646  */
    {}
#line 22280 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2524 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 22288 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2528 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 22296 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2535 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 22304 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2541 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 22310 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2542 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 22316 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2543 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 22322 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2544 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 22328 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2545 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 22334 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 22342 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2554 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 22350 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2561 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 22356 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2574 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 22374 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2590 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 22392 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2605 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-8].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 22411 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2621 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 22430 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2648 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22436 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2649 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22442 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2650 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22448 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2651 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 22454 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2653 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 22465 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2660 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 22476 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2666 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 22482 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2667 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 22488 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2671 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 22494 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2672 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22500 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2676 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 22506 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2677 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22512 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2682 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 22520 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2686 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 22528 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2693 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 22536 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2697 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 22544 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2703 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22550 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2704 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22556 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2705 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22562 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2709 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22568 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2710 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22574 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2714 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22596 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2734 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22617 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2753 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 22623 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2754 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 22629 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2759 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 22641 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2766 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22647 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2767 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22653 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2769 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 22670 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2800 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 22681 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2807 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 22692 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2814 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22707 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2825 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 22722 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2836 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22736 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2846 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 22749 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2855 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 22768 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2888 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 22779 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2895 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 22790 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2902 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 22801 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2909 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 22812 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2920 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 22823 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2929 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 22829 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2930 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 22835 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2931 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 22841 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2935 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 22847 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2936 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 22853 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2937 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 22859 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2938 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 22865 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2939 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 22871 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2940 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 22877 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2950 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 22889 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2957 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 22895 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2962 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 22912 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 2976 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22930 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2990 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22948 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3005 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22966 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3019 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 22984 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3035 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 23004 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3052 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 23026 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3071 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 23032 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3072 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 23038 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3076 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23044 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3077 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23050 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 23056 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3082 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 23062 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3086 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 23070 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3092 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 23078 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3096 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 23090 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3104 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 23098 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3108 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 23106 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3114 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 23112 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3116 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 23118 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3120 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 23126 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3125 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 23134 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3131 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 23140 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3132 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 23146 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3143 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 23152 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3145 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 23158 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3147 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 23164 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3149 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 23170 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3151 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 23176 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3154 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 23182 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3157 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 23188 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3161 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 23194 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3162 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 23200 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3163 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 23206 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3164 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 23212 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3165 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 23218 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3168 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 23224 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3169 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23230 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3174 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23236 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3175 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(true)); }
#line 23242 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3176 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(false)); }
#line 23248 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3177 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23254 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3180 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 23260 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3181 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 23266 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3182 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 23272 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3183 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 23278 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3186 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23284 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3187 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23290 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3190 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23296 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3191 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23302 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3194 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23308 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3210 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 23324 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3225 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 23339 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3238 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 23345 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3239 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 23351 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3240 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 23357 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3253 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 23373 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3268 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 23388 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3280 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 23394 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3281 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 23400 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3294 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 23411 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3313 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
#line 23424 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3325 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 23436 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3333 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 23448 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3343 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23454 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3344 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23460 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 23466 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23472 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3352 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value));
				}
#line 23480 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3356 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
#line 23488 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3360 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
#line 23496 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3364 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value));
				}
#line 23504 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3368 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value));
				}
#line 23512 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3372 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value));
				}
#line 23520 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3376 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
#line 23528 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3380 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
#line 23536 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3384 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list));
				}
#line 23544 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3388 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value));
				}
#line 23552 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3392 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
#line 23560 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3396 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value));
				}
#line 23568 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3401 "gram.y" /* yacc.c:1646  */
    {}
#line 23574 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3402 "gram.y" /* yacc.c:1646  */
    {}
#line 23580 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3406 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 23586 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3407 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 23592 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3409 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 23601 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3413 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 23607 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3416 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 23613 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3417 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 23619 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3430 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 23635 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3443 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 23650 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3456 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 23656 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3457 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 23662 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3465 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 23668 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3466 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 23674 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3470 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23680 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3471 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23686 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3475 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23692 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3476 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23698 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3480 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 23704 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3481 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23710 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3486 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 23725 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3497 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 23739 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3509 "gram.y" /* yacc.c:1646  */
    {}
#line 23745 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3510 "gram.y" /* yacc.c:1646  */
    {}
#line 23751 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3521 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-3].str);
					n->owner = (yyvsp[-2].str);
					n->location = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 23763 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3530 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23769 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3531 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23775 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3545 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 23786 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3552 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 23797 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3569 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23809 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3577 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23821 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3588 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23827 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23833 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3595 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)));
				}
#line 23841 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3599 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 23849 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3603 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 23857 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3615 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 23868 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3625 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23874 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3627 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23880 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3632 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 23888 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3645 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23902 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3655 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-3].typnam));
					n->objargs = list_make1((yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 23916 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3665 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23929 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3674 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23942 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3683 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23955 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3692 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[0].funwithargs)->funcname;
					n->objargs = (yyvsp[0].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
#line 23969 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3702 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 23982 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3711 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23996 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3721 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24010 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3731 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-2].list);
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24024 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3741 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24037 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3750 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24050 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3759 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24063 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3768 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24076 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3777 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24089 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3786 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24102 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3795 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24115 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3804 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24128 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3813 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24141 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3822 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24154 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3831 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24167 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3840 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24180 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3849 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 24193 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3858 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24206 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3876 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24218 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3886 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list)); }
#line 24224 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3887 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL); }
#line 24230 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3888 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list)); }
#line 24236 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3889 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL); }
#line 24242 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3893 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 24248 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3894 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24254 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3898 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24260 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3899 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24266 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3910 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24281 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3921 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24296 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3941 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24308 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3949 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 24320 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3960 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 24326 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 3961 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24332 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 3966 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 24340 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 3970 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 24348 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 3977 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 24354 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 3982 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 24362 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 3986 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 24370 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 3993 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 24378 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 3997 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 24387 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4002 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 24396 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4007 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP);
				}
#line 24404 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4014 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 24412 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4020 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24418 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4025 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 24424 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4037 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24438 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4049 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24444 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4050 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24450 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4055 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24456 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4056 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24462 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4060 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24468 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4061 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24474 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4072 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24489 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4083 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24504 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4103 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 24517 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4112 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 24529 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4120 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24540 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4139 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24557 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4154 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-6].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-6].range);
					n->base.tableElts = (yyvsp[-4].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24574 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4177 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24587 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4186 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24600 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4204 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24612 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4215 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 24618 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4216 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "current_user"; }
#line 24624 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4217 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (strcmp((yyvsp[0].str), "public") == 0) ? NULL : (yyvsp[0].str); }
#line 24630 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4228 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 24642 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4236 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[-2].str);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 24654 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4253 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[-3].str);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 24666 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4274 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-12].str);
					n->relation = (yyvsp[-8].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-11].ival);
					n->events = intVal(linitial((yyvsp[-10].list)));
					n->columns = (List *) lsecond((yyvsp[-10].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 24688 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4295 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 24711 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4316 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 24717 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4317 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 24723 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4318 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 24729 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4323 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24735 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4325 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 24758 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 24764 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4349 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 24770 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 24776 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4353 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 24782 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4355 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 24788 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4360 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 24796 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4364 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 24808 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4374 "gram.y" /* yacc.c:1646  */
    {}
#line 24814 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4375 "gram.y" /* yacc.c:1646  */
    {}
#line 24820 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4379 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24826 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4380 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 24832 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4384 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 24838 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4385 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24844 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4389 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 24850 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4390 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 24856 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4391 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24862 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4396 "gram.y" /* yacc.c:1646  */
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[0].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
#line 24872 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4401 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 24878 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4402 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 24884 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4403 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 24890 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4407 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 24896 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4408 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 24902 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4413 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 24908 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4415 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 24936 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4441 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 24942 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4442 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 24948 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4443 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 24954 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4444 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 24960 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4445 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 24966 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4446 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 24972 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4452 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 24987 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4463 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25002 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4487 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 25015 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4498 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 25028 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4510 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25034 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4512 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25040 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4517 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list)); }
#line 25046 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 25052 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4524 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 25058 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4529 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 25069 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4538 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 25075 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4539 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 25081 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4540 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 25087 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4541 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 25093 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4555 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 25113 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4574 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 25129 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4597 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25143 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4607 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25158 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4618 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25172 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4628 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25186 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4638 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 25201 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4649 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 25214 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4658 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 25225 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4665 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25236 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4672 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25249 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4681 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25262 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4690 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25275 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4699 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25288 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4708 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25301 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4717 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 25314 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4727 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25320 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4730 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25326 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4731 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25332 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4735 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 25340 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4739 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 25348 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4745 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 25354 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4746 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 25360 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4747 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 25366 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4748 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 25372 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4749 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 25378 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4752 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25384 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4753 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25390 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4756 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25396 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4759 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25402 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4760 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25408 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4769 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node));
				}
#line 25416 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4775 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25422 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4776 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25428 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4780 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 25434 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4782 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 25440 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4793 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 25454 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4803 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 25468 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4813 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 25482 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4824 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 25488 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4825 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 25494 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4843 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25509 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4856 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25515 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4857 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25521 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4862 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].list);
					n->args = NIL;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 25535 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4873 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-3].list);
					n->args = (yyvsp[-2].list);
					n->number = (yyvsp[-4].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 25549 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4883 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 25562 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4892 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-5].ival);
					n->class_args = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 25576 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4902 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 25587 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4910 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25593 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4911 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25599 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25605 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25611 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4918 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25617 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25623 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 4920 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25629 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 4924 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 25647 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 4937 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25653 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 4943 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25664 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 4953 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25677 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 4962 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25690 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 4973 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25696 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 4974 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25702 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 4979 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 25714 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 4987 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 25726 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 4999 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25741 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5010 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25756 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5024 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25771 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5035 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[-3].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 25786 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5058 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 25797 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5068 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25808 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5086 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 25823 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5097 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 25838 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5108 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 25853 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5119 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 25868 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5132 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 25874 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5133 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 25880 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5134 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 25886 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5135 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 25892 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5136 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 25898 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5137 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 25904 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5138 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 25910 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5139 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 25916 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5140 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 25922 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5141 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 25928 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5142 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 25934 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5143 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 25940 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5144 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 25946 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5145 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 25952 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5146 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 25958 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5147 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 25964 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5148 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 25970 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5152 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 25976 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5153 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 25982 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5156 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 25988 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5157 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 25994 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5161 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 26000 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5163 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 26006 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5176 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26018 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5186 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26024 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5187 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 26030 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5188 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26036 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5221 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26049 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5230 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26062 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5239 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26075 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5248 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26088 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5257 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26101 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5266 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26114 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5275 "gram.y" /* yacc.c:1646  */
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[-2].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26128 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5285 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26141 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5294 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26154 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5303 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[-4].list);
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26167 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5312 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26180 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5321 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-5].typnam));
					n->objargs = list_make1((yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26193 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5330 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26206 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5341 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 26212 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5342 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 26218 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5343 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 26224 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5344 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 26230 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5345 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 26236 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5346 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 26242 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5347 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DOMAIN; }
#line 26248 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5348 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 26254 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5349 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 26260 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5350 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 26266 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5351 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 26272 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5352 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 26278 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5353 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 26284 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5354 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 26290 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5355 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 26296 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5356 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 26302 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5357 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 26308 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5358 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 26314 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5359 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 26320 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5360 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 26326 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5361 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 26332 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5362 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 26338 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5363 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 26344 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5367 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26350 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5368 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26356 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5384 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26370 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5395 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26384 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5406 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26398 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5417 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26412 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5428 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26426 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5439 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26432 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5440 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26438 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5444 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 26444 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5445 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 26450 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5446 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 26456 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5447 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 26462 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5448 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 26468 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5449 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 26474 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5450 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 26480 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5451 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 26486 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5452 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 26492 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5453 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 26498 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5454 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TYPE; }
#line 26504 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5455 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 26510 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5456 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 26516 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5459 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26522 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5460 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26528 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5471 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 26538 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5477 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 26548 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5485 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26560 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5493 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26572 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5501 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26584 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5509 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26596 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5517 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26608 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5525 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 26620 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5533 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26632 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5541 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26644 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5549 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26656 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5557 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 26668 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5565 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26680 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5573 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26692 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5581 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 26704 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5589 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 26716 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5597 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 26728 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5605 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 26740 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5614 "gram.y" /* yacc.c:1646  */
    {}
#line 26746 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5615 "gram.y" /* yacc.c:1646  */
    {}
#line 26752 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5618 "gram.y" /* yacc.c:1646  */
    {}
#line 26758 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5619 "gram.y" /* yacc.c:1646  */
    {}
#line 26764 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5631 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 26780 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5647 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26797 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5661 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26814 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5686 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26820 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5688 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26826 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5690 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26832 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5692 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 26843 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5699 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 26854 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5707 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 26860 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5708 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 26866 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5712 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 26877 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5719 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 26888 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5726 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 26899 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5733 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 26910 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5747 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26922 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5755 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26934 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5763 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26946 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5771 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26958 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5779 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26970 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5787 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26982 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5795 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 26994 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5803 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27006 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5811 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27018 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5819 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27030 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5827 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27042 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5835 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27054 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5843 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27066 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5851 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27078 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5859 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27090 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5867 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 27102 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5878 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27108 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5879 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27114 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5883 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27128 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5893 "gram.y" /* yacc.c:1646  */
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[0].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27142 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5906 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27148 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5907 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27154 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].funwithargs)); }
#line 27160 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].funwithargs)); }
#line 27166 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5918 "gram.y" /* yacc.c:1646  */
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[-1].list);
					n->funcargs = extractArgTypes((yyvsp[0].list));
					(yyval.funwithargs) = n;
				}
#line 27177 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5934 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].str);
					(yyval.node) = (Node*)n;
				}
#line 27191 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5947 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 27205 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5957 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 27219 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5968 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27225 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5969 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27231 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5972 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27237 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5973 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27243 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5984 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 27254 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5993 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27260 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5994 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27266 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 5999 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list));
				}
#line 27274 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6003 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 27282 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6007 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 27290 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6019 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 27306 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6032 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27323 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6046 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 27340 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6061 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 27346 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6062 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 27352 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6063 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 27358 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6064 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 27364 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6079 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					(yyval.node) = (Node *)n;
				}
#line 27390 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6103 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27396 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6104 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27402 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6108 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27408 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6109 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27414 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6113 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27420 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6114 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27426 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6118 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27432 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6119 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 27438 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6122 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 27444 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6123 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 27450 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6132 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 27465 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6143 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 27480 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6154 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 27495 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6166 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27501 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6167 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27507 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6170 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27513 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6171 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27519 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6172 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27525 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6175 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 27531 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6176 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 27537 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6177 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 27543 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6180 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 27549 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6181 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 27555 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6182 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 27561 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6200 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27576 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6212 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27592 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6225 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27607 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6238 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27613 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6239 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27619 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6242 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27625 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6243 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27631 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6247 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 27637 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6248 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 27643 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6256 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27649 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6257 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27655 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6261 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 27661 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6263 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 27667 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6278 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27680 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6287 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27693 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6296 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27706 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6305 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27719 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6314 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 27732 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6325 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 27738 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6326 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 27744 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6327 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 27750 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6328 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 27756 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6329 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 27762 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6340 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 27774 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6354 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 27780 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6356 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 27790 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6362 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 27801 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6372 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 27809 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6376 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 27818 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6381 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 27827 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6390 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27833 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6391 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27839 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6399 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
#line 27847 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6403 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 27855 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6407 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 27863 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6411 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
#line 27871 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6415 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
#line 27879 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6419 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
#line 27887 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6423 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 27895 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6427 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 27903 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6431 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 27911 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 27919 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6439 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
#line 27927 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6443 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
#line 27935 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6447 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value));
				}
#line 27943 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6451 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value));
				}
#line 27951 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6455 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt));
				}
#line 27960 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6463 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list));
				}
#line 27968 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6467 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 27976 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6471 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
#line 27984 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6475 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 27992 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6480 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 27998 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6482 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 28006 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6488 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28012 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6489 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28018 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6493 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 28031 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6505 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 28039 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6509 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 28047 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6524 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].funwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 28058 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6534 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28064 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6535 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28070 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6557 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28085 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6568 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28100 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6582 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28115 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6593 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28130 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6607 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28145 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6618 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28160 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6632 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 28172 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6640 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 28178 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6642 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 28184 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6644 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 28190 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6649 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28196 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6651 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 28202 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6664 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28212 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6672 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28218 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6673 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28224 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6678 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)));
				}
#line 28232 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6682 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 28240 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6695 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].funwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 28254 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6706 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 28268 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6717 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 28282 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6728 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 28288 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6729 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 28294 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6730 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 28300 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6735 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[-4].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28315 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6747 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28321 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6748 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28327 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6763 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-2].objtype);
					n->relation = (yyvsp[-1].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28339 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6771 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
#line 28353 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6781 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[-1].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
#line 28367 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6793 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 28373 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6794 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 28379 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6797 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 28385 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6798 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 28391 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6809 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28405 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6819 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28418 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6828 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28431 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6837 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28444 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6846 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28457 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6855 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28471 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6865 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28484 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6874 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28498 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6884 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28511 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6893 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28524 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6902 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28538 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6912 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28552 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6922 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28565 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6931 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28578 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6940 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28592 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6950 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28606 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6960 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28620 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6970 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28634 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6980 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28648 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6990 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28662 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7000 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28676 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7010 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28690 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7020 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28704 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7030 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28718 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7040 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28732 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7050 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28746 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7060 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28761 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7071 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28776 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7082 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28791 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7093 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28806 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7104 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28820 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7114 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28835 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7125 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28850 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7136 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28864 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7146 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28878 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7156 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28890 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7164 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28903 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7173 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28916 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7182 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28929 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7191 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 28942 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7200 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 28955 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7209 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28968 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7218 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28981 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7227 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28994 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7236 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29007 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7245 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29020 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7254 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29036 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7267 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 29042 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7268 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 29048 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7271 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 29054 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7272 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 29060 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7283 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29074 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7293 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29087 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7302 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29100 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7311 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29113 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7320 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29126 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7329 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29140 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7339 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29154 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7349 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29168 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7359 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29182 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7369 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29195 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7378 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29208 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7387 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29221 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7396 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29234 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7405 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29247 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7414 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29260 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7423 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29273 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7432 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29286 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7441 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29299 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7450 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29312 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7459 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29325 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7468 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29338 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7477 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29351 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7486 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29364 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7495 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29377 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7512 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29390 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7521 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29402 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7529 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29414 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7537 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29426 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7545 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29438 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7553 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29451 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7562 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29463 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7570 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[-3].value));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29475 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7578 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29488 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7587 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29501 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7596 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[-5].list);
					n->objarg = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29514 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7605 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29526 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7613 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29538 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7621 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29550 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7629 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29562 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7637 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29574 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7645 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29586 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7653 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29598 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7661 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29610 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7680 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29626 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29632 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7695 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29638 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7696 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29644 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7702 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 29654 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7708 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 29664 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7724 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29670 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7725 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29676 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7728 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 29682 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7729 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 29688 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7730 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 29694 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7731 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 29700 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7735 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 29706 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7736 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29712 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7737 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29718 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7743 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29733 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7754 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29748 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7776 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29759 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7785 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29765 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7786 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29771 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7790 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29781 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7799 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29791 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7805 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 29801 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7824 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29812 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7831 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29823 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7838 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29834 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7845 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29845 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7852 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29856 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7859 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 29867 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7866 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29879 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7874 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29891 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7882 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29903 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7890 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29915 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7898 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 29927 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7906 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29938 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7913 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29949 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7920 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 29960 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7928 "gram.y" /* yacc.c:1646  */
    {}
#line 29966 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7929 "gram.y" /* yacc.c:1646  */
    {}
#line 29972 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7930 "gram.y" /* yacc.c:1646  */
    {}
#line 29978 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7935 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0]))); }
#line 29985 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7938 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1]))); }
#line 29992 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7941 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 29999 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7944 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0]))); }
#line 30006 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7947 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 30013 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7954 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30019 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7956 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30025 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7958 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30031 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7964 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30037 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7978 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 30052 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7990 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 30067 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8002 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-6].range);
					n->view->relpersistence = (yyvsp[-9].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[0].node));
					n->replace = false;
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 30082 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8014 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-6].range);
					n->view->relpersistence = (yyvsp[-9].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[0].node));
					n->replace = true;
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 30097 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8028 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
#line 30107 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8034 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
#line 30117 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8040 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
#line 30127 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8045 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30133 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8056 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30143 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8072 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30154 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8081 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30160 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8082 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30166 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8087 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[0].str)));
				}
#line 30174 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8091 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
#line 30182 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8095 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[0].str)));
				}
#line 30190 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8099 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
#line 30198 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8103 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[0].str)));
				}
#line 30206 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8107 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
#line 30214 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8111 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 30222 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8115 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 30230 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8119 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
#line 30238 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8123 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[0].str)));
				}
#line 30246 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8127 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
#line 30254 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8131 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[0].str)));
				}
#line 30262 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8135 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
#line 30270 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8139 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 30278 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8143 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[0].str)));
				}
#line 30286 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8147 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
#line 30294 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8156 "gram.y" /* yacc.c:1646  */
    {}
#line 30300 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8157 "gram.y" /* yacc.c:1646  */
    {}
#line 30306 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8169 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 30317 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8176 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				 }
#line 30329 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8187 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 30340 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30346 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8198 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30352 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8203 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 30360 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8217 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 30371 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8224 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 30382 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8241 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 30395 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8254 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 30407 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8263 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 30418 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8271 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 30429 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8279 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 30441 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8288 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 30455 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8299 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 30469 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8310 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 30481 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8319 "gram.y" /* yacc.c:1646  */
    {}
#line 30487 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8320 "gram.y" /* yacc.c:1646  */
    {}
#line 30493 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8332 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30504 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8342 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 30518 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8352 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 30532 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8362 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 30546 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8372 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 30560 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8382 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 30572 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8390 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 30584 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8412 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 30598 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8434 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 30610 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8442 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 30622 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8451 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 30634 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8461 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30640 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8462 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30646 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8475 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-1].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30666 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8491 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30686 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8507 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[-2].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[-2].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
#line 30704 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8521 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 30728 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8541 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 30754 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8565 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 30760 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8566 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 30766 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8570 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 30772 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8571 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 30778 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8572 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 30784 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8573 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 30790 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8578 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30808 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8592 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30826 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8608 "gram.y" /* yacc.c:1646  */
    {}
#line 30832 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8609 "gram.y" /* yacc.c:1646  */
    {}
#line 30838 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8613 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30844 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8614 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30850 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8617 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30856 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8618 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30862 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8621 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30868 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8622 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30874 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8626 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30880 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8627 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30886 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8641 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 30897 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8648 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 30911 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8658 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 30922 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8665 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 30933 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8687 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 30941 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8691 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 30949 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 30957 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8704 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30963 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8705 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 30969 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8709 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 30975 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8710 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 30981 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8711 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30987 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8722 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 30999 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8731 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31005 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8732 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31011 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8750 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31022 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8758 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 31041 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8774 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31047 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8775 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31053 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8786 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 31063 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8792 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 31073 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8798 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 31083 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8804 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 31093 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8820 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].istmt)->relation = (yyvsp[-2].range);
					(yyvsp[-1].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-1].istmt)->withClause = (yyvsp[-5].with);
					(yyval.node) = (Node *) (yyvsp[-1].istmt);
				}
#line 31104 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 31114 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8836 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 31124 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8842 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 31134 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8851 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 31140 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8853 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 31146 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8858 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 31158 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8868 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31164 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8869 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31170 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8882 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 31184 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8894 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31190 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8895 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31196 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8907 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 31209 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8917 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 31215 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8918 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 31221 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8921 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 31227 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8922 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 31233 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8923 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 31239 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8924 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 31245 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8925 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 31251 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8926 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 31257 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8927 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 31263 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8928 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 31269 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8931 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31275 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8932 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31281 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8948 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 31296 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8961 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31302 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8962 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 31308 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8966 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 31314 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8967 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31320 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8972 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = (yyvsp[-2].target);
					(yyval.target)->val = (Node *) (yyvsp[0].node);
				}
#line 31329 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8980 "gram.y" /* yacc.c:1646  */
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[-3].list)) != list_length((yyvsp[0].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[-4]))));
					forboth(col_cell, (yyvsp[-3].list), val_cell, (yyvsp[0].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 31358 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9008 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 31370 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9018 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 31376 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9019 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 31382 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9030 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 31395 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9040 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31401 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9043 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31407 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9044 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 31413 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9045 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 31419 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9046 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 31425 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9047 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 31431 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9050 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31437 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9051 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 31443 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9052 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31449 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9105 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31455 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9106 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31461 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9121 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31467 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9123 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 31478 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9130 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 31490 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9138 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 31502 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9146 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 31514 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9154 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 31526 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9162 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 31538 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9170 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 31550 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9180 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31556 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9181 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31562 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9211 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31579 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9223 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31585 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9225 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 31608 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9244 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 31616 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9248 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 31624 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9252 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 31632 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9267 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 31643 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9274 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 31654 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31660 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9284 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31666 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9288 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 31679 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9299 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 31685 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9300 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 31691 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9305 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 31706 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9316 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 31712 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9325 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31721 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9330 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31730 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9335 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31739 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9340 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31748 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9345 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31760 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9353 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 31772 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 31781 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9366 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 31790 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9371 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 31799 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9377 "gram.y" /* yacc.c:1646  */
    {}
#line 31805 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9378 "gram.y" /* yacc.c:1646  */
    {}
#line 31811 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9381 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31817 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9382 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31823 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9383 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31829 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9390 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 31835 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9391 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31841 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9392 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31847 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9393 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31853 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9397 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 31859 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9398 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31865 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9402 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31871 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9406 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 31877 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9407 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 31883 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9411 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 31896 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9420 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 31909 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 31915 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9433 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 31921 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9434 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 31927 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9435 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 31933 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9439 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31939 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9440 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 31945 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9445 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31951 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9447 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 31964 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9463 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 31970 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9465 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 31976 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9470 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31982 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9473 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31988 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9477 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31994 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9479 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 32003 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9486 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32009 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9506 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32015 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9508 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 32021 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9510 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 32027 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9514 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 32033 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9515 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 32039 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9519 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32045 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9520 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32051 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9523 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32057 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9524 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 32063 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9529 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32069 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9530 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32075 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9534 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32081 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9535 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32087 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9539 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32093 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9540 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32099 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9544 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32105 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9545 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32111 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9549 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32117 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9550 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 32123 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9555 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->noWait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 32135 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9565 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 32141 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9566 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 32147 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9567 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 32153 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9568 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 32159 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9572 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32165 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9573 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32171 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9579 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 32181 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9585 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-2].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 32191 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9602 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32197 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9603 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32203 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9607 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32209 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9608 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32215 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9615 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 32224 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9620 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->funccallnode = (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 32237 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9629 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = true;
					n->funccallnode = (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 32250 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9638 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 32289 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9673 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 32318 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 32326 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9702 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 32335 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9728 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 32343 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9732 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 32359 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9744 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 32376 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9757 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 32394 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9771 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 32409 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9782 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 32425 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9797 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 32435 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9803 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 32444 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9808 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 32454 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9814 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 32463 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9820 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 32469 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9821 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 32475 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 32483 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9834 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 32491 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9838 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 32501 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9844 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 32511 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9850 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 32519 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9855 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 32525 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9856 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 32531 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9857 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 32537 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9858 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 32543 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9862 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32549 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9863 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32555 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9875 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 32561 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9876 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32567 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9882 "gram.y" /* yacc.c:1646  */
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
#line 32578 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9889 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
#line 32589 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9896 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 32600 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9903 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 32611 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 32617 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 32623 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9928 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 32631 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9932 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 32642 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9939 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 32653 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9948 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32659 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9953 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32665 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9954 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32671 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9959 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32677 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9961 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 32689 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9968 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32695 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9973 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32701 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9974 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32707 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9979 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32715 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9983 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32723 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9989 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				}
#line 32744 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 10018 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 32753 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 10023 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 32763 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 10030 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 32772 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 10035 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 32782 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10041 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 32791 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10046 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 32801 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10055 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 32807 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10057 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 32813 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10059 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 32819 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10063 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32825 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10064 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32831 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10065 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32837 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10066 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32843 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10067 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32849 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10069 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 32858 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10074 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-4]))));
						(yyval.typnam)->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
				}
#line 32878 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10103 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32884 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10104 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32890 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10105 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32896 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10106 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 32902 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10118 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32912 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10124 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 32922 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10131 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32928 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10132 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32934 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10139 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32943 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10144 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32952 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10149 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32961 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10154 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32970 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10159 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 32979 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10164 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32988 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10169 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 32997 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10174 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33007 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10180 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33017 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10186 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33027 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33036 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10199 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 33061 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10220 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 33069 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10230 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33077 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10234 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33085 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10242 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33093 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10246 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 33102 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10254 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 33115 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10266 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33133 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10287 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33141 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10291 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33149 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10297 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33157 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10301 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 33172 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10314 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[-4].str)) + 1 + strlen((yyvsp[0].str)) + 1);
						strcpy(type, (yyvsp[-4].str));
						strcat(type, "_");
						strcat(type, (yyvsp[0].str));
						(yyvsp[-4].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[-4].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 33193 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10333 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[-1].str)) + 1 + strlen((yyvsp[0].str)) + 1);
						strcpy(type, (yyvsp[-1].str));
						strcat(type, "_");
						strcat(type, (yyvsp[0].str));
						(yyvsp[-1].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[-1].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[-1].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33218 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10356 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 33224 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10358 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 33230 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10360 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 33236 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10362 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 33242 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10364 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 33248 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10366 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 33254 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10370 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33260 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10371 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33266 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10375 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33272 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10376 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33278 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10384 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 33291 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10393 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33303 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10401 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 33316 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10410 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 33328 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10421 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 33337 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10428 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33343 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10429 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33349 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10430 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33355 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10435 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 33361 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10437 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 33367 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10439 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 33373 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10441 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 33379 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10443 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 33385 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10445 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33391 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10447 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 33400 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10452 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 33409 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 33419 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10463 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 33431 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10471 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 33440 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10476 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 33451 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10483 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 33461 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10489 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33467 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10494 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 33475 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10498 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 33484 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10527 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33490 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10529 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 33496 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10531 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33508 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10539 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[0].node), (yyvsp[-4].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 33525 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10561 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 33531 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10563 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 33537 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10565 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33543 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10567 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33549 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10569 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33555 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10571 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33561 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10573 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33567 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10575 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33573 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10577 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33579 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10579 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33585 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10581 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33591 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10584 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33597 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10586 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 33603 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10588 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 33609 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10591 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33615 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10593 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33621 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10595 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 33627 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10598 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33633 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10600 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 33650 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10613 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 33656 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10615 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 33673 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10628 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 33679 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10630 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 33696 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10643 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2])); }
#line 33702 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 10645 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 33719 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 10659 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[0].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 33736 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 10672 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 33753 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 10685 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[0].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 33770 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 10698 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[0].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 33787 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 10721 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 33798 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 10728 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
#line 33809 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 10735 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 33820 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 10742 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
#line 33831 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 10749 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlaps");
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					n->args = list_concat((yyvsp[-2].list), (yyvsp[0].list));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 33858 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 10772 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 33869 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 10779 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
#line 33880 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 10786 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 33891 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 10793 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
#line 33902 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 10800 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 33913 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 10807 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
#line 33924 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 10814 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 33932 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 10818 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));

				}
#line 33944 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 10826 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 33952 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 10830 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 33960 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 10840 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											 (yylsp[-4]));
				}
#line 33971 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 10847 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											 (yylsp[-5]));
				}
#line 33982 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 10854 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
											(yylsp[-4])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-5].node), (yyvsp[-2].node), (yylsp[-4])),
											(yylsp[-4])),
											 (yylsp[-4]));
				}
#line 33999 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 10867 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
											(yylsp[-5])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-6].node), (yyvsp[0].node), (yylsp[-5])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-6].node), (yyvsp[-2].node), (yylsp[-5])),
											(yylsp[-5])),
											 (yylsp[-5]));
				}
#line 34016 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 10880 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-2].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 34039 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 10899 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[-3].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[-1]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 34064 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 10920 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 34078 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 10930 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 34089 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 10937 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 34109 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 10953 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 34118 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 10958 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 34129 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 10976 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34135 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10978 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 34141 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10980 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34147 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10982 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 34153 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10984 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34159 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10986 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34165 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10988 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34171 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10990 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34177 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10992 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34183 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10994 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34189 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10996 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34195 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10998 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34201 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11000 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34207 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11002 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 34213 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11004 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 34219 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11006 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 34225 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11008 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 34233 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11012 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4])), (yylsp[-4]));
				}
#line 34242 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11017 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 34250 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11021 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 34258 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11025 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 34267 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11030 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[-3].node)), (yylsp[-2])),
											 (yylsp[-2]));
				}
#line 34278 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11046 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34284 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11047 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34290 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11049 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 34309 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11064 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 34325 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11076 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34331 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11078 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34337 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11080 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34351 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11090 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 34378 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11113 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 34392 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11123 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 34406 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11133 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[0].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 34418 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11141 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 34431 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11160 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-3].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34448 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11173 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34465 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11186 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-5].list);
					n->args = list_make1((yyvsp[-2].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 34482 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11199 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-7].list);
					n->args = lappend((yyvsp[-5].list), (yyvsp[-2].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *)n;
				}
#line 34499 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11212 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-5].list);
					n->args = (yyvsp[-3].list);
					n->agg_order = (yyvsp[-2].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 34516 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11225 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-6].list);
					n->args = (yyvsp[-3].list);
					n->agg_order = (yyvsp[-2].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 34537 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11242 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-6].list);
					n->args = (yyvsp[-3].list);
					n->agg_order = (yyvsp[-2].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 34554 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11255 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[-4].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[0].windef);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34581 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11278 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("pg_collation_for");
					n->args = list_make1((yyvsp[-1].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34598 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11291 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 *
					 * The token location is attached to the run-time
					 * typecast, not to the Const, for the convenience of
					 * pg_stat_statements (which doesn't want these constructs
					 * to appear to be replaceable constants).
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), (yylsp[0]));
				}
#line 34628 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11317 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), (yylsp[0]));
				}
#line 34642 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11327 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 34659 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11340 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34680 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11357 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 34697 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11370 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), (yylsp[0]));
				}
#line 34711 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11380 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast((Node *)n, d, (yylsp[-3]));
				}
#line 34728 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11393 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), (yylsp[0]));
				}
#line 34742 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11403 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 34759 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11416 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34776 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11429 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34793 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11442 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34810 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11455 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34827 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11468 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34844 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11481 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 34861 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11494 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 34867 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11496 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34884 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11509 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34906 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11527 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34924 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11541 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 34944 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11557 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[-3].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 34970 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11579 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 34990 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11595 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 35007 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11608 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 35024 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11621 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[-1].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 35041 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11634 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 35049 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11638 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 35060 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11645 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 35072 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11653 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 35084 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 35092 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11665 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 35100 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11669 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 35108 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11673 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 35116 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11677 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 35124 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11681 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("xmlexists");
					n->args = list_make2((yyvsp[-2].node), (yyvsp[-1].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 35143 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 35151 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11700 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 35164 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11709 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 35172 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11713 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 35180 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11717 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 35189 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11722 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 35202 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11736 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35208 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11738 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 35214 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11742 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 35220 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11744 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 35226 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11746 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 35232 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11748 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 35238 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11751 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35244 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11754 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35250 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11755 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 35256 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11759 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 35268 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11767 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 35280 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11776 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 35286 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11777 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 35292 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11780 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 35298 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11781 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 35304 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11782 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 35310 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11788 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 35318 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11792 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 35326 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11796 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 35334 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11800 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 35342 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11810 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35348 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11811 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35354 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11815 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 35360 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11817 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 35366 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11822 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 35376 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11830 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 35382 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11832 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 35399 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11845 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 35405 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11850 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 35423 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11875 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35429 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11876 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35435 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11879 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35441 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11880 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35447 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11892 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 35469 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11910 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 35479 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11916 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35491 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11926 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 35512 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11943 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 35553 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11988 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35565 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11996 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35577 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 12004 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35589 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 12012 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35601 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 12020 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 35613 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 12040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35619 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 12041 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35625 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 12042 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 35631 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 12045 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 35637 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 12046 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 35643 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 12047 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 35649 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 12050 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35655 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 12051 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35661 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 12054 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 35667 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 12055 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 35673 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 12056 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 35679 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 12057 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 35685 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 12058 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 35691 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 12059 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 35697 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 12060 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 35703 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 12061 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 35709 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 12062 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 35715 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 12066 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35721 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 12068 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35727 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 12073 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35733 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 12075 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35739 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 12080 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35745 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 12082 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35751 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 12084 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 35757 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 12086 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 35763 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 12088 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 35769 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 12090 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 35775 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 12102 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 35783 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 35791 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12113 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 35799 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12117 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 35807 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12123 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 35815 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12127 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 35828 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12137 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 35834 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12138 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 35840 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12142 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 35848 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12146 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 35856 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12150 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 35864 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12155 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35870 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12156 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35876 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12162 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 35884 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12165 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35890 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12172 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35896 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12173 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 35902 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12174 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 35908 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12175 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 35914 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12176 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 35920 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12177 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 35926 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12178 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 35932 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12179 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35938 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12190 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 35946 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12194 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 35954 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12201 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35960 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12207 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 35966 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12208 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35972 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12225 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 35980 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12229 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 35989 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12234 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 35997 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12238 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 36016 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12253 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 36024 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12257 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36030 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12261 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36036 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12264 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36042 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12267 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 36048 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12268 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36054 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12269 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36060 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12273 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 36071 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12279 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 36077 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12290 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 36091 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12303 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36097 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12304 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36103 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12309 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 36115 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12319 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36121 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12320 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36127 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12323 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36133 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12324 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36139 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12328 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 36147 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12332 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 36155 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12339 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 36163 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12343 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 36171 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12347 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 36182 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12354 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 36193 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12363 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36199 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12364 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36205 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12368 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36211 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12369 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36217 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12384 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 36223 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12386 "gram.y" /* yacc.c:1646  */
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 36233 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12394 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36239 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12395 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36245 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12403 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36251 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12414 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 36257 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12415 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 36263 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12419 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 36275 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 36287 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12443 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 36299 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12451 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 36315 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12472 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 36321 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12473 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 36327 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 36335 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12489 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 36364 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12516 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36370 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12518 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36376 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12522 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36382 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12525 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36388 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12528 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36394 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12530 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36400 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12532 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36406 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12534 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36412 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12545 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36418 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12547 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 36427 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 36435 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 36443 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12566 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 36451 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12570 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 36459 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12574 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 36472 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12583 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 36483 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12590 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-4].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[-2].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[-2].list);
					t->location = (yylsp[-4]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 36512 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12615 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 36520 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12619 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 36530 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12625 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-5].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						if (list_length((yyvsp[0].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[-5]))));
						t->typmods = lappend((yyvsp[0].list), makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[-3].ival), (yylsp[-3])));
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 36551 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12642 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 36559 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12646 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 36567 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 36575 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12655 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 36581 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12656 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36587 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12657 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36593 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12660 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36599 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12662 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36605 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12665 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 36611 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12666 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 36617 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12667 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 36623 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12683 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36629 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12684 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36635 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12685 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36641 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12690 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36647 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12691 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36653 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12692 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36659 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12697 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36665 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12698 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36671 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12699 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36677 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12700 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36683 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12706 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36689 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12707 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36695 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12708 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36701 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 12709 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36707 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 12710 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36713 "gram.c" /* yacc.c:1646  */
    break;


#line 36717 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 13168 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
